Using DeHiss

KickStart

Welcome to KickStart. This section is set up to make your experience with DART XP fun, quickly gratifying, and as painless as possible. First off, we realize that your chances of reading all help files ... no matter how cool ... are slim to none. That’s fine, but you may want to at least glance at this section, to get a quick heads-up on how the software works. It may help save some steps when you’re working with DART XP and it will also save you from reading large chunks of the manual.

Instant gratification time!

If you want to try something that illustrates the power of DART XP Pro and helps you better understand its most powerful features, follow the steps below. For convenience, do not close the Help window until you reach the last step.

Step 1

Click on the OPEN [image] button and choose mendel.wav - a short sample of the Mendelssohn's "Wedding march", which is provided with the software.

Step 2

Once mendel.wav has been loaded, click on the PLAY [image] button. What you will hear is a very poor, noisy recording that sounds like an old record album, tape, or forest fire ... complete with more snaps, crackles, and pops than any breakfast cereal.

Step 3

Now we’ll have some fun! Click on DECLICK [image] button. You will be prompted with a box that asks if you want to register the file. Click Yes. It will tell you, that the name of the registered file will be mendel00.wav and will ask if you want to change the name. Click No. You will then be given the option to copy the file or rename it. Choose Copy. You will see advantages of registering audio files very soon.

Step 4

Next you’ll see a dialog that explains all the pertinent information about your new file and allows you to type in some further details and comments. Click OK. Now you’ll get your first glimpse of the DeClick processor. DeClick Plus is a tool for elimination of impulsive disturbances, such as clicks, pops and record scratches.

Step 5

Disable frequency declicking (uncheck the Enable box) and click on Default to accept default program settings. Then click on Process. Now impulsive disturbances will be removed. The speed of this process depends upon the intensity of noise, the speed of your computer and the size of the wave file.

Step 6

Once DART XP has finished processing your file, it will display a message window with some processing details. Close it by clicking OK. You will see two new file windows. The first of them, entitled mendel01.wav, contains a wave file with the results of declicking. The second window, entitled mendel01.det, contains a special binary detection file, which shows, in its upper part, which fragments of the original audio file were regarded as clicks/pops and replaced. Detection files can be modified, allowing you to influence the process of click removal - you can make the system accept some fragments of the material 'as are', and you can force it to reconstruct other fragments.

Step 7

Listen to the results of declicking - select mendel01.wav, by clicking on its title bar, and press the PLAY [image] button. The obtained audio file is still very noisy but the clicks have gone! In a while you will be able to remove the record hiss, also. To get information about mendel01.wav, click on the INFO [image] button. Note that all processing details, including the name of the source audio file, the renovation tool used and the applied settings, are listed in the middle part of the DART Info dialog - this shows clearly advantages of registering audio files.

Step 8

To remove record hiss, select mendel01.wav for processing, by clicking on the SOURCE [image] button situated in the upper-left corner of the mendel01.wav window. The SOURCE button will turn red, when pressed [image].

Step 9

Click on DEHISS [image] button and, accepting the default settings, click on Process to start dehissing.

Step 10

Once DART XP has finished processing, it will display results in another file window, entitled mendel02.wav. Restoration of the Mendelssohn file is now complete. You can listen to mendel02.wav. What you should be hearing is a clean noise-free recording. To compare the final restoration results with the original recording, click on the SOURCE button in the mendel00.wav window and press the X keyboard key. This will start playback in the 'Play mix' mode, allowing you to switch between the source file (mendel00.wav) and destination file (mendel02.wav) played simultaneously. The system will switch between the two indicated audio files each time you press the TAB key.

Now you’ve gotten a taste of the power of this product. If you want more information, you will find it in the DART XP Help files. To obtain a context-dependent advice on DART, e.g. to get information about a selected menu item or a dialog box, all you need to do is press the F1 keyboard key.


DartWin

DART XP

DART XP (Digital Audio Restoration Technology) is a sophisticated program for the restoration of archived audio recordings. It is capable of removing impulsive disturbances (such as clicks, pops and record scratches), wide-band noise (such as tape hiss or record surface noise) and harmonic disturbances (such as power line hum) - and does it in a fast and efficient way.

If you need information on any of the DART XP functions, select one of the topics listed below:

About DART

About DART Help system

Screen areas and controls

DART interface

Managing files

Recording a soundfile

Playing a soundfile

Viewing a soundfile

Editing a soundfile

Detection files

Using DART restoration tools

Using other DART tools

Processing modes


About DART

About DART XP

DART XP (Digital Audio Restoration Technology) is a sophisticated program for the restoration of archived audio recordings. It is capable of removing impulsive disturbances (such as clicks, pops and record scratches), wide-band noise (such as tape hiss or record surface noise) and harmonic disturbances (such as power line hum) - and does it in a fast and efficient way.

DART XP offers professional quality sound restoration and at the same time is extremely easy to use - it has sophisticated settings for the professional user and many automatic settings for the beginner.

DART XP does not require any specialized hardware - any 486 DX or faster computer equipped with a Windows XP, NT, 98 or 95 operating system and a 16-bit sound card will do.

DART XP provides a powerful graphic interface which allows the user to record, view, play and renovate the sound material, and also perfect the obtained results.

If your computer is sufficiently fast DART XP will allow you to perform various processing tasks in real-time, i.e. without a need to store the input audio data prior to its renovation.

One of the unique features provided by DART XP is the possibility of cutting and replacing, without audible distortions, fairly large fragments of the sound material (which is useful when coping with long-lasting disturbances or dropouts).

DART XP allows you to compose, rearrange and play lists of recordings scattered over different disk directories. If your computer is equipped with a CD-R (recordable CD) the system will even let you record your own CD!

About authors


About Authors

Digital Audio Restoration Technology

Professional version for Windows XP, NT, 98 and 95

designed by : Maciej Niedzwiecki and Piotr Kuzora

Restoration algorithms DeClick Plus, ReTouch, DeHiss Plus, DeNoise Plus and DeHum

designed by : Maciej Niedzwiecki

Resampling algorithm designed by : Wojciech Guminski, Miroslaw Rojewski and Maciej Niedzwiecki

Windows interface

programmed by : Piotr Kuzora, Aneta Kuzora, Krzysztof Cisowski and Adam Sobocinski

Gdansk, Poland

1994-2002


DartWin

About DART Help System

About online Help system

Useful tips


Help

About Online Help System

There are three ways of accessing Help in DART XP

Help topics

Each time you choose the DART help command accessible from the Help menu, or by pressing the HELP button, situated on the toolbar, a list of all topics on which Help information is available is displayed.

Should you have problems identifying the entry that answers your question, open the Index folder, which contains an alphabetical listing of topics available in the Help file. Then click on the desired topic to open it in the main Help window.

NOTICE

For your convenience, all DART CD-Recorder index items start with capital letters. This should allow you to distinguish most of the DART XP help items, displayed in the Index folder, from the corresponding CD-Recorder items.

Context-sensitive Help

By pressing the F1 (keyboard) key you can obtain Help information for a selected menu item or for an open dialog box.

To get information about different menus proceed as follows:

1. Use mouse to select (highlight) menu or a particular menu item.

2. Without releasing the left mouse button press F1.

To get information about an open dialog:

1. Make sure that the title bar of the dialog is highlighted (which may not be the case once you press some buttons inside the dialog).

2. Press F1.

If no menu item is selected and no dialog is open, pressing F1 will bring up a list of available Help topics.

Help line

Each time you move the mouse pointer over one of the control buttons or text boxes situated on the toolbar, a Help line appears at the bottom of the screen with a brief description of the selected button/box functions.

The same pop-up Help line is displayed when you use mouse or keyboard arrows to highlight different menu items.

Disabled people support


Useful Tips

Press the F1 keyboard key each time you need context-dependent advice on DART, e.g. to get information about a selected menu item or a dialog box.

***

To obtain information about an active soundfile, choose the File info command from the File menu, or click the INFO button situated on the toolbar.

***

By positioning the cursor on the overview strip and dragging the mouse with the right mouse button held down you can mark a block of samples.

***

In order to move the Info window, displayed in the upper-right corner of each file window, click it and drag to a new position. You can also remove the Info window by unchecking the Info command available from the Shortcut menu (appearing on the screen when you click the right mouse button).

***

Use the boxes situated on the left side of each detection window to select bits for the purpose of editing (which is one the way of correcting declicking mistakes).

***

The green boxes placed on the right side of each detection window display the values of signal bits at the current cursor position (if the box is lit, the corresponding bit equals one).

***

LEFT/RIGHT ARROW = move cursor by one pixel to the left/right

CTRL+LEFT/RIGHT ARROW = move cursor by 10 pixels to the left/right

ALT+CTRL+LEFT/RIGHT ARROW = move cursor by 100 pixels to the left/right

***

F11 = move cursor to the beginning of the block

F12 = move cursor to the end of the block

HOME = move cursor to the beginning of the file

END = move cursor to the end of the file

TAB = center contents of an active window around the cursor

***

> = move cursor to the next marker

< = move cursor to the previous marker

***

PAGE UP/DOWN = increase/decrease the time zoom coefficient by a factor of 2

CTRL+PAGE UP/DOWN = increase/decrease the time zoom coefficient by a factor of 10

***

UP/DOWN ARROW = increase/decrease the volume zoom by a factor of 2

CTRL+UP/DOWN ARROW = increase/decrease the volume zoom by a factor of 8

CTRL+HOME = restore the zero offset

***

To move the contents of the active window by one pixel to the left/right, click the left/right scrollbar arrow while holding down the CTRL key.

***

SPACE bar (when not playing) = repeat the last-used play command

SPACE bar (during playback) = stop playing and restore the initial cursor position (stop&return)

ESC (during playback) = stop playing and preserve the current cursor position (stop&stay)

***

When the Play and show box in the Preferences\Sound card dialog is checked, the plot of an audio signal shown in an active soundfile window is swept during playback (only when the Play all or Play from the cursor commands are used). To avoid skipping during playback, the time zoom factors equal to at least 100 are recommended when the Play and Show option is switched on.

***

The Play mix (X) command can be used to switch between the two soundfiles played back simultaneously. In order to use this option mark one of the files as a source soundfile and the other one as a destination soundfile. After activating Play mix the system will switch between the two indicated soundfiles each time you press the TAB key. The playback is always started from the source soundfile (from the current cursor position) and terminated when the end of the shorter of two files is reached. The switched-mode playing is a very convenient way of comparing the results of restoration with the original recording.

***

Framing a disturbance can be achieved by localizing it at the very beginning and at the very end of two partially overlapping fragments of the recording, respectively (if the disturbance is present in both segments it must be contained in their common area). To set a frame use the Set/Remove frame command available from the Edit menu.

***

Local cutting of an unwanted audio material may be an efficient tool for elimination of disturbances. If the removed fragment is sufficiently short and the signal on its right hand side is a “natural continuation” of the one observed on its left hand side, our auditory system can be easily fooled - the disturbance is lost without a trace. Smart cut is a tool which is capable of localizing such “natural continuations” by itself, saving a lot of time and efforts.

***

Local muting may introduce discontinuities at both edges of a selected block, usually heard as clicks. To avoid discontinuity problems use the Smart mute tool available from the Toolbox menu.

***

Drop markers can be deployed in a soundfile during playback, e.g. to distinguish fragments that require further processing. All you have to do is initialize playback and press the ENTER key each time you wish to mark the currently played fragment. Drop markers are labeled with consecutive numbers and can be handled (localized, removed) in exactly the same manner as ordinary markers.

***

The shortcut menu appears on the screen each time you press the right mouse button. It allows you to: choose among the five resolution options (1, 10, 100, 1000, Fit to size), remove/restore the small info window, displayed in the upper right corner of each file window and choose among the recently used editing commands.

***

The overlooked noise pulses, as well as some large-scale disturbances, can be localized by examining condensed signal plots. Try choosing the time zoom coefficient in the range <4, 16>.

***

If you have problems localizing a short-lived disturbance, try analyzing the signal time-frequency spectrum (displayed after pressing the SPECTRAL VIEW button, situated on the toolbar) in the vicinity of the trouble area. If any of the spectral graphs stands out from the neighboring ones the corresponding time frame is likely to contain the source of your problem.

(available in the XP Pro version only)

***

For certain classes of disturbances, backward time processing gives better results than forward time analysis. For example, clicks with soft (round) front edges and sharp back edges usually fall into this category. Backward time processing can be easily realized using multi-component configurable restoration filters, accessible from the Restore\MyFilter menu.

(available in the XP Pro version only)

***

At any time, any given collection of opened files can be saved as a group of files. When saving such a group, DART XP creates a configuration file <groupname.dgr> which contains information about the current system status including the list of opened files, the source/destination assignment, synchronization details, cursor, marker and frame positions, time resolution and scale settings etc. Because of this, whenever you open an existing group, you will find everything in exactly the same order as at the time of saving.

***

If you enable the Autosave option in the Preferences dialog, available from the Options menu, the system will save - by means of creating the configuration file autogrp.dgr - the information about all files open at the time of quitting DART XP. These files will be automatically loaded when you start the system again.

***

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you to organize and keep track of all renovation experiments involving that file. Soundfile Manager creates and updates special database files <rootname.sfm> which contain information about all files derived from a given root file and form a 'family tree' called an audio tree. By evoking an audio tree, you can easily review and listen to the results obtained for a particular root soundfile.

***

In order to analyze and efficiently compare different versions of the same sound material, you can synchronize the displayed windows. The full synchronization (provided by default when you start a new session with DART XP) guarantees that all changes in display features made in the active soundfile window (position of the cursor, time zoom, volume zoom, offset, left/right channel selection, marker and block locations, info) will be automatically extended to other windows shown on the screen. If you want to select custom features to be synchronized, or to disable synchronization, choose the appropriate option using the Synchronization dialog box accessible from the Window menu.

***

If you enable the record level peak hold function, by checking the Peak hold in ‘Record’ checkbox in the Preferences dialog, available from the Options menu, the indicators corresponding to the highest level observed during a recording session will burn continuously (they can be reseted by clicking anywhere on the bar graphs).

***

For your convenience, the clipping lock function is provided - to enable it check the Clipping lock in ‘Record’ box in the Preferences dialog available from the Options menu. The clipping lock allows you to check whether any clipping problems occurred during recording (which is useful if you can’t watch the bar graphs all the time during recording). To reset a clipping, lock click on the corresponding indicator.

***

Markers and click markers are not permanent, i.e. they disappear when you close a soundfile and are not brought back when you open it again. However, you can save the current positions of all markers by saving a group of soundfiles (choose Save as from the Group menu).

***

Frames are not permanent, i.e. the frame is not restored when the corresponding soundfile window is closed and opened again. However, you can save the current position of all frames by saving a group of soundfiles (choose Save as from the Group menu).

***

Working with large resolution factors may result in very long times needed to draw or redraw signal plots, especially if the corresponding windows are synchronized. To speed up plotting, at a price of reduced visual accuracy, check the Enable turbo plotting box in the Preferences dialog, available from the Options menu. If you don't want to compromise drawing accuracy, minimize all windows that are not used at the moment (as long as the window remains minimized DART XP simply 'freezes' its content) or turn the synchronization off (press the SYNCHRONIZE button situated on the toolbar).

***

When synchronization is switched on, the default time zoom will be applied to the the first of the newly opened soundfiles only. You can overcome this limitation by switching off synchronization among the displayed windows. This may be particularly useful should you prefer to work with the View all resolution applied to all signal plots shown on the screen.

***

For each soundfile window the horizontal (time) axis is calibrated in hours, minutes and seconds or in samples. To select or change the calibration units, use the Time scale box in the Preferences dialog, available from the Options menu.

***

If you audition the soundfile using the Play window or Play block commands, make sure that the selected material is long enough - your audio card will fail to reproduce sounds that are too short, e.g., are a fraction of a second in duration.

***

To help you compare several variants of the recording with different sampling rates, a special time synchronization feature was added to the Options dialog available from the Setup menu. When the Time sync box is checked, and synchronization is switched on, the cursors in all displayed windows are automatically time-aligned. This means that if the Play local command is used the same portion of the audio material will be played back irrespective of the corresponding sampling rates. Similarly, when a block of samples is selected in an active window the appropriately scaled (contracted or extended) blocks will be marked in the remaining windows.

***

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you to organize and keep track of all renovation experiments involving that file. When the Prompt to register option in the Preferences dialog (available from the Options menu) is enabled, DART XP will remind you of registering any unregistered soundfile prior to its restoration. If you don't want to be prompted, uncheck the Prompt to register box in the Options\Preferences dialog.


Screen Areas and Controls

Working with DART XP, you will come across five different screen areas. These areas are: the menu bar (providing access to various system functions), the toolbar (giving access to the most frequently used system functions), the overview (serving as a graphical representation of an entire recording), the soundfile window(s) (used to display sound data), and the binary window(s) (used to review and control the process of sound renovation).

The first three elements (menu bar, toolbar and overview) are always shown on the screen. The soundfile and binary windows are displayed whenever you open existing <*.wav> and/or <*.det> files or when you record a new soundfile. Additionally, new soundfile and binary windows may be created and loaded on the screen each time you renovate a recording.

Menus

Toolbar

Overview

Soundfile windows

Binary windows


Menus

The menu bar is placed at the top of the DART XP main window. It contains several menus which provide access to various system functions.

The File menu contains items for managing files (New, Open, Save as, Rename, Delete, Close) or sets of files called audio trees (Open audio tree), and for exiting the program (Exit). Additionally, it provides means for performing undo operations (Create/Open Undo file), performing the soundfile format conversion (RAW to WAV, WAV to RAW), getting information about a soundfile (File info) and registering a soundfile in a DART XP library of soundfiles created and handled by the Soundfile Manager (Register).

For your convenience a list of recently opened files is provided at the bottom of the File menu. To open such files simply select them from the list.

The Edit menu gives access to several standard tools for editing signals in soundfile windows (Mute, Cut, Copy, Paste) and in binary windows (setting different modes of processing - Set bits/Clear bits/Normal mode; block editing - Set/Clear/Toggle bits in selected block).

Additionally, it provides tools for moving cursor to a specified position (Go to new position, Go to beginning/end of the block, Go to next/previous marker), marking the sound material (Set/Remove markers, Set/Remove click markers, Set/Remove frame), selecting local areas (Select modified area, Select local block) and performing bit-search operations (Find bits).

The Group menu contains items which allow one to handle groups of files opened/created during a particular DART XP session.

The Play menu is used to play the entire soundfile (Play all) or its portion (Play window, Play block, Play paste buffer, Play local, Play next local, Play previous local, Play from the cursor). It allows one to switch between two soundfiles during playback (Play mix) and to loop play commands (Loop).

The Record menu lets you create a new soundfile by means of recording from any source connected to your audio card (microphone, tape deck, phonograph, CD player, DAT). You can also use Record to modify (overwrite, append) an existing soundfile. Finally, the Record menu provides access to the DART CD-Recorder - a special program, which will help you arrange, play and record on a recordable CD the lists of recordings (CD-Recorder).

The Toolbox menu contains several items that perform simple signal processing functions such as scaling (Scale, Maximize) and reversing (Reverse) a signal as well as adding, subtracting and mixing two signals (Add, Subtract , Mix). The Split and Unite commands can be used to separate two channels of a stereo soundfile and to combine two mono tracks into a stereo soundfile, respectively. You can convert a mono soundfile into a stereo one and vice versa (Convert to mono, Convert to stereo). Some more complex functions are also included, such as intelligent cutting and muting of unwanted audio material (Smart mute, Smart cut, Crossfade cut), equalization (Equalize), filtering (Lowpass, Highpass, Bandpass, Bandstop and Notch), fading (Fade in, Fade out, Crossfade), file length and sample rate adjustment (Resample, Change speed, Adjust RPM rate, Trim length, CD format), duration and pitch modification (Speed up/Slow down*, Shift pitch*), automatic detection of constant noise/signal patterns (Find pattern), spectral analysis (Spectrum*, Spectral view*), partitioning long recordings by means of detecting silences (Unpack), elimination of the lead vocalist’s performance from a stereophonic recording (DeVocalize*) and simulation of the acoustics of different environments (Reverb*). Finally, the DirectX command provides access to all DirectX Audio Plug-Ins installed on your computer.

* available in the XP Pro version only

The Restore menu is used to perform the main function of DART XP - restoration of noisy recordings. The supported routines are capable of removing various forms of impulsive noise (DeClick Plus), broadband noise (DeHiss Plus, DeNoise Plus) and harmonic noise (DeHum*). The representative noise samples can be analyzed, modified and incorporated in the process of noise reduction (NoisePrint). In some cases, the quality of the restored recordings can be further improved by means of retouching (Retouch) an existing soundfile or its duplicate (Duplicate). Finally, a large variety of complex user-defined filters can be built (Filter builder*) and executed (MyFilter*).

All noise reduction tools can be tuned in an on-line and/or off-line mode. On fast computers all signal restoration tools can be used in the real-time mode (Real-time*).

* available in the XP Pro version only

The Options menu contains tools for configuring DART XP in the most convenient way (Preferences), checking the available audio devices and memory resources (Hardware) and for changing colors of different screen elements (Colors).

The Window menu is used to change the arrangement of soundfile and binary windows (Cascade, Tile, Strip), and synchronize certain window features such as time resolution, amplitude scale etc. (Synchronization). A special support for blind users of DART XP is also provided (DART-Eye).

Since in the automatic strip (default) mode, the displayed windows are arranged so as to fill up the entire screen, the icons of minimized windows are normally not seen. They are, however, listed under the Window menu and can be reloaded from there.

Finally, the Help menu can be used to access information about the system (About DART, DART help, Tip of the Day) and it's authors (About authors). Additionally it provides a list of all keyboard shortcuts (Keyboard) and a standard Windows 'help on help' (Using help).


Toolbar

The area immediately beneath the menu bar is called the toolbar. It contains several buttons and dialog boxes that provide an easy access to the most frequently used system functions. The corresponding items (from left to right) are :

- the OPEN button (equivalent to choosing the Open file command from the File menu)

- the SYNCHRONIZE button, used to switch on/off synchronization of displayed windows (equivalent to choosing the Full/None option in the Synchronize dialog available from the Window menu)

- the LEFT button, used to switch on/off the left channel of a stereo recording

- the RIGHT button, used to switch on/off the right channel of a stereo recording

- the screen flash indicator (which is lit each time the portion of the material displayed on the screen in the active soundfile window is played back)

- the time zoom dialog (in order to change the time resolution of the plot, click the up/down arrow or type in a new value)

- the volume zoom dialog (in order to change the amplitude scale of the plot, click the up/down arrow or type in a new value)

- the REWIND button (moves the cursor backward during playback)

- the PLAY button (repeats the most recently used Play command accessible from the Play menu)

- the STOP button (stops playback and restores the initial cursor position)

- the PAUSE button (stops playback and leaves cursor in its current position)

- the FORWARD button (moves the cursor forward during playback)

- the RECORD button (equivalent to choosing the Record command from the Record menu)

- the DECLICK button (equivalent to choosing the DeClick Plus command from the Restore menu)

- the DEHISS button (equivalent to choosing the DeHiss Plus command from the Restore menu)

- the DART CD-RECORDER button (equivalent to choosing the CD-Recorder command from the Record menu)

- the AUDIO TREE button (equivalent to choosing the Open audio tree command from the File menu)

- the INFO button (equivalent to choosing the File info command from the File menu)

- the HELP button (equivalent to choosing the DART XP help command from the Help menu)


Overview

The double strip displayed immediately below the toolbar is called the overview. The overview is a graphical representation of the entire soundfile shown in an active window and displays:

the current position of the cursor (the yellow vertical line)

position of markers - if any (the green vertical lines)

position of click markers - if any (the red vertical lines)

position of a frame - if any (the dark blue frame)

the portion of the material displayed in the active soundfile window (a light blue strip appearing in the upper part of the overview)

the position of the selected block of samples - if any (a gray strip localized in the lower part of the overview)

By placing the mouse pointer anywhere on the overview strip and depressing the left mouse button you can change the position of the cursor along with the content of the active soundfile window. By positioning the cursor on the overview strip and dragging the mouse with the right mouse button held down you can mark a block of samples.


Sounfile windows

Soundfile Windows

The soundfile window displays the plot of a selected fragment of the signal with a desired time and amplitude resolution. The calibration units are shown along the left and bottom edges of the view, and can be altered by changing the time zoom and volume zoom coefficients displayed on the toolbar. The vertical and horizontal position of the signal display window can be controlled using the vertical and horizontal scrollbars, respectively. In the case of stereo soundfiles, both channels are shown on one plot unless you display one of them at a time by pressing the LEFT/RIGHT channel buttons situated on the toolbar.

The horizontal (time) axis is calibrated in hours, minutes and seconds or in samples. To select or change the calibration units, use the Time scale box in the Preferences dialog, available from the Options menu. Use the same dialog to set the default time zoom.

The small Info window appearing in the upper-right corner of the soundfile window contains information about the current position of the cursor (t), the value of the corresponding sample (S(t)) or - for a stereo recording - of a pair of samples (L(t), R(t), standing for the left and right channel, respectively), the size of the file measured in bytes (FS) and coordinates of a selected block of samples - if any (BS/BE).

If the time zoom coefficient is greater than one, S(t) is the largest value within a group of several consecutive samples (for example, when the time zoom factor is set to 100, the largest sample value in a group of 100 is displayed). In order to move the Info window, click it and drag to a new position. You can also remove the Info window by unchecking the Info command available from the Shortcut menu (appearing on the screen when you click the right mouse button).

The two buttons situated in the upper-left corner of each soundfile window are used in the course of sound renovation. The SOURCE button, which turns red when pressed, indicates a soundfile scheduled for renovation. The DESTINATION button, turning blue when activated, marks a soundfile which will contain the results of renovation (provided that the system is operated in the overwrite mode). Only one soundfile at a time can be assigned a source status, and only one - if any - can have a destination status; the source and destination soundfiles must differ.

Read the section on audio trees to find more details and hints on source/destination mechanisms provided by the system.

Creating and using audio trees


Binary Windows

Whenever you renovate an archive soundfile using DART XP, a special compressed binary detection file is created (with the same name as the renovation soundfile and extension <det>), containing information about decisions made by the outlier detector - a device used to isolate and remove impulsive disturbances due to clicks, pops and record scratches.

Detection files appear on the screen upon completion of the process of sound renovation or can be loaded (provided that they already exist) using the Open command accessible from the File menu.

For a mono soundfile, the information shown in the detection window consists of two binary signals (i.e. signals taking only two values - zero and one) which can be viewed synchronously with the restored sound waveform. The upper part of the detection window (labeled 1), is used to display detection alarms - all set bits mark samples called into question by the outlier detection routine and scheduled for reconstruction.

The lower part of the detection window (labeled 2), is reserved for large scale interventions, namely to mark large chunks of the material that ought to be replaced.

For stereo soundfiles, four binary signals are displayed - the first two (labeled 1 and 2) referring to the left channel and the remaining two (labeled 3 and 4) are associated with the right channel.

Use the boxes situated on the left side of the window to select bits for the purpose of editing (which is one the way of correcting declicking mistakes).

The green boxes placed on the right side of the detection window display the values of signal bits at the current cursor position (if the box is lit, the corresponding bit equals one).

Please read the sections on editing signals in binary windows and on perfecting the renovated sound signals, in order to get more information about the means and purposes of bit editing.

Editing a detection file

Perfecting a restored soundfile


DartWin

DART XP Interface

Starting a session with DART

Ending a session with DART

DART "Source/Destination" system

Selecting a segment of audio for editing or restoration

Modifying system settings

Hardware information

Disabled people support

Keyboard shortcuts

System files

Troubleshooting


Starting a session with DART Pro

Starting a Session with DART XP

To start a new session with DART XP, open an existing soundfile or create a new one by means of recording an audio source connected to your audio card.

Opening a soundfile

Recording a soundfile


Ending

Ending a Session with DART XP

Getting Out

You can quit DART XP in several ways:

Select the Exit command from the File menu or press ALT+X.

Select the Close command from the control menu box for the main window (situated in the top left corner of the DART XP desktop) or press ALT+F4.

Double click on the control menu box for the main window.

Saving groups of files

DART XP allows you to save any collection of open files along with a complete information about the current desktop status, including cursor and marker positions, time resolution and scale settings, synchronization details etc. Owing to this after retrieving a group of files you will find everything put in exactly the same order as at the time of saving.

In order to save a group of open files under a current group name (displayed at the top of DART XP's desktop), select Save from the Group menu. Use the Save as command from the same menu to save a group under a new name.

To retrieve a previously saved group, choose Open from the Group menu.

WARNING

The file <groupname.dgr> created or updated when you save a group is a configuration file only , i.e. it does not store information about the contents of the files comprising a group. For this reason if you delete or modify any of the files after saving a group you will not be able to retrieve a group in its original form.

Using the autosave option

If you enable the Autosave option in the Preferences dialog, available from the Options menu, the system will save - by means of creating the configuration file autogrp.dgr - the information about all files open at the time of quitting DART XP. These files will be automatically loaded when you start the system again.


DartWin

DART "Source/Destination" System

The two buttons situated in the upper-left corner of each soundfile window are used in the course of sound renovation. The SOURCE button, which turns red when pressed, indicates a soundfile scheduled for renovation. The DESTINATION button, turning blue when activated, marks a soundfile which will contain the results of processing. Only one soundfile at a time can be assigned a source status, and only one - if any - can have a destination status; the source and destination soundfiles must differ.

A very simple rule is used to decide whether the results of processing should overwrite the contents of an existing file or if an additional soundfile should be created:

If the destination soundfile is not indicated (no destination checkbox is selected), the Soundfile Manager creates a new derivative soundfile.

If the destination soundfile is marked, the Soundfile Manager simply overwrites its content (the previous results are lost in this case).

Read the section on audio trees to find more details and hints on source/destination mechanisms provided by the system.

Creating and using audio trees


Selecting a Block of Samples

There are four different ways of selecting blocks:

Click at the beginning of the block and drag the cursor to the end of the block while holding down the CTRL key.

Position the cursor at the beginning of the block and click at the end of the block while holding down the SHIFT key.

Position the cursor at the beginning of the block and use the keyboard LEFT/RIGHT ARROW keys to select the end of the block while holding down the SHIFT key. Release the SHIFT key when finished.

Position the cursor on the overview strip and drag the mouse holding down the right mouse button.

Blocks of samples are displayed on the screen in light gray. Each time you select a new block, the former one is canceled. In order to modify the size of an existing block, place the cursor over the left/right edge of the block. When the cursor turns into a two-sided arrow, drag the boundary to a new position, holding down the left mouse button (when in a soundfile/binary window) or the right mouse button (when on the overview strip).

To return to the beginning of the block, choose the Go to beginning of the block command, available from the Edit menu, or press F11. To jump to the end of the block, choose Go to end of the block or press F12.

To remove a block marking, click the left mouse button while holding down the CTRL key (when in a soundfile/binary window) or click the right mouse button (when on the overview strip).

NOTICE

As you might have noticed, if the CTRL key is not pressed, dragging the cursor will not result in selecting a block. If you don't like this arrangement, uncheck the Use CTRL to select block box in the Preferences dialog, accessible from the Options menu - at your own risk! When clicking the mouse button, one tends to drag the mouse slightly, so when the act of dragging alone becomes equivalent to selecting a block, it is easy to accidentally cancel an existing block.


Modifying System Settings

There is a number of system, audio card and color settings that can be changed according to your preferences. In order to change system or audio card settings, use the Preferences command from the Options menu. To change colors choose the Colors command from the same menu.

Program settings

Audio card settings

Color settings


System settings

Program Settings

Automatic strip (default : on)

When enabled, this option causes all open windows to be arranged in horizontal strips or - for a large number of files - in two or more columns. No matter how many windows are displayed, their size is adjusted so as to cover the entire desktop. When the automatic strip option is disabled, the standard Windows strip and tile utilities are provided.

Ignore bit settings in 'Find bits' (default : on)

DART XP allows you to find sequences of set bits in detection files. If the Ignore bit settings option is enabled all binary signals in an active binary window will be searched when you use the Find bits command from the Edit menu. In order to inspect selected signals only mark the bits you would like to check and turn the Ignore bit settings option off.

Use CTRL to select blocks (default : on)

When enabled, this option allows you to select blocks of samples by means of dragging the mouse only when the CTRL key is pressed. Even though you can turn this option off, we do not recommend it. If dragging alone becomes equivalent to selecting a block, you have to be very careful when clicking - even a slight (unintentional) movement of the mouse during clicking will result in selecting a new block and erasing the previous one.

Enable DART screen saver (default : on)

If restoration of a soundfile lasts for longer than 1 minute, the DART XP's screen saver is automatically switched on. If convenient you can block the time switch by disabling the saver.

Full path names (default : off)

Unless you work with the material distributed over different file directories, there is usually no need to show full path names of the files associated with the displayed windows. The full path names may be required to distinguish files bearing identical names stored in different directories, e.g., to differentiate between c:\music\mozart.wav and d:\recordings\mozart.wav.

Autosave (default : on)

If you enable this option the system will save - by means of creating the configuration file autogrp.dgr -the information about all files open at the time of quitting DART XP. These files will be automatically loaded when you start the system again.

Enable turbo plotting (default : off)

Working with large time zoom factors may result in very long times needed to draw or redraw signal plots, especially if the corresponding windows are synchronized. When enabled, this option will speed up plotting at a price of reduced drawing accuracy.

Time scale in seconds (default : on)

If you enable this option the horizontal (time) axis will be calibrated in hours, minutes and seconds; otherwise it will be scaled in terms of samples.

Fast format conversion (default : on)

Working in the fast conversion mode DART XP will change the format of RAW/WAV files very quickly. This may be useful for the users of some specialized audio cards that do not support the WAV format.

When performing the fast RAW to WAV conversion the system will simply change the extension of the selected RAW file to WAV and replace its first 44 bytes with an appropriate wave header. Similarly, if the WAV to RAW conversion is requested DART XP will change the file extension to RAW and set the bytes comprising a header to zero (otherwise you would hear a loud click at the beginning of the soundfile when playing it back). The only consequence of accelerating format conversion is the loss of the first 44 bytes of your original RAW data.

NOTICE

The file autogrp.dgr is a configuration file only, i.e. it does not contain information about the contents of the files comprising a group. For this reason if you delete or modify any of these files 'outside' DART XP you will not be able to retrieve a group in its original form.

Time sync (default : off)

This option allows you to time-align cursors in audio files recorded with different sampling rates. If you enable Time sync and if synchronization is switched on the cursors in all displayed windows will be automatically time-aligned. This means that if the Play local command is used the same portion of the audio material will be played back irrespective of the corresponding sampling rates. Similarly, when a block of samples is selected in an active window the appropriately scaled (contracted or extended) blocks will be marked in the remaining windows.

Prompt to register (default : on)

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you to organize and keep track of all renovation experiments involving that file. When the Prompt to register option is enabled, DART XP will remind you of registering any unregistered soundfile prior to its restoration.

On-line tuning (default : on)

Working in the on-line tuning mode DART XP will allow you to listen to the renovation results while changing various restoration settings.If your computer is too slow to perform real-time tuning switch this option off and by default all tests will be performed off-line on a selected fragment of the recording.

Peak hold in ‘Record’ (default : off)

If you enable this option, the recording level indicators corresponding to the highest level observed during a recording session will burn continuously (they can be resetted by clicking anywhere on the bar graphs).

Clipping lock in ‘Record’ (default : off)

The clipping lock allows you to check whether any clipping problems occured during recording (which is useful if you can’t watch the bar graphs all the time during recording). To reset a clipping lock, click on the corresponding indicator.

Undo buffer size (default : unlimited)

Prior to performing an editing operation, DART XP saves a copy of the section of the file that will be edited in the undo buffer. If you decide to undo the last edit, the system replaces the edited section of the file with the contents of the undo buffer - provided that the size of the buffer is sufficiently large.

If you accept the ‘unlimited’ buffer size setting, all changes introduced during the last editing operation will be reversible (provided there is enough free space on your computer).

Since working with very large buffers may slow down editing and create some memory problems, you may limit the size of the undo buffer. In cases like that we suggest you secure long audio files by using the Create undo file command from the File menu.

Default time zoom (default : View all)

When DART XP screen is empty and you open a new soundfile (starting a new project, for example) the signal is shown in the View all mode, i.e. the time resolution is adjusted so as to show the entire signal plot. Whenever convenient you can define your own default time zoom.

NOTICE

When synchronization is switched on the default time zoom will be applied to the first of the newly opened soundfiles only. You can overcome this limitation by switching off synchronization among the displayed windows. This may be particularly useful should you prefer to work with the View all resolution applied to all signal plots shown on the screen.


Audio Card Settings

Local play time (default : 1 second)

Each time you choose a Play local command (available from the Play local menu) a small portion of the sound material centered on the cursor, is played back. By changing the local play time you can adjust the length of the auditioned fragment.

Local processing time (default : 5 seconds)

Some utilities provided by DART XP, such as restoration tests, equalizer and filters, allow you to preview results prior to full-scale processing. You can use this option to change the local processing (preview) time.

Response delay (default : 400 milliseconds)

For an average person it takes approximately 400 milliseconds to react to a sound stimulus. To compensate for this ‘response’ delay drop markers are placed in a soundfile with a 400 ms time shift. If you react a bit faster or slower, type in another value in the Response delay box.

Buffers per second during play (default : 16)

The number of buffers decides upon the accuracy of cursor positioning during playback. Depending on the speed of your computer you can decrease this number (which is recommended if skipping occurs during playback) or increase it (to guarantee very 'smooth' cursor movements).

Buffers per second during record (default : 16)

The number of buffers decides upon the frequency of updating of record counters. Depending on the speed of your computer you can decrease this number (which is recommended if problems with recording occur) or increase it.

Use fake VU display (default : off)

When enabled, this option causes DART XP to check only every 128th sample for the purpose of record level/clip display. Otherwise, every single sample is checked. Using fake VU display is strongly recommended if problems with recording occur, e.g., when DART XP is run on a relatively slow machine.

Play and Show (default : on)

When the Play and show option is enabled the plot of an audio signal shown in an active soundfile window is scrolled during playback (only when the Play all or Play from the cursor commands are used). To avoid skipping during playback, the time resolution factors equal to at least 100 are recommended when the Play and Show option is switched on.


Color Settings

The Colors dialog will allow you to change color settings. To change color of a selected DART XP screen element, highlight the corresponding item on the list and press the desired color button (the results of all changes are immediately shown on the screen). Remember that the colors of some of the screen elements (title bars, scroll bars etc.) are governed by the Windows color settings and therefore should be changed outside DART XP. To accept new settings press the OK button when finished - otherwise the previous color configuration will be restored. To bring back the default DART XP color settings press the Default button.

To save color settings as a preset, press the Add button. To remove a preset or change its name, use the Remove and Rename buttons.


Keyboard shortcuts

Changing position of the cursor

LEFT/RIGHT ARROW = move cursor by one pixel to the left/right

CTRL+LEFT/RIGHT ARROW = move cursor by 10 pixels to the left/right

ALT+CTRL+LEFT/RIGHT ARROW = move cursor by 100 pixels to the left/right

G = move cursor to a new position

F11 = move cursor to the beginning of the block

F12 = move cursor to the end of the block

HOME = move cursor to the beginning of the file

END = move cursor to the end of the file

TAB = center contents of an active window around the cursor

> = move cursor to the next marker

< = move cursor to the previous marker

Changing time scale

PAGE UP/DOWN = increase/decrease the time zoom coefficient by a factor of 2

CTRL+PAGE UP/DOWN = increase/decrease the time zoom coefficient by a factor of 10

Changing the amplitude scale

UP/DOWN ARROW = increase/decrease the volume zoom by a factor of 2

CTRL+UP/DOWN ARROW = increase/decrease the volume zoom by a factor of 8

Changing offset

CTRL+HOME = restore the zero offset

Managing files

CTRL+N = New

CTRL+O = Open

CTRL+S = Save as

CTRL+R = Rename

CTRL+D = Delete

CTRL+C = Close

CTRL+I = File info

F9 = Open audio tree

E = DART-Eye

Cut and paste editing

SHIFT+DEL = Cut

CTRL+INS = Copy

SHIFT+INS = Paste insert

CTRL+V = Paste over

CTRL+B = Paste fill

Marking blocks

SHIFT+L = Select local block

Editing binary signals

CTRL+F = Find bits

F6 = Set bits mode

F7 = Clear bits mode

F8 = Normal mode

Recording a soundfile

R = Record

Playing a soundfile

A = Play all

W = Play window

B = Play block

U = Play paste buffer

C = Play from cursor

L = Play local

N = Play next local

P = Play previous local

X = Play mix

SPACE bar (when not playing) = repeat the last-used play command

SPACE bar (during playback) = stop playing and restore the initial cursor position (stop&return)

ESC (during playback) = stop playing and preserve the current cursor position (stop&stay)

Renovating a soundfile

F2 = DeClick

F3 = ReTouch

F4 = DeHiss

F5 = DeNoise

SHIFT+F5 = NoisePrint

F = restore the last-used filter or equalizer dialog

Quitting DART Pro

ALT+F4 = Close DART XP

ALT+X = Exit DART XP


Disabled

Disabled People Support

Restoration of audio files is difficult if you can't see the contents of the screen. Enclosed are some remarks and hints, which may be helpful for blind users of DART XP.

General remarks

DART-Eye

Moving around

Recording audio files

Playing audio files

List of menu items


General Remarks

1. Use CTRL+F6 to switch between different windows loaded on the screen.

2. Pressing S is equivalent to clicking the SOURCE button of an active soundfile. Pressing D is equivalent to clicking the DESTINATION button of an active soundfile. Remember that the source and destination soundfiles must differ - you will hear a 'chord' sound each time you attempt to violate this rule.

3.You can use TAB to browse through the menu and dialog items. Remember, however, that some of the buttons inside dialogs may be active or inactive depending on the context. In such cases, using the keyboard shortcuts (see below) will be more convenient. When inside the DART XP dialogs, most of the time you can use the single-letter shortcuts instead of the composite ones, e.g., X instead of ALT+X. Be aware, however, that on some occasions this won't work (for example, if you happen to be inside an edit box or a combo box).

4.Use SPACE bar or an appropriate keyboard shortcut to press the selected button.

5.There are ten different thumb positions in each slider range (very small, small, normal etc.) - five to the right and four to the left of the nominal position (if you proceed further you will enter a new range). To have a full control over a slider do the following:

1)Select the tuning parameter.

2)Press TAB to get to the corresponding choice list (combo box) and use ARROWS or keyboard shortcuts to select the appropriate range.

3)Press TAB to get to the slider thumb and use ARROWS for fine-tuning of the thumb position.

6.The following notation will be used to describe the keyboard shortcuts:

1)X = press X

2)[X] = press X after getting into the appropriate menu

3)X+Y = press simultaneously X and Y

4)(X+Y)+[Z] = press simultaneously X and Y, then Z

5)((X+Y)+[Z])+[V] = press simultaneously X and Y, then Z, then V

Etc.


DART-Eye

The DART-Eye dialog appears in the middle of the screen after you press the E key (provided that no other dialog is open) and contains a textbox with information about an active soundfile. If you define the "hyper-window" of your talking program so that it coincides with the DART-Eye's textbox you will be able to find out the relevant details of a selected file. The contents of the textbox depend on the question you pose by pressing an appropriate key, e.g., to check the name of an active file press F, to learn about the current cursor position press C etc. - the list of available questions is given below:

A = All files (a list of all opened files)

F = File (sound file / binary file, filename)

L = File length (number of samples and time)

C = Cursor position (sample number and time, relative position, sample value)

R = Time resolution (number of samples per one screen pixel)

T = File type (mono/stereo, sampling frequency, sampling resolution)

S = Source status (active/inactive or 'none')

D = Destination status (active/inactive or 'none')

B = Beginning of the block (sample number and time or 'none')

E = End of the block (sample number and time or 'none')

P = Processing details (processing tool, processing parameters etc.) - for registered soundfiles only

Nine elementary messages (containing numbers only) are also available upon request:

1 = cursor position in samples

2 = cursor position in seconds

3 = relative cursor position

4 = sample value

5 = screen resolution

6 = beginning of the block in samples

7 = beginning of the block in seconds

8 = end of the block in samples

9 = end of the block in seconds

In order to close the DART-Eye dialog press the ESC key.

NOTICE

For your convenience, each time you call DART-Eye the last-checked message is automatically displayed.


Moving Around

Using keyboard arrows

The most straightforward way of changing position of the cursor within the soundfile is by using the keyboard arrows:

LEFT/RIGHT ARROW moves the cursor by one pixel to the left/right

CTRL+LEFT/RIGHT ARROW moves the cursor by 10 pixels to the left/right

ALT+CTRL+LEFT/RIGHT ARROW moves the cursor by 100 pixels to the left/right

The length of the time step associated with cursor movements depends on the time resolution. Suppose, for example, that the resolution coefficient is set to 1000 for a 22.050 kHz recording. Since, in this resolution, one screen pixel represents 1000 consecutive samples, moving the cursor by one pixel (ARROW) you change the time coordinate by approximately 45 milliseconds, moving it by ten pixels (CTRL+ARROW) you change the coordinate by 0.45 seconds and, finally, advancing one hundred pixels (ALT+CTRL+ARROW) you cover a distance of 4.5 seconds. To set the resolution coefficient use the PAGE UP/DOWN keys:

PAGE UP/DOWN increases/decreases the resolution coefficient by a factor of 2

CTRL+PAGE UP/DOWN increases/decreases the resolution coefficient by a factor of 10

Using 'Go to' commands

Use these commands to move the cursor to specific locations.

If you want to jump to a prescribed position press G (Go to new position) and type in a new cursor coordinate: sample number (if the time axis is calibrated in samples) or time (if the axis is calibrated in units of time). In order to change the method of calibration check or uncheck the Time scale in seconds box in the Preferences dialog.

Time can be specified in two different ways - giving the number of hours, minutes and seconds separated by colons (a digital clock notation) or seconds only. This means you can write either 1:06:40.25 or 4000.25, whichever is more convenient - DART XP will accept both notations.

Apart from fixing an absolute position of the cursor, you can set its relative position within the soundfile, i.e. position expressed as a percentage of the overall file length. To achieve this, enter a positive number smaller than 100.0 and follow it with the percent sign, e.g. write 27.5%. Relative positioning can be used in a very similar way as clicking on the overview strip; it works irrespective of the adopted method of axis calibration.

In order to set the cursor at the beginning of the distinguished area (block), press F11; to move it to the end of the block, press F12. To move cursor to a given marker or click marker, choose Go to new position and type in ‘m’ followed by the marker label, e.g., ‘m1’ will move the cursor to the marker labeled 1 and ‘mb’ will move it to the click marker labeled B. To move cursor to the next or previous marker, press the > or < key..

Press HOME to move the cursor to the beginning of the soundfile and END to jump at its end.

Using 'Play' commands

You can use play commands to localize certain fragments of a recording

Coarse positioning

Press A (Play all) to audition the entire recording. When the fragment you would like to spot is played back press the ESC key - the playback will be terminated and the cursor will remain in its current position (stop&stay). For long files try using Play from the cursor (C) instead of Play all.

Use the step play commands - Play local (L), Play next local (N) and Play previous local (P) - to systematically comb the audio file in the area of interest. The length of the fragment (centered around the cursor), which is played back when using the local play commands, can be adjusted via the Preferences dialog.

Fine-tuning

Suppose the fragment you are trying to isolate is contained in the local area traversed by the Play local command. Press SHIFT+L (Select local block) to distinguish (highlight) this area. From this point on you can use the Play block (B) command to precisely localize the searched material. To adjust position of block boundaries proceed as follows:

1. Press F11/F12 to position the cursor at the beginning/end of the block.

2. Use PAGE UP/DOWN keys to adjust the length of the time step associated with cursor movements.

3. While depressing the SHIFT key, use keyboard arrows to move the corresponding block boundary leftward or rightward.

4. Press B (Play block) to audition the modified block. If not satisfied return to step 1 above.


Recording

Recording Audio Files

In order to create a new recording, press the keyboard R key. After typing in the name of the recording (the wav extesion is automatically generated by DART XP) and pressing ENTER you will enter the Record dialog.

Set the record mode (number of channels, sampling frequency, sampling resolution), rewind your source, press the RECORD button, and start the audio device. The focus will be automatically moved to the STOP button so all you have to do to stop recording is press the SPACE bar.

Using the PLAY, FAST FORWARD and FAST REVERSE buttons, you can listen to the recorded material or its fragments prior to closing the Record dialog. When you press the CLOSE (ESC) button, the Record dialog will disappear and the system will ask you whether you wish to register a new recording (you may say 'no' but your life will be much easier if you register). Finally, the recorded soundfile will be loaded on the screen.

NOTICE

If desired you can terminate recording by pressing the CLOSE (ESC) button only (which is equivalent to pressing STOP and then CLOSE).


Playing options

Playing Audio Files

You can play an entire recording by using Play all (A) or the part: contained in the displayed window - using Play window (W), or in a selected block - using Play block (B).

If you choose the Play local (L) command, a small piece of the sound material, centered around the cursor, will be played back (to change the length of this fragment adjust the Local play time in the Preferences dialog available from the Options menu). Use the Play next local (N) and Play previous local (P) to listen to the next and previous local fragments. This option will allow you to systematically comb an archive soundfile for disturbances.

If you choose Play from the cursor (C), audition will be started from the current cursor position.

The Play mix (X) command is used to switch between the two soundfiles played back simultaneously. In order to use this option mark one of the files as a source soundfile and the other one as a destination soundfile. After activating Play mix the system will switch between the two indicated soundfiles each time you press the TAB key. The playback is always started from the source soundfile (from the current cursor position) and terminated when the end of the shorter of two files is reached. The switched-mode playing is a very convenient for comparing the results of restoration with the original recording.

The Play paste buffer (U) command can be used to play the contents of the paste buffer (provided the buffer is not empty).

In all cases listed above, pressing the SPACE bar or depressing the left mouse button while the soundfile is played stops playback and restores the initial cursor position (stop&return). When the ESC key or the right mouse button is pressed the cursor stays in its current position (stop&stay). If you do not want to change the previously chosen playing option, the quickest way to play is to press the SPACE bar (which simply repeats the last used play command).

When the Loop option is switched on, the playback is continuously repeated unless terminated by the user.

NOTICE

If you listen to the soundfile using the Play window or Play block commands, make sure that the selected material is long enough - your audio card will fail to reproduce sounds that are too short, e.g., are a fraction of a second in duration.


Menu items

List of Menu Items

Enclosed is a list of DART XP menus along with the corresponding keyboard shortcuts. To get information about commands available from each menu click the corresponding item.

File - ALT+F

Edit - ALT+E

Group - ALT+G

Play - ALT+P

Record - ALT+C

Toolbox - ALT+T

Restore - ALT+R

Options - ALT+O

Window - ALT+W

Help - ALT+H


Hardware

Hardware Information

Some computers are equipped with more than one wave device. In order to check which audio device is currently used for playing back and recording and/or to select the preferred device use the Hardware info dialog available after choosing the Hardware command from the Options menu.

Use the same dialog to check the available memory resources: the space on the hard disk you are currently working on and the total amount of memory seen by Windows (including the virtual memory).


System Files

Following is the list of auxiliary files installed/created by DART XP to support certain system functions. If these files are deleted or corrupted outside DART XP (intentionally or by mistake) certain pieces of information will be lost and/or the system will behave differently than described.

dartwin.hlp

directory : DART XP home directory

content : DART XP help topics and context help; when this file is missing the help items are not available (to restore it install DART XP again).

dartwin.stp

directory : DART XP home directory

content : system settings as fixed in the Preferences dialog available from the Options menu; this file is updated each time you save system settings.

autogrp.dgr

directory : DART XP home directory

content : details of a group of files (names, source/destination assignment, synchronization details, cursor, marker and frame positions, time resolution and scale settings etc) open at the time of quitting DART XP; if the Autosave option is switched on (c.f. the Preferences dialog available from the Options menu) the files comprising the last-used group are automatically loaded when you restart the system.

dartwin.eql

directory : DART XP home directory

content : nine fabric equalization presets and up to thirty user-defined presets; when this file is missing all equalization presets are lost (to restore fabric presets install DART XP again).

dartwin.rev

directory : DART XP home directory

content : nine fabric reverb presets and up to thirty user-defined presets; when this file is missing all reverb presets are lost (to restore fabric presets install DART XP again).

dartwin.fbd

directory : DART XP home directory

content : structure and presets of user-defined complex restoration filters.

dartwin.pat

directory : DART XP home directory

content : up to sixteen signal and/or noise patterns saved using the Find pattern dialog.

dartwin.svs

directory : DART XP home directory

content : Spectral view settings.

dartwin.npl

directory : DART XP home directory

content : information about noiseprints (including half a second noise samples for listening tests).

number.npt

directory : DART XP home directory

content : noiseprints exported/imported from the DART XP noiseprint archive.

groupname.dgr

directory : working directory

content : details of a group of open files (names, source/destination assignment, synchronization details, cursor, marker and frame positions, time resolution and scale settings etc).

listname.wmn

directory : working directory

content : information about files comprising a playlist (created by DART CD-Recorder).

filename.inf

directory : working directory

content : information about a registered soundfile (source, generation information, processing details, statistical data, comments); if , due to accidental deleting, one or more such files are missing DART XP may behave in a 'strange' manner, e.g., the Soundfile Manager may inform you that the impaired soundfiles do not belong to a given audio tree. Should anything like this happen, simply open the corresponding Audio tree dialog and close it again. When opening an audio tree DART XP checks it for completeness and, if necessary, generates the missing <*.inf> files (information contained in the original files is not restored).

rootname.sfm

directory : working directory

content : information about a structure of an audio tree; accidental erasing of this file may cause a lot of confusion as DART XP will regard the root and all derivative soundfiles as unregistered files (even if their names suggest something different). Since information about the original tree structure (the list of parent-child relationships) is destroyed along with <*.sfm> all processing details will be lost or not available - even if the corresponding <*.inf> files still exist. If you want to establish a new audio tree with the same root proceed as follows: 1) delete all files comprising a corrupted audio tree (<*.wav>, <*.det>, <*.inf>) except the root soundfile 2) register the root soundfile again.


Troubleshooting

Problems with recording or playing

'Strange' system behavior


Problem1

Problems with Recording or Playing

If problems with recording or playing occur, check whether disk caching is enabled (you should be able to find the corresponding options in the Control Panel/System/Performance/File System dialog box).

If problems persist, read the explanations given below carefully and try out the rescue devices.

First, check if recording/playing problems are specific to DART XP. If other software packages (e.g., applications that came with your sound card) do not work either, your computer may be simply too slow for audio applications. If problems occur only when handling very long audio files, try the Disk defragmenter application in the Programs/Accessories/System tools folder of the Start menu - some of your sound files may be stored in too many small pieces scattered all over the hard disk surface which puts an unnecessary stress on the playing device.

If the other record/play software packages work properly do not panic! In order to provide nonstandard features, like the ability to separately play two channels of a stereo recording, or to detect signal clipping during recording, the recording/playing routines provided in DART XP were programmed using low-level instructions, i.e. they refer to some low-level Windows specifications. Generally, DART XP may fail to record/play correctly for two different reasons:

Case 1 (more likely)

The extra record/play overhead DART XP has compared to other programs is causing your machine to choke, especially under extreme conditions (the highest sampling frequency, very long audio files). This is good news for you as you should be able to remove the cause of the problem by changing the audio card settings as described below:

Symptom: problems occur during recording (the system locks, messages about general protection faults appear on the screen, etc.)

Remedy 1: check the Use fake VU display box in the Preferences dialog available from the Options menu

Explanation: by default DART XP checks every signal sample during recording to provide an accurate level/clip display (VU bars shown in the Record dialog). Some audio cards issue the record overflow messages used by the related software. Since such messages are not standard we cannot rely upon them. When the Use fake VU display box is checked only one in 128 samples is examined which significantly decreases the computational overhead during recording.

Remedy 2: decrease the number of record status updates per second using the Preferences dialog accessible from the Options menu.

Explanation: the default number of counter updates during one second equals 6. If you decrease this number the time/volume displays will be updated less frequently preventing the system from locking.

Symptom: problems occur during playback (longer files are played with skips and pauses)

Remedy : decrease the number of cursor position updates per second (Buffers per second during play) using the Preferences dialog accessible from the Options menu.

Explanation: the default number of cursor position updates during one second of playback equals 16. Reducing this number you will decrease the computational overhead during playback at the expense of accuracy of cursor imaging. For small number of buffers the cursor will be skipping along the overview strip rather than sliding smoothly. Of course, if your machine is fast enough you can also increase the number of buffers above 16, allowing for more accurate cursor positioning.

Case 2 (less likely)

If changing the sound card settings does not solve the problem it may be that the card your computer is equipped with is not fully Windows compatible, i.e. does not comply with the low-level Windows specifications. Note: the applications, which communicate with your audio card at a higher level and/or refer to some of its nonstandard features, may work fine. This is of course bad news for you. It means you have the plug, which does not fit the standard socket we provide.


Problem2

'Strange' System Behavior

Should DART XP start to behave in a strange manner, i.e. apparently different than described in the manual, chances are that the configuration files were corrupted outside the system, e.g. due to a Windows crash. Therefore, if anything like this happens, try the rescue procedure described below before you shoot DART XP authors:

1. Quit DART XP.

2. Using DOS or Windows tools delete the files autogrp.dgr and dartwin.stp from the DART XP home directory.

3. Start DART XP again.

If problems persist (magic spells sometimes don't work) please contact your DART XP distributor.

See also System files


DartWin

Managing Files

Opening a soundfile

Getting information about a soundfile

Saving and retrieving files

Format conversion

Handling files

Handling groups of files

Creating and using audio trees

Window management


Opening a Soundfile

DART XP allows you to view, play and process uncompressed audio signals put in a standard Windows format called WAVE. Each wave file <*.wav> consists of a header, containing basic information about the recording (sampling rate, sampling resolution, number of channels etc.), followed by an unformatted string of bytes (for 8-bit sampling) or words (for 16-bit sampling) representing the values of consecutive signal samples. If a soundfile you wish to open is not a wave file the system will inform you of not being able to find the wave header.

In order to convert the raw PCM soundfile (i.e. a wave file deprived of its header) into a WAV file use the RAW to WAV command available from the File menu.

When renovating soundfiles, DART XP creates special compressed detection files <*.det> which contain information about all system and/or operator interventions. Detection files can be opened and viewed in pretty much the same way as soundfiles.

In addition to dealing with individual files, DART XP can handle groups of files (any set of sound and detection files forming a certain project) and audio trees (a set of soundfiles obtained by renovating the same archive recording).

Opening files

Opening a group of files

Opening an audio tree


Getinfo

Getting Information about a Soundfile

To obtain information about an active soundfile choose the File info command from the File menu, or click the INFO button situated on the toolbar.

The contents of the information window depends on the type of a soundfile

The basic set of details, displayed for all WAVE files, includes the number of channels (mono/stereo), sampling rate, sampling resolution, the length measured in bytes and playing time in seconds.

When a file is registered as a root soundfile (use the Register button situated inside the File info dialog for this purpose) you have a chance of typing in some more details (recording source, sound card, contents of a soundfile) and comments which will be displayed in the information window.

Registering a soundfile

Managing registered soundfiles

The DART XP librarian called the Soundfile Manager supervises all restoration experiments, which involve root soundfiles as well as files derived from root files called derivative soundfiles. In particular, the Soundfile Manager adds to information windows of all renovated soundfiles 'birth certificates', containing generation information (the name of the source soundfile), processing details (processing tool, the values of processing parameters), information about the processing mode (music/music&speech), and some statistical data (total number of interventions, processing time / real time ratio).

Audio tree


Managing Unregistered Soundfiles

The system uses default names renov.wav and renov.det for the renovated soundfile and detection file, respectively. You can change these names after clicking the Change button situated inside the renovation dialogs. Be aware that if you do not change the previously used names to the new ones the content of the corresponding files will be overwritten.


Registering a Soundfile

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you to organize and keep track of all renovation experiments involving that file. Soundfile Manager creates and updates special database files <rootname.sfm> which contain information about all files derived from a given root file and form a 'family tree' called an audio tree. By evoking an audio tree, you can easily review and listen to the results obtained for a particular root soundfile - see Using audio trees .

In order to convert any soundfile into a root file:

1. Make the corresponding soundfile window active.

2. Choose the Register command from the File menu or press the INFO button situated on the toolbar and click the Register button placed in the File info dialog.

3. Decide whether you want the system to copy the contents of the registered soundfile to a new file (Copy) or just to rename the original file (Rename) - the second option is recommended for long audio files and/or when you run into storage problems.

Since the names of root files must have a standard form <rootname00.wav> where <rootname> is any name, you will be asked to:

4. Accept the name as suggested by the Soundfile Manager or specify a new name.

An extended DART XP information window will be displayed allowing you to

5. Type in some further details (recording source, sound card) and comments.

From this point on, complete DART XP information will be displayed each time you ask for it, by clicking the INFO button placed on the toolbar (the displayed information will always concern the content of an active soundfile window).

NOTICE

Pressing ENTER will not change the line in the 'Comments' textbox of the information window - you have to use CTRL+ENTER instead.

WARNING

If you change a soundfile's name to <rootname00.wav> outside the Soundfile Manager, the database file <rootname.sfm> will not be created, i.e. the corresponding soundfile will remain unregistered.


Managing Registered Soundfiles

The Soundfile Manager supervises all restoration experiments (declicking, denoising, dehissing, dehuming, fading in/out, filtering, equalizing) which involve root soundfiles as well as files derived from root files called derivative soundfiles.

The names of derivative soundfiles are automatically generated and have the form <rootname[xy].wav>, where [xy] is a non-zero two-digit serial number assigned by the system. More importantly, the Soundfile Manager attaches to all renovated soundfiles 'birth certificates' containing generation information (the name of the source soundfile), information about processing details (processing tool, mode and range of processing, processing parameters) and some statistical data (total number of interventions, processing time / real time ratio). This information is displayed each time you click the INFO button for an active derivative soundfile.

A very simple rule is used to decide if the renovated signal should overwrite the content of an existing file or whether an additional derivative soundfile should be created:

If the destination soundfile is not indicated (no destination checkbox is selected), the Soundfile Manager creates a new derivative soundfile.

If the destination soundfile is marked, the Soundfile Manager simply overwrites its content (the previous results are lost in this case).

NOTICE

The system will refuse to overwrite a selected destination soundfile if its 'parent' soundfile differs from the current source file (e.g. if the destination soundfile belongs to a different family than the source file, i.e. rootnames do not match). This restriction is needed to guarantee consistency of the root-oriented soundfile database.


Audio tree

Using Audio Trees

The audio tree is a family tree of a given root soundfile (i.e. the set of all soundfiles obtained by renovating the same archive recording). It allows you to review and compare different variants of processing in an easy and efficient manner. Audio trees are generated automatically when registered soundfiles are processed using DART renovation tools.

Registering a soundfile

Managing registered soundfiles

In order to display an audio tree

Choose the Open audio tree option from the File menu and select the appropriate <*.sfm> database file

or

Press the AUDIO TREE button situated on the toolbar and proceed as above.

Then

Press the ENTER key or click on the OK button.

A typical audio tree is shown below:

It consists of the root soundfile mozart00.wav and four derivative soundfiles - two obtained directly from the root file (mozart01.wav, mozart04.wav) and two other ones obtained by means of further processing the file mozart01.wav (mozart02.wav, mozart03.wav).

The 'tick' mark shown on the left hand side of the soundfile mozart04.wav indicates that this file is already opened, and the 'smile' sign displayed on the right side of mozart03.wav means that the corresponding results were considered satisfactory.

After selecting any soundfile from an audio tree (click on the corresponding line so that it becomes highlighted), you can play it (click on the PLAY button located inside the Audio tree dialog), get information about it (click on the INFO button), open it (click on the OPEN button) or delete it (click on the DELETE button).

If you are satisfied with the results of renovation, you can notate the corresponding soundfile(s) using the 'smile' sign. The number of smile distinctions awarded to one soundfile can range from zero (no distinction) to three (a really BIG smile) and changes cyclically while you keep pressing the SMILE button.

When you conclude your work with an audio tree, you can close the dialog or minimize it. In the second case, the updated version of the minimized audio tree will be brought back each time you choose the Open audio tree command from the File menu, or click on the AUDIO TREE button situated on the toolbar. This is especially convenient when comparing current results with the already existing ones. You will not be able to open a new audio tree unless you close the previous one (use the CLOSE button for this purpose).

NOTICE

The names of deleted soundfiles are removed from the audio tree only if such files do not have successors - otherwise they are marked with the letter (D) and displayed. When the name of a soundfile is marked for deletion from the audio tree, information about its content is kept by the system and can be shown upon request. Quite obviously, however, deleted soundfiles cannot be played.

Audio tree buttons

- plays a soundfile

- provides information about a soundfile

- opens a soundfile

- deletes a soundfile

- distinguishes a soundfile


Saving results

Saving and Retrieving Files

DART XP allows you to save both individual files and groups of files, e.g., all files forming a certain project. An alternative way of securing important results is by creating undo (backup) files.

Saving individual files

To save the contents of an active window under a new name use the Save as command from the File menu.

Saving groups of files

DART XP allows you to save any collection of open files along with a complete information about the current desktop status including cursor, marker and frame positions, resolution and scale settings, synchronization details etc. Owing to this, after retrieving a group of files, you will find everything in exactly the same order as it was at the time of saving.

In order to save a group of open files under a current group name (displayed at the top of DART XP's desktop) select Save from the Group menu; use the Save as command from the same menu to save a group under a new name.

To retrieve a previously saved group choose Open from the Group menu.

WARNING

The file <groupname.dgr> created or updated when you save a group is a configuration file only, i.e.it does not store information about the contents of the files comprising a group. For this reason, if you delete or modify any of the files after saving a group, you will not be able to retrieve the group in its original form.

Creating undo files

You can save the current contents of an opened (active) file in an undo file. When you choose Create undo file from the File menu, DART XP creates a backup file <filename.und> which can be regained by means of using the Open undo file command (after choosing this command the contents of an active file are replaced with the contents of the corresponding undo file).

Undoing Local Changes

To undo the last local change made to a soundfile or a detection file (introduced by choosing items from the Edit or Toolbox menu) use the Undo last edit command from the Edit menu. By local changes we mean those confined to a limited-size area, not larger than a declared size of the undo buffer. The size of the undo buffer can be modified using the Preferences dialog available from the Options menu. If you accept the default ‘unlimited’ buffer size setting, all changes introduced during the last editing operation will be reversible (provided there is enough free space on your computer).


Managing files

Handling Files

The File menu contains several items for handling files

New

When you choose this option a new (empty) file is created.

Open

This option can be used to open an existing file (a soundfile or a detection file). The file select dialog, shown after choosing the Open command, allows you to inspect a list of available files, audition a soundfile prior to loading it (Play) and get basic information about a soundfile (Info). Additionally, it provides means for deleting files (Delete).

When convenient you can open or delete several files at once.

Save as

You can use this item to make a copy of the soundfile in the active window. A file select dialog will allow you to choose a name under which the soundfile will be saved.

Rename

You can use this item to rename a file.

Delete

This item can be used to delete any file from the disk. For your convenience, each time a soundfile <*.wav> is deleted the corresponding detection file <*.det> (if any) is also removed.

Close

Use this option to close open files. When a file is closed the corresponding window is removed from the DART XP's clipboard.


Handling Groups of Files

At any time, any given collection of opened files can be saved as a group of files. When saving such a group, DART XP creates a configuration file <groupname.dgr> which contains information about the current system status including the list of opened files, the source/destination assignment, synchronization details, cursor, marker and frame positions, time resolution and scale settings etc. Because of this, whenever you open an existing group, you will find everything in exactly the same order as at the time of saving. You might find group saving/opening facilities particularly useful when working on complex projects requiring long and multistage processing.

The Group menu contains several items for handling groups of files.

New - this command saves and closes the currently open group of files and creates a new (empty) one with a default name NoName.dgr. You can use New to clear the entire DART XP's desktop without the need to close open windows one by one. Using New has the same effects as quitting DART XP and starting it again, except that all current system settings are preserved (i.e. they are not changed to the default ones).

Open - this command saves and closes the currently open group of files (if any) and opens a new (existing) group.

Save - use this command to save a group of open files under a current group name.

Save as - use this command to save a group of open files under a new group name.

WARNING

The file. <groupname.dgr> is a configuration file only, i.e. it does not store information about the contents of the files comprising a group. For this reason, if you delete or modify any of the files after saving a group, you will not be able to retrieve a group in its original form.


Format Conversion

The uncompressed and unformatted string of bytes (for 8-bit sampling) or words (for 16-bit sampling), representing the values of consecutive signal samples, is usually referred to as the raw PCM audio file. When augmented with a header, containing basic information about the recording (sampling rate, sampling resolution, number of channels, number of samples) RAW files become WAV files (WAV stands for a standard Windows format called WAVE). DART XP allows you to convert RAW audio files into WAV files and vice versa.

RAW to WAV

input file : *.raw

output file : *.wav (default)

processing mode : global

In order to change a raw PCM soundfile into a wave file, choose the RAW to WAV command from the File menu. A dialog will appear allowing you to select recording details such as the sampling rate, sampling resolution and number of channels. If you import a raw soundfile from an unknown source you may need to experiment with record settings in order to find the appropriate ones - to audition results press the Preview button.

WAV to RAW

input file : source soundfile (*.wav )

output file : *.raw (default)

processing mode : global

Conversion of WAV soundfiles into RAW files is much easier and amounts to removing the file header.

The WAV to RAW option, available from the File menu, is used for this purpose.

Fast format conversion

If the files you want to convert from one format to another are very large (think of one hour of recording, for example) the processing times may be excessive, and in fact unnecessarily, long. You should be aware that all the system is doing after adding the header to the input file (RAW to WAV) or depriving it of the header (WAV to RAW), is copying its content to the output file. If you are ready to sacrifice the first 44 bytes of your original raw data (the loss is comparable to loosing a single hair - provided you are not completely bald ...), check the Fast format conversion box in the Preferences dialog available from the Options menu. Working in the fast conversion mode, DART XP will do the job almost immediately. When performing the RAW to WAV conversion the system will simply change the extension of the selected RAW file to WAV and replace its first 44 bytes with a wave header. Similarly, if the WAV to RAW conversion is requested, DART XP will change the file extension to RAW and set the bytes comprising a header to zero (otherwise you would hear a loud click at the beginning of the soundfile when playing it back).

NOTICE

The system does not support raw PCM files. For this reason, if you perform the fast WAV to RAW conversion, the original wave file will vanish from the screen. If the converted soundfile is registered it will be also removed from the corresponding audio tree.


Window Management

Display mode

The way DART XP's soundfile and binary windows are shown on the screen can be controlled using commands from the Window menu.

Unless specified differently by the user, all windows are displayed in a default strip mode, i.e. they are put in horizontal strips, one below the other. Strip mode can be set any time, by choosing the Strip command accessible from the Window menu.

If the number of open windows equals at least four, you can arrange them in two or more columns by choosing the Tile command from the Window menu. As the number of open windows increases, the strip mode is automatically switched to the tile mode if, due to the height limitation, the windows cannot be put in strips. Finally, if you choose the Cascade command from the Window menu, DART XP's windows will be put in an overlapping, diagonally arranged cascade.

Ordering

Regardless of the display mode, windows appear on the screen in alphabetical order (from top-left to bottom-right) in two groups, consisting of soundfile windows and binary windows.

Titles

Unless you work with the material distributed over different file directories, there is no need to show full path names of the files associated with the displayed windows. For this reason, if the default DART XP setup is used, only the filenames appear on the title bars of the corresponding windows. If you don't like this arrangement, check the Full path names box in the Preferences dialog accessible from the Options menu.

NOTICE

The full path names may be required to distinguish files bearing identical names stored in different directories, e.g., to differentiate between c:\music\mozart.wav and d:\recordings\mozart.wav.

Active Window

The active window (the one with the highlighted title bar) is connected to DART XP menus, toolbar and overview. Most of the operations deal with the contents of the active window. In order to make a window active, click anywhere within its area. If you don't want to change the cursor position while activating the window, click outside the plot area.

Maximizing and Minimizing Windows

Each of the displayed windows can be maximized, i.e. expanded to the entire desktop by pressing the MAXIMIZE button (with a single box), situated in the upper right corner of the window. Use the RESTORE button (the one with double box) placed in the upper right corner of the main DART XP window, to reduce the maximized window to the normal size.

Using the MINIMIZE button (with a horizontal bar) placed also in the upper right corner of each window you can minimize selected windows making more room for displaying the remaining ones. Minimized windows are replaced with the corresponding icons.

DART XP automatically adjusts the size of all windows displayed in the strip or tile modes in such a way that the entire available screen area is covered. For this reason, icons of the minimized windows do not appear on the screen (they are hidden under the displayed windows) unless the display mode is changed to cascade. However, there is no need to switch to the cascade mode in order to restore minimized windows. All windows which are currently open (including the minimized ones) are listed in the Window menu - if you click on the title of the minimized window it will be brought back.

Synchronizing windows

In order to analyze and efficiently compare different versions of the same sound material, you can synchronize the displayed windows. The full synchronization (provided by default when you start a new session with DART XP) guarantees that all changes in display features made in the active soundfile window (position of the cursor, time zoom, volume zoom, offset, left/right channel selection, marker and block locations, info) will be automatically extended to other windows shown on the screen.

If you want to select custom features to be synchronized, or to disable synchronization, choose the appropriate option using the Synchronization dialog box accessible from the Window menu.

You can switch the synchronization on (Full) or off (None) by pressing the SYNCHRONIZE button situated on the toolbar. However, the Synchronization dialog allowing you to select custom features due to be synchronized (Custom) is available only from the Window menu.


Recording a Soundfile

DART XP allows you to record any audio source connected to your computers sound card.

Some computers are equipped with more than one wave device. In order to check which audio card is currently being used for recording and/or to select the preferred device use the Hardware info dialog available after choosing the Hardware command from the Options menu.

In order to create a new recording:

1. Choose the Record command available from the Record menu, or click the RECORD button situated on the toolbar, or press R.

2. Select the name for the new recording, or pick one of the existing names and click the Overwrite button.

3. Set the record mode (number of channels, sampling frequency, sampling resolution).

4. Click the PAUSE button to initialize the volume meter(s). Start the audio device you wish to record from, and adjust the output level while monitoring the level display.

5. Rewind or go to the beginning of your source, press the RECORD button, and start the audio device. The available disk space and the current length of the recorded material (both in bytes and seconds) are displayed in the lower part of the Record dialog.

6. When the recording is complete, click the STOP button or press ENTER.

When you press the CLOSE button, the Record dialog will disappear and the recorded soundfile will be loaded on the screen.

Using the PLAY, FAST FORWARD, and FAST REVERSE buttons, you can audition the recorded material or its fragments prior to closing the Record dialog. You can also add some new material at the end of an existing recording or modify its content.

Setting the record mode

Choosing the record level

Using control buttons

Modifying an existing recording

Troubleshooting


Setting the Record Mode

Before you start recording you can select the appropriate record mode by setting three record parameters:

Number of channels

You can record in mono or stereo (provided that your sound hardware has that capability).

Sampling rate

You can choose from three standard sampling rates (11.025 kHz, 22.050 kHz and 44.100 kHz) which are provided by most sound cards currently available. You can also set any nonstandard rate supported by your audio card.

Remember that even if the lower sampling rate (11.025 kHz) is acceptable for recording speech signals, it is inappropriate for most music recordings. On the other hand, the upper rate (44.100 kHz), providing the CD-quality sound reproduction, is usually too high for the purpose of restoration of old recordings as fast sampling tends to re-emphasize the noise. For this reason the default value of the sampling rate was set to 22.050 kHz.

NOTICE

DART XP offers you an extremely fast, high-quality resampling utility (available after choosing the Resample command from the Toolbox menu). You may, therefore, consider recording and restoring an audio signal at a lower rate and then upsampling it (there are several advantages of doing this - see Resample ).

Sampling resolution

You can choose whether individual samples are stored in a single byte (8 bits) or an entire word (16 bits) of computer memory. In order to guarantee good quality of the reproduced sound you should always use the 16-bit resolution.

NOTICE

The system will not allow you to change the above settings once the process of recording is started. If you are recording new material in an existing soundfile, all settings have to remain unchanged.


Choosing the Record Level

The bar graphs displayed on the right side of the Record dialog show the instantaneous peak levels of the input signal (expressed in logarithmic units called decibels). While the volume meters are running (they can be activated by pressing the PAUSE button prior to recording), you can adjust the record level of the audio card either directly (manually) or using the appropriate Windows tools supplied by the manufacturer.

If you enable the record level peak hold function by checking the Peak hold in ‘Record’ checkbox in the Preferences dialog, available from the Options menu, the indicators corresponding to the highest level observed during a recording session will burn continuously (they can be reseted by clicking anywhere on the bar graphs).

The red indicators placed at the top of each bar graph, light up each time the input signal is clipped. Clipping occurs when the input level is too high. Since clipping results in audible signal distortions it should be avoided. Setting record levels too low is also disadvantageous, as it tends to decrease the signal-to-noise ratio.

For your convenience the clipping lock function is provided - to enable it check the Clipping lock in ‘Record’ box in the Preferences dialog available from the Options menu. The clipping lock allows you to check whether any clipping problems occurred during recording (which is useful if you can’t watch the bar graphs all the time during recording). To reset a clipping, lock click on the corresponding indicator.


Using Control Buttons

The control buttons, placed at the bottom of the Record dialog work the same as similar buttons in an analog tape deck:

- PLAY button: when pressed plays back the recorded soundfile starting from the position indicated by the time counter. The number of the counter increases as the soundfile is played.

- RECORD button: when pressed, records in a soundfile starting from the position indicated by time counter. Note that recording starts as soon as the RECORD button is pressed, i.e. there is no need to additionally press PLAY (which is typical of analog tape decks).

If recording is in progress, the red indicator placed on the RECORD button burns continuously. When recording is paused, the light blinks.

- PAUSE button: when pressed prior to recording or playing, it activates the volume meters. When pressed during playback or recording, it suspends the corresponding action (the suspended activity is resumed once the PAUSE button is pressed again).

- STOP button: when pressed, stops the current activity.

- FAST FORWARD (or CUE) button: can be used to increase the value of the time counter. In order to instantly jump to the end of the recording, click on this button while holding down the CTRL key.

- FAST REVERSE (or REWIND) button: can be used to decrease the value of the time counter. In order to instantly jump to the beginning of the recording, click on this button while holding down the CTRL key.

NOTICE

In order to audition a soundfile while cueing or rewinding, press the PLAY button prior to using FAST FORWARD or FAST REVERSE.


Modifying an Existing Recording

To modify an existing recording:

1. Choose the Record command available from the Record menu or click the RECORD button situated on the toolbar.

2. Select the name of the existing recording and click on the Modify button.

3. Use the FAST FORWARD, FAST REVERSE and PLAY buttons to select the starting position of the time counter.

4. Start the audio device and press the RECORD button.

5. When the recording is complete press the STOP button.

NOTICE

When recording in an existing soundfile, you are not allowed to change record settings such as the number of channels, sampling rate, and sampling resolution (the corresponding buttons are not active).


Troubleshooting

If problems with recording or playing occur check whether disk caching is enabled (you should be able to find the corresponding options in Control Panel/System/Performance/File System dialog box).

If problems persist read carefully the explanations given below and try out the provided rescue devices.

First of all, check if recording/playing problems are specific to DART XP. If the other software packages (e.g., applications that came with your sound card) do not work either, your computer may be simply too slow for audio applications. If problems occur only when handling very long audio files try out the Disk defragmenter application in the Programs/Accessories/System tools folder of the Start menu - some of your sound files may be stored in too many small pieces scattered all over the hard disk surface which puts an unnecessary stress on the playing device.

If the other record applications work properly do not panic! In order to provide nonstandard features, like the ability to separately play two channels of a stereo recording, or to detect signal clipping during recording, the recording/playing routines provided in DART XP were programmed using low-level instructions, i.e. they refer to some low-level Windows specifications. Generally, DART XP may fail to record correctly for two different reasons:

Case 1 (more likely)

The extra record overhead DART XP has compared to other programs is causing your machine to choke, especially under extreme conditions (the highest sampling frequency, very long audio files). This is good news for you as you should be able to remove the cause of the problem by changing the audio card settings as described below

Symptoms : the system locks during recording, messages about general protection faults appear on the screen, etc.

Remedy 1 : check the Use fake VU display box in the Preferences dialog available from the Options menu

Explanation : by default DART XP checks every signal sample during recording to provide an accurate level/clip display (VU bars shown in the Record dialog). Some audio cards issue the record overflow messages used by the related software. Since such messages are not standard we cannot rely upon them. When the Use fake VU display box is checked only one in 128 samples is examined which significantly decreases the computational overhead during recording.

Remedy 2 : decrease the number of record status updates per second using the Preferences dialog accessible from the Options menu.

Explanation :the default number of counter updates during one second equals 6. If you decrease this number the time/volume displays will be updated less frequently preventing the system from locking.

Case 2 (less likely)

If changing the sound card settings does not solve the problem it looks like the card your computer is equipped with is not fully Windows compatible, i.e. does not comply with the low-level Windows specifications. Note that at the same time the applications, which communicate with your audio card at a higher level and/or refer to some of its nonstandard features, may work fine. This is of course bad news for you. It means you have the 'plug' which does not fit the standard 'socket' we provide.


CD-Recorder

Using DART CD-Recorder

DART CD-Recorder Basic, available after clicking the CD-RECORDER [image] button situated on the toolbar, or after choosing the CD-Recorder command from the Record menu, is an application that allows you to record audio files from different sources (tape deck, reel-to-reel, phonograph, CD and CD Text players, MIDI mixer, MPEG 3 codec), restore recordings, combine them into a sequence called playlist and - if your computer is equipped with a compact disc recorder (CD-R) - to record your own audio CD or CD Text .

If you need information on any of the DART CD-Recorder Basic functions, select one of the topics listed below:

About online Help system

Screen areas and controls

Playlists

Recording audio files

Compressing audio files

Converting audio files to different formats

Processing audio files

CD-Recorder utilities

Burning CDs

How to ...


Playing a Soundfile

DART XP allows you to play an already opened soundfile as well as to listen to the soundfiles prior to loading them. A special DART XP program called DART CD-Recorder, can be used to compose and play back the lists of recordings, consisting of soundfiles distributed over different disk directories.

Some computers are equipped with more than one wave device. In order to check which audio card is currently used for playing back, and/or to select the preferred device, use the Hardware info dialog, available after choosing the Hardware command from the Options menu.

Playing an opened soundfile

Playing a soundfile without opening it

Playing a soundfile from the Record dialog

Troubleshooting


Playing an Opened Soundfile

In order to play an opened soundfile:

1. Make the corresponding soundfile window active.

2. Choose one of the several playing options from the Play menu or press the corresponding keyboard key. The file, which is currently played back is distinguished with a 'Play' sign (a green triangle) displayed on the left side of the corresponding window.

You can play the entire recording by means of using Play all (A) or part: shown in the displayed window, - by using Play window (W), or in a selected block, - by using Play block (B).

If you choose the Play local (L) command, a small piece of the sound material, centered around the cursor, will be played back (to change the length of this fragment adjust the Local play time in the Preferences dialog available from the Options menu). Use the Play next local (N) and Play previous local (P) to listen to the next or previous local fragments. This option will allow you to systematically comb an archive soundfile for disturbances.

If you choose Play from the cursor (C), playback will start from the current cursor position.

Use the Play mix (X) command to switch between the two soundfiles played back simultaneously. To use this option, mark one of the files as a source soundfile and the other one as a destination soundfile. After activating Play mix the system will switch between the two indicated soundfiles each time you press the TAB key. The playback is always started from the source soundfile (from the current cursor position) and terminated when the end of the shorter of two files is reached. The switched-mode playing is a very convenient way of comparing the results of restoration with the original recording.

Finally, the Play paste buffer (U) command can be used to play the contents of the paste buffer (provided the buffer is not empty).

In all cases listed above, pressing the SPACE bar, clicking the STOP [image] button on the toolbar, or depressing the left mouse button, while the soundfile is played, stops playback and restores the initial cursor position (stop&return). When, during playback, the ESC key, the PAUSE [image] button on the toolbar, or the right mouse button is pressed, the cursor stays in its current position (stop&stay). Pressing the REWIND [image] button on the toolbar, when a soundfile is played, moves the cursor backward, and pressing the FORWARD [image] button moves it forward . Finally, when the Loop option is switched on the playback is continuously repeated unless terminated by the user.

As long as you do not want to change the previously chosen playing option, the quickest way to play is to click the PLAY [image] button situated on the toolbar or press the SPACE bar (which simply repeats the last used play command). Pressing the PLAY button when the audio file is played interrupts and restarts playback.

When the Play and show box in the Preferences\Sound card dialog is checked, the plot of an audio signal shown in an active soundfile window is swept during playback (only when the Play all or Play from the cursor commands are used). To avoid skipping during playback the time resolution factors equal to at least 100 are recommended when the Play and Show option is switched on.

NOTICE 1

Some computers are equipped with more than one wave device. To check which audio card is currently used for playing back and/or to select the preferred device, use the Hardware info dialog available after choosing the Hardware command from the Options menu.

NOTICE 2

If you audition the soundfile using the Play window or Play block commands, make sure that the selected material is long enough - your audio card will fail to reproduce sounds that are too short, e.g., are a fraction of a second in duration.


Playing a Soundfile without Opening It

To play soundfiles prior to loading them:

1. Choose the Open command from the File menu or click the OPEN button situated on the toolbar.

2. Select an appriopriate soundfile and click on the Play button placed inside the dialog.

Another way of playing soundfiles without the need to open them is via the Audio tree dialog:

1. Choose the Open audio tree command from the File menu or click on the AUDIO TREE button placed on the toolbar.

2. Select an audio tree.

3. Click the soundfile you want to listen to and click on the PLAY button situated inside the Audio tree dialog.

In both cases discussed above, you can audition soundfiles in the 'play all' mode only.


Playing from record

Playing a Soundfile from a Record Dialog

The Record dialog allows you to play back a selected soundfile in pretty much the same way as when using an analog tape deck.

The control buttons, placed at the bottom of the dialog (PLAY, RECORD, PAUSE, STOP, FAST FORWARD, FAST REVERSE), work similarly to the buttons in an analog tape deck. Additionally, the simulated deck is equipped with a time counter (indicating a current position in a soundfile) and volume meters (showing the signal peak levels during playback).

In order to play a soundfile using a record dialog:

1. Choose the Record command, available from the Record menu, or click the RECORD button situated on the toolbar.

2. Select the name of the existing recording and click on the Modify button.


Viewing a Soundfile

Each time you open a new soundfile, the corresponding soundfile window is created and displayed on the screen. The soundfile window allows you to inspect the plot of the entire signal or selected fragments. By changing the cursor position, time zoom, volume zoom and offset of a soundfile window, you can view different parts of the sound material with a prescribed degree of accuracy.

The number of soundfile windows which can be viewed simultaneously, depends on the screen resolution you are working with (no arbitrary upper limit is set). Although the minimum allowable size of a soundfile window makes it possible to display more than 20 such windows on one screen, working with more than 8 windows at a time is usually not practical.

Moving around

Changing time resolution

Changing amplitude scale

Changing offset

Switching between stereo channels

Synchronizing windows

Using the shortcut menu


Moving Around

You can change the position of the window within the entire soundfile in a number of ways:

Place the mouse pointer anywhere on the overview strip and depress the left mouse button. The soundfile window will be centered on the cursor position (unless localized too close to the beginning or end of the soundfile). Since the overview represents the entire recording (always the one displayed in the active window), it provides the quickest way of global window positioning.

Drag the horizontal scrollbar.

Click on the left/right scrollbar arrow (the window moves by 1/8 of its content) or click on the scrollbar strip to the left/right of the tab (the window moves by 3/4 of its content).

Use the keyboard ARROW, HOME and END keys to change position of the cursor - when the cursor leaves the displayed area the position of the soundfile window is automatically adjusted.

Use the Go to commands, available from the Edit menu (see below).

LEFT/RIGHT ARROW moves cursor by one pixel to the left/right

CTRL+LEFT/RIGHT ARROW moves cursor by 10 pixels to the left/right

ALT+CTRL+LEFT/RIGHT ARROW moves cursor by 100 pixels to the left/right

HOME moves cursor to the beginning of the file

END moves cursor to the end of the file

TAB centers contents of an active window around the current cursor position (unless at the very beginning or very end of the soundfile).

To change the position of the cursor within the soundfile window:

Position the pointer anywhere in the signal display area of the soundfile window and depress the left mouse button.

Use the keyboard LEFT/RIGHT ARROW keys as described above.

Finally, to move the contents of the active window by one pixel to the left/right

Click the left/right scrollbar arrow while holding down the CTRL key.

Using 'Go to' commands

You can use these commands to move the cursor to specific locations.

If you would like to jump to a prescribed position, choose Go to new position (G) and type in a new cursor coordinate: sample number (if the time axis is calibrated in samples) or time (if the axis is calibrated in units of time). In order to change the method of calibration, check or uncheck the Time scale in seconds box in the Preferences dialog available from the Options menu.

Time can be specified in two different ways - by giving a number of hours, minutes and seconds separated by colons (a digital clock notation) or seconds only. This means you can write either 1:06:40.25 or 4000.25, whichever is more convenient - DART XP will accept both notations.

Apart from fixing an absolute position of the cursor, you can set its relative position within the soundfile, i.e. position expressed as a percentage of the overall file length. To achieve this, enter a positive number smaller than 100.0 and follow it with the percent sign, e.g. write 27.5%. Relative positioning can be used in a very similar way as clicking on the overview strip; it works irrespective of the adopted method of axis calibration.

In order to set the cursor at the beginning of the distinguished area (block), choose Go to beginning of the block or press F11. To move it to the end of the block choose Go to end of the block, or press F12.

To move cursor to a given marker or click marker choose Go to new position (G) and type in ‘m’ followed by the marker label, e.g., ‘m1’ will move the cursor to the marker labeled 1 and ‘mb’ will move it to the click marker labeled B. To move cursor to the next or previous marker, use the Go to next/previous marker command, or press the > or < key, respectively.


Changing resolution

Changing Time Resolution

The horizontal (time) axis is calibrated in hours, minutes and seconds or in samples. To select or change the calibration units, use the Time scale box in the Preferences dialog, available from the Options menu.

The time resolution is related to the number of screen pixels used to represent a certain portion of a signal plot. You can change the resolution by adjusting the time zoom coefficient ,displayed in the time zoom box [image], situated on the toolbar.

If the time zoom coefficient is set to 1 (the highest resolution possible), then each pixel represents one single sample, which allows for accurate plotting but limits the number of samples shown on the computer screen to a few hundred. By increasing this coefficient beyond 1, you are able to view larger fragments of the soundfile at the cost of decreased plotting accuracy. For example, if the time zoom factor is set to 10, one pixel represents a group of ten consecutive samples (only the maximum value within each group is displayed), which increases the length of the material shown in the soundfile window to few thousands of samples.

When DART XP screen is empty and you open a new soundfile (starting a new project, for example), the signal plot is shown with a default resolution equal to 1. Whenever convenient you can define your own default time zoom using the Default resolution setting in the Preferences dialog available from the Options menu. If you pick View all from the list, the resolution will be adjusted so as to show the entire signal plot.

NOTICE

When synchronization is switched on, the default time zoom will be applied to the the first of the newly opened soundfiles only. You can overcome this limitation by switching off synchronization among the displayed windows. This may be particularly useful should you prefer to work with the View all resolution applied to all signal plots shown on the screen.

In order to change time resolution:

Click on the up/down arrow in the time zoom box situated on the toolbar.

Type a new value of the time zoom coefficient in the time zoom box and press the ENTER key.

Use the keyboard PAGE UP/DOWN keys to increase/decrease the time zoom coefficient by a factor of 2 and CTRL+PAGE UP/DOWN to change it by a factor of 10.

Choose one of five time zoom options (1,10,100,1000, Fit to size) from the shortcut menu, which appears on the screen each time you press the right mouse button.

WARNING

You should realize that working with large resolution factors may result in very long times needed to draw or redraw signal plots, especially if the corresponding windows are synchronized. To speed up plotting, at a price of reduced visual accuracy, check the Enable turbo plotting box in the Preferences dialog available from the Options menu. If you don't want to compromise drawing accuracy, minimize all windows that are not used at the moment (as long as the window remains minimized DART XP simply 'freezes' its content) or turn the synchronization off (press the SYNCHRONIZE button, situated on the toolbar).


Changing Amplitude Scale

The amplitude scale, i.e. the range of values shown on the screen, can be adjusted by changing the volume zoom coefficient displayed in the volume zoom box, situated on the toolbar. When volume zoom is set to 1, the full range of signal values is displayed, at the expense of reduced amplitude resolution. When the volume zoom coefficient is maximized, only a small fraction of this range is shown, but there is a one-to-one correspondence between sample values and pixel heights.

To change the volume zoom coefficient:

Click on the up/down arrow in the volume zoom box [image], situated on the toolbar.

Type a new value of the volume zoom coefficient in the volume zoom box and press the ENTER key.

Use the keyboard UP/DOWN ARROW keys to increase/decrease the volume zoom coefficient by a factor of 2 and CTRL+UP/DOWN ARROW to change it by a factor of 8.


Changing Offset

If the displayed waveform is not centered on the zero amplitude line, or if you wish to examine waveform peaks, you can change the DC offset of the plot. In order to do this:

Drag the vertical scrollbar thumb.

Click the up/down scrollbar arrow (the window moves by 1/4 of its content) or click on the scrollbar strip above/below the thumb (the window moves by 3/4 of its content).

Press the keyboard CTRL+HOME key whenever you want to restore the zero offset.


Switching Between Stereo Channels

When viewing stereo soundfiles, you can display both channels on one plot, or view only the left channel or only the right one. Use the LEFT and RIGHT buttons placed on the toolbar to select between these three options (the LEFT/RIGHT buttons do not work if the signal displayed in the active soundfile window is mono).


Synchronizing Windows

In order to analyze and efficiently compare different versions of the same sound material, you can synchronize the displayed windows. The full synchronization (provided by default when you start a new session with DART XP) guarantees that all changes in display features made in the active soundfile window (position of the cursor, time zoom, volume zoom, offset, left/right channel selection, marker locations, file info), will be automatically extended to other windows shown on the screen.

If you want to select custom features to be synchronized or to disable synchronization, choose the appropriate option using the Synchronization dialog box accessible from the Window menu.

When convenient you can switch the synchronization on (Full) or off (None) by pressing the SYNCHRONIZE [image] button, situated on the toolbar. However, the Synchronization dialog allowing you to select custom features due to be synchronized (Custom) is available only from the Window menu.

Time synchronization

Comparing the resampled audio signal with its original version is a bit tricky - since both files differ in length, the 'ordinary' synchronization, which does not take into account the sampling rates of displayed files, will fail to locate fragments of the recordings with the identical contents. To help you compare several variants of the recording with different sampling rates a special time synchronization feature was added to the Preferences dialog available from the Options menu. When the Time sync box is checked and the synchronization is switched on, the cursors in all displayed windows are automatically time-aligned. This means that if the Play local command is used, the same portion of the audio material will be played back irrespective of the corresponding sampling rates. Similarly, when a block of samples is selected in an active window the appropriately scaled (contracted or extended) blocks will be marked in the remaining windows.

NOTICE

When the time synchronization is on and the compared files have different sampling rates, the time-aligned cursors have different relative positions within each window (unless placed exactly in the center of an active window). To put them exactly one over another, i.e. along the same vertical line, press the TAB key.


Shortcut Menu

The shortcut menu appears on the screen each time you press the right mouse button. It allows you to:

Choose among the five resolution options (1, 10, 100, 1000, Fit to size).

Remove/restore the small info window, displayed in the upper right corner of each file window.

Choose among the recently used editing commands.


Editing a Soundfile

Even though DART XP is primarily a sound restoration system, it offers a large number of tools, which can be used for signal editing. In addition to standard mute, cut and paste editing items, the system provides the means for selecting and marking the sound material, as well as for realizing various forms of signal preprocessing (see the collection of items available from the DART XP Toolbox menu).

Selecting a block of samples

Using markers, drop markers and click markers

Using frames

Muting

Cut and paste editing

Using tools from the DART XP toolbox


Cut and Paste Editing

The Cut, Copy and Paste commands, available from the Edit menu, can be used to remove some parts of a soundfile and/or to copy material between different soundfiles. We recommend that for your convenience you 'desynchronize' soundfile windows each time you do cut and paste editing (check None in the Synchronization dialog available from the Window menu or press the SYNCHRONIZE button situated on the toolbar).

Paste buffer

The paste buffer is a temporary file created to store the data transferred from one place to another. Some functions (like Cut and Copy) write to the paste buffer while the others (like various Paste items) read from it.

The paste buffer is erased each time you exit DART XP. If you want to save the contents of the paste buffer, choose the Save paste buffer command from the Edit menu. If you wish to listen to its contents (provided that the material is sufficiently long), use the Play paste buffer command available from the Play menu.

Cut

You can use this item to delete the material from the selected area of an active soundfile and place it in the paste buffer. The Cut function is not available unless a block of samples is selected. Combining Cut with Paste you can move a fragment of a soundfile from one place to another.

Be aware that if signal values at both block edges don’t match local cutting may introduce discontinuities usually heard as clicks. To avoid discontinuity problems use the Smart cut tool available from the Toolbox menu.

Copy

This item copies (without deleting) the material from the selected area of an active soundfile to the paste buffer. The Copy function is not available unless a block of samples is selected. Combining Copy with Paste, you can copy a fragment of a soundfile to another place.

Paste insert

You can use this item to insert (without overwriting) the contents of the paste buffer into an active soundfile starting from the cursor position. If the paste buffer is empty, this function is not available.

Paste over

When you choose this item, the contents of the paste buffer overwrites the contents of an active soundfile starting from the cursor position; the length of the replaced fragment is the same as the length of the paste buffer. If the paste buffer is empty, this function is not available.

Paste fill

You should select a block of samples in an active soundfile prior to using this command. After choosing Paste fill, the contents of this block will be replaced with the contents of the paste buffer. If the length of the selected block is smaller than the length of the paste buffer, only a part of the material is used and the data is truncated to fit. If the length of the selected block is larger than the length of the paste buffer, then the material is copied repeatedly, as many times as needed to fill up the gap.

NOTICE

The system will not allow you to transfer sound material between soundfiles, which differ in format, i.e. have different number of channels, sampling rate or sampling resolution.


Mute

Muting

The Mute command available from the Edit menu can be used to to erase a portion of the signal, i.e. to set the data in the selected area to zero. Be aware that local muting may introduce discontinuities at both edges of a selected block, usually heard as clicks. To avoid discontinuity problems use the Smart mute tool available from the Toolbox menu.


Using markers

Using Markers, Drop Markers and Click Markers

DART XP allows you to place three kinds of markers in a soundfile:

Markers

Markers can be used in the same way as bookmarks - you can place them anywhere in a soundfile to distinguish certain areas of interest (e.g., areas requiring further processing) or to provide a quick way of jumping to specific locations. Markers are distinguished by green vertical lines, displayed in soundfile windows (along with the corresponding labels) and on the overview strip. There is no upper limit to the number of markers (labeled with consecutive numbers) that can be associated with a single soundfile.

To set a marker:

1. Position the cursor anywhere in an active soundfile window.

2. Choose the Set /Remove markers command from the Edit menu.

3. Select the marker label. Each time you enter the Set/Remove markers dialog, the first free label is shown in the Label box. If you choose a number which is assigned to an existing marker, this marker will be automatically removed when inserting the new one.

4. Click the Add button. The green marker lines (temporarily hidden under the yellow cursor lines) will be added to the active soundfile and to the overview strip.

5. Press the Close button to close the Set/Remove markers dialog.

In order to remove a marker, proceed as above but instead of choosing the Add command in step 4, click the Remove button. If you want to remove all markers, use the Remove all button in the same dialog.

To move to the area where a given marker was placed, open the Set/Remove markers dialog, select the marker label and click on the Go to button. Alternatively, choose the Go to new position (G) command available from the Edit menu and type in ‘m’ followed by the marker label (e.g., after typing ‘m1’ you will jump to the marker labeled 1).

To move cursor to the next or previous marker, use the Go to next/previous marker command from the Edit menu or press the > or < key.

Drop markers

Drop markers can be deployed in a soundfile during playback, e.g. to distinguish fragments that require further processing. All you have to do is initialize playback and press the ENTER key each time you wish to mark the currently played fragment. Drop markers are labeled with consecutive numbers and can be handled (localized, removed) in exactly the same manner as ordinary markers.

NOTICE

For an average person it takes approximately 400 milliseconds to react to a sound stimulus. To compensate for this ‘response’ delay, drop markers are placed in a soundfile with a 400 ms time shift. To change this time constant use the Response delay box in the Preferences dialog (available from the Options menu).

Click markers

Click markers are temporary soundmarks which can be placed anywhere in a soundfile and which may help to precisely localize disturbances. Each time you set a click marker, a pulse is added to the sample at the cursor position (negative pulses are added if the sample value is positive and vice versa). Based on listening tests, you can adjust the amplitude of the pulse so as to make the resulting click audible, but weak enough to prevent it from screening the disturbance you are trying to spot. Click markers are not permanent and do not corrupt the soundfiles they are added to - click pulses are kept in a separate buffer and inserted only at the time of playing back the corresponding fragments. As a consequence, there is no need to remove click markers prior to closing or saving a soundfile. Click markers are distinguished by red vertical lines displayed in soundfile windows (along with the corresponding labels) and on the overview strip. Up to eight click markers, labeled A through H, can be associated with a single soundfile.

To set a click marker:

1. Position the cursor anywhere in an active soundfile window.

2. Choose the Set/Remove click markers command from the Edit menu.

3. Select one of the eight marker labels. The list of all labels shows up when you click the Label arrow in the Set/Remove click markers dialog. Letters associated with the already existing markers are displayed with the 'check' mark next to them. If you choose such a checked letter to label a new click marker, the previous one will be automatically removed. Each time you enter the Set/Remove click markers dialog, the first free label (if any) is shown in the Label box.

4. Press the PLAY button, situated inside the dialog, to play the fragment where the click marker will be inserted. If necessary, use the arrows in the Amplitude box to adjust the magnitude of the click. Use Play local from the Play menu to audition the same fragment without the click.

5. Click the Set button. The red click marker lines (temporarily hidden under the yellow cursor lines) will be added to the active soundfile and to the overview strip.

6. Press the Close button to close the Set/Remove click markers dialog.

In order to remove a click marker, proceed as above, but instead of choosing the Addcommand in step 4, click the Remove button. If you want to remove all markers, use the Remove all button in the same dialog.

To move to the area where a given click marker was placed, open the Set/Remove click markers dialog, select the marker label and click on the Go to button. Alternatively, choose the Go to new position (G) command available from the Edit menu and type in ‘m’ followed by the marker label (e.g., after typing ‘ma’ you will jump to the click marker labeled A).

NOTICE

Markers and click markers are not permanent, i.e. they disappear when you close a soundfile and are not brought back when you open it again. However, you can save the current positions of all markers by saving a group of soundfiles (choose Save as from the Group menu).


Frame

Using Frames

Frames can be used to isolate disturbances difficult to spot by other means. When looking for an extraneous sound one usually tries to find the smallest segment of a soundfile where the disturbance is localized. One of the possible ways of doing it is to play a selected portion of the sound material gradually shrinking the search area by decreasing the size of the block (when using the Play block command) or increasing the time resolution (when using the Play window command). Unfortunately, as the auditioned fragment becomes shorter and shorter one finds it more and more difficult to judge whether or not it contains the disturbance - exactly as when attempting to analyze an image displayed for a very short period of time.

An alternative approach which we call 'framing', amounts to localizing the disturbance at the very beginning and at the very end of two longer, partially overlapping segments, respectively. If the disturbance is present in both fragments of a soundfile it must be contained in their common area and - bingo! - we've got it.

To set a frame:

1. Position the cursor so that the disturbance can be heard when the Play local command is used. Please note that the resolution of the frame-based search will increase when the local processing time is decreased. If necessary, use the Preferences dialog available from the Options menu to adjust the local processing time.

2. Choose the Set/Remove frame command from the Edit menu.

3. Move position of the upper play buffer in the Set/Remove frame dialog so that the disturbance remains audible and is located at the very end of the buffer.

4. Move position of the lower play buffer in the Set/Remove frame dialog so that the disturbance remains audible and is located at the very beginning of the buffer.

5. Click the Set button. The common (shaded) area of two buffers will be distinguished with a light blue frame displayed in the corresponding soundfile window. A similar mark (but in dark blue) will be also added to the overview strip.

Each time you open the Set/Remove frame dialog the common area of the upper and lower play buffers will be centered on the current cursor position. If so convenient you can adjust position of the cursor either inside the dialog (click anywhere inside the buffer display area) or outside the dialog (use any available way of changing the cursor position). In order to simultaneously shift both play buffers leftward or rightward change the cursor position and press the Center button - the center of the common area will be moved to the new cursor position. Finally, note that you can change the time resolution and/or the amplitude scale of all displayed plots without closing the Set/Remove frame dialog.

To remove a frame, invoke the Set/Remove frame dialog and press the Remove button. Note that since only one frame can be placed in a given soundfile window, when a new frame is added the previous one is automatically cancelled.

In order to position the upper/lower play buffers appropriately use the control buttons situated inside the Set/Remove frame dialog:

- moves the buffer leftward

- moves the buffer rightward

- plays contents of the buffer

- plays in a short succession the contents of the upper and lower buffer, respectively

- plays the contents of the common area of two buffers

NOTICE

Frames are not permanent, i.e. the frame is not restored when the corresponding soundfile window is closed and opened again. However, you can save the current position of all frames by saving a group of soundfiles (choose Save as from the Group menu).


Toolbox

Using Tools from the DART XP Toolbox

The Toolbox menu contains several items that perform simple signal processing functions, such as scaling (Scale, Maximize) and reversing (Reverse) a signal as well as adding, subtracting and mixing two signals (Add, Subtract , Mix). The Split and Unite commands can be used to separate two channels of a stereo soundfile, and to combine two mono tracks into a stereo soundfile, respectively. You can convert a mono soundfile into a stereo one and vice versa (Convert to mono, Convert to stereo). Some more complex functions are also included, such as intelligent cutting and muting of unwanted audio material (Smart mute, Smart cut, Crossfade cut), equalization (Equalize), filtering (Lowpass, Highpass, Bandpass, Bandstop and Notch), fading (Fade in, Fade out, Crossfade), file length and sample rate adjustment (Resample, Change speed, Adjust RPM rate, Trim length, CD format), duration and pitch modification (Speed up/Slow down*, Shift pitch*), automatic detection of constant noise/signal patterns (Find pattern), spectral analysis (Spectrum*, Spectral view*), partitioning long recordings by means of detecting silences (Unpack), elimination of the lead vocalist’s performance from a stereophonic recording (DeVocalize*) and simulation of the acoustics of different environments (Reverb*). Finally, the DirectX command provides access to all DirectX Audio Plug-Ins installed on your computer:

If a block of samples is chosen, some DART XP tools will operate locally, i.e. in the selected area only. If no block is marked, most functions are global, i.e. the entire signal is processed.

* available in the XP Pro version only

NOTICE

For registered soundfiles all operations involving the equalizer, filters and fades (fade in/out) are managed by the Soundfile Manager and documented in the corresponding DART XP info files.

Scale

Maximize

Reverse

Add

Subtract

Mix

Mono/Stereo

Smart editing

Filter

Equalize

Fade

Sample rate

Speed up/Slow down *

Shift pitch *

Find pattern

Spectral analysis *

Unpack

DirectX

DeVocalize *

Reverb *

* available in the XP Pro version only


Binary windows

Detection Files

Whenever you renovate an archive soundfile using DART XP, a special compressed binary detection file is created (with the same name as the renovation soundfile and extension <det>), containing information about decisions made by the outlier detector - a device used to isolate and remove impulsive disturbances due to clicks, pops and record scratches.

Detection files appear on the screen upon completion of the process of sound renovation or can be loaded (provided that they already exist) using the Open command accessible from the File menu.

For a mono soundfile, the information shown in the detection window consists of two binary signals (i.e. signals taking only two values - zero and one) which can be viewed synchronously with the restored sound waveform. The upper part of the detection window (labeled 1), is used to display detection alarms - all set bits mark samples called into question by the outlier detection routine and scheduled for reconstruction.

The lower part of the detection window (labeled 2), is reserved for large scale interventions, namely to mark large chunks of the material that ought to be replaced.

For stereo soundfiles, four binary signals are displayed - the first two (labeled 1 and 2) referring to the left channel and the remaining two (labeled 3 and 4) are associated with the right channel.

The boxes situated on the left side of the window are used to select bits for the purpose of editing (which is one the way of correcting DART XP mistakes).

The green boxes placed on the right side of the detection window display the values of signal bits at the current cursor position (if the box is lit, the corresponding bit equals one).

Please read the sections on editing signals in binary windows and on perfecting the renovated sound signals, in order to get more information about the means and purposes of bit editing.

Perfecting a restored soundfile

Editing a detection file


Retouching a soundfile

Perfecting a Restored Soundfile

"To err is human. To really foul things up requires a computer." DART XP, as any automatic restoration system, is not error-proof, especially if the processed audio material is 'difficult' (large number of clicks and scratches, low signal to noise ratio).

All decisions made by the outlier detector are stored in a detection file <filename.det> associated with the renovated soundfile <filename.wav>. Detection files are automatically loaded on the screen upon completion of the restoration and are available for inspection. As a user, you have the power to overrule verdicts of the detector, i.e. you can force the system to accept some fragments of the material as is, while replacing some other ones.

For mono recordings, detection alarms are shown in the upper part of the detection file, labeled 1 - all set bits mark samples which were classified as outliers and scheduled for reconstruction. The lower part, labeled 2, is reserved for large scale interventions. For stereo recordings, four binary signals are displayed - the first two referring to the left channel and the remaining two associated with the right channel.

If you want to correct the renovated soundfile in a fast and efficient way, try the following steps :

1. Using a combination of Play all, Play window and Play local, identify and mark as precisely as possible, the trouble area.

2. By visual inspection, try to localize the fragments of the renovated signal that might be the source of audible distortions.

3. After spotting the fragments of the signal which were mishandled by the system, make the necessary changes in the binary detection file and choose the ReTouch command from the Restore menu. Alternatively, change the detection threshold and perform local run (DeClick Plus window or block) of the restoration program.

4. If you are satisfied with the results, move on to another trouble area.

If you want to declick the signal in the manual mode, i.e. without running DeClick Plus prior to using ReTouch, proceed as follows :

1. Choose the Duplicate command from the Restore menu (DART XP will create a destination soundfile identical with the source soundfile and an empty detection file).

2. Mark fragments scheduled for replacement in the detection file and run ReTouch.

About detection errors

Localizing disturbances

Editing a detection file

Retouching a soundfile

Using ReTouch

Advanced restoration techniques


Editing binary

Editing a Detection File

DART XP creates detection files which contain information about detection alarms (binary signals labeled 1 and 3) and allow for large-scale interventions (signals labeled 2 and 4).

The indicators placed at the right end of each detection window show the corresponding bit values at the current cursor position. The boxes situated on the left side of a detection window can be used to select binary signals for editing. The status of each box changes when you click on it – boxes, which are lit up, mark bits which will be active during editing.

Setting/clearing bits

To set or clear bits in an active binary window

1. Using the boxes situated on the left side of a detection window choose signals which will be active during editing.

2. Select the set or clear bits mode by pressing the F6 or F7 keys. Alternatively, choose the Set/Clear bits mode command accessible from the Bit editing group in the Edit menu.

3. Set/clear bits by means of holding down the left mouse button and dragging the mouse.

4. Restore the normal mode by pressing the F8 key or choose the Normal mode from the Bit editing group in the Edit menu.

Setting/clearing bits blockwise

To set, clear or invert bits in a selected block of an active binary window

1. Choose signals, which will be active during editing.

2. Select the block subject to modification.

3. Choose one of the three block editing commands (Set/Clear/Toggle bits in selected block) accessible from the Group bit editing group in the Edit menu.

Finding bit sequences

DART XP allows you to browse through a detection file looking for sequences of set bits of a specified length. You can use this option to search for detection alarms covering a certain number of samples in a row.

To find the sequences of bits

1. Position the cursor at the beginning/end of the area you want to search.

2. Select the Find bits command from the Edit menu or press the CTRL+F keys.

3. Type in the minimum length of a sequence or use the up/down arrows to change the currently displayed value.

4. Press the FORWARD [image] /BACKWARD [image] button to initialize the search in the chosen direction. If the search is successful, the detection window becomes centered at the nearest sequence of a specified length. If no such sequence can be found in a given direction, an appropriate message appears on the screen.

5. When finished, press the Close [image] button to close the Find bits dialog.

Once opened, the Find bits dialog can be used as many times as needed and can remain on the screen while editing sound and/or detection files.

NOTICE

By default, all binary signals displayed in an active binary window are searched when you choose the Find bits command. If you want to inspect a selected binary signal only, uncheck the Ignore bit settings in 'Find bits' box in the Preferences dialog accessible from the Options menu.


Restoring a Soundfile

Overview

Archive recordings are corrupted with many different kinds of disturbances. Among the most frequently encountered ones are impulsive disturbances (such as clicks, pops and record scratches), wideband noise (such as a tape hiss or surface noise of vinyl records) and harmonic disturbances (such as the power line hum). DART XP offers several tools for noise eradication, all available from the Restore menu.

DeClick Plus is a procedure for elimination of impulsive disturbances and low intensity wideband noise. Based on indications of an outlier detector - a device, which searches for noise pulses - the system isolates and reconstructs the irrevocably distorted signal samples.

ReTouch allows one to use the renovation program in the "manual" declicking mode, e.g., to overrule decisions made by the outlier detector in the automatic detection (DeClick Plus) mode. By editing the so-called detection files (created by the system during declicking) you can set, cancel or modify detection alarms forcing the system to remove overlooked noise pulses and/or to preserve without changes some genuine signal features misclassified as outliers. A powerful function provided by ReTouch is replacement/reconstruction of fairly large fragments of the sound material, which is useful when coping with some long-lasting disturbances or dropouts.

DeNoise Plus is a procedure for elimination of a broadband noise of known characteristics. Prior to using this function you have to "noiseprint" an audio file, i.e. to run a special noise identification function (NoisePrint) on a fragment of the recording that contains noise only - a short piece of "silence" preceding or coming after the recorded signal can be used for this purpose. Alternatively, if the reference noise sample can't be indicated, you can try using a noiseprint extracted from another archive recording (preferably coming from the same source, e.g., from the same old record).

DeHiss Plus is a wideband noise reduction utility based on a standard noise model. You can use it when a noiseprint is not available. If noise characteristics are time-varying DeHiss Plus may yield better results than DeNoise Plus - being less selective it is also less sensitive to changes in the noise profile.

Even though DeNoise Plus and DeHiss Plus were not designed to cope with impulsive disturbances, both are capable of reducing clicks (small clicks are completely eliminated in the process of removing wideband noise; the large ones are reduced in size).

DeHum* is a tool for elimination of harmonic disturbances.

Finally, Filter builder* allows you to define and realize (MyFilter) complex restoration tasks such as combined declicking and denoising, for example.

If your computer is sufficiently fast to keep up with the flow of the input audio data, choose the Real-time* command from the Restore menu and select the desired processing option. When operated in the real-time mode, DART XP processes the input audio data ‘on the fly’, without saving them to a hard disk prior to restoration. If you connect a recording device to the output of your audio card you will be able to save the restoration results directly to the external medium without engaging the computer hard disk at all !

* available in the XP Pro version only

The following two-pass procedure is strongly recommended for high quality restoration

1. Use DeClick Plus/ReTouch to remove clicks, pops and scratches from an archive recording.

2. Use DeNoise Plus/DeHiss Plus to remove the wideband noise.

Elimination of impulsive disturbances

Retouching a soundfile

Elimination of broadband noise

Elimination of harmonic noise *

Tuning restoration utilities

Real-time restoration *

Advanced restoration techniques *

* available in the XP Pro version only

Rules of soundfile management

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you organize and keep track of all renovation experiments involving that file.

Based on your indications, the Soundfile Manager automatically updates the names under which the renovated soundfiles are saved. Moreover, it creates and updates special database files containing information about all files derived from a specific root file. The resulting family trees of soundfiles, called audio trees, are ideal tools for quick revision and comparison of different variants of processing.

Even though we strongly encourage you to register soundfiles, you are free not to do it. When working with unregistered files, you can use all DART XP functions and utilities except those provided by the Soundfile Manager. In particular, if you do not use Soundfile Manager, you must look after the names of created soundfiles and maintain the tracking of their content, processing details etc.

Registering a soundfile

Managing registered soundfiles

Managing unregistered soundfiles


Elimination of Impulsive Disturbances

DeClick Plus uses a sophisticated algorithm designed to simultaneously track time-varying characteristics of a processed audio signal, isolate and reconstruct irrevocably distorted samples, e.g. samples corrupted with clicks, pops, record scratches and other forms of impulsive noise.

DART XP allows you to overrule decisions made by the outlier detector - a special device designed to localize impulsive disturbances due to clicks, pops and record scratches. You can set, remove or modify detection alarms by editing detection files <*.det>. When operated in the ReTouch mode, the system does not use the internal outlier detector - it reads and interprets the contents of the corresponding detection file instead.

The ReTouch option can be used for the purpose of perfecting the restored soundfiles, e.g. to remove noise pulses overlooked by the system or to preserve without changes some genuine signal features misclassified as outliers.

Using DeClick Plus

Using ReTouch

Manual declicking

Perfecting a restored soundfile


Using DeClick

Using DeClick Plus

In order to use DeClick Plus proceed as follows:

1. Indicate the source soundfile by clicking the corresponding SOURCE button.

2. Choose the DeClick Plus command, accessible from the Restore menu, or click the DECLICK [image] button situated on the toolbar.

3. Choose three renovation coefficients (detection threshold, maximum length of detection alarms, cutoff frequency) - see Adjusting DeClick Plus parameters , and select the required mode of processing (music or music&speech) – see Selecting the mode of processing .
To preview the results of declicking and compare them with the original recording, use the Play result and Play source buttons, situated in the Audition group.

4. Use the overview strip placed at the top of the DeClick Plus dialog and the Range box, situated in the Audition group, to choose a representative fragment of the source soundfile due to be processed in the preview mode. - see Previewing restoration results.

5. Select the range of processing (all, window, block) – see Selecting the range of processing .

6. If necessary, change the name of the destination soundfile (for unregistered source soundfiles only).

7. Click the Process button to start processing.


Retouching a Soundfile

There are three ways that you can improve restoration results:

Small scale interventions

Based on your subjective judgment, you can set, modify, or cancel certain detection alarms - see instructions on editing binary files. For mono recordings, detection alarms are displayed in the upper part of the detection window, labeled 1. For stereo soundfiles, two binary signals, labeled 1 and 3, are displayed showing detection alarms for the left and right channels. After introducing changes, choose one of the local ReTouch options from the Restore menu and the signal will be processed following your instructions - the internal outlier detector is switched off when the system is operated in the ReTouch mode.

Remember not to mark blocks wider than 100 samples, because large blocks can be handled differently (see below). Finally, remember that given an unmodified detection file, ReTouch will simply reproduce results yielded earlier by DeClick Plus (unless the smoothing and/or postfiltering factors are altered).

When processing is complete, a Select source dialog appears on the screen, allowing you to compare different files: the source soundfile (original), the destination soundfile prior to retouching (before processing) and the modified destination soundfile (after processing). Use the PLAY button situated inside the dialog to listen to (locally) the compared soundfiles. Based on listening tests, you can accept the results of retouching (Accept), reject changes introduced by retouching (Reject) or resume editing a detection file (ReEdit). If you choose ReEdit the detection file will be displayed in yellow - this is to remind you that the editing task has not been completed. The white color will be restored once you make a final decision, i.e. accept or reject the changes.

NOTICE

When modifying the upper part of the detection file, you have to be careful. Whenever blocks wider than 20 samples are created there is always a risk that the two-sided reconstruction yielded by the Kalman smoother will suffer from the so-called “covariance defect” - the reconstructed signal will sort of collapse in the middle of the gap. This negative effect may be strongly emphasized for weakly correlated signals.

Editing a detection file

Using ReTouch

Large scale interventions

In order to remove some disturbances, it is necessary to cut and replace large portions of the recording, namely, fragments measured in hundreds of samples rather than in tens. Very large dropouts or scratches fall into this category, as well as some long-lasting chirp and buzz artifacts. When used in the automatic detection (DeClick Plus) mode, the system is not capable of removing such disturbances simply because it is not authorized to question such a large number of samples in a row (otherwise it could potentially start behaving in an unpredictable manner). However, DART XP allows you to replace up to 1500 samples in a row when operating in the ReTouch mode. All you have to do is mark, by editing the lower part of the corresponding detection file (or signals labeled 2 and 4 - for a stereo soundfile), blocks of samples selected for replacement. When ReTouch is used, DART XP will fill each block with the material which resembles either the one immediately preceding the gap (left-hand processing) or the one succeeding the gap (right-hand processing). The system usually does a very good job replacing large blocks - and does it in seconds!

When processing is complete, a Select source dialog appears on the screen, allowing you to compare different files: the source soundfile (original), the destination soundfile prior to retouching (before processing), the destination soundfile modified by left-hand processing (after processing [left]) and the destination soundfile modified by right-hand processing (after processing [right]). Use the PLAY button situated inside the dialog to listen to (locally) the compared soundfiles. Based on listening tests you can accept the results of left-hand or right-hand retouching (Accept) or reject changes introduced by retouching (Reject). If you are not satisfied with the results, choose the ReEdit button and modify the block, making it larger or smaller, or placing it differently. Chances are the new results will be better. And remember: filling large gaps is a VERY DIFFICULT task.

The reconstruction technique used for processing large blocks is entirely different from the one employed in the auto detection mode. It is free from the covariance defect and you don't have to be very careful when choosing the position and size of the block - if the signal is 'stationary enough' (i.e. its local characteristics do not vary significantly over time), it usually does not matter whether you schedule a block of one hundred, two hundreds or even of one thousand samples for reconstruction.

Editing a detection file

Using ReTouch

NOTICE

DART XP will not perform the large block reconstruction if any of the created blocks contains more than 1500 samples. Similarly, it will refuse to do the right-hand reconstruction if the spacing between the adjacent blocks is insufficient. Even though there is no such limitation for left-hand reconstruction (a special 'eating one's tail' technique was applied to relax this restriction) one should not abuse this opportunity (just imagine the snake which eats up it's entire tail).

Local processing

A number of long-lasting disturbances can be removed by local signal processing using the tools from the DART XP Toolbox menu.

Crackles (series of small clicks), often resulting in buzz-like artifacts, can be eliminated by lowpass filtering (a local use of DeHiss with an appropriately chosen gain yields similar effects) - see Lowpass filter .

Low-frequency thumps, typical of large scratches, can be removed by highpass filtering with the cutoff frequency set in the range <50Hz,200Hz> - see Highpass filter .


Elimination of Broadband Noise

DeNoise Plus and DeHiss Plus are the renovation tools designed specifically to remove broadband noise (tape hiss, surface noise of vinyl records, etc.) from audio files. Both noise reduction procedures operate in the frequency domain and are based on the same principles. They differ in the way noise characteristics are taken into account in the process of sound renovation. DeNoise Plus incorporates in the process of disturbance elimination the specific noise characteristic - we call it a noiseprint - extracted from an archive recording. If no reference noise snapshot for a noiseprint evaluation can be indicated, you can use DeHiss Plus - a disturbance rejection procedure based on a standardized noise model. As a matter of fact, you should try out DeHiss Plus even if an archive audio file can be noiseprinted. Based on a standard noiseprint, DeHiss Plus is more robust than DeNoise Plus, in particular, it may yield better results if noise characteristics are time-varying (in cases like that DeNoise Plus may fail to provide a uniform renovation quality along the entire soundfile).

Even though both schemes are not equipped with any explicit mechanism for click elimination, they are capable of removing most of low-amplitude clicks and pops. However, to obtain the best results it is recommended that the audio file be declicked prior to using DeNoise Plus and DeHiss Plus.

Using DeHiss Plus

Using DeNoise Plus


Using DeHiss

Using DeHiss Plus

In order to use DeHiss Plus proceed as follows:

1. Indicate the source soundfile by clicking the corresponding SOURCE button.

2. Choose the DeHiss Plus command, accessible from the Restore menu, or click the DEHISS [image] button situated on the toolbar.

3. Select the processing mode (FFT or AR).

4. Adjust the four renovation parameters (gain, smoothing range, frequency carving and frame size) and two dynamic noise reduction parameters (noise floor and adaptation rate). Select the range of processing (all, window, block).

5. If desired, change the name of the destination soundfile (only for unregistered source soundfiles).

6. Click the Process button to start processing.

We recommend the following three-step procedure for fine tuning of DeHiss Plus FFT/AR:

Step 1: Start from the default settings. If noise is still audible, increase the gain until it is completely eliminated, otherwise reduce the gain as much as possible without reintroducing noise.

Step 2: Try to make the renovated signal as fresh and lively as possible by gradually decreasing the adaptation rate, frequency carving and smoothing range and/or by increasing the noise floor (if noise becomes audible again, increase slightly the gain to compensate for the introduced changes).

Step 3: Choose the frame size that yields the best restoration results.

To learn how to tune renovation parameters, click the topic below.

Selecting the processing mode

Adjusting DeHiss/DeNoise parameters

Selecting the range of processing


Using DeNoise

Using DeNoise Plus

Since DeNoise Plus is not based on a standard noise model, you have to noiseprint an archive recording prior to choosing this option. If no reference noise snapshot for a noiseprint evaluation can be indicated, you can use a noiseprint extracted from another audio file - provided it was previously added to the DART XP criminal record of notorious noiseprints ...

In order to use DeNoise Plus proceed as follows:

1. Indicate the source soundfile by clicking the corresponding SOURCE button.

2. Choose the DeNoise Plus command from the Restore menu.

3. Select the processing mode (FFT or AR).

4. Select a noiseprint that can be used in the course of signal renovation. If the NoisePrint command was used just prior to choosing DeNoise Plus, the last taken/inspected noiseprint will appear at the top of the DeNoise Plus dialog. To take a new noiseprint, modify spectral characteristics of an existing noiseprint or to change noiseprint to another (registered) one, press the NoisePrint Manager button to evoke the NoisePrint Manager dialog. When done, press the Close button to return to the DeNoise Plus dialog.

5. Adjust four renovation parameters (weight, smoothing range, frequency carving and frame size) and two dynamic noise reduction parameters (noise floor and adaptation rate). Select the range of processing (all, window, block).

6. If desired, change the name of the destination soundfile (for unregistered source soundfiles only).

7. Click the Process button to start processing.

We recommend the following three-step procedure for fine tuning of DeNoise Plus FFT/AR:

Step 1: Start from the default settings. If noise is still audible, increase the weight until it is completely eliminated, otherwise reduce the weight as much as possible without reintroducing noise.

Step 2: Try to make the renovated signal as fresh and lively as possible by gradually decreasing the adaptation rate, frequency carving and smoothing range and/or by increasing the noise floor (if noise becomes audible again, increase slightly the weight to compensate for the introduced changes).

Step 3: Choose the frame size that yields the best restoration results.

For additional information, click the topics listed below

Noiseprinting an audio file

Selecting the processing mode

Adjusting renovation parameters

Selecting the range of processing


Dehuming

Elimination of Harmonic Noise

(available in the XP Pro version only)

A typical hum or buzz consists of harmonically related sinusoidal signals - a number of tones with frequencies, which are integer multiplies of the basic frequency, called fundamental. The AC power mains is the most common source of harmonic noise. In this particular case the fundamental frequency is equal to 60 Hz (US) or 50 Hz (Europe). Electric appliances working in the background, switched on accidentally or intentionally (as in the case of some forensic recordings), constitute another group of typical buzz sources.

Using DeHum

The hum-like disturbances can be eliminated using a comb filter - a collection of notch filters designed so as to suppress the fundamental frequency along with the dominant harmonics. To tune the comb filter appropriately, use the window situated in the upper part of the dialog, which displays the local spectrum of the source signal around the cursor position and/or the spectrum of the signal obtained by comb filtering. Spectral plots can be obtained using two different methods - parametric (AR) and nonparametric (FFT). You can change the amplitude of displayed plots by adjusting the minimum spectral floor level (in dB) and resolution - by choosing the range of analyzed frequencies (maximum frequency).

The three radio buttons, combined in the Show group, allow you to display spectrum of the source signal (Source), spectrum of the results of processing (Result) or both spectral plots at once (Both). Finally, if the input signal is stereo, you can use radio buttons combined in the Channel group to display spectrum obtained for the left channel only (Left), the right channel only (Right) or both channels at once (Both).

In order to remove hum you have to turn into detective for a while. Since hum is a combination of harmonically related sinusoidal signals it introduces a number of sharp spectral peaks which are clearly visible on spectral plots. The black vertical lines superimposed on spectral plots mark center frequencies of the narrow-band signal components, which will be removed by the comb filter. After placing the cursor over any of these lines you will be able to drag the entire structure to a new position. By changing the fundamental frequency (Frequency), the number of notches (Multiplicity) and their relative bandwidth (Bandwidth) you can tune the comb filter so as to suppress all dominant harmonic noise components. To perform fine tuning around the selected frequency (+/- 10%), press the Fit button.

If the ‘Show result’ or ‘Show both’ option is switched on, the results of filtering will be not shown until you press the Apply button - this button turns red each time the results require updating.

The tuning procedure can be summarized as follows:

1. Find the fragment of the recording dominated by hum, preferably containing the hum only. Place cursor in the middle of the corresponding area.

2. Localize the dominant harmonic noise components by visual inspection of spectral plots of the analyzed signal. The fundamental frequency usually corresponds to the highest narrow-band spectral peak. Harmonics correspond to sharp peaks localized at frequencies that are integer multiplies of the fundamental frequency, which results in a characteristic comb-like structure. To identify the harmonic noise components, start from the lowest spectral floor (-100 dB) and the highest resolution available (i.e. the smallest value of the maximum frequency setting). If necessary gradually raise the floor and decrease resolution until the entire comb structure of harmonic noise is revealed.

3. Select the fundamental frequency (Frequency), the number of harmonics (Multiplicity) and their location (Odd/Even/All) so as to match the resonant structure of the noise. Since harmonic components scheduled for canceling are marked with black vertical lines all you have to do is align these lines with the corresponding spectral peaks. Instead of changing the Frequency setting you can place the cursor over any of the black notch markers and drag the entire structure to a new position. To hide notch markers “behind” the plot click the right mouse button; to bring them forward click the right mouse button again. When you finish tuning the harmonic reject filter ‘by hand’ press the Fit button to enforce fine frequency tuning. Fine tuning is confined to a narrow frequency band (+/- 10 %) around the selected fundamental frequency.

4. Choose the relative bandwidth of filter notches. Start from the small bandwidth (5%) and gradually increase it to the point the hum is not audible. Remember that the recovered signal is may deteriorate if the bandwidth is too large so your choice must be a reasonable compromise between the degree of hum suppression and degree of signal distortion. Prior to carrying out listening tests you can tune the bandwidth of notch filters using visual inspection. To check spectral plots of the signal at the output of the comb filter, click the Result radio button localized in the Show group and press the Apply button. If the bandwidth is chosen appropriately all spectral peaks corresponding to removed components should disappear from the spectral plots. To inspect both the input and output spectra click the Both radio button.

5. Perform audition tests. If the results are satisfactory press the Process button to start processing. Otherwise return to step 2 above.

NOTICE

There are no free lunches.... On some occasions removal of hum may result in an audible reverb (echo) effect. To minimize this effect try to limit the number of eliminated harmonics and/or reduce the relative bandwidth of notch filters.

Linear phase

When notches comprising the comb structure are very narrow, i.e. if the corresponding filters have a very small relative bandwidth, the effectiveness of dehuming is not satisfactory at the beginning of the recording due to the long-lasting transient effects. In cases like that, check the Linear phase box to enforce filtering in two directions. Linear phase, i.e. shape preserving filtering is also strongly recommended when processing is restricted to a local area.


Real-time Restoration

(available in the XP Pro version only)

To operate DART XP in the real-time processing mode choose the Real-time command from the Restore menu. Depending on the input/output specifications DART XP can work in four different real-time regimes.

1. audio/audio

input : audio device connected to the input of the sound card (tape deck, phonograph, tuner)

output : audio device connected to the output of the sound card (loudspeakers, tape deck, DAT recorder, on-line CD-recorder)

When operated in this regime DART XP does not engage the computer hard disk to store neither input nor output data, i.e. it processes samples collected at the input of the audio card on-the-fly and sends the results directly to the output. In cases like this the computer serves merely as a memoryless processing unit. To save the results of processing an external recording device should be connected to the output of the audio card. The output data can be stored either in an analog (tape deck) or digital (DAT, CD-recorder) form.

2. file/audio

input : wave file

output : audio device connected to the output of the sound card

All details are identical as in the case 1 above except that the input audio data are fed from the disk wave file. The main advantage of this operating mode is that one doesn’t need to create a separate disk file to keep the results - the restored audio can be sent directly to the external recording device.

3. audio/file

input : audio device connected to the input of the sound card

output : wave file

All details are identical with those in the case 1 above except that the output audio data are saved in the disk wave file. The advantage is one doesn’t need to store the original audio data prior to its restoration.

4. file/file

input : wave file

output : wave file

This variant is almost identical with classical off-line processing except that the rate of processing is synchronized with the sampling/playback rate allowing you to listen to the results while they are generated.

NOTICE

Only the full-duplex audio cards will allow you to listen to and/or record the results of real-time processing in cases 1, 2 and 3 specified above. Otherwise two audio cards are required - the first one to sample the input signal and the second one to audition the output signal.

In order to use DART XP in the real-time processing mode proceed as follows:

1. Connect audio device(s) to the input and/or output of your audio card(s).

2. Evoke the Real-time dialog by choosing the Real-time command from the Restore menu.

3. Select the processing function, the source of the input signal and the destination of the output signal.

4. Press the Start button to initialize processing.

5. Start the output audio device (unless the results are written to a disk file).

6. Start the input audio device (unless the input signal is taken from a disk file).

7. Press the Stop button when finished.

When operated in the real-time mode DART XP will allow you to change different program settings during processing. Since some of the complex restoration functions introduce a considerable processing delay the effects of the changes may not be heard immediately. Each time you modify any of the settings the green READY light will go off - it will be switched on again as soon as the results obtained under the new settings are available. If your computer is too slow to perform real-time processing the red OVERFLOW indicator will burn continuously or at least from time to time (in case you don’t listen to the results). Since the buffer overflow results in audible signal distortions it should be avoided.

NOTICE

If the values of processing parameters are chosen incorrectly (e.g. the lower cutoff frequency of a bandpass/bandstop filter exceeds the higher cutoff frequency) the corresponding items are displayed in red. The inappropriate settings are ignored by the system until they are defined correctly (the last correct settings are used instead).


Advanced Restoration Techniques

(available in the XP Pro version only)

In addition to providing you with basic restoration tools DART XP allows you to define, test and execute complex restoration tasks such as multi-stage declicking, declicking in reverse time, declicking combined with dehissing or denoising, comb filtering and many, many more.

Building complex restoration filters *

Tuning complex filters *

Using MyFilter *

Some examples

* available in the XP Pro version only


Building Complex Restoration Filters

(available in the XP Pro version only)

To build a complex multi-component restoration filter, open the Filter builder dialog available from the Restore menu. The tools that can be used as building blocks are listed on the left side of the dialog. To incorporate a tool in a structure shown in the middle of the panel, highlight the corresponding item and click on the INSERT button (situated on the right side above the tool list). Moving the cursor along the structure select the appropriate insertion point (insertion points turn green when active) and "drop" the tool by clicking the left mouse button. When you start building a complex filter from the scratch there is only one insertion point you can use, placed before two triangles representing the input file and the output file.

If, after pressing the INSERT button, you decide to change the selected tool to another one click the NORMAL button (situated on the left side above the tool list) and repeat the insertion procedure.

Finally, to remove a tool from an existing structure click on it using the right mouse button and choose the Remove command from the pop-up menu that will appear on the screen.

Repeat the procedure summarized above until all building blocks you wish to incorporate in your filter are inserted.

For your convenience all building blocks comprising a complex structure are numbered. If you add or remove a block in the middle of the structure the numbering may change. Each block has an activity checkbox on its right hand side. You can use it to temporarily disable selected functions - when the box remains unchecked the corresponding item is bypassed during processing. Bypassing is very useful when it comes to testing multi-component filters as it helps one to isolate effects (whether positive or negative) introduced by a particular element of a complex structure.

When the filter is ready, use the Info window to describe its features and the Rename button to change its name. To remove a filter that is not needed any more, pick it from the list and click the Remove button.

Several useful, ready-to-use structures are provided along with DART XP, namely : declicking combined with dehissing, declicking combined with denoising, two-stage declicking, reverse-time declicking, reverse-time declicking combined with dehissing and reverse-time declicking combined with denoising.

The existing filter structures can be utilized in two different ways.

First, you can insert the entire structure anywhere in the already built filter (at the beginning, middle or end). To do this press the Insert MyFilter button placed below the list of available tools and use the Filter browser dialog, that will appear on the screen to select structure you wish to include. After closing the Filter browser dialog, choose the insertion point and drop the structure.

Second, you can use an existing structure as a starting point for building a new one. If you don't want to save the original filter, simply choose (or reuse) its name from the MyFilter list and introduce the changes. If you want to create a new filter without altering the original one press the Save as button to save a selected structure under a new name prior to modification.

Binary (detection) files

If the multi-component restoration filter contains at least one declicking unit, DART XP will create a detection file with information about the introduced changes (detection alarms). If several declickers are combined in one structure, the binary detection signals obtained at different stages of processing are "added" - the detection bit is set to 1 if the corresponding sample was scheduled for reconstruction by any of the outlier detectors. If the stereo to mono conversion is performed after declicking, the binary signals obtained for the left and right channel are also added - unless only one channel is selected. If conversion takes place in the opposite direction (mono to stereo) the corresponding binary signals are duplicated.

NOTICE

No detection file will be created if the sample rate conversion is performed after or prior to declicking.


Tuning Complex Filters

(available in the XP Pro version only)

When the structure of a multi-component filter is determined you can start the tuning procedure. To tune parameters of a particular component filter, click on it using the right mouse button and choose the Parameters command from the corresponding pop-up menu.

To preview the results of processing and compare them with the original audio file use the Play result and Play source buttons situated in the Audition group.

NOTICE

Even though you can't save filter settings as a preset, you can save the same structure with different settings under different names, e.g. as MyFilter 1a, MyFilter 1b, etc.


Using MyFilter

(available in the XP Pro version only)

To run a multi-component restoration filter proceed as follows:

1. Indicate the source soundfile by clicking the corresponding SOURCE button.

2. Open the MyFilter dialog available after pressing the MyFilter button in the Filter builder dialog or by choosing the MyFilter command from the Restore menu.

3. Adjust renovation coefficients of each of the component filters – use Play result to preview the results of processing.

4. Select the range of processing (all, window, block).

5. If necessary, change the name of the destination soundfile (only for unregistered source soundfiles).

6. Click the Process button to start processing.

Building complex restoration filters

Tuning complex filters

Examples of complex filters


Examples of Complex Filters

Multi-pass processing

In some cases, repetitive declicking yields improved results when compared to single-pass processing, especially for recordings with very large click intensity.

In particular, the following three-pass processing is quite useful:

1. Remove large scratches by declicking the signal using the large value of the maximum length of detection alarms (e.g. 80) and a large or very large value of the detection threshold (e.g. 5.0).

2. Remove the remaining (usually small) scratches and clicks by declicking the signal using the small value of the maximum length of detection alarms (e.g. 20) and a normal or small value of the detection threshold (e.g. 3.5).

3. Denoise/dehiss the results obtained at the second stage.

We recommend the smoothing and postfiltering actions be switched off during the first two stages of processing.

Reverse time processing

For certain classes of disturbances, backward time processing gives better results than forward time analysis. For example, clicks with soft (round) front edges and sharp back edges usually fall into this category (click geometry depends on many factors such as the recording and mastering technology, properties of the recording medium, playback technique, etc.). Another advantage of reverse time processing is due to the fact that it tends to cope more favorably with transients occurring each time a new sound starts to build up.

When it comes to dehissing/denoising, time-reversal gives no processing advantages so the recommended order of processing is: Reverse, DeClick Plus, Reverse and DeHiss Plus or DeNoise Plus.


How to tune DART

Tuning Restoration Utilities

After selecting DeClick Plus, DeHiss Plus, DeNoise Plus or DeHum* you are asked to set several renovation parameters and/or to choose the mode of processing. If you are a true beginner, you might simply accept the default values of all parameters provided by the system. However, we encourage you to experiment with different program settings to improve the results and get a better feeling of how the system functions.

* available in the XP Pro version only

Instead of trying to tune DART XP using the whole recording (which may be very time consuming for large soundfiles), you may consider performing several quick tests on short representative fragments of the original material.

Case 1: off-line tuning

If your computer is too slow to perform tuning in the on-line mode leave the On-line box localized in the Audition group unchecked. In cases like this all experiments will be performed off-line on a selected fragment of the recording.

In order to preview results in the off-line mode proceed as follows:

1. Use the overview strip, placed at the top of each dialog, to choose a representative fragment of the source soundfile due to be processed. The local processing area is marked with a black strip centered around the cursor - you can change its position (by clicking on the overview strip) and size (by adjusting the local processing time). When selecting the local processing time remember that the excerpt should be short enough to guarantee quick processing but at the same time long enough to make the audition test comprehensive - pieces lasting 5-15 seconds usually fulfill this requirement.

2. Set the renovation parameters.

3. Click the Play result button. DART XP will restore a selected fragment of a soundfile and play the result.

4. Compare the obtained results with the original recording by using the Play source and Play result buttons (as long as you don't change the renovation parameters the restored fragment will be played immediately after pressing Play result).

5. If the results are satisfactory press the Process button to start processing, otherwise return to step 1 above.

Case 2: on-line tuning

If your computer is fast enough to carry out various renovation tasks at the input sampling rate check the On-line box in the Audition group. Working in the on-line mode DART XP will allow you to change and evaluate various program settings during the playback.

In order to preview results in the on-line mode proceed as follows:

1. Choose the processing range. You can process the entire recording starting from its beginning (entire file) or from the current position of the cursor (from cursor). If you choose block processing (block), all tests will be confined to a block of data, and if you select local processing (local) - to the local area around the cursor (you can change the width of this fragment after switching to the off-line mode). In all cases listed above processing is performed in a loop. At any time during processing you can change position of the cursor by clicking on the overview strip displayed at the top of the dialog.

2. Click the Play result button to start restoration.

3. Optimize renovation parameters while listening to the results. Each time you modify any of the settings the green Ready light situated next to the On-line box will go off - it will be switched on again as soon as the results obtained under the new settings are available. At any time during the test you can press the Play source button to bypass processing and listen to the original recording.

4. If the results are satisfactory press the Process button to start processing, otherwise return to step 1 above.

Some important renovation parameters (such as detection threshold in DeClick Plus, gain in DeHiss Plus or weight in DeNoise Plus) have to be assigned numbers. Until you gain enough experience to tune them freely and competently, which may take a while, consider using the lists of standard parameter values associated with the corresponding sliders. Each parameter is represented on the list by five possible settings : normal, small, large, very small and very large. This makes your choice easier, and since the values of the system parameters associated with different categories are also displayed in the dialog, you gradually learn how to translate your wishes into numbers.

When tuning different renovation procedures, you have to rely on your own subjective evaluation of the results. Even though, as the Romans used to say, "De gustibus non est disputandum" ("There is no accounting for tastes"), we beg you: please, do not forget about the signal in your pursuit of removing noise. Forcing noise attenuation that is too strong may result in a signal, which is noiseless, but sounds DEAD.

NOTICE

When modifying program settings, try not to introduce too many changes at a time, otherwise you may have problems figuring out which parameters are responsible for specific (favorable or unfavorable) effects.


Scale

Scale and Maximize

input file : active soundfile

output file : active soundfile

processing mode : local or global

The operation of scaling can be used to either amplify or attenuate the signal in a selected range. If no specific area is selected the entire signal is scaled. In order to set the scaling coefficient, type in the selected (positive) number in the Scaling factor box. Scaling factors smaller than one result in signal attenuation (turning the volume down) while the factors greater than one cause signal amplification (turning the volume up).

No upper limit to the gain factor was set - if some parts of the scaled signal fall out the dynamic range provided by 16-bit (8-bit) coding, all samples 'sticking out' are clipped. To find the maximum gain allowing to amplify the signal without clipping, press the Find maximum gain button in the Scale dialog.

NOTICE

You should realize that due to the limited precision of the 16-bit (8-bit) representation of numbers, scaling is not an invertible operation. For example, if you scale the signal down using the gain factor 0.01 the subsequent amplification with the factor 100.0 will not restore the original numbers (this effect may be strongly emphasized for very small/large scaling coefficients).

Maximize

input file : active soundfile

output file : active soundfile

processing mode : local or global

Maximization of a soundfile is equivalent to scaling it with the maximum gain which does not result in clipping. You can maximize the entire signal or its selected part. Local maximization may be preferable for some classes of audio signals, e.g., for speech recordings. Since different phrases may significantly differ in loudness, maximization performed phrase by phrase may be a way of internal 'balancing' of the entire signal.


Reverse

input file : active soundfile

output file : active soundfile

processing mode : local or global

This option allows you to reverse an entire signal or a fragment. This is especially useful as in certain instances, you may derive superior results through reverse-time processing than can be acheived through normal processing (i.e. forward-time). And, if you are so inclined, you can even use reverse to search for and decrypt hidden “Satanic messages” from certain archived recordings of counter-culture groups of the 1960's and 1970's.


Add

input files : source soundfile
destination soundfile

output file : result.wav (default)

processing mode : global

This option can be used to combine (by adding) the contents of the destination soundfile with the contents of the source soundfile (if either the source or the destination soundfile is not specified an error message is generated). If the added soundfiles do not have the same length, the output file is trimmed to the shorter one. Whether or not a block of samples is selected, the difference is evaluated for an entire soundfile.


Subtract

input files : source soundfile
destination soundfile

output file : result.wav (default)

processing mode : global

This option can be used to compare (by subtracting) the contents of the destination soundfile with the contents of the source soundfile (if either the source or the destination soundfile is not specified an error message is generated). If the compared soundfiles do not have the same length, the output file is trimmed to the shorter one. Whether or not a block of samples is selected, the difference is evaluated for an entire soundfile.


Mix

input files : source soundfile
destination soundfile

output file : result.wav (default)

processing mode : global

You can use this option to mix the contents of the source and destination soundfiles. More specifically, the function realized by the Mix command can be symbolically written down as:output = gain (w input1 + (1-w) input2) where w denotes the user-dependent mixing (balance) coefficient. If the gain coefficient is set to 1 (0dB), no numerical overflow will occur during addition irrespective of the choice of input signals. During the on-line testing the overflow, resulting in clipping of the output signal, sets the clip indicator. To reset the clip alarm click on it.

In order to reverse the phase of the first (source) and/or the second (destination) signal prior to mixing, check the corresponding Invert boxes in the Mix dialog.

The mixture is always evaluated for an entire signal.


Mono/Stereo

This group contains four functions, which allow for various mono/stereo conversions. The Split and Unite commands can be used to separate two channels of a stereo soundfile and to combine two mono tracks into a stereo soundfile, respectively. The Convert to mono command can be used to convert a mono soundfile into a stereo one. Finally, the Convert to stereo function will allow you to to create a pseudo-stereo recording from a mono one.

Split

Unite

Convert to mono

Convert to stereo


Split

input file : active stereo soundfile

output files : left.wav (default)
right.wav (default)

processing mode : global

Split is used to separate channels of a stereo recording, i.e. to create two mono soundfiles containing the material from the left and right channel.


Unite

input files : source soundfile
destination soundfile

output file : stereo.wav (default)

processing mode : global

Unite combines two mono soundfiles into a single stereo one. If the input soundfiles differ in length the output file is trimmed to the shorter of two.


Makemono

Convert to Mono

input file : active stereo soundfile

output file : result.wav (default)

processing mode : global

This option allows you to convert a stereo soundfile to a mono one by mixing both channels. If the slider is put in the leftmost or rightmost position, only the left or right channel will be extracted.


Makestereo

Convert to Stereo

input file : active mono soundfile

output file : result.wav (default)

processing mode : global

You can use this option to create a pseudo-stereo recording from a mono one. Conversion can be done in three different ways:

By duplicating the available mono track.

By duplicating and reversing phase of the left channel

By duplicating and reversing phase of the right channel


Smart edit

Smart Editing

input file : active soundfile

output file : active soundfile

processing mode : local

Muting and cutting are perhaps the simplest means of eradicating short lived audio artifacts. Both techniques are extremely simple - after selecting a block of samples that contains a disturbance one may attempt to either mute or remove the unwanted part of the signal. If the selected fragment is sufficiently short and if block boundaries are chosen appropriately chances are the disturbance will be removed- the effect owed to the inertia of our auditory system and high redundancy of audio signals. The success of the local muting/cutting techniques depends critically on a careful selection of block boundaries. Local muting may introduce discontinuities at both block edges usually heard as clicks. Cutting may also introduce discontinuities (if signal values at both block edges don’t match). Additionally, it may disturb the periodic structure of the processed signals leading to audible distortions of another kind. Basically, local muting and cutting are trial and error techniques - sometimes many attempts ought to be made before an entirely satisfactory solution to the problem at hand is found. The smart editing tools make the search faster - by performing it in an intelligent way, and the results easier to evaluate - by using the previewing option.

Finally, Smart mute, Smart cut and Crossfade cut are useful tools for localizing short-lived disturbances difficult to spot by other means. If after muting/cutting a specific fragment of the signal the disturbance is not audible it must be contained inside the selected block.

Smart mute

Smart cut

Crossfade cut


Smart Mute

input file : active soundfile

output file : active soundfile

processing mode : local

If problems with signal discontinuity can be handled properly, local muting may be a fast and efficient way of eradicating disturbances. The simplest way of avoiding clicks due to local muting is by positioning both block edges at signal zero-crossings. Smart mute is a tool which automatically searches for signal zero-crossings and adjusts the left/right boundaries of a selected block accordingly. If, despite adjusting the block edges the results are not satisfactory you can enforce smooth signal transitions at both sides of the block by local fading.

To use Smart mute proceed as follows:

1. Select a block containing this part of a signal you would like to mute. Do not care of positions of block edges at this stage - you can mark blocks on condensed signal plots if so convenient.

2. Evoke the Smart mute dialog by choosing the Smart mute command from the Toolbox menu.

3. Adjust the left and/or right block edges, by moving them to the nearest zero crossings situated to the left [image] or right [image] of the current position (the search is limited to 500 ms on the left and right side of each block edge). Apply local fading, if necessary, by selecting a non-zero fade time.

4. Press the Preview button to evaluate the results. The audio file remains unmodified at this stage of processing - the actual signal samples are replaced with zeros during the playback only (virtual muting). Use the Preferences dialog, available from the Options menu, to change the local audition time, if necessary.

5. If the results are satisfactory press the Process button, otherwise return to Step 3 above and try to differently position block edges. Please note that, for long recordings, cutting may be a very time consuming operation as it involves rewriting the entire audio file.

Local muting of stereo signals can be a bit tricky. Due to the offset differences between stereo channels it is usually impossible to find ‘double’ zero-crossings, i.e. the points at which both signals change their signs simultaneously. For this reason if a disturbance is present in both audio tracks, try to mute it in each channel separately (use the Left and Right radio buttons to switch between stereo channels). If you select both channels at once by clicking the Both radio button, the Adjust block function will be disabled, i.e. you will be able to use the local fading only.

At any time you can reduce the size of the Smart mute dialog by pressing the MINIMIZE button, situated in its upper right corner. The reduced size dialog contains the search forward/backward, preview and close buttons only. Use the MAXIMIZE button to switch back to the full size dialog.

NOTICE

You can leave the Smart mute dialog, without closing it, to activate another soundfile (by clicking on it), to select an entirely new block or to move the boundaries of an existing block (by dragging them to a new position).


Smart Cut

input file : active soundfile

output file : active soundfile

processing mode : local

Local cutting of an unwanted audio material may be an efficient tool for elimination of disturbances. If the removed fragment is sufficiently short and the signal on its right hand side is a “natural continuation” of the one observed on its left hand side, our auditory system can be easily fooled - the disturbance is lost without a trace.

Smart cut is a tool which is capable of localizing such “natural continuations” by itself, saving a lot of time and efforts.

To use Smart cut proceed as follows:

1. Select a block containing this part of a signal you would like to eliminate. If a signal has strong periodic components, try to make the block width commensurate with the signal period or its multiplicity.

2. Evoke the Smart cut dialog, by choosing the Smart cut command from the Toolbox menu.

3. Adjust the left and/or right block edges position (the search is limited to 500 ms on the left and right side of each block edge). When you decide to move the right block boundary to the left [image] or right [image] of its current position, the signal just preceding the left block boundary will serve as a reference and vice versa. Use the Accuracy setting to increase or decrease accuracy of the fit.

4. Press the Preview button to evaluate the results. The audio file will remain unmodified at this stage of processing - the selected signal samples are simply skipped during the playback (virtual cutting). Use the Preferences dialog, available from the Options menu, to change the local audition time, if necessary.

5. If the results are satisfactory, press the Process button, otherwise return to Step 3 above and try to differently position block edges. Please note that, for long recordings, cutting may be a very time consuming operation as it involves rewriting the entire audio file.

At any time you can reduce the size of the Smart cut dialog by pressing the MINIMIZE button situated in its upper right corner. The reduced size dialog contains the search forward/backward, preview and close buttons only. Use the MAXIMIZE button to switch back to the full size dialog.

NOTICE

You can leave the Smart cut dialog without closing it to select an entirely new block or to adjust the boundaries of an existing block.


Crossfade Cut

input file : active soundfile

output file : active soundfile

processing mode : local

To avoid signal discontinuity at the joining edge, the signals observed at both sides of the removed fragment can be crossfaded into each other.

To use Crossfade cut proceed as follows:

1. Select a block containing this part of a signal you would like to eliminate. If a signal has strong periodic components try to make the block width commesurate with the signal period or its multiplicity.

2. Evoke the Crossfade cut dialog by choosing the Crossfade cut command from the Toolbox menu.

3. Select the crossfade time so as to enforce smooth transition of the signal on the left side of the block into the signal on the right side of the block.

4. Press the Preview button to evaluate the results. The audio file will remain unmodified at this stage of processing - the selected signal samples are simply skipped during the playback (virtual cutting). Use the Preferences dialog available from the Options menu to change the local audition time, if necessary.

5. If the results are satisfactory press the Process button, otherwise return to Step 3 above and try to differently position block edges. Please note that for long recordings cutting may be a very time consuming operation as it involves rewriting the entire audio file.

At any time you can reduce the size of the Crossfade cut dialog by pressing the MINIMIZE button situated in its upper right corner. The reduced size dialog contains the search forward/backward, preview and close buttons only. Use the MAXIMIZE button to switch back to the full size dialog.


Filter

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : local or global

You have at your disposal five different filters that can be used to change the frequency content of analyzed signals :

Lowpass filter can be used to remove the high frequency components of the signal starting from a desired cutoff frequency.

Highpass filter allows you to remove all low frequency components of the signal, namely, all components up to a desired cutoff frequency.

Bandpass filter can be used to remove from the analyzed signal both the low frequency components (those placed below the lower cutoff frequency) and the high frequency components (those situated above the higher cutoff frequency).

Bandstop filter can be used to remove from the analyzed signal the mid frequency components (those placed between the lower and higher cutoff frequencies).

Notch filter is designed to remove the components contained in a very narrow frequency band centered at a given notch frequency from the analyzed signal. You can use it, for example, to remove narrow-band interferences due to the power supply or electrical coupling.

By altering the harmonic or timbral contents of a recorded sound you can correct certain types of problems that may have occurred during the recording or transfer process. For example, a direct transfer of a musical recording from old 78 RPM (revolutions per minute) disks to a wideband playback system will be highly noisy due to the limited bandwidth of the old record. To reduce this noise, a bandpass filter with a passband matching the bandwidth of the old record can be utilized. Some older recordings can be made more pleasing by adding a broad high-frequency peak in the 5 to 10 kHz range and by filtering out some of the lower frequencies. The notch filter is particularly useful in removing 60 Hz power supply hum.

Attenuation

You can determine the 'sharpness' of each of the filters described above, by choosing the attenuation coefficient (expressed in decibels per octave) - the larger the value of this coefficient, the steeper the 'cut' at the cutoff frequency or the narrower the notch. Sharper filters are more complex, and hence they result in longer processing times.

Linear phase

The frequency shelving Butterworth filters are the basic 'building blocks' used to design various types of filters provided by DART XP. Belonging to the class of recursive infinite impulse response (IIR) filters, the Butterworth filters guarantee fast processing (which is an obvious advantage) but also introduce nonlinear phase distortions, i.e. they do not preserve the shape of the input signal. This sounds like a major drawback but whether it is or is not depends strongly on the purpose and context of filtering. The point is that our auditory system is practically insensitive to phase distortions introduced by filters, i.e. despite the apparent differences in output signals yielded by linear phase (shape-preserving) filters and their nonlinear phase counterparts, the sound we hear is exactly the same.

On the other hand, whenever filters are used for local processing only, preservation of the shape of an input signal is desirable - otherwise some discontinuities are likely to appear at the boundaries of the selected block.

Whenever you would like the filter to preserve the waveform shape, check the Linear phase box - the signal will be filtered twice : first in the forward, than in the backward direction. Such bi-directional processing allows for the linear phase condition to be fulfilled, though it will slow down the computation.

NOTICE

When a two-pass filtering procedure is used, the filter characteristics are automatically adjusted so that the overall signal attenuation in the stopband region is equal to the declared one, e.g., if you set the attenuation to 20 dB/oct, the filter with 10dB/oct attenuation will be used for the purpose of combined forward/backward processing.

Previewing results of filtering

To perform on-line tuning check the On-line box and select the processing range (entire file, from cursor, local, block). Then press the Play result button. Working in the on-line mode DART XP will allow you to listen to the filtering results while changing the program settings. Each time you modify any of the settings the green Ready light situated next to the On-line box will go off - it will be switched on again as soon as the results obtained under the new settings are available. At any time during the test you can press the Play source button to bypass filtering and listen to the original recording.

If your computer is too slow to perform tuning in the on-line mode leave the On-line box unchecked. In cases like this all experiments will be performed off-line on a selected fragment of the recording.

NOTICE

If, during the on-line testing, the values of processing parameters are chosen incorrectly (e.g. the lower cutoff frequency of a bandpass/bandstop filter exceeds the higher cutoff frequency) the corresponding items are displayed in red. The inappropriate settings are ignored by the system until they are defined correctly (the last correct settings are used instead).

Local filtering

All filters can be operated locally, i.e. in the selected area only. In such a case:

1. If the output file does not exist yet or is not opened, a new soundfile, identical with the input file, is created prior to processing.

2. The filtering algorithm is run in the selected area and the corresponding block of samples in the output file is modified.

If the output file already exists and is opened, only the second part of the above procedure is realized.

NOTICE

When the results of local filtering are pasted over into the output file, some discontinuities may appear at the boundaries of the selected block. Usually this problem can be avoided, provided that the corresponding filters are operated in the linear phase mode; if not - try using DART XP tools to enforce a smooth transition.


Lowpass

Lowpass Filter

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : local or global

The lowpass filter (low-frequency shelving filter) can be used to attenuate the high-frequency components of the signal. The filter has two adjustable parameters.

The cutoff frequency (expressed in hertz) determines the passband of the filter, i.e. the frequency range [0 Hz,cutoff frequency] in which the signal is (almost) not modified. The cutoff frequency must be in the range [20 Hz , 0.45(sampling frequency)]

The bandpass attenuation coefficient (expressed in decibels per octave) decides upon the 'sharpness' of the filter - the larger the value of this coefficient, the steeper becomes the 'cut' at the cutoff frequency. Sharper filters are more complex, and hence they result in longer processing times.

Linear phase filtering

Previewing results of filtering

Local filtering


Highpass

Highpass Filter

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : local or global

The highpass filter (high-frequency shelving filter) can be used to remove the low -frequency components of the signal. The filter has two adjustable parameters.

The cutoff frequency (expressed in hertz) determines the passband of the filter, i.e. the frequency range [cutoff frequency,0.5(sampling frequency)] in which the signal is (almost) not modified. The cutoff frequency must be in the range [20 Hz , 0.45(sampling frequency)]

The bandpass attenuation coefficient (expressed in decibels per octave) decides upon the 'sharpness' of the filter - the larger the value of this coefficient, the steeper becomes the 'cut' at the cutoff frequency. Sharper filters are more complex, and hence they result in longer processing times.

Linear phase filtering

Previewing results of filtering

Local filtering


Bandpass

Bandpass Filter

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : local or global

The bandpass filter can be used to remove both the low-frequency and high-frequency components of the signal. The filter has three adjustable parameters.

The lower and higher cutoff frequencies (expressed in hertz) determine the passband of the filter, i.e. the frequency range [lower cutoff frequency,higher cutoff frequency] in which the signal is (almost) not modified. Both cutoff frequencies have to remain in the range [20 Hz , 0.45(sampling frequency)]

The stopband attenuation coefficient (expressed in decibels per octave) decides upon the 'sharpness' of the filter - the larger the value of this coefficient, the steeper become 'cuts' at both cutoff frequencies. Sharper filters are more complex, and hence they result in longer processing times.

Linear phase filtering

Previewing results of filtering

Local filtering


Bandstop

Bandstop Filter

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : local or global

The bandstop filter can be used to remove those components of the signal which belong to a specified frequency band. The filter has three adjustable parameters.

The lower and higher cutoff frequencies (expressed in hertz) determine the stopband of the filter, i.e. the frequency range [lower cutoff frequency,higher cutoff frequency] in which the signal is attenuated. Both cutoff frequencies have to remain in the range [20 Hz , 0.45(sampling frequency)]

The stopband attenuation coefficient (expressed in decibels per octave) decides upon the 'sharpness' of the filter - the larger the value of this coefficient, the steeper become 'cuts' at both cutoff frequencies. Sharper filters are more complex, and hence they result in longer processing times.

Linear phase filtering

Previewing results of filtering

Local filtering


Notch

Notch Filter

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : local or global

The notch filter is designed to attenuate a particular frequency component of the signal and has a narrow width so as not to affect the rest of the recording. The filter has two adjustable parameters.

The notch frequency (expressed in hertz) specifies the component due to be removed. The notch frequency must be in the range [20 Hz , 0.45(sampling frequency)]

The 3-dB rejection band (also specified in hertz) decides upon the 'selectiveness' of the filter - the smaller the width of the rejection band, the narrower becomes the frequency 'notch'. The width of the rejection band must be smaller than half of the notch frequency (if not, an appropriate warning is issued).

The notch filter is particularly useful in removing 60 Hz power supply hum.

Linear phase filtering

Previewing results of filtering

Local filtering


Equalize

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : local or global

A multiband graphic equalizer is provided allowing you to shape the frequency content of the analyzed signal. The number of bands depends on the sampling frequency and is equal to 8, 9 and 10 for 11.025 kHz, 22.050 kHz and 44.100 kHz sampling, respectively.

Equalization is usually employed to shape the sound of different instruments, e.g., to add a 'fullness' effect to weak instruments such as the acoustical guitar or to increase the 'crispness' in percussion instruments such as the bongo or snare drums.

Gain

Gain is used to change the frequency content of the signal in different frequency bands. There are separate gain sliders for each frequency range and an additional slider for the overall volume regulation. Use the band sliders to determine the shape of the equalization curve and the volume slider for the fine volume adjustment. The number displayed above each slider shows the gain, expressed in decibels : the positive values result in amplification (frequency boost) and the negative values in attenuation (frequency cut) of the corresponding signal components.

NOTICE

When the signal is amplified some of its parts may fall out the available dynamic range. All samples 'sticking out' are clipped which may result in audible sound distortions. For this reason, if the clipping lock placed below the volume slider is triggered (or if the warning about clipping occurs on the screen upon completion of equalization) you should consider processing the signal once more with reduced gains.

Linear phase

If you want the equalizer to preserve the shape of the input signal check the Linear phase box. The linear phase condition (allowing one to eliminate nonlinear phase distortions) is achieved by bi-directional processing. The shape-preserving equalization is strongly recommended when processing is restricted to a local area.

Equalization presets

To save equalization settings as a preset press the Presets button situated at the bottom of the Equalizer dialog. The Equalization presets dialog will appear on the screen allowing you to save the current settings (use the Save button) under the name of your choice. Up to 30 different settings can be saved. The same dialog allows you to load an existing preset by highlighting the appropriate name and pressing the OK button.

For your convenience a set of nine standard (predefined) presets (Flat, Bass cut/boost, Treble cut/boost, Mid cut/boost, Side cut/boost) are provided. Predefined presets (displayed with an 'asterisk' mark next to them) are write protected, i.e. you will not be allowed to save the user-defined presets under the names listed above.

NOTICE

The equalization presets are stored in the configuration file dartwin.eql. All settings will be lost if this file is deleted or corrupted outside of DART XP.

Previewing results of equalization

To perform on-line tuning check the On-line box and select the processing range (entire file, from cursor, local, block). Then press the Play result button. Working in the on-line mode DART XP will allow you to listen to the equalization results while changing the program settings. Each time you modify any of the settings the green Ready light situated next to the On-line box will go off - it will be switched on again as soon as the results obtained under the new settings are available. At any time during the test you can press the Play source button to bypass filtering and listen to the original recording.

If your computer is too slow to perform tuning in the on-line mode leave the On-line box unchecked. In cases like this all experiments will be performed off-line on a selected fragment of the recording.

Local equalization

The equalizer can be operated locally, i.e. in the selected area only, as follows:

1. If the output file does not exist yet or is not opened, a new soundfile, identical with the input file, is created prior to processing.

2. The equalizer is run in the selected area and the corresponding block of samples in the output file is modified.

If the output file already exists and is opened, only the second part of the above procedure is realized.

NOTICE

When the results of local equalization are pasted over into the output file, some discontinuities may appear at the boundaries of the selected block. Most of the time this problem can be avoided provided that the equalizer is operated in the linear phase mode; if not - try using DART XP tools to enforce a smooth transition.


Fade

Fade utilities can be used to gradually increase the volume of the recording at the beginning of the soundfile (Fade in), gradually decrease the volume of the recording at the end of the soundfile (Fade out) or to fade one soundfile into another (Crossfade).

Fade in

Fade out

Crossfade


Fade in

input file : active soundfile

output file : active soundfile

processing mode : local or global

Fade in is used at the beginning of the soundfile to gradually increase the volume of the recording. The Fade in dialog allows you to:

  • select the fade range (anything between 20 ms and 20 s)

  • select the start level specified in decibels (-96dB corresponds to a total silence); the end level is always assumed to be 0 dB which corresponds to the original volume of the audio

  • select the type of the volume change (linear or logarithmic)

  • listen to the modified fragment of the recording

NOTICE

You can specify the fade range both in milliseconds and samples. Use the wide scroll buttons for a coarse range selection and the narrow ones for fine tuning. You may also type the desired value directly in the corresponding text box.


Fade out

input file : active soundfile

output file : active soundfile

processing mode : local or global

You can use this option to gradually decrease the volume of the recording at the end of a soundfile. The Fade out dialog allows you to:

select the fade range (anything between 20 ms and 20 s)

select the end level specified in decibels (-96dB corresponds to a total silence); the start level is always assumed to be 0 dB which corresponds to the original volume of the audio

select the type of the volume change (linear or logarithmic)

listen to the modified fragment of the recording

NOTICE

You can specify the fade range both in milliseconds and samples. Use the wide scroll buttons for a coarse range selection and the narrow ones for fine tuning. Alternatively, type the desired value directly in the corresponding text box.


Crossfade

input files : source soundfile
destination soundfile

output file : result.wav (default)

processing mode : global

You can use this option to crossfade the source soundfile into the destination soundfile. The crossfade point (i.e. the point around which one audio file is is faded out and the other one is faded in) is determined by cursor positions in the source and destination soundfiles. Typically, the crossfade point is placed close to the end of the source file and close to the beginning of the destination file which allows one to achieve a smooth transition from one recording to another. In order to be able to freely and independently set cursor positions in crossfaded files, switch the cursor synchronization off prior to using this option.

To crossfade two audio files:

1. Indicate the source and destination soundfiles due to be crossfaded.

2. Use the Synchronization dialog (available from the Window menu) to turn the cursor synchronization off. Alternatively, press the SYNCHRONIZE button situated on the toolbar to switch off the synchronization completely.

3. Set the cursor positions in the source soundfile (fade out point) and in the destination soundfile (fade in point).

4. Select the fade range (anything between 20 ms and 20 s) and the type of the volume change (linear or logarithmic).

5. If necessary, change the name of the output file.

6. Listen to the results.

7. Press the Process button to start processing.

NOTICE

You can specify the crossfade range both in milliseconds and samples. Use the wide scroll buttons for a coarse range selection and the narrow ones for fine tuning. Alternatively, type the desired value directly in the corresponding text box.


Shift Pitch

(available in the XP Pro version only)

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

DART Pitch Shifter can be used to change the pitch of the recording without modifying its duration. The Shift pitch dialog allows you to fit the key of the music to your needs.

Setting Shift Pitch controls

Pitch changes can be controlled in three different ways.

The slider and the associated box can be used to define the new pitch as a percentage of the old one.

The two boxes situated in the Pitch variation group allow you to express the desired pitch variation in musical measures: semitones and cents. The upper box can be used to set the number of semitones (half-steps) by which the original pitch will be raised or lowered. The range is limited to +/-12 semitones, which is equivalent to one octave up or down. To fine tune above and below a semitone use the lower box, scaled in cents (+/-50). One hundred cents is equivalent to one semitone.

The Precision coefficient allows you to trade off between the quality of pitch modification and the speed of processing. Since the results are pretty insensitive to the simplifications introduced to achieve faster processing, in most cases you can safely set the Precision coefficient to 10% without causing a noticeable degradation of the produced sound.

Setting audition controls

Audition controls allow you listen to the results of DART Pitch Shifter while you change the Pitch Shifter controls. You can compare the results of Pitch Shifter to the original recording by switching between Play Result and Play Source. Choices in the Range control allow you to select starting and ending points in the soundfile that you are auditioning.

Press the Play Result button to hear the results of Pitch Shifter digital audio processing. You can modify the Pitch Shifter parameters while playing results. The green Ready light indicates the Pitch Shifter parameters you set have been processed and are ready to play. When you change parameters, the light goes off until your new settings have been processed.

Press the Play Source button to hear the original soundfile. All Pitch Shifter processing is bypassed.

Use the Overview Bar to set the position of the cursor. The Overview Bar is the unlabelled gray rectangle at the very top of the Pitch Shifter panel. A yellow vertical line in the box represents the cursor position.

Selections in the range box allow you to choose the start and end points of the soundfile you are auditioning (from cursor, entire file, local, block). With all choices, Pitch Shifter plays in a loop, jumping to the start point you choose when the end point is reached. Please note: setting parameters modifies the complete soundfile not just the portion you audition.


Sample rate

Convert Sample Rate

The Sample rate functions allow you to: perform the sample rate conversion (Resample), change the speed with which a soundfile is played back (Change sampling rate), correct the RPM rate if an old recording is played back with a nonstandard speed or using a nonstandard equipment (Adjust RPM rate), trim the length of a soundfile (Trim length) and - convert any audio file to a format that allows one to record it on a CD (CD format).

Since the audio card settings, such as the sampling frequency or the number of channels, cannot be changed ‘on-the-fly’, i.e. during the playback, utilities belonging to the Sample rate group will not allow you to switch directly between the Play source and Play result buttons when tested in the on-line mode - you have to stop playback before pressing the other button. For the same reason some options in the corresponding dialogs are disabled when the Play result button is pressed.

Resample

Change speed

Adjust RPM rate

Trim length

CD format


Resample

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

You can use this utility to alter the sampling rate of the digital recording. Since all CD players "read" audio signals with a 44.1 kHz speed you have to convert all audio files to this standard rate prior to putting it on a CD. The other standard output rates include, 48 kHz (the rate used in a DAT equipment) and 32 kHz (the radio frequency). The procedure for sample rate conversion implemented in DART XP has two important features:

It provides truly professional resampling quality and, at the same time, is extremely fast (we bet you will not find a faster one elsewhere)

It is not constrained to standard sampling rates, i.e. it can be used to convert any input rate to any output rate

When the output/input resampling ratio r is greater than one (upsampling) the output audio file is r times longer than the input one. If r is smaller than one (downsampling) the output file is r times shorter than the input file. For obvious reasons downsampling is faster than upsampling (think of the number of input/output operations in each case).

When downsampling is performed the bandwidth of the signal is reduced accordingly, that is, some high-frequency signal components are removed. This means that downsampling an audio signal r times and then upsampling it r times will not restore the original recording (downsampling is not a reversible operation). Since bandwidth reduction may result in audible sound distortions you should use this tool with caution.

NOTICE

The bandwidth of many old recordings is limited to 10 kHz which means they can be "safely" sampled at the rate of 22 kHz. In cases like this consider recording and restoring the audio signal at a lower rate of 22 kHz prior to upsampling it to a CD rate of 44 kHz. There are at least two advantages of doing this:

1. Declicking is usually more effective at low sampling rates - at high rates clicks are less sharp and hence more difficult to detect and isolate. The same, to some extent, concerns DeNoise - since noise dominates the high-frequency portion of the signal spectrum, fast sampling decreases the overall signal-to-noise (SNR) ratio which makes the restoration task more difficult.

2. Since resampling is less time consuming than declicking or denoising (dehissing) the "restore at lower rate and upsample" scheme works considerably faster than the "restore at higher rate" scheme.

Time synchronization

Comparing the resampled audio signal with its original version is a bit tricky - since both files differ in length the ordinary synchronization, which does not take into account the sampling rates of displayed files, will fail to locate fragments of the recordings with identical contents. To help you compare several variants of the recording with different sampling rates, a special time synchronization feature was added to the Options dialog available from the Setup menu. When the Time sync box is checked, and synchronization is switched on, the cursors in all displayed windows are automatically time-aligned. This means that if the Play local command is used the same portion of the audio material will be played back irrespective of the corresponding sampling rates. Similarly, when a block of samples is selected in an active window the appropriately scaled (contracted or extended) blocks will be marked in the remaining windows.

NOTICE

When time synchronization is on and the compared files have different sampling rates, the time-aligned cursors have different relative positions within each window (unless placed exactly in the center of an active window). To put them exactly one over another, i.e. along the same vertical line, press the TAB key.


Adjust

Change Speed

input file : source soundfile

output file : source soundfile

processing mode : global

You can use this option to change the speed at which a soundfile is played back. Since the system just modifies the file header (all signal samples remain unchanged) speed adjustments can quickly be made.

Many sound cards allow you to precisely tune the sampling frequency over a wide range of speeds - even though the recording rate is usually limited to a certain number of standard frequencies. Should the card be unable to support a declared playing speed the system will issue an appropriate message each time you attempt to play the corresponding audio file.

Speed adjustments can serve different purposes. Since speeding up an audio file raises the pitch and slowing it down lowers the pitch you can make someone sound like Donald Duck or you can make your poodle sound like a bulldog. But seriously ... speed adjustment is a very useful tool should you have to deal with audio material recorded or played back at nonstandard rates (check also Adjust RPM rate ).


AdjustRPM

Adjust RPM Rate

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

Whenever possible old records should be played back using original equipment, namely a phonograph working with an appropriate speed, usually expressed in terms of the RPM (revolutions per minute) rate.

The most frequently encountered rates include 33.33 RPM (modern LP’s), 45 RPM (singles) and 78.26 RPM (most of the old laterals produced up to mid fifties). Occasionally you may come across records that require less typical speeds such as 78.8 RPM (Edison Laterals), 80 RPM (Edison Diamond Disks), 125 RPM (Brown Wax Cylinders) and several other unusual rates.

Since the original equipment may be very difficult to find you may be forced to use another phonograph with a different turntable speed than required. DART XP offers you a special tool for automatic correction of audio data collected under such nonstandard conditions.

Suppose, for example, that you want to restore recordings from an old 78 RPM vinyl record but you don't have a phonograph capable of playing it back with the appropriate speed. Here's what you can do if you have at your disposal a 33.33 RPM phonograph which was in common use prior to the invasion of CD players (check out your attic!):

1. Play the record back with a speed of 33.33 RPM and sample it at a standard rate of 22050 Hz.

2. Use the Adjust RPM rate utility to correct the speed and the sampling rate of the recording obtained at step 1.

If your computer is sufficiently fast you don’t have to store the preliminary results of step 1 on your hard disk - if you use the Adjust RPM rate utility in the real-time mode (after choosing the Real-time command from the Restore menu) DART XP will make all due adjustments ‘on the fly’, i.e. the program will operate directly on the samples collected at the input of your audio card.

The Adjust RPM rate dialog is easy to use. All you have to do is give details (RPM rate) of the recording technique you used to obtain the nonstandard audio data and specify the appropriate sampling parameters (RPM rate, sampling frequency) you would have used had the original equipment been available. Then press the Process button.

NOTICE 1

The choice of an appropriate stylus is another important decision, which affects the record transfer. The trial and error method is perhaps the best one to advice. Elliptical styli usually yield satisfactory results, e.g. you may try a 0.7 mil elliptical stylus to transfer modern LP’s and a 3.0 mil truncated elliptical stylus to transfer 78 RPM laterals.

NOTICE 2

Playing back a record at a lower speed than required is sometimes a good way of avoiding skipping due to the groove tracking problems. The Adjust RPM rate utility will allow you to easily correct all nonstandard recordings obtained in this way.


Trim

Trim Length

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

Suppose there are exactly 3 minutes left on your recordable CD and the recording you would like to include is 3 minutes and 5 seconds long ... The easiest way to cope with such a situation is to shorten the material, while keeping the original sampling rate unchanged. Of course, all length alterations affect the pitch of the audio signal. However, if the changes are not significant, e.g., if the new length does not differ by more than +/- 5% from the old one, pitch variations remain practically unnoticeable.

The Trim length dialog allows you to freely adjust the length of the recording by specifying the new length expressed in time units, bytes or as a percentage rate. If the attempted changes exceed the +/- 5% safety margin, the red 'safety alert' light is turned on to warn you of possible hazards.


CD Format

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

You can use this option to convert any soundfile to a CD format (16 bit, 44kHz, stereo).


speed up, slow down

Speed up / Slow down

(available in the XP Pro version only)

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

You can use this tool to change duration of the recording (stretch or compress the time duration of a sound) without altering the pitch.

Setting Time Compressor/Expander controls

The time scale changes can be controlled in three different ways.

The slider and the associated box can be used to define the new length of the recording as a percentage of the old one. The two boxes situated in the New length group allow you to set the desired length of the recording in the units of time or in bytes.

For large values of the scaling coefficients the uniform scaling of speech signals may produce unnatural effects, e.g. the slowed down speech may show “drunken” characteristic and the speeded up speech may be difficult to understand. The explanation is simple – people do it differently. In actual rate-changed speech, unvoiced sounds such as consonants and fricatives, do not undergo the same scaling as the vowels. To improve naturalness/intelligibility in time-scale modified speech, check the Dynamic rate adjustment box – in this case the speech-adaptive rate will be applied. Since under adaptive scaling unvoiced sounds remain essentially intact, the overall expansion/compression rates, reflected by the changes in the length of the output file, are smaller than the nominal (declared) rates. Since the actually achieved modification rate depends on the voiced/unvoiced proportion, which is specific for a given recording, its value is difficult to predict prior to processing.

The Precision coefficient allows you to trade off between the quality of time scale modification and the speed of processing. Since the results are pretty insensitive to the simplifications introduced to achieve faster processing, in most cases you can safely set the Precision coefficient to 10% without causing a noticeable degradation of the produced sound.

Setting audition controls

Audition controls allow you listen to the results of DART Time Compressor/Expander while you change the Time Compressor/Expander controls. You can compare the results of Time Compressor/Expander to the original recording by switching between Play Result and Play Source. Choices in the Range control allow you to select starting and ending points in the soundfile that you are auditioning.

Press the Play Result button to hear the results of Time Compressor/Expander digital audio processing. You can modify the Time Compressor/Expander parameters while playing results. The green Ready light indicates the Time Compressor/Expander parameters you set have been processed and are ready to play. When you change parameters, the light goes off until your new settings have been processed.

Press the Play Source button to hear the original soundfile. All Time Compressor/Expander processing is bypassed.

Use the Overview Bar to set the position of the cursor. The Overview Bar is the unlabelled gray rectangle at the very top of the Time Compressor/Expander panel. A yellow vertical line in the box represents the cursor position.

Selections in the range box allow you to choose the start and end points of the soundfile you are auditioning (from cursor, entire file, local, block). With all choices, Time Compressor/Expander plays in a loop, jumping to the start point you choose when the end point is reached. Please note: setting parameters modifies the complete soundfile not just the portion you audition.


Find Pattern

Some noise sources form very characteristic noise patterns, which can be easily localized by using pattern recognition techniques. Thumps and some kinds of scratches are good examples of disturbances, which can be easily identified by shape.

To search for typical noise patterns:

1. Mark a fragment of the signal, which will serve as a reference pattern. The reference block should be at least 50 and at most 500 samples long.

2. Select the Find pattern command from the Toolbox menu and press the Get button. The selected fragment of the signal will be displayed at the top of the dialog.

3. Specify the requested degree of similarity between the reference pattern and its preferences by selecting the three accuracy factors (shape, scale and length).

4. Press the FORWARD /BACKWARD [image] button to initialize search in a chosen direction. If the search is successful, the corresponding portion of the recording will be highlighted and the cursor will be placed at its beginning. If a pattern matching the reference with a prescribed degree of accuracy cannot be found in a given direction, an appropriate message appears on the screen.

5. When finished, press the Close button to close the Find pattern dialog.

DART XP allows you to save up to 16 typical noise patterns. To add a new pattern to an archive, press the Add button. To remove it from an archive or to change its name use the Remove and Rename buttons, respectively.

At any time you can reduce the size of the Find pattern dialog by pressing the MINIMIZE button situated in its upper right corner. The reduced size dialog contains the search forward/backward and close buttons only. Use the MAXIMIZE button to switch back to the full size dialog.

Working with stereo soundfiles

A reference pattern is always taken from the currently displayed channel of a stereo recording. If both channels are displayed DART XP will ask you which one to choose. The search criteria are straightforward - only the displayed channels are browsed when the system looks for the matching patterns. This means that if you would like to inspect both channels of a stereo recording, both should be shown on the screen.


Spectral Analysis

(available in the XP Pro version only)

The Spectral analysis utilities allow you to examine signals in the frequency domain:

The Spectrum tool performs the pointwise decomposition of the analyzed signal into different frequency components and the Spectral view tool shows how the signal spectrum evolves in time.

Spectrum

Spectral view


Spectral analysis

Spectrum

(available in the XP Pro version only)

input file : active soundfile

Spectral analysis characterizes the frequency content of a signal. Roughly speaking, an audio signal can be thought of as a combination of sinusoidal 'waves' (tones) of different amplitudes and frequencies. Spectrum analyzers decompose the signal into different frequency components in a very much the same way as a glass prism breaks up light into different colors.

Distribution of the signal power over frequency is called the power spectral density function of a signal or simply - its spectrum. The shape of a spectral graph contains important and useful information about the analyzed signal. A speech specialist, for example, can recognize the particular sound by examining the shape of its spectral density plot, e.g., by analyzing the number and localization of regions of spectrum emphasis (resonances, called formants) and deemphasis (antiresonances).

General remarks

Spectrum estimation

Spectral graphs


Spectral View

(available in the XP Pro version only)

input file : active soundfile

When you press the SPECTRAL VIEW button situated on the toolbar (or choose the Spectral view command from the Toolbox menu) DART XP will display a spectral panorama of the signal around the current cursor position. Spectral panorama, often called an evolutionary spectrum as it shows how the signal spectrum evolves in time, is a sequence of spectral graphs corresponding to different time instants. The three-dimensional time-frequency spectral plots can be very helpful in spotting some short-lived disturbances, performing the formant analysis of speech or simply better understanding the nature of the analyzed signals.

Changing time and frequency coordinates

Zooming in/out

Configuring display

Viewing 3-D spectral plots

Using ‘Spectral view’ to spot disturbances


Unpacking Audio Collections

When you record audio material from a CD using the Read track utility provided by DART CD-Recorder the selected tracks are saved in separate files. However, when you record from an analog source, such as phonograph or a tape deck, the situation is different. In order to save different pieces in separate files you have to repeat the recording procedure for each analog track which means: evoke the Record dialog, choose record parameters, select the name of the destination soundfile, start playback, start recording, stop recording, stop playback etc. Pretty annoying!

If you have enough space on your hard disk there is another way of 'unpacking' audio collections: record the entire LP (or contents of one side of a cassette), then divide it into separate tracks using the Unpack utility.

To initialize unpacking select the audio file you would like to partition and evoke the Unpack dialog by selecting the Unpack command from the Toolbox menu. File partitioning is preceded by searching for silences of a specific duration (anything between 0.5 and 5 seconds). Since the silence detector must be told how 'silent' the silence is supposed to be you have to set the detection threshold appropriately. The selection (anything between 1 and 1000) should be made in accordance with the recording level and intensity of background noise. If the threshold is too low detector may fail to localize silences between subsequent tracks; if it is too high silent parts of the recording may be mistakenly classified as breaks.

To help the program localize the breaks mark a piece of silence anywhere in the recording prior to evoking the Unpack dialog. Then press the Find button situated next to the detection threshold box and the value of the threshold will be adjusted automatically. If no reference block is marked and the Find button is pressed the program will assume it can find a short piece of silence at the very beginning of the recording.

After setting the minimum separation time and detection threshold click the Process button. When detection is finished the Verify cuts dialog will appear on the screen allowing you to accept or reject the proposed cuts. The total number of suggested cuts is displayed at the top of the dialog. After selecting the cut number in the Current cut group you can listen to a short fragment of the recording centered around the proposed cut position and, if necessary, remove the cut from the list by clicking the Reject button. If the results are unsatisfactory, i.e. there are too many omissions or too many false detections, press the Cancel button and run the silence detection utility again with a lower or higher detection threshold, respectively.

If all cuts on the revised list are acceptable choose the destination directory and the names of the files under which different tracks will be stored (use the Change button in the Output group for this purpose). Then press the Process button to start unpacking.

NOTICE

The presence of clicks, pops and record scratches, which is typical of material coming from old analog records, makes silence detection considerably more difficult and a bit tricky. Therefore, even though the silence detector was designed so as to be robust against outliers it may fail to localize breakpoints correctly if the click intensity is too high.


Using DirectX Audio Plug-Ins

The DirectX technology, designed by Microsoft for the Windows family of operating systems, allows you to create and run multimedia applications (called Plug-Ins) on any Windows-based PC, no matter what the hardware.

To access DirectX Audio Plug-Ins installed on your computer:

1. Select the wave file for processing.

2. Choose the DirectX command from the Toolbox menu.

3. Click the desired item on the list of available Plug-Ins.

NOTICE

DirectX Audio Plug-Ins are based on the Microsoft's DirectX specification. Any developer can write plug-ins for DART CD-Recorder using the DirectX Software Development Kit (SDK) available from Microsoft - for more information see: http://www.microsoft.com/directx.


removing lead vocal

DeVocalize

(available in the XP Pro version only)

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

DART DeVocalizer suppresses the lead vocalist’s performance from almost any stereophonic recording. In most cases the lead vocal cannot be completely eliminated but it can be reduced to satisfactory faint.

The music track is extracted from the original recording. The background music, background vocals and ambiance of the recording are not imitations. They are extracted by means of digital signal processing of the audio signal. Audio Compact Discs (CD) usually yield the best results, though all stereo audio sources - analog records, cassette tapes, stereo TV, Radio and CD - can be used. The vocal must be centered on both channels and within human vocal frequency ranges in order for DeVocalizer to do its work.

The DeVocalization results you achieve will vary dramatically from one source recording to another. Lead vocal can be greatly suppressed but not entirely eliminated. We estimate that about 80% of stereo recordings will yield at least partial DeVocalized results. It will not work on a monophonic source. Recordings made before the mid-1960s usually will not produce satisfactory results.

Setting DeVocalizer controls

Use the Attenuation control slider to achieve the best possible vocal suppression. Keep the slider as far to the right as possible. The amount of reverberation (echo) present in the original recording has a strong effect on the results you achieve from any recording. If there is a lot of ambient sound associated with the lead vocalist the elimination will not be perfect. The remaining echo, however, should be faint.

When over-dubbing someone’s performance a little bit of help from the lead vocalist may not a bad idea.It is simpler than you think – just move the Attenuation slider to the left to reduce the suppression rate and let the original recording artist support your vocalist!

Use the Bass retrieval slider to add back sounds that may be lost with devocalization. The sound of some of the supporting instruments is often lost along with the lead vocal. To minimize this effect, use the Bass retrieval slider. While listening to the DeVocalized results move the Bass retrieval slider to the right. This increases the bass cutoff. Stop at the point where you can just barely hear vocal track again. It’s usually worth the effort to adjust Bass retrieval. It can bring back important elements of the accompaniment that remain below the lead vocalist’s ‘bandwidth’ such as percussion beats and bass guitar. When the Bass retrieval option is switched OFF the program creates a pseudo-stereo output file. When Bass retrieval is ON the output file is truly stereophonic. (Pseudo-stereo means the left channel is reversed-phase version of the right channel).

Use the Output level slider to control the volume of the devocalized sound. Slide the Output level to the right to increase the volume of the DeVocalized track. When adjusting the volume, make sure that the clip indicator does not light.

Setting audition controls

Audition controls allow you listen to the results of DART DeVocalizer while you change the DeVocalizer controls. You can compare the results of DeVocalizer to the original recording by switching between Play Result and Play Source.

Press the Play Result button to hear the results of DeVocalizer digital audio processing. You can modify the DeVocalizer parameters while playing results. The green Ready light indicates the DeVocalizer parameters you set have been processed and are ready to play. When you change parameters, the light goes off until your new settings have been processed.

Press the Play Source button to hear the original soundfile. All DeVocalizer filtering is bypassed.

Use the Overview Bar to set the position of the cursor. The Overview Bar is the unlabelled gray rectangle at the very top of the DeVocalizer panel. A yellow vertical line in the box represents the cursor position.

Selections in the range box allow you to choose the start and end points of the soundfile you are auditioning (from cursor, entire file, local, block). With all choices, DeVocalizer plays in a loop, jumping to the start point you choose when the end point is reached. Please note: setting parameters modifies the complete soundfile not just the portion you audition.


Reverb

(available in the XP Pro version only)

input file : source soundfile

output file : destination soundfile (when marked)
or result.wav (for unregistered files)

processing mode : global

The Reverb tool can be used to simulate the acoustics of different environments. Music generated in an inert studio does not sound natural compared to the music performed in a room, such as a concert hall. In the latter case, the sound waves propagate in all directions and reach the listener from various directions and at various times depending on the room size and geometry. In addition to the direct sound (sometimes termed “dry”), the listener can hear a few closely spaced echoes, called early reflections followed by numerous densely packed echoes referred to as reverberation (“wet” sound). The sum of all three components is called the room response.

DART allows you to control the process of room simulation in several different ways. The gain sliders (original signal gain, reverberated signal gain) allow you to set the desired proportion between the “dry” and “wet” components of the generated sound. The overall gain slider (total signal gain) can be used to change the volume of the output signal.

The reverberation delay can be used to set the delay of the reverberated sound with respect to the direct sound and the reverberation decay time – to set its effective length. Reverberation decay times smaller than 400 ms can be used to simulate small room environments. To simulate medium sized rooms, use reverberation decay times in the range of 400 ms and 800 ms and to simulate concert halls – decay times greater than 800 ms.

Frequency-dependent absorption characteristics of the materials encountered in a typical acoustic environment are responsible for frequency shaping of the reverberated sound – the high-frequency components of the signal decay faster than its low-frequency components. Use the high frequency attenuation box to control this effect.

For long decay times generation of the reverberated signal may be very time consuming. The Buffer size box allows you to trade off the speed of processing and the quality of the synthesized room response. The best results can be obtained for the large buffer size. However, if your computer is too slow to carry on computations in real time try using the medium or small buffer size.

Reverb presets

To save Reverb settings as a preset press the Add button situated in the Presets dialog. The Add presets dialog will appear on the screen allowing you to save the current settings under the name of your choice. To update an existing preset or remove it, use the Save and Remove buttons, respectively.

For your convenience a set of nine standard (predefined) presets are provided. Predefined presets (displayed with an 'asterisk' mark next to them) are write protected, i.e. you will not be allowed to save the user-defined presets under the names listed above.

NOTICE

The equalization presets are stored in the configuration file dartwin.rev. All settings will be lost if this file is deleted or corrupted outside of DART XP.

Setting audition controls

Audition controls allow you listen to the results of DART Reverb while you change the Reverb controls. You can compare the results of Reverb to the original recording by switching between Play Result and Play Source.

Press the Play Result button to hear the results of the Reverb digital audio processing. You can modify the Reverb parameters while playing results.The green Ready light indicates the Reverb parameters you set have been processed and are ready to play. When you change parameters, the light goes off until your new settings have been processed.

Press the Play Source button to hear the original soundfile. All Reverb filtering is bypassed.

Use the Overview Bar to set the position of the cursor. The Overview Bar is the unlabelled gray rectangle at the very top of the DART Reverb panel. A yellow vertical line in the box represents the cursor position.

Selections in the range box allow you to choose the start and end points of the soundfile you are auditioning (from cursor, entire file, local, block). With all choices, Reverb plays in a loop, jumping to the start point you choose when the end point is reached. Please note: setting parameters modifies the complete soundfile not just the portion you audition.


Processing Modes

DART XP can work in several different processing modes namely: real-time processing, on-line or off-line tuning, off-line processing, background processing and - with some limitations - batch processing. Please check the items below to find out about each processing option.

Real-time processing

On-line/off-line tuning

Off-line processing

Background processing

Batch processing


Realtime

Real-time Processing

(available in the XP Pro version only)

When the DART project was started the general-purpose home computers were simply too slow to carry out various processing tasks in real-time. However, over the past several years the situation has changed dramatically. New processors are fast enough to keep up with the flow of the input audio data even if consecutive samples arrive at a CD rate of 44 kHz. This means you can monitor the results of processing at the time they are generated. You can also experiment with different program settings during the playback although there are better ways of doing this - see the section on on-line testing.

Depending on the input/output specifications DART XP can work in four different real-time regimes.

1. audio/audio

input : audio device connected to the input of the sound card (tape deck, phonograph, tuner)

output : audio device connected to the output of the sound card (loudspeakers, tape deck, DAT recorder, on-line CD-recorder)

When operated in this regime DART XP does not engage the computer hard disk to store neither input nor output data, i.e. it processes samples collected at the input of the audio card on-the-fly and sends the results directly to the output. In cases like this the computer serves merely as a memoryless processing unit. To save the results of processing an external recording device should be connected to the output of the audio card. The output data can be stored either in an analog (tape deck) or digital (DAT, CD-recorder) form.

2. file/audio

input : wave file

output : audio device connected to the output of the sound card

All details are identical as in the case 1 above except that the input audio data are fed from the disk wave file. The main advantage of this operating mode is that one doesn’t need to create a separate disk file to keep the results - the restored audio can be sent directly to the external recording device.

3. audio/file

input : audio device connected to the input of the sound card

output : wave file

All details are identical with those in the case 1 above except that the output audio data are saved in the disk wave file. The advantage is one doesn’t need to store the original audio data prior to its restoration.

4. file/file

input : wave file

output : wave file

This variant is almost identical with classical off-line processing except that the rate of processing is synchronized with the sampling/playback rate allowing you to listen to the results while they are generated.

NOTICE

Only the full-duplex audio cards will allow you to listen to and/or record the results of real-time processing in cases 1, 2 and 3 specified above. Otherwise two audio cards are required - the first one to sample the input signal and the second one to audition the output signal.

In order to use DART XP in the real-time processing mode proceed as follows:

1. Connect audio device(s) to the input and/or output of your audio card(s).

2. Evoke the Real-time dialog by choosing the Real-time command from the Restore menu.

3. Select the processing function, the source of the input signal and the destination of the output signal.

4. Press the Start button to initialize processing.

5. Start the output audio device (unless the results are written to a disk file).

6. Start the input audio device (unless the input signal is taken from a disk file).

7. Press the Stop button when finished.

When operated in the real-time mode DART XP will allow you to change different program settings during processing. Since some of the complex restoration functions introduce a considerable processing delay the effects of the changes may not be heard immediately. Each time you modify any of the settings the green READY light will go off - it will be switched on again as soon as the results obtained under the new settings are available. If your computer is too slow to perform real-time processing the red OVERFLOW indicator will burn continuously or at least from time to time (in case you don’t listen to the results). Since the buffer overflow results in audible signal distortions it should be avoided.

NOTICE

If the values of processing parameters are chosen incorrectly (e.g. the lower cutoff frequency of a bandpass/bandstop filter exceeds the higher cutoff frequency) the corresponding items are displayed in red. The inappropriate settings are ignored by the system until they are defined correctly (the last correct settings are used instead).


Online

On-line/off-line Tuning

In DART XP all major restoration tools can be tuned on-line providing you with an easy way of evaluating the effects of different program settings. To perform on-line tuning check the On-line box in the corresponding dialog and select the processing range (entire file, from cursor, local, block). Then press the Play result button. Working in the on-line mode DART XP will allow you to listen to the renovation results while changing the program settings. Each time you modify any of the settings the green Ready light situated next to the On-line box will go off - it will be switched on again as soon as the results obtained under the new settings are available. If, during the on-line testing, the values of processing parameters are chosen incorrectly (e.g. the lower cutoff frequency of a bandpass/bandstop filter exceeds the higher cutoff frequency) the corresponding items are displayed in red. The inappropriate settings are ignored by the system until they are defined correctly (the last correct settings are used instead).

At any time during the test you can press the Play source button to bypass processing and listen to the original recording. Since the audio card settings, such as the sampling frequency or the number of channels, cannot be changed ‘on-the-fly’, i.e. during the playback, some utilities (e.g. those belonging to the Sample rate group) will not allow you to switch directly between the Play source and Play result buttons when tested in the on-line mode - you have to stop playback before pressing the other button. For the same reason some options in the corresponding dialogs are disabled when the Play result button is pressed.

If your computer is too slow to perform tuning in the on-line mode leave the On-line box unchecked. In cases like this all experiments will be performed off-line on a selected fragment of the recording.

NOTICE

Use the Preferences dialog available from the Options menu to change the ‘on-line tuning’ default if necessary.


Offline

Off-line Processing

You should realize that off-line processing is NOT inferior to real-time processing. It simply means that processing is not performed at the input rate, i.e. it is not synchronized with the playback. Off-line processing may be much faster than real-time processing! On a fast computer (and we don’t necessarily mean Cray) DART XP will process audio data at ‘supersonic’ rates allowing you, for example, to restore an one hour 44 kHz stereo recording in 30 minutes - or faster. This means that listening to the results may take you much longer than restoration of the original recording...


Background

Background Processing

To work in the background mode initialize processing and, when a small dialog box showing the progress bar appears on the screen, click the Minimize button situated in the upper right corner of the dialog - DART XP will be minimized allowing you to use other applications. The percentage processed will update the title of the DART icon situated on the Windows task bar. This should help you keep an eye on DART’s progress while doing other jobs. You should be aware that when operated in the background processing mode DART XP may work much slower than usually as it has to share the processor’s time with other applications.


Batch

Batch Processing

Right now DART XP does not provide any Task Manager allowing one to define, manage and execute complex signal processing tasks such as declicking of a number of selected audio files in a given directory, for example. We plan to add such utility in the nearest future. For the time being those of you who purchased the full version of DART XP, with all currently available DART audio Plug-Ins attached (DeClick, DeHiss, Resample, Trim length, CD format), can take advantage of some elements of task scheduling provided by DART CD-Recorder.


Contents

DART CD-Recorder Basic

DART CD-Recorder Basic is an application that allows you to record audio files from different sources (tape deck, reel-to-reel, phonograph, CD and CD Text players, MIDI mixer, MPEG 3 codec), restore recordings, combine them into a sequence called playlist and - if your computer is equipped with a compact disc recorder (CD-R) - to record your own audio CD or CD Text .

About authors

If you need information on any of the DART CD-Recorder Basic functions, select one of the topics listed below:

About online Help system

Screen areas and controls

Playlists

Recording audio files

Compressing audio files

Converting audio files to different formats

Processing audio files

CD-Recorder utilities

Burning CDs

How to ...


Online help

About Online Help System

Help topics

Each time you press the HELP button situated on the toolbar, a list of all topics in which Help information is available will be displayed.

Should you have problems identifying the entry that answers your question, open the Index folder, which contains an alphabetical listing of topics available in the Help file. Then click on the desired topic to open it in the main Help window.

NOTICE

For your convenience, all DART CD-Recorder index items start with capital letters. This should allow you to distinguish most of the CD-Recorder help items, displayed in the Index folder, from the corresponding DART XP Pro items.

Context help

To obtain help on a particular screen item, press the CONTEXT HELP button situated on the toolbar and click the screen element/area you would like to learn about.

Dialog boxes

Most of the dialog boxes are equipped with the context help buttons (placed in their upper right corners). To get a general help on a dialog, press the F1 keyboard key.


Screen areas

Screen Areas and Controls

After entering DART CD-Recorder Basic you will see a screen consisting of five screen areas. The corresponding items are:

the menu bar - providing access to various system functions

the toolbar - giving access to the most frequently used system functions

the File Panel - allowing you to select, record or get information about the soundfiles you want to add to your playlist

the Playlist Panel allowing you to manage your playlist

and (if present)

the Status bar providing a brief explanation of certain system functions

Menus

Toolbar


Menus

The menu bar is placed at the top of the DART CD-Recorder Basic main window. It contains four menus, which provide access to various system functions.

List

View

Toolbox

Help


Toolbar

The area immediately beneath the menu bar is called the toolbar. It contains several buttons and dialog boxes that provide an easy access to the most frequently used system functions. The corresponding items allow you to:

- create a new Playlist

- open an existing Playlist

- save a Playlist

- record from an analog audio source such as the phonograph or a tape deck

- read tracks from an audio compact disc

- record and play back the MIDI music data

- compress music data

- use any of the available DirectX Audio Plug-Ins

- divide long recording into a number of shorter ones by means of detecting silences

- process audio recordings

- record Playlist on a CD

- get access to the DART CD-Recorder Basic help system

- get access to the context help


Playlists

Creating, Managing and Listening to the Playlist

The playlist environment can be used to compose and store lists of recordings scattered over different disc directories, rearrange the lists in any desired order and play the corresponding soundfiles. If needed you can print the playlist content in the jewel case format.

NOTICE

Please note that only the WAVE and MPEG audio files (those with the wav and mp3 extensions) can be processed using the Producer Panel. For this reason the compressed WMA soundfiles are hidden (not shown on the playlist) when the Producer Panel is active; if you close the Producer Panel all WMA files will be shown again.

Adding files to the playlist

Managing the playlist

Listening to the playlist

Printing the playlist


Creating a New Playlist

To create a new (empty) playlist which can be filled up with soundfiles of your choice do one of the following:

Select the New command from the List menu

Click [image] on the toolbar

Press CTRL+N

To add files to the playlist drag them from the File Panel to the Playlist Panel. To select more than one file in the File Panel, hold down the CTRL key while clicking. To select a group of files, select the first file of the group, hold down the SHIFT key and select the last file.

To add to the playlist all files displayed in the File Panel press the Add all button.


Adding Files to the Playlist

To add a file to the playlist drag it from the File Panel to the Playlist Panel. To select more than one file in the File Panel, hold down the CTRL key while clicking. To select a group of files, select the first file of the group, hold down the SHIFT key and select the last file.

To add to the playlist all files displayed in the File Panel press the Add all button.


Managing the Playlist

When you click the playlist item using the right mouse button a shortcut menu shows up providing access to the list managing commands (Remove, Rename, Remove Tagged, Info).

To change position of a soundfile within the list, click the corresponding playlist item and drag it to a new position.


Listening to the Playlist

To control playback of the playlist you can use a number of buttons which work analogously as similar buttons in a CD player

- PLAY button: when pressed plays back the playlist starting from the selected item

- PAUSE button: when pressed pauses the playback; to resume playback after pausing press the PAUSE button again or press the PLAY button.

- STOP button: when pressed, stops the playback.

- NEXT button: can be used to select the next playlist item

- PREVIOUS button: can be used to select the previous playlist item

By clicking on the PLAYBACK MODE button you may select one of three playback modes :

- Loop mode:plays all soundfiles in the playlist starting from the currently selected item. When the end of the playlist is reached, the first soundfile is selected and the playback is resumed.

- Normal mode:plays all soundfiles in the playlist starting from the currently selected item. Playback stops when the end of the playlist is reached.

- Sample mode: plays a five second fragment of each of the soundfiles in a playlist, starting from the currently selected item. Playback stops when the end of the list is reached.

During playback, DART CD-Recorder Basic shows the volume (the instantaneous peak levels) of the currently played soundfile. The volume is displayed in the PlayInfo Panel, which replaces the File Panel. The volume meters are scaled in logarithmic units called decibels (dB).

The slider placed below the volume meters shows the position within the soundfile. At any time during the playback you can drag the slider to a new position.

The name of the currently played soundfile along with the corresponding time display is shown in the Playlist Panel right below the playlist window. At any time during the playback you can hide the PlayInfo Panel by checking the Hide Playing panel box displayed below the playlist window. This will allow you to do some file management while playback of a playlist runs.


Printing the Playlist

To print the playlist in the jewel case format evoke the Print playlist dialog by selecting the Print command from the List menu. First, select the printout type (Jewel case front, Jewel case back, Full page) and type in the playlist header. Next, use the four checkboxes in the List group to select the preferred playlist format and content. To change the font type, size and colors, click the corresponding Change buttons.

The printout preview is shown on the left-hand side of the dialog. To start printing press the Print button.


Recording

Recording Audio Files

DART CD-Recorder Basic is an application that allows you to record audio files from different sources such as tape deck, reel-to-reel, phonograph, CD and CD Text players, MIDI mixer, MPEG 3 codec and WMA codec.

If you need more information on different recording options, select one of the topics listed below:

Recording from an analog source

Recording from an audio CD

Recording MIDI


Recording from an Analog Source

DART CD-Recorder Basic allows you to record any analog audio source connected to the sound card your computer is equipped with.

Some computers are equipped with more than one wave device. In order to check which audio card is currently used for recording, and/or to select the preferred device, use the Options dialog available from the View menu.

In order to create a new recording:

1. Click the RECORD button situated on the toolbar or press the Record button placed at the bottom of the File Panel.

2. When DART audio encoders are installed you can save audio files in one of the available compressed formats, such as MPEG or WMA. This feature allows you to minimize the amount of a hard disc space needed to keep audio files. Since encoding is performed on-the-fly, the audio data is NOT saved in a temporary wave file prior to compression. To activate encoding, select the corresponding compression audio format (MP3 or WMA) from the Encoding module list (to set the default output file format use the Options dialog, available from the View menu). To preset the encoder press the Settings button.
To save audio data in an uncompressed form, choose WAV output from the Encoding module list.

3. Select the name of the new recording or pick one of the existing names and click the Overwrite button.

4. Set the record mode (number of channels, sampling frequency, sampling resolution).

5. Click the PAUSE button to initialize the volume meter(s). Start the audio device you wish to record from, and adjust the output level while monitoring the level display.

6. Rewind your source, press the RECORD button, and start the audio device. The available disk space and the current length of the recorded material (both in bytes and seconds) are displayed in the lower part of the Record dialog.

7. When the recording is complete, click the STOP button or press ENTER.

When you press the Close button, the Record dialog will disappear and the name of the recorded soundfile will be added to the list of files displayed in the File Panel..

Using the PLAY, FAST FORWARD, and FAST REVERSE buttons, you can audition the recorded material or its fragments prior to closing the Record dialog. You can also add some new material at the end of an existing recording, or modify its content starting from a selected counter position.

Setting the record mode

Choosing the record level

Using control buttons

Modifying an existing recording

Timer recording

Troubleshooting


Setting the Record Mode

Before you start recording you can select the appropriate record mode by means of setting three record parameters

Number of channels

You can record in mono or stereo (provided that your sound hardware has that capability).

Sampling rate

You can choose between the three standard sampling rates (11.025 kHz, 22.050 kHz and 44.100 kHz) provided by most of the sound cards currently available or you can set any nonstandard rate supported by your audio card. If you want to save the recorded soundfiles on a CD 'as are' pick the CD-format settings (44.100 kHz, stereo).

NOTICE

DART CD-Recorder Basic is equipped with an extremely fast, high-quality resampling utility which automatically converts any 'nonstandard' wave file to a CD format. If you wish to clean an audio file prior to putting it on a CD consider recording it (and restoring) at a lower rate. There are at least two advantages of doing this:

1. Declicking is usually more effective at low sampling rates - at high rates clicks are less sharp and hence more difficult to detect and isolate. The same, to some extent, concerns denoising - since noise dominates the high-frequency portion of the signal spectrum, fast sampling decreases the overall signal-to-noise ratio which makes the restoration task more difficult.

2. Since resampling is less time consuming than declicking or denoising (dehissing) the "restore at lower rate and upsample" scheme works considerably faster than the "restore at higher rate" scheme.

Sampling resolution

You can decide whether individual samples will be stored in a single byte (8 bits) or an entire word (16 bits) of computer memory. In order to guarantee good quality of the reproduced sound you should always use the 16-bit resolution.

NOTICE

The system will not allow you to change the above settings once the process of recording has started. If you are recording new material in an existing soundfile, all settings have to remain unchanged.


Choosing the Record Level

The bar graphs displayed on the right side of the Record dialog show the instantaneous peak levels of the input signal (expressed in logarithmic units called decibels). While the volume meters are running (they can be activated by means of pressing the PAUSE button prior to recording), you can adjust the record level of the audio card either directly (manually) or using the appropriate Windows tools supplied by the manufacturer.

The red indicators placed at the top of each bar-graph light up each time the input signal is clipped. Clipping occurs when the input level is too high. Since it results in audible signal distortions it should be avoided at all times.

Setting record levels too low is also disadvantageous, as it tends to decrease the signal-to-noise ratio.


Using Control Buttons

The control buttons placed at the bottom of the Record dialog work the same as similar buttons in an analog tape deck

- PLAY button: when pressed plays back the recorded soundfile starting from the position indicated by the time counter. The number of the counter increases as the soundfile is played.

- RECORD button: when pressed, records in a soundfile starting from the position indicated by time counter. Note that recording starts as soon as the RECORD button is pressed, i.e. there is no need to additionally press PLAY (which is typical of analog tape decks).

If recording is in progress, the red indicator placed on the RECORD button burns continuously. When recording is paused the light starts to blink.

- PAUSE button: when pressed prior to recording or playing, it activates the volume meters. When pressed during playback or recording, it suspends the corresponding action (the suspended activity is resumed once the PAUSE button is pressed again).

- STOP button: when pressed, stops the current activity.

- FAST FORWARD (or CUE) button: can be used to increase the value of the time counter. In order to instantly jump to the end of the recording, click on this button while holding down the CTRL key.

- FAST REVERSE (or REWIND) button: can be used to decrease the value of the time counter. In order to instantly jump to the beginning of the recording, click on this button while holding down the CTRL key.

- TIMER RECORDING button: can be used to program timer recordings.

NOTICE

In order to audition a soundfile while cueing or rewinding, press the PLAY button prior to using FAST FORWARD or FAST REVERSE.


Modifying an Existing Recording

To modify an existing recording

1. Click the RECORD button situated on the toolbar or press the Record button placed at the bottom of the File Panel.

2. Select the name of the existing recording and click on the Modify button.

3. Use the FAST FORWARD, FAST REVERSE and PLAY buttons to select the starting position of the time counter.

4. Start the audio device and press the RECORD button.

5. When the recording is complete press the STOP button.

NOTICE

When recording in an existing soundfile, you are not allowed to change record settings such as the number of channels, sampling rate, and sampling resolution (the corresponding buttons are not active).


Timer Recording

If your favorite music program is broadcasted at 3 in the morning and you don't feel like having a sleepless night use the timer recording function available after clicking the Timer recording button situated next to record/playback control panel or by selecting the Timer recording command available from the Toolbox menu.

To program a new timer recording :

1. Check whether the time and date displayed at the top of the dialog are correct; if not - use standard Windows tools to make necessary adjustments. If you are a frequent traveler remember that the time shown on your watch may not be consistent with the local time.

2. Click the New button. The current date and hour will appear in the Start time and End time control panels.

3. Set the desired start time of the timer recording using the scroll buttons situated in the Start time control panel.

4. Set the desired end time of the timer recording using the scroll buttons situated in the End time control panel. The length of the recording (the difference between it's end time and start time) is displayed in the brackets next to the end hour.

5. Use the Settings control panel to fix the recording details. The Recording mode listbox allows you to choose among several recording modes (once, daily, weekly, monthly or Mon-Fri). The File button can be used to set three record parameters (sampling frequency, number of channels and sampling resolution) and to choose the name and location of the file where the music data will be saved. Finally, the Info button allows you to enter a description of the timer recording, a part of which entitled 'headline' (up to 16 characters) is displayed on the list next to the timing details.

6. Press the Set button to add a new timer recording to the list (all activated timer recordings are distinguished with red indicators).

7. Press the OK button to close the Timer recording dialog but do not exit the program (see Notice 1 below).

To modify an existing timer recording (i.e., the one already shown on the list) click the corresponding item and proceed exactly as described above. Finally, to remove any item from the list select it and click the Remove button.

You can disable (temporarily cancel) a timer recording by selecting it and pressing the Disable button (the corresponding indicator will turn gray; the Disable button will turn into the Enable button). To reactivate the disabled timer recording click the corresponding line on the list and press the Enable button (you can still use the Set button to modify the disabled item). The enable/disable function can be used, for example, to temporarily block periodic timer recordings, i.e., those performed in the daily, weekly, monthly or Mon-Fri mode.

Each time the Timer recording dialog is evoked all periodic timer recordings are scrutinized to determine the time of the next recording session due. To sort timer recordings 'by start time' press the Sort list button. If the Auto sort box is checked sorting will be performed automatically each time the Timer recording dialog is opened.

When a nonperiodic timer recording session (the one performed in the once mode) is complete the corresponding item is assigned a done status and displayed with a 'tick' mark next to it. To remove such item from the list select it and click the Remove button. If you check the Auto remove checkbox all nonperiodic timer recordings will be automatically removed from the list when done (naturally, the created wave files will NOT be deleted).

When you close the Timer recording dialog the entire list is saved on the disk.

When recording starts a timer recording progress/info window is displayed showing the basic recording details (file name, headline, start time, end time) and percentage of the work done. You can stop recording at any time by pressing the Cancel button.

NOTICE 1

You can program any number of timer recordings for any number of days in advance. You should be aware, however, that to make timer recording possible your computer MUST be switched on during the time scheduled for recording with DART CD-Recorder Basic OPEN (possibly minimized) and NOT busy (no dialog can be open including the Timer recording dialog). If any of the conditions mentioned above is not fulfilled the timer recording is cancelled and the status of the corresponding item on the list is changed to failed. If the Auto remove option is not switched on all such recordings will be shown on the list with the 'cross' sign next to them.

NOTICE 2

DART CD-Recorder Basic will not allow you to program conflicting timer recordings, i.e., those with overlapping recording times. Some conflicts may be not obvious at the first glance, e.g. the daily [22:00 - 23:00] timer recording conflicts with the monthly [22:30 - 23:30] one in the sense that at some point in the future both requests would have to be served simultaneously.

Similarly, you will not be allowed to put on the list nonperiodic recordings for which the end time is smaller than the current time, i.e., the ones that are already overdue at the time of setting. The last constraint is not imposed on periodic recordings. However, the corresponding start time and end time details may change so as to match the nearest recording time due when you press the Enable or Set button. The analogous recalculation is made for all periodic timer recordings each time you open the Timer recording dialog.

NOTICE 3

A unique soundfile name proposed by DART CD-Recorder Basic is based on the start time of the recording and allows for a pretty straightforward file identification (for example, the file D12021998H0312.wav can be easily recognized as the recording made on February 12, 1998 at 3:12 in the morning). You can change this name but when you do it for a periodic timer recording a new material will always overwrite the material recorded during the previous session (which may be convenient if you are short of the disk space).


Troubleshooting

If problems with recording occur check whether disk caching is enabled (you should be able to find the corresponding options in Control Panel/System/Performance/File System dialog box).

If problems persist read carefully the explanations given below and try out the provided rescue devices.

First of all, check if recording problems are specific to DART CD-Recorder Basic. If the other software packages (e.g., applications that came with your sound card) do not work either, your computer may be simply too slow for audio applications. If problems occur only when handling very long audio files try out the Disk defragmenter application in the Programs/Accessories/System tools folder of Start menu.

If the other record applications work properly do not panic! In order to provide nonstandard features, like the ability to detect signal clipping during recording, the recording/playing routines provided in DART CD-Recorder Basic were programmed using low-level instructions, i.e. they refer to some low-level Windows specifications. Generally, DART CD-Recorder Basic may fail to record correctly for two different reasons :

Case 1 (more likely)

The extra record overhead DART CD-Recorder Basic has compared to other programs is causing your machine to choke, especially under extreme conditions (the highest sampling frequency, very long audio files). This is good news for you as you should be able to remove the cause of the problem by changing the audio card settings as described below

Symptoms : the system locks during recording, messages about general protection faults appear on the screen, etc.

Remedy 1 : check the Use fake VU display box in the Options dialog available from the View menu.

Explanation : by default DART CD-Recorder Basic checks every signal sample during recording to provide an accurate level/clip display (VU bars shown in the Record dialog). Some audio cards issue the record overflow messages used by the related software. Since such messages are not standard we cannot rely upon them. When the Use fake VU display box is checked only one in 128 samples is examined which significantly decreases the computational overhead during recording.

Remedy 2 : decrease the number of record status updates per second using the Options dialog accessible from the View menu.

Explanation :the default number of counter updates during one second equals 6. If you decrease this number the time/volume displays will be updated less frequently preventing the system from locking.

Case 2 (less likely)

If changing the sound card settings does not solve the problem it looks like the card your computer is equipped with is not fully Windows compatible, i.e., does not comply with the low-level Windows specifications. Note that at the same time the applications which communicate with your audio card at a higher level and/or refer to some of its nonstandard features may work fine. This is of course bad news for you. It means you have the 'plug' which does not fit the standard 'socket' we provide.


Recording from an Audio CD

DART CD-Recorder Basic allows you to read tracks from an audio CD or CD Text. Since a digital (i.e., lossless) transmission is used, copying does not cause any degradation of the sound quality typical of analog systems.

To read a track from an audio CD do the following:

1. Insert an audio CD into a CD drive.

2. Evoke the Read track dialog (available after clicking the READ TRACK button situated on the toolbar). DART CD-Recorder Basic will ask you if you want to access CDDB (the world's largest online database of audio CD information) for information about that specific disc: the name of the artist, the album title and all song titles. Unless the examined audio CD had been already checked in the past, looking up the CDDB basis requires the Internet connection.

3. Select tracks for reading by clicking on the dot marks on their left side. Tracks marked for reading are distinguished with red bullets. To uncheck tracks click on the corresponding dot marks again. To add several track to the reading list, select them and click the Add button. Several tracks may be selected by means of depressing the CTRL key and clicking the corresponding items. To add all tracks to the reading list, click the Add all button. Finally, to remove items from the reading list select them and press the Remove button.

4. Select the reading speed. Be aware that in some of the available CD-R devices the error-correction mechanism is switched off at higher reading speeds - in cases like that disc surface damages or dust may introduce audible clicks into the transmitted audio material if you don’t choose the lowest speed.

5. Choose the name(s) under which the selected audio tracks will be saved. Tracks are stored in separate soundfiles called <name[xy].wav> where name is an user-defined prefix and [xy] denotes a two-digit track number.

6. Choose the desired output format. If DART audio encoders are installed, DART CD-Recorder Basic will save audio tracks in one of the available compressed formats, such as MPEG or WMA.

7. Click OK.

To add the selected CD tracks to the playlist, check the Add tracks to the playlist checkbox.

CDDB support

CDDB2 [TM] Disc Recognition Service[SM] (DRS) from CDDB, Inc. is the world's largest online database of audio CD information. Each time you play a CD, your computer can access CDDB through the Internet for information about that specific disc: the name of the artist, the album title and all song titles. Goodbye tiresome typing, CDDB does it all automatically! Recognized as the most accurate audio CD identification service on the Web, CDDB has data on all kinds of music, even CDs with multiple pressings. Best of all, accessing CDDB is free for your private use.

The first time you use the service, you must register with CDDB.

Using CDDB

CD Text support

DART CD-Recorder Basic allows you to add CD Text information to your playlist at the time you are saving the original CD Text audio tracks. To read a CD Text info you need a CD-ROM drive or CD recorder which supports CD Text and which is supported for this feature by DART CD-Recorder Basic. You will know whether this is the case after opening the Read track dialog – when the CD Text format is enabled the Display CD Text information checkbox, placed in the lower part of the dialog, is active.

To copy audio tracks along with the associated CD Text information, activate the CD Text display (check the Display CD Text information checkbox) and make sure the lifted tracks will be automatically added to the playlist (check the Add tracks to the playlist checkbox).

If the Display CD Text information option is not enabled, all CD Text details will be ignored and replaced with the CDDB information – provided it is available and enabled.

Using CD Text


Using CDDB

What is CDDB ?

CDDB2 [TM] Disc Recognition Service[SM] (DRS) from CDDB, Inc. is the world's largest online database of audio CD information. Each time you play a CD, your computer can access CDDB through the Internet for information about that specific disc: the name of the artist, the album title and all song titles. Goodbye tiresome typing, CDDB does it all automatically! Recognized as the most accurate audio CD identification service on the Web, CDDB has data on all kinds of music, even CDs with multiple pressings. Best of all, accessing CDDB is free for your private use.

The first time you use the service, you must register with CDDB.

How to register with CDDB

To register with CDDB, load a CD and click the Read track button situated on the toolbar. When a small dialog window appears, asking whether you would like to access CDDB, click the Yes button. The CDDB Registration Wizard will appear automatically. Follow the screens for a “New Registration” to select a “nickname” and password. The remaining information is optional, but does help CDDB provide better service. Once you register, you do not have to re-register, unless you want to change your registration information or settings.

To change your CDDB registration information open the Read track dialog (with the CDDB link enabled) and click the CDDB icon using the right mouse button. Then select Register and use the Registration Wizard to change the registration details.

Adding new entries to the database

If you have a disc that does not have a corresponding entry in the database, please feel free to create one and submit it. Submissions are sent via a specially formatted email message. Please note that if your entry is accepted, you will not receive any sort of notification. Entries that fail to meet the required criteria for acceptance are rejected, and an email rejection notice will be sent to you.

To add a new entry to the CDDB database open the Read track dialog (with the CDDB link enabled) and click the CDDB icon using the right mouse button. Then select Submit Disc, fill in the attached data sheets and click the OK button.

Guidelines for adding entries to CDDB

Modifying an existing entry

To modify an existing CDDB entry open the Read track dialog (with the CDDB link enabled) and click the Edit CD info button.

More details

To get more details on CDDB visit the CDDB home page at http://www.cddb.com. You can do it by selecting the Web links command, available from the Help menu, and clicking on the CDDB link.


Using CD Text

CD Text is an extension of the existing audio CD standard ("Red Book") that adds the ability to store text information like album titles, artist names, and song titles on a music CD. This information is stored in such a way that it doesn't interfere with the normal operation of any CD players or CD-ROM drives.

Reading CD Text discs

CD Text becomes an increasingly popular extension to audio CDs. For example, most of the CDs published by Sony after 1997 are CD Text encoded.

DART CD-Recorder Basic allows you to add CD Text information to your playlist at the time you are saving the original CD Text audio tracks. To read a CD Text info you need a CD-ROM drive or CD recorder which supports CD Text and which is supported for this feature by DART CD-Recorder Basic. You will know whether this is the case after opening the Read track dialog – when the CD Text format is enabled the Display CD Text information checkbox, placed in the lower part of the dialog, is active.

To copy audio tracks along with the associated CD Text information, activate the CD Text display (check the Display CD Text information checkbox) and make sure the lifted tracks will be automatically added to the playlist (check the Add tracks to the playlist checkbox). Then select tracks for reading and press OK.

NOTICE

If the Display CD Text information option is not enabled, all CD Text details will be ignored and replaced with the CDDB information – provided it is available and enabled.

Managing CD Text information

DART CD-Recorder Basic allows you to add CD Text information to a created playlist and, if your CD recorder supports this feature, to record a CD Text audio disc.

To provide, modify or view CD Text information corresponding to a particular playlist item evoke the File info dialog by double-clicking the item (or by choosing the Info command from the shortcut menu, which appears after clicking the item with the right mouse button).

The basic CD Text details (3 lines of text) are displayed (when available) inside the CD-R group. To provide, modify or view the entire CD Text information, evoke the Edit CD Text information dialog by clicking the Edit button in the CD-R group.

To provide or check information about the entire collection, i.e. about all playlist items, evoke the Disc information dialog by clicking the Edit button situated in the Disc info group, at the top of the Edit CD Text information dialog. If some of the disc details are common for all playlist items (performer, songwriter, composer etc.), fill in the corresponding sections of the disc info and press the Fill empty tracks button to copy this information to all track records. In many cases this should save you a lot of typing. Then fill in the remaining disc details.

NOTICE

Since a typical playlist is a compilation list, you have to fill in the ‘Disc information’ part of CD Text by yourself – this part is not copied from a CD Text disc, even if all playlist items originate from the same CD.

Creating CD Text discs

Creating a CD Text disc requires a CD recorder which supports the CD Text feature and which is supported for this feature by DART CD-Recorder Basic. You will know whether this is the case after opening the Write to audio CD dialog – when the CD Text format is enabled the Write CD Text information checkbox, placed in the middle part of the dialog, is active.

To create a CD Text audio disc:

1. Arrange audio files into a playlist.

2. Provide CD Text information for each playlist item and for the entire collection.

3. Evoke the Write to audio CD dialog by clicking the WRITE TO AUDIO CD button on the toolbar or selecting the Write to audio CD command from the List menu.

4. Check the Write CD Text information checkbox in the Write to audio CD dialog.

5. Start recording by pressing the Write button.


Recording MIDI

MIDI, which is an acronym for Musical Instrument Digital Interface, is a set of special commands used by different pieces of electronic musical equipment to speak to each other. Vaguely speaking, the MIDI data contains information about musical notes along with detailed instructions telling how, when and how long each note should be played. DART CD-Recorder Basic allows you to play and record the MIDI music data, i.e. to synthesize the encoded sound and save it in a standard wave format.

To record MIDI:

1. Click the MIDI TO WAV button situated on the toolbar or choose the Convert MIDI to WAV command available from the List menu.

2. Select the MIDI file you would like to convert to a WAVE format (a typical MIDI file has a mid extension)

3. Set the recording mode by means of choosing the desired sampling frequency, number of channels and sampling resolution.

4. Select the name of the wave file where the results will be saved.

5. If your computer is equipped with more than one audio card, use the Settings button to select a particular MIDI mixer you would like to work with.

6. Click OK.

To audition a file prior to recording, click the Play button.

To choose a particular mixer device (if more than one is available on your computer), and/or to set the recording level appropriately, select the MIDI file you would like to record and press the Settings button placed at the bottom of the MIDI to WAV dialog.

The multicolor bar graph displayed on the right hand side of the evoked Recording properties dialog shows the instantaneous peak level of the synthesized waveform. If the recording level is too high - which occurs each time the red bars are displayed - the signal is clipped. Since clipping may cause audible distortions you should avoid it at all times by adjusting positions of the three sliders (MIDI output level, MIDI input level, Wave input level) appropriately. Please check documentation of your audio card to learn more details about the ways you can control the recording level (depending on the audio card some sliders may be mutually coupled and/or inactive).

If you wish to accept the current Windows settings, check the Use Windows mixer settings box at the top of the dialog.


Compressing Audio Files Using WMA Encoder

(available when DART WMA encoder is installed)

WMA encoder allows you to save space when storing or transmitting audio files.

To save audio files in a compressed WMA format:

1. Select the wave files for processing among those listed in the File Panel (if you select several files, all of them will be processed); to see wave files in the File panel window set the File type specification to All files, Wave files or Soundfiles.

2. Evoke the Encode files dialog by pressing the ENCODE FILES button situated on the toolbar or by choosing the Encode files command from the List menu.

3. Choose the ‘WMA encoder’ from the list of encoding modules.

4. Click the Settings button to evoke the Encoding parameters dialog. Select compression parameters (Quality and Bitrate). To choose standard ‘quality encoding’ settings press the Default button.

5. Select the directory and/or the names of the WMA files where the results will be saved. If several wave files are scheduled for compression their original names will be retained – only the extensions will change from ‘wav’ to ‘wma’.

6. Press Process to start encoding

About WMA encoder

Selecting compression parameters


WMA codec

About WMA Encoder

Windows Media Audio files are a specialized form of Advanced Streaming Format (ASF) files. These files contain audio data that is compressed using a new high-quality lossy audio compression scheme called Windows Media™ Audio codec. A recent studies have shown that Windows Media audio files have the same quality as CDs at only half the size of comparable MP3 files.

IMPORTANT

The Microsoft WMA licence states clearly that WMA files must NOT be converted to any other audio format, including the wave format. This extends to all WMA files, i.e. also to the files created by the user. For this reason no WMA decoder is provided. Note, however, that DART CD-Recorder Basic allows you to save WMA files to an audio CD, i.e. to convert such files to standard CD audio tracks.


Compression parameters

Selecting Compression Parameters

About the sound quality / compression rate compromise

High quality of the compressed sound and high degree of compactness of the WMA audio file, determined by the selected bitrate (a number of kilobytes of data needed to represent one second of the encoded audio), are contradictory requirements which should be compromised according to ones needs.

First of all - how good is good enough? According to the results of listening tests, the sound encoded with the 64 kbits/s (kilobits per second) bitrate retains high quality referred to as a CD-quality. This means that if you compare the original music played from an audio CD with it’s WMA-encoded version you will hardly hear any difference. Of course, if you have more demanding ears you can choose higher bitrates: up to 160 kbits/s.

When storing CD-quality audio (44kHz, 16 bit, stereo) in an uncompressed WAVE format, the bitrate is approximately 1.4 Mbits/s (megabits per second). This means that using the 64 kbits/s WMA encoding you can compress your wave audio files 22 times. Using the lower quality encoding you can enforce even higher compression rates.The highest compression rates - up to 280 for the 5 kbits/s bitrate - are recommended for speech encoding only.

Presetting the WMA encoder

To preset the WMA encoder:

1. Select one of three quality levels

2. If you need a better control over the compression rate select the preferred bitrate (note: each quality level has it’s own bitrate range). Remember that higher bitrates correspond to higher sound quality but result in larger files.


Playlists

Converting Audio Files to Different Formats

Converting MP3 files to WAV files

Converting MIDI files to WAV files

Converting WAV files to WMA files


MP3 codec

Using MPEG Audio Decoder

MPEG Audio is a special tool for reducing the size of audio files. Using the principle of perceptual coding, based on “psychoacoustic masking”, MPEG can substantially reduce the amount of digital information stored without compromising sound quality. MPEG codecs achieve this by suppressing information which is irrelevant from the perceptual point of view, i.e. information which is filtered by our brain in the course of analysing the perceived sound. At moderate compression rates (such as 128 kbits/s and above for MPEG Layer 3 Audio files) you won’t hear a difference from the uncompressed original! DART CD-Recorder Basic allows you to decode (decompress) audio files using the most advanced (and the most efficient) Layer 3 MPEG Audio scheme.

Decompressing MP3 files

MPEG Layer-3 audio compression technology licensed by Fraunhofer IIS and Thomson multimedia.


Processing Audio Files

(not available in the Basic version)

DART CD-Recorder Basic allows you to process audio files prior to listening to the playlist or saving it on a CD.The list of available processing functions includes:

Declicking: removing clicks pops and record scratches

Dehissing: reducing a wideband noise

Equalizing: shaping the frequency content of an audio signal

Fading in/out: modifying the volume of the recording at its beginning and/or end

Normalizing: adjusting the dynamic range of an audio signal

To start processing press the PRODUCER button situated on the toolbar or select the Producer command from the Toolbox menu. The Producer Panel will appear replacing the File Panel. On the left-hand side of the Producer Panel you will find several blocks representing different processing tools.

To activate the tool, click on the green indicator inside the corresponding button (after clicking, the indicator will light up); to make the tool inactive, click on the indicator again. If you activate several tools, Producer will combine effects of the corresponding filters.

To select a tool without changing its activity status, click on the corresponding block. The control panel for the selected tool is shown on the right-hand side of the Producer Panel.

Input files

Please note that only the WAVE and MPEG audio files (those with the wav and mp3 extensions) can be processed using the Producer Panel. For this reason the compressed WMA soundfiles are hidden (not shown on the playlist) when the Producer Panel is active; if you close the Producer Panel all WMA files will be shown again.

Output files

For uncompressed (WAV) recordings the results of processing can be saved either in a new file or in the original (input) audio file. In the second case the original audio data are overwritten with the output data, i.e. the source audio file is not retained. To enforce the ‘in-place’ processing mode (which allows you to save some hard disk space), check the In-place processing box in the Options/Producer dialog, available from the View menu.

When compressed MPEG files are processed the input file format (MP3) is not preserved – the results are saved in uncompressed wave files.

Tuning processing tools

To change the tool settings click on the corresponding block and make the necessary adjustments in the right part of the Producer Panel.

DeClick

The Sensitivity slider allows you to control sensitivity of the outlier detector. If sensitivity is too small the detector may become too tolerant and fail to isolate small noise pulses; if sensitivity is too large it may be overly fussy, i.e. raise too many false alarns introducing noticeable signal distortions.

The Click size slider can be used to specify the maximum number of samples in a row that can be scheduled for reconstruction (anything between 1 and 100). Don’t select the values that are larger than necessary.

DeHiss

The Reduction rate slider allows you to control the degree of noise attenuation. If reduction rate is too small the restored signal will contain an audible residual noise; if it is too large the sound will become dull, muted and/or distorted.

The High frequency attenuation slider can be used to supresses the high frequency components of an audio signal. It allows you to trade off between the richness of the sound and the level of residual noise.

Equalize

The Band sliders allow you to change the frequency content of an audio signal. Each slider corresponds to a different frequency band.

The Gain slider allows you to change the volume of an audio signal.

Each time you amplify a certain signal component (by moving a band slider above its neutral position) or increase the volume of the recording (by moving the gain slider to the right of its neutral position) make sure that the signal is not clipped. When clipping occurs the Clip indicator lights up. Since clipping may result in audible sound distortions it should be avoided. To eliminate clipping reduce the volume of the recording using the gain slider.

The Presets listbox allows you to load one of nine standard equalization presets (Flat, Bass cut/boost, Treble cut/boost, Mid cut/boost, Side cut/boost).

Fade

The Fade in slider allows you to gradually increase the volume at the beginning of the recording.

The Fade out slider allows you to gradually decrease the volume at the end of the recording.

The fade in/out time can be anything between 20 ms and 20 s.

Normalize

The normalization level slider allows you to adjust the dynamic range of an audio signal. When the slider is in its rightmost position the entire available dynamic range is used, i.e. the maximum peak value of the normalized signal attains its largest allowable value (just below the clip level).

Previewing results

The preview panel, situated beneath the control area, allows you to preview the results of processing.

To check the results yielded by a particular tool, click the tool button on the left side of the Producer Panel and choose Selected from the Tools checklist. Then choose the processing mode (On-line or Off-line) and range (All, From cursor, Local). Finally, press the Play result button. If your computer is fast enough to work in the on-line mode, DART CD-Recorder Basic will allow you to listen to the results of processing while changing the tool settings. Each time you modify any of the settings, the green Ready light will go off. It will be switched on again as soon as the results obtained under the new settings are available. At any time during the test, you can press the Play source button to bypass processing and listen to the original recording. If your computer is too slow to perform tuning in real time, choose the Off-line processing mode. In cases like this, all experiments will be performed off-line on a short fragment of the recording centered around the cursor (local preview area).

To check the results yielded by all activated filters, choose Activated from the Tools checklist. Note that only the Off-line/Local preview mode is allowed if the number of activated tools is greater than one.

Presets

DART CD-Recorder allows you to store the current Producer settings for later use. To save Producer settings as a preset, press the New button (which can be found in the Presets group, situated in the lower part of the Producer Panel) and type in the preset name. When ready, press the OK button. From now on, each time you select a preset from the list, the settings of all Producer tools will be loaded from the corresponding preset file.

To save new settings under the existing name, use the Save button. To rename or remove the existing presets, use the Rename and Remove buttons, respectively.

NOTICE

If the screen resolution is too low (e.g. 800x600), there is not enough space to display Producer presets along with the associated buttons. To avoid display errors, when working with the low screen resolution check Display simple version in the Options/Producer dialog, available from the View menu. Be aware, however, that presets are not available in the simpler version of the Producer Panel.


Playlists

CD-Recorder Utilities

Editing audio files

Unpacking audio collections (track splitting)

Manual unpacking

Using available DirectX audio Plug-ins


Editing Audio Files

DART CD-Recorder allows you perform a number of sound editing operations.

Inserting silence

To insert a section of silence into a soundfile, use the Edit/Insert silence dialog, available from the Toolbox menu.

First, enter the length of the silence block in seconds. Then choose the insertion point. Insertion point can be placed at the beginning of the file (Start), at the end of the file (End) or it may coincide with the current cursor position (Cursor).

To check the results before processing and after processing use the Play source and Play result buttons, respectively.

Cutting audio

To delete a selected portion of the recording, use the Edit/Cut dialog, available from the Toolbox menu. You can use this function in three different ways: to remove data from the beginning of the audio file (Start), to remove data from the end of the file (End), or to remove the data from the current cursor position (Cursor). Use the Cut duration box to set the length of the removed fragment. To check the results before processing and after processing use the Play source and Play result buttons, respectively.

Dividing audio files

To divide an audio file into several shorter files, use the Edit/Divide dialog, available from the Toolbox menu. If the DART tool for automatic “unpacking” of audio files by means of detecting silences (see Unpacking audio collections) does not work satisfactorily, you can use this function to divide long recordings (e.g. the entire LPs) into separate tracks. Note, however, that the cut points in Divide can be arbitrarily located, not necessarily in the silent parts of the recording. Therefore you can divide audio files in any way you wish.

The plot of the entire audio file, displayed in the signal window placed at the top of the Divide dialog, will help you set the cut points appropriately. To introduce a new cut point, position the cursor anywhere in the signal window and click the right mouse button. Alternatively, place the cursor using the left mouse button and click the Add cut point button. Use the Play buttons to listen to the fragment preceding the cursor position (Play left), listen to the fragment succeeding the cursor position (Play right) or audition the fragment centered at the cursor position (Play local). Cut positions are marked with red vertical lines displayed in the signal window. To select a cut point, click on the cut marker or choose the corresponding cut number (cut points are numbered automatically in the order they appear in the file). To adjust position of the cut marker, drag it to the left or to the right, and to remove it – click the Remove button (if there is more than one cut point, only the selected one will be removed).

After selecting the cut points choose the names under which different fragments of the audio file (tracks) will be saved. Tracks are saved in separate audio files called <name[xy].wav>, where name is an user-dependent prefix and [xy] denotes the two-digit track number.


Unpacking Audio Collections

When you record audio material from a CD using the Read track utility DART CD-Recorder Basic saves selected tracks in separate files. However, when you record from an analog source, such as phonograph or a tape deck, the situation is different. In order to save different pieces in separate files you have to repeat the recording procedure for each analog track which means: evoke the Record dialog, choose record parameters, select the name of the destination soundfile, start playback, start recording, stop recording, stop playback etc. Pretty annoying!

If you have enough space on your hard disc there is another way of 'unpacking' audio collections: record the entire LP (or contents of one side of a cassette), then divide it into separate tracks using the Unpack utility.

To initialize unpacking select the audio file (WAV or MP3) you would like to partition and evoke the Unpack dialog by means of clicking the UNPACK button situated on the toolbar or by selecting the Unpack command from the List menu. File partitioning is preceded by searching for silences of a specific duration (anything between 0.5 and 5 seconds). Since the silence detector must be told how 'silent' the silence is supposed to be you have to set the detection threshold appropriately. The selection (anything between 1 and 1000) should be made in accordance with the recording level and intensity of background noise. If the threshold is too low detector may fail to localize silences between subsequent tracks; if it is too high silent parts of the recording may be mistakenly classified as breaks.

In case there is a piece of silence at the beginning of the recording, even if it is fairly short, press the Find button situated next to the detection threshold box and the value of the threshold will be adjusted automatically.

After setting the minimum separation time and detection threshold click the Process button. When detection is finished the Verify cuts dialog will appear on the screen allowing you to accept or reject the proposed cuts. The total number of suggested cuts is displayed at the top of the dialog. After selecting the cut number in the Current cut group you can listen to a short fragment of the recording centered around the proposed cut position and, if necessary, remove the cut from the list by clicking the Reject button. If the results are unsatisfactory, i.e. there are too many omissions or too many false detections press the Cancel button and run the silence detection utility again with a lower or higher detection threshold, respectively.

If all cuts on the revised list are acceptable choose the destination directory and the names of the files under which different tracks will be stored (use the Change button in the Output group for this purpose). Then press the Process button to start unpacking.

NOTICE

The presence of clicks, pops and record scratches, which is typical of material coming from old analog records, makes silence detection considerably more difficult and a bit tricky. Therefore, even though the silence detector was designed so as to be robust against outliers it may fail to localize breakpoints correctly if the click intensity is too high.

Processing MPEG audio files

Unpack can be used to process MPEG files. All steps are in this case identical with the steps described above, except that the input (compressed) file format is not preserved – the results of unpacking are saved in separate wave files.

Manual unpacking


Manual Unpacking

If the DART tool for automatic “unpacking” of audio files (see Unpacking audio collections) does not work satisfactorily, use the Edit/Divide function, available from the Toolbox menu, to divide recording in the “manual mode”.

The plot of the entire audio file, displayed in the signal window placed at the top of the Divide dialog, will help you set the cut points appropriately. To introduce a new cut point, position the cursor anywhere in the signal window and click the right mouse button. Alternatively, place the cursor using the left mouse button and click the Add cut point button. Use the Play buttons to listen to the fragment preceding the cursor position (Play left), listen to the fragment succeeding the cursor position (Play right) or audition the fragment centered at the cursor position (Play local). Cut positions are marked with red vertical lines displayed in the signal window. To select a cut point, click on the cut marker or choose the corresponding cut number (cut points are numbered automatically in the order they appear in the file). To adjust position of the cut marker, drag it to the left or to the right, and to remove it – click the Remove button (if there is more than one cut point, only the selected one will be removed).

After selecting the cut points choose the names under which different fragments of the audio file (tracks) will be saved. Tracks are saved in separate audio files called <name[xy].wav>, where name is an user-dependent prefix and [xy] denotes the two-digit track number.


Using DirectX Audio Plug-Ins

The DirectX technology, designed by Microsoft for the Windows family of operating systems, allows you to create and run multimedia applications (called Plug-Ins) on any Windows-based PC, no matter what the hardware.

To access DirectX Audio Plug-Ins installed on your computer:

1. Select the wave file(s) for processing among those listed in the File Panel (if you select several files all of them will be processed).

2. Choose the DirectX command from the Toolbox menu.

3. Click the desired item on the list of available Plug-Ins.

NOTICE

DirectX Audio Plug-Ins are based on the Microsoft's DirectX specification. Any developer can write plug-ins for DART CD-Recorder Basic using the DirectX Software Development Kit (SDK) available from Microsoft - for more information see: http://www.microsoft.com/directx.


Burning CDs

Burning audio CDs

Burning data CD-ROMs

Burning MP3-ROM or WMA-ROM CDs


Recording a CD

Burning Audio CDs

DART CD-Recorder Basic offers you a possibility to create and record your own audio CD or CD Text provided your system is equipped with a CD-R.

Before you begin the process of reading and writing audio CDs, it is recommended that you assign which of the CD drives installed in your PC will perform either reading and/or writing duties in the CD-Recorder Basic utility.

Click on the View/Options/Devices menu.

Assign the Default CD Recorder device from the available pull-down menu. This will be the CD drive that will be used to write ("burn") your new audio CDs.

Assign the Default CD Reader device from the available pull-down menu. This will be the CD drive that will be used to read ("rip") audio CD tracks to the hard drive.

Assign the CD Reader drive letter, which must be the drive letter of the currently selected Default CD Reader device (above).

Selecting audio files for recording

Prior to recording you must specify which files (and in what order) should be placed on a CD. This can be done by creating a playlist of soundfiles. Instructions on how to create a playlist can be found at How to create a new playlist.

DART CD-Recorder Basic creates CDs in a standard audio format which can be read by every CD player. For this reason the playlist items must obey several standard restrictions:

1. The playlist must consist of at least one but not more than 99 soundfiles.

2. Each soundfile has to be at least 4 seconds long.

3. Soundfiles must be CD format compatible.

Since DART CD-Recorder Basic provides automatic audio file conversion you do not have to worry about the last requirement.

Adjusting silence gaps between audio tracks

DART CD-Recorder Basic allows you to individually adjust silence gaps between consecutive CD tracks. In order to do this, follow the steps below:

1. Click the playlist item using the right mouse button and select the Info command (or double-click the item) to evoke the File info dialog.

2. Modify the value displayed in the edit box entitled "Gap time after this track in seconds" (anything between 0 and 30 seconds).

3. If you want this time to be identical for all tracks, click the Apply to all button.

4. Click OK.

Each silence gap is attached to the soundfile it was defined for (always the one preceding the gap). Therefore if you change position of an audio file within the list the corresponding silence gap will move along with the file.

To help you adjust spacing between subsequent tracks, the actual size of silence gaps is retained when a particular item or all items on the playlist are played back.

Writing to a CD

When you are ready to record your CD, make sure you have a new, unformatted CD-R or CD-RW blank CD ready and insert it into your assigned Default CD-Recorder drive (from Step 1).

Note: We recommend using only CD-R media, due to a greater compatibility with consumer audio CD players. You will only want to use CD-RW media when burning CDs that you know will be played on CD-RW compatible audio CD players.

Click the WRITE TO AUDIO CD button on the toolbar or select the Write to audio CD command from the List menu.

WRITE TO AUDIO CD button

If any of the files in the playlist require conversion to the CD format (16 bit, 44kHz, stereo), a Check CD format dialog appears on the screen. Prior to recording, DART CD-Recorder Basic checks all items on the playlist and runs a CD format conversion procedure if necessary. The results of soundfile conversion are saved in temporary files - the Check CD format dialog allows you to estimate the amount of disc space needed to perform such conversion and to select the temporary directory.

If any file conversion is necessary, it is performed on the selected playlist items. When conversion is finished, the Write dialog appears on the screen. The settings in this window allow you to control:

The device used for CD recording (which is useful if your system is equipped with more than one CD-R or CD-RW drive).

The speed at which your CD will be written ("burned"). Note that the list of speeds provided are given to us by your CD-R or CD-RW drive as supported speeds for audio CD creation.

To enable any of the following other three options (below), click on the associated checkbox in the Write window.

The Simulate disc creation option, which will check whether your system is capable of recording with a given speed (all actions will be identical with those taken during actual recording, except that no data will be written to a CD). If you use this option, you'll have to perform the write process again, removing this option, to complete your audio CD.

The Write CD Text information option, which will write any available CD+Text information, for files in your playlist, to your new audio CD. If you didn't "read" this information from an existing audio CD, you may have to add it to our playlist by hand. To get more information on this feature of our software, click the help line below.

Using CD Text

The Enable BURN-Proof option, available only when using Plextor or Plextor-based CD burner drives, offers protection from recording errors at the expense of write speed. To learn more about the BURN-Proof solution, click the help line below.

Using BURN-Proof mode

To start recording your CD, press the Write button.


Recording a CD

Copying Existing Audio CDs

DART CD-Recorder Basic allows you to make copies/duplicates of existing audio CDs or CD+Text CDs, provided your PC is equipped with a supported CD-R or CD-RW drive.

Before you begin the process of reading and writing audio CDs, it is recommended that you assign which of the CD drives installed in your PC will perform either reading and/or writing duties in the CD-Recorder Basic utility.

Click on the View/Options/Devices menu.

Assign the Default CD Recorder device from the available pull-down menu. This will be the CD drive that will be used to write (“burn") your new audio CDs.

Assign the Default CD Reader device from the available pull-down menu. This will be the CD drive that will be used to read (“rip") audio CD tracks to the hard drive.

Assign the CD Reader drive letter, which must be the drive letter of the currently selected Default CD Reader device (above).

Step 1 - Reading audio tracks

1. Insert your source audio CD into the assigned Default CD-Reader drive. If any other software audio CD player program (“Windows Media Player", “WinAmp", “Real Player", etc.) starts automatically when you do this, close it prior to moving to step 2.

2. In the far-left section of the CD-Recorder Basic window, select a hard disk drive and directory (folder) where you want the WAVE files to be stored on your system (Example: "C:\My Music"). Do not select the CD drive where the audio CD is currently located. It makes no difference to our software which hard disk drive and/or folder that you use to store your WAVE files. What matters is that YOU know where you are putting them (so that they can be found later, if needed).

Note: You must copy the audio data to the hard drive first (and, in fact, it is far safer to do this anyway). It is not possible to create a "direct" CD-to-CD copy with our software, nor is it recommended using any companies' software, due to the likelihood of error and/or failure.

3. Once your folder is selected, click on the READ TRACK button on the Toolbar. You should see a message window stating that we are reading the CD's track list. If you are asked to look up the CD on the Internet, using the CDDB service, just hit No for now. You may very well want to use this service down the line, since we can use it to automatically fill in Disk title and track title information for the CD.

4. Select the track number that you want to get (by clicking on it) and then click Add. If you want the whole CD, you can click on Add all. We would also recommend that you select the Add tracks to playlist option, if it's not enabled already.

5. After that, click on OK at the bottom of the screen. Click OK on the copyright notice screen (but read it and understand it first). You should see that the drive starts reading data to the hard drive, one track at a time.

By reading tracks in this manner, you'll be creating files on your hard drive called .WAV files. Those files contain the audio. The audio data will be read and stored to the drive and folder you selected earlier.

After your tracks are read to the hard drive, you should see the track (WAV) listings on the far right (the Playlist), such as "track1.wav", "track2.wav", and so on. Take the audio CD out of the assigned CD-Reader drive.

Using CDDB

Using CD Text

Step 2 - Adjusting silence gaps between audio tracks (if desired)

DART CD-Recorder Basic allows you to individually adjust silence gaps between consecutive CD tracks. In order to do this, follow the steps below:

1. Click the playlist item using the right mouse button and select the Info command (or double-click the item) to evoke the File info dialog.

2. Modify the value displayed in the edit box entitled Gap time after this track in seconds (anything between 0 and 30 seconds).

3. If you want this time to be identical for all tracks, click the Apply to all button.

4. Click OK.

Each silence gap is attached to the soundfile it was defined for (always the one preceding the gap). Therefore if you change position of an audio file within the list the corresponding silence gap will move along with the file.

To help you adjust spacing between subsequent tracks, the actual size of silence gaps is retained when a particular item or all items on the playlist are played back.

Step 3 - Writing your WAVE files to a new, blank CD

When you are ready to record your CD, make sure you have a new, unformatted CD-R or CD-RW blank CD ready and insert it into your assigned Default CD-Recorder drive (from Step 1).

Note: We recommend using only CD-R media, due to a greater compatibility with consumer audio CD players. You will only want to use CD-RW media when burning CDs that you know will be played on CD-RW compatible audio CD players.

Click the WRITE TO AUDIO CD button on the toolbar or select the Write to audio CD command from the List menu.

WRITE TO AUDIO CD button

The settings in this window allow you to control:

The device used for CD recording (which is useful if your system is equipped with more than one CD-R or CD-RW drive).

The speed at which your CD will be written ("burned"). Note that the list of speeds provided are given to us by your CD-R or CD-RW drive as supported speeds for audio CD creation.

To enable any of the following other three options (below), click on the associated checkbox in the Write window.

The Simulate disc creation option, which will check whether your system is capable of recording with a given speed (all actions will be identical with those taken during actual recording, except that no data will be written to a CD). If you use this option, you'll have to perform the write process again, removing this option, to complete your audio CD.

The Write CD Text information option, which will write any available CD+Text information, for files in your playlist, to your new audio CD. If you didn't "read" this information from an existing audio CD, you may have to add it to our playlist by hand. To get more information on this feature of our software, click the help line below.

Using CD Text

The Enable BURN-Proof option, available only when using Plextor or Plextor-based CD burner drives, offers protection from recording errors at the expense of write speed. To learn more about the BURN-Proof solution, click the help line below.

Using BURN-Proof mode

To start recording your CD, press the Write button.


Creating a CD-ROM

Burning data CD-ROMs

In addition to burning audio CDs, DART CD-Recorder Basic allows you to create ‘ordinary’ (Joliet-compatible) CD-ROMs where audio files are saved ‘as are’, i.e. they are not converted to digital audio tracks. You can use this option to create archive copies of your audio data.

To burn a CD-ROM containing audio files:

1. Create a playlist.

2. Evoke the Write to CD-ROM dialog by choosing the Write to CD-ROM command from the List menu.

3. Choose among the available recording options.

4. Click the Write button to start recording.

If you want to check whether your system is capable of recording with a given speed activate the Simulate disc creation checkbox (when you choose this option, all actions will be identical with those taken during actual recording, except that no data will be written to a CD).

To enable the BURN-Proof feature (when available), check the Enable BURN-Proof checkbox. To learn more about the BURN-Proof solution click the help line below.

Using BURN-Proof mode

If you have a software allowing you to read multisession discs and you plan to add in the future some data to the currently created CD, enable the Write as multisession disc feature. To close the session, which will fix the contents of a CD, check the Close session box.


Creating a CD-ROM

Burning MP3-ROM or WMA-ROM CDs

In addition to burning audio CDs, DART CD-Recorder Basic allows you to create ‘ordinary’ (Joliet-compatible) CD-ROMs where audio files are saved ‘as are’, i.e. they are not converted to digital audio tracks. You can use this option to burn MP3/WMA-ROM CDs, i.e. create collections of MP3/WMA audio files which can be played back using the increasingly popular MPEG/WMA players.

To burn a CD-ROM containing compressed audio files:

1. Create a playlist.

2. Evoke the Write to CD-ROM dialog by choosing the Write to CD-ROM command from the List menu.

3. Choose among the available recording options.

4. Click the Write button to start recording.

If you want to check whether your system is capable of recording with a given speed activate the Simulate disc creation checkbox (when you choose this option, all actions will be identical with those taken during actual recording, except that no data will be written to a CD).

To enable the BURN-Proof feature (when available), check the Enable BURN-Proof checkbox. To learn more about the BURN-Proof solution click the help line below.

Using BURN-Proof mode

If you have a software allowing you to read multisession discs and you plan to add in the future some data to the currently created CD, enable the Write as multisession disc feature. To close the session, which will fix the contents of a CD, check the Close session box.


How to ...

Handle playlists

Manage playlists

Record soundfiles

Play soundfiles

Process soundfiles

Create your own CD


Playlists

How to ...

Open an existing playlist

Create a new playlist

Save a playlist

Save a playlist under a different name


Playlists

How to ...

Add soundfiles to the playlist

Remove playlist items

Rename a playlist item

Get information about a playlist item

Play a playlist item

Print the playlist

Use CDDB

Use CD Text


Playlists

How to ...

Record from an analog source

Modify an existing recording

Read tracks from an audio CD

Record MIDI


Playlists

How to ...

Play a soundfile

Play the entire playlist once

Play the entire playlist in a loop

Sample the playlist


Playlists

How to ...

Edit audio files

Unpack audio collections

Restore/process audio files

Use DirectX Audio Plug-Ins

Compress audio files


Playlists

How to ...

Adjust silence gaps between audio tracks

Burn an audio CD

Burn a CD-ROM


Contents

About DART CD-Recorder Basic

DART CD-Recorder Basic is an application that allows you to record audio files from different sources (tape deck, reel-to-reel, phonograph, CD and CD Text players, MIDI mixer, MPEG 3 codec), restore recordings, combine them into a sequence called playlist and - if your computer is equipped with a compact disc recorder (CD-R) - to record your own audio CD or CD Text .

About authors


(Untitled)

Starts the playback.


(Untitled)

Pauses the playback and allows it’s resumption.


(Untitled)

Displays the playlist summary.


(Untitled)

Allows you to process audio files prior to listening to the playlist and/or saving it to a CD. The list of available processing tools includes declicking, dehissing, equalizing, fading in/out and normalizing audio recordings.


(Untitled)

Displays the total playing time of all items on the playlist.


(Untitled)

Allows you to create a new (empty) playlist you can add the files to.


(Untitled)

Allows you to use any of the DirectX Plug-in functions you would wish to have attached to DART CD-Recorder Basic.


(Untitled)

Provides access to several useful tools which allow you to restore/process audio files, partition long recordings by means of detecting silences, start and stop recording according to a given time schedule, use the DirectX Audio Plug-In functions attached to DART CD-Recorder Basic and erase rewritable CD’s.


(Untitled)

Allows you to publish a playlist on a compact disk.


(Untitled)

Displays the contents of the current directory. You may select the files by means of clicking on them with the left mouse button. To select more than one file, hold down the CTRL key while clicking. To select a group of files, select the first file of the group, hold down the SHIFT key and select the last file. You may add the file to the playlist by dragging it from the File Panel to the Playlist Panel (a 'drag and drop' technique).

If you use the right mouse button to click a particular file a shortcut menu shows up providing access to several file managing commands (Copy, Move, Rename, Delete). To copy, move or delete several files at once select them using the left mouse button - then click any item of the highlighted group using the right mouse button and choose an appropriate command.


(Untitled)

Plays the currently selected soundfile. If several soundfiles are selected, the first one is played.


(Untitled)

Plays the next item.


(Untitled)

Displays the directory tree. You may open the subdirectory by double-clicking its folder or clicking the 'plus' box shown next to it. To create a new subdirectory or to delete an existing (empty) one evoke a shortcut menu by positioning cursor on the corresponding element of the directory tree and press the right mouse button. Then make an appropriate choice (Create subdirectory, Delete subdirectory).


(Untitled)

Displays the currently selected soundfile. Does not allow you to edit the text.


(Untitled)

Displays the name of the current directory.


(Untitled)

Allows you to select the type of the files displayed in the Files listbox.


(Untitled)

Allows you to read tracks from an audio CD (provided your computer is equipped with a CD recorder).


(Untitled)

Allows one to select one of three playback modes: normal mode (playback stops when the end of the playlist is reached), loop mode (when the end of the playlist is reached the first soundfile is selected and the playback is resumed) and sample mode (a five second fragment of each of the soundfiles in a playlist is played; playback stops when the end of the list is reached).


(Untitled)

Displays the current contents of the playlist. Click the item to select it. To remove, rename or get information about a playlist item click on it to evoke a shortcut menu. Then make an appropriate choice (Remove, Rename, Remove Tagged, Info).

To change position of a soundfile within the list click the corresponding playlist item and drag it to a new position.

Since only the uncompressed (wav) audio files can be processed using the Producer Panel. the compressed (mp3) soundfiles are hidden (not shown on the playlist) when the Producer Panel is active. If you close the Producer Panel all compressed files will be displayed again.


(Untitled)

Allows you to compress audio files.


(Untitled)

Plays the previous item.


(Untitled)

Displays the true name of the currently selected soundfile (the name under which it is saved on your hard disk).


(Untitled)

Using this menu you can turn on/off the status bar and set some program options.


(Untitled)

Allows you to unpack audio collections, i.e., to split audio tracks into subtracs by means of detecting silences.


(Untitled)

Allows you to open an existing playlist.


(Untitled)

Provides access to the DART CD-Recorder Basic help system.


(Untitled)

Gives access to the DART CD-Recorder Basic help system and displays information about the program. Allows you to automatically update the program whenever its newer version is available. Provides links to the web pages on DART and CDDB.


(Untitled)

Context help - allows you to obtain information about different screen items.


(Untitled)

Gives access to the file managing instructions. Allows you to create, load and save your playlist, publish it on a CD, print the playlist content, create your own CD labels and to exit the program. Additionally it provides means for burning audio CDs, burning CD-ROMs with audio data, reading tracks from an audio CD (in a digital, i.e. distortionless mode), recording from an analog audio source, recording and playing back the MIDI audio data and encoding/decoding audio files.


(Untitled)

The boxes situated next to the playlist items can be used to select soundfiles scheduled for renovation and/or processing using the Producer processing engine. To check the file for processing click the corresponding box. To uncheck it click the box again.


(Untitled)

Allows you to save the current playlist on the disk. If the playlist has not been saved yet, you have to specify its name using the File save dialog. If you do not specify the file extension, the default .WMN extension will be added.


(Untitled)

Allows you to play back and record the MIDI music data.


(Untitled)

Stops the playback.


(Untitled)

Allows you to record from any analog audio source connected to your sound card.


(Untitled)

Adds to the playlist all files displayed in the Files listbox.


(Untitled)

Allows you to switch on/off sound effects associated with using buttons situated on the toolbar.


(Untitled)

Allows you to select the default CD-Reader


(Untitled)

Shows the number of the playback slider position updates during one second. Decrease this number if problems occur during playback, e.g. if longer files are played with skips and pauses.


(Untitled)

Saves current options and closes the dialog.


(Untitled)

Shows the number of the record counter updates during one second. Decrease this number if problems occur during recording.


(Untitled)

Provides access to CDDB2 [TM] Disc Recognition Service[SM] , the world's largest online database of audio CD information.


(Untitled)

Allows you to select the output audio device.


(Untitled)

Allows you to specify the drive letter of the selected CD-Reader.


(Untitled)

When In-place processing is checked the original audio file is overwritten with the results of processing, otherwise the results are always saved in a new file.


(Untitled)

Allows you to select the default CD-Recorder.


(Untitled)

Allows you to specify the maximum CD capacity in the overburn mode.


(Untitled)

Allows you to select the input audio device.


(Untitled)

When enabled allows you to ‘overburn’ CD-R disks, i.e. to record more than 74 minutes of audio data (provided that your hardware supports this feature).


(Untitled)

Closes the dialog without saving changes.


(Untitled)

When this box is checked only one in 128 samples is examined for the purpose of providing the record level/clip display (VU bars). Try this option if problems with recording occur.


(Untitled)

Allows you to automatically update the program whenever its newer version is available; requires an Internet connection.


(Untitled)

Allows you to set the local playing time in the Producer Panel.


(Untitled)

When enabled will prompt you to save the playlist when quitting the program.


(Untitled)

Allows you to choose the default format of audio files.


(Untitled)

Shows the available disk space (in bytes).


(Untitled)

Shows the value of the record time counter.


(Untitled)

Closes the dialog.


(Untitled)

Decreases the value of the time counter. In order to instantly jump to the beginning of the recording, click on this button while holding down the CTRL key.


(Untitled)

Stops the current activity.


(Untitled)

Allows you to choose the number of recorded channels.


(Untitled)

Increases the value of the time counter. In order to instantly jump to the end of the recording, click on this button while holding down the CTRL key.


(Untitled)

Allows you to choose the samplig resolution.


(Untitled)

Allows you to choose between the three standard sampling rates (11.025 kHz, 22.050 kHz and 44.100 kHz) provided by most of the sound cards currently available or to set any nonstandard rate supported by your audio card.


(Untitled)

When pressed prior to recording or playing - activates the volume meters. When pressed during playback or recording - suspends the corresponding action (until pressed again).


(Untitled)

Records in a soundfile starting from the position indicated by time counter.


(Untitled)

Allows you to program timer recordings.


(Untitled)

Displays the length of the recording (in bytes and seconds).


(Untitled)

Shows the instantaneous peak level(s) of the input signal. The red indicators placed at the top of each bar graph lit each time the input signal is clipped.


(Untitled)

Plays back the recorded soundfile starting from the position indicated by the time counter.


(Untitled)

Displays the amount of disk space (in megabytes) needed to store all temporary files.


(Untitled)

Allows you to change the temporary directory.


(Untitled)

Closes the dialog and cancels recording to a CD.


(Untitled)

Specifies a temporary directory created for the purpose of soundfile conversion.


(Untitled)

Initializes the soundfile conversion.


(Untitled)

Displays the amount of disk space (in megabytes) available in the currently specified temporary directory.


(Untitled)

Shows the list of all files that are not CD format compatible.


(Untitled)

Displays a number of tracks to be written to a CD.


(Untitled)

Displays an approximate recording time.


(Untitled)

Starts writing.


(Untitled)

Allows you to specify the recording speed.


(Untitled)

Allows you to specify a device used for recording.


(Untitled)

Allows you to create a CD Text audio disk.


(Untitled)

Displays a total playing time of a CD in hours, minutes and seconds.


(Untitled)

Displays a number of user data blocks to be written to a CD.


(Untitled)

When you choose this option, all actions will be identical with those taken during actual recording, but no data will be written to a CD. This feature allows you to check if your system is capable of recording with a selected speed.


(Untitled)

Allows you to enable the BURN-Proof feature of your CD-R device (when available).


(Untitled)

Allows you to preset the audio encoder.


(Untitled)

Allows you to play back/stop playing a selected audio track.


(Untitled)

Starts reading.


(Untitled)

Allows you to copy a CD track along with the associated CD+G information.


(Untitled)

Shows the available disk space.


(Untitled)

Closes the dialog box and aborts reading.


(Untitled)

Allows you to correct/modify the existing CDDB entries


(Untitled)

When this option is switched on all lifted audio tracks are automatically added to the playlist.


(Untitled)

Shows the total playing time of all tracks selected for reading.


(Untitled)

Provides some extra information about CDDB2 [TM] Disc Recognition Service[SM] , the world's largest online database of audio CD information


(Untitled)

Allows you to select CD tracks to be read from a CD. Several tracks may be selected by means of depressing the CTRL key and clicking the corresponding items with the left mouse button. To select a group of consecutive tracks, select the first track of the group, hold down the SHIFT key and select the last track.

To mark a track for reading click on the dot mark on its left side. Tracks marked for reading are distinguished with a red bullet. To uncheck tracks click on the corresponding dot marks again.


(Untitled)

Allows you to remove selected tracks from the reading list.


(Untitled)

Selects the next track on the list.


(Untitled)

Allows you to add all tracks to the reading list.


(Untitled)

Starts the playback of the list of tracks selected for reading.


(Untitled)

Shows the name(s) under which the selected audio tracks will be saved. Each name consists of an user-defined prefix and a track number.


(Untitled)

Allows you to change the prefix part of the name(s) under which the selected tracks will be saved.


(Untitled)

Specifies the reading speed. Be aware that in some of the available CD-R devices the error-correction mechanism is switched off at higher reading speeds - in cases like that disk surface damages or dust may introduce audible clicks into the transmitted audio material if you don’t choose the lowest speed.


(Untitled)

Allows you to add selected tracks to the reading list.


(Untitled)

Allows you to choose the format (compressed or uncompressed) of the audio file.


(Untitled)

Allows you to copy a CD track along with the associated CD Text information.


(Untitled)

Pauses the playback and allows it's resumption.


(Untitled)

Selects the previous track on the list.


(Untitled)

Shows the disk title


(Untitled)

Allows you to set a new timer recording.


(Untitled)

When checked enforces automatic sorting of the list of timer recordings by recording time.


(Untitled)

When checked enforces automatic removal of realized or outdated timer recordings from the list.


(Untitled)

Allows you to set the start time of a timer recording.


(Untitled)

Allows you to sort the list of timer recordings by recording time.


(Untitled)

Shows the list of timer recordings.


(Untitled)

Allows you to remove timer recording from the list.


(Untitled)

Closes the timer recording dialog.


(Untitled)

Allows you to add a new timer recording to the list.


(Untitled)

Allows you to select the recording mode of a timer recording.


(Untitled)

Allows you to enable or disable a timer recording.


(Untitled)

Allows you to select record parameters and the name of the audio file.


(Untitled)

Allows you to set the end time of a timer recording.


(Untitled)

Allows you to describe the contents of a timer recording.


(Untitled)

Allows you to select a particular MIDI mixer and to set its parameters.


(Untitled)

Allows you to play a MIDI file prior to recording.


(Untitled)

Starts recording.


(Untitled)

Shows the directory tree.


(Untitled)

Allows you to choose the desired sampling resolution.


(Untitled)

Allows you to change the name of the destination wave file.


(Untitled)

Shows the name of the destination wave file.


(Untitled)

Allows you to choose the desired sampling frequency.


(Untitled)

Allows you to choose the desired number of channels.


(Untitled)

Shows the list of MIDI files.


(Untitled)

Allows you to play MPEG Audio data prior to recording.


(Untitled)

Shows the name of the source MPEG 3 file.


(Untitled)

Allows you to specify the maximum number of samples in a row that can be scheduled for reconstruction (anything between 1 and 100). Don’t select the values that are larger than necessary.


(Untitled)

The overview strip is a graphic representation of the selected audio file (the highlighted playlist item). The position within the soundfile is indicated by the yellow cursor. To change the cursor position place the mouse pointer anywhere on the overview strip and depress the left mouse button – this will allow you to sample different fragments of an audio file when tuning processing tools. The black strip around the cursor marks the local preview area. To change the size of this area adjust the local preview time using the Options dialog available from the View menu.


(Untitled)

Allows you to change the volume of an audio signal. Each time you increase the volume (by moving the gain slider to the right of its neutral position) make sure that the signal is not clipped. When clipping occurs the clip indicator lights up.


(Untitled)

Allows you to gradually decrease the volume at the end of the recording (the fade time can be anything between 20 ms and 20 s).


(Untitled)

Allows to modify the volume of the recording at its beginning and/or end. To activate fader click the green switch placed on the button.


(Untitled)

Allows you to adjust the volume of the recording. To activate the scaling device click the green switch placed on the button.


(Untitled)

Starts processing.


(Untitled)

Allows to shape the frequency content of an audio signal. To activate equalizer click the green switch placed on the button.


(Untitled)

Allows you to select processing tools.


(Untitled)

Allows to remove clicks, pops and record scratches. To activate declicker click the green switch placed on the button.


(Untitled)

Allows you to change the frequency content of an audio signal. Each slider corresponds to a different frequency band. Each time you amplify a certain signal component (by moving a slider above its neutral position) make sure that the signal is not clipped. When clipping occurs the clip indicator lights up.


(Untitled)

Allows you to select files for processing


(Untitled)

Allows you to select the range of processing.


(Untitled)

Allows you to load one of nine standard equalization presets.


(Untitled)

Allows you to gradually increase the volume at the beginning of the recording (the fade time can be anything between 20 ms and 20 s).


(Untitled)

Lights up when the signal is clipped, i.e. some of its parts fall out of the available dynamic range. Since clipping may result in audible sound distortions it should be avoided. To eliminate clipping reduce the volume of the recording using the gain slider.


(Untitled)

Allows you to control sensitivity of the outlier detector. If sensitivity is too small the detector may become too tolerant and fail to isolate small noise pulses; if sensitivity is too large it may be overly fussy, i.e. raise too many false alarns introducing noticeable signal distortions.


(Untitled)

Supresses the high frequency components of an audio signal. Allows you to trade off between the richness of the sound and the level of residual noise.


(Untitled)

Allows you to control the degree of noise attenuation. If reduction rate is too small the restored signal will contain an audible residual noise; if it is too large the sound will become dull, muted and/or distorted.


(Untitled)

Allows you to adjust the dynamic range of an audio signal. When the slider is in its rightmost position the entire available dynamic range is used, i.e. the maximum peak value of the normalized signal attains its largest allowable value (just below the clip level).


(Untitled)

Plays the results of processing.


(Untitled)

Allows to remove wideband noise. To activate dehisser click the green switch placed on the button.


(Untitled)

Plays the original recording.


(Untitled)

Each time you modify any of the tool settings, the green Ready light goes off. It is switched on again as soon as the results obtained under the new settings are available.


(Untitled)

Allows you to select the mode of processing.


(Untitled)

Closes the dialog and cancels printing the playlist.


(Untitled)

Check to include the total playing time.


(Untitled)

Check to include the playing time.


(Untitled)

Starts printing the playlist.


(Untitled)

Allows you to preview the results of printing.


(Untitled)

When checked automatically adjusts the font size.


(Untitled)

Allows you to type in the playlist header.


(Untitled)

Check to include the full file names.


(Untitled)

Allows you to choose from three printout types


(Untitled)

Allows you to change the header fonts (style, size and color).


(Untitled)

Allows you to change the playlist fonts (style, size and color).


(Untitled)

Provides access to the SureThing labeler.


(Untitled)

Allows you to create a multisession disc.


(Untitled)

Allows you to create a CD Text audio disc.


(Untitled)

Displays a number of data tracks to be written to a CD.


(Untitled)

Allows you to close the session after writing to a CD.


(Untitled)

‘Read track’ Dialog

DART CD-Recorder Basic allows you to read tracks from an audio CD, CD Text or CD+G. Since a digital (i.e., lossless) transmission is used, copying does not cause any degradation of the sound quality typical of analog systems.

To read a track from an audio CD do the following:

1. Select tracks for reading by clicking on the dot marks on their left side. Tracks marked for reading are distinguished with red bullets. To uncheck tracks click on the corresponding dot marks again. To add several track to the reading list select them and click the Add button. Several tracks may be selected by means of depressing the CTRL key and clicking the corresponding items. To add all tracks to the reading list click the Add all button. Finally, to remove items from the reading list select them and press the Remove button.

2. Select the reading speed. Be aware that in some of the available CD-R devices the error-correction mechanism is switched off at higher reading speeds - in cases like that disc surface damages or dust may introduce audible clicks into the transmitted audio material if you don’t choose the lowest speed.

3. Choose the name(s) under which the selected audio tracks will be saved. Tracks are stored in separate soundfiles called <name[xy].wav> where name is an user-defined prefix and [xy] denotes a two-digit track number.

4. Choose the desired output format. If DART audio encoders are installed, DART CD-Recorder Basic will save audio tracks in one of the available compressed formats, such as MPEG or WMA.

5. Click OK.

To add the selected CD tracks to the playlist check the Add tracks to the playlist checkbox.

CDDB support

CDDB2 [TM] Disc Recognition Service[SM] (DRS) from CDDB, Inc. is the world's largest online database of audio CD information. Each time you play a CD, your computer can access CDDB through the Internet for information about that specific disc: the name of the artist, the album title and all song titles. Goodbye tiresome typing, CDDB does it all automatically! Recognized as the most accurate audio CD identification service on the Web, CDDB has data on all kinds of music, even CDs with multiple pressings. Best of all, accessing CDDB is free for your private use.

The first time you use the service, you must register with CDDB.

Using CDDB

CD Text support

DART CD-Recorder Basic allows you to add CD Text information to your playlist at the time you are saving the original CD Text audio tracks. To read a CD Text info you need a CD-ROM drive or CD recorder which supports CD Text and which is supported for this feature by DART CD-Recorder Basic. You will know whether this is the case after opening the Read track dialog – when the CD Text format is enabled the Display CD Text information checkbox, placed in the lower part of the dialog, is active.

To copy audio tracks along with the associated CD Text information, activate the CD Text display (check the Display CD Text information checkbox) and make sure the lifted tracks will be automatically added to the playlist (check the Add tracks to the playlist checkbox).

If the Display CD Text information option is not enabled, all CD Text details will be ignored and replaced with the CDDB information – provided it is available and enabled.

Using CD Text

CD+G support (available in the CD+G version only)

DART CD-Recorder Basic allows you to read CD+G audio tracks, provided, of course, that your CD-ROM drive or CD recorder supports this format. CD+G means compact disc with graphics. The most important application of CD+G is for Karaoke.

To copy audio tracks along with the associated graphic information, check the Include CD+G information checkbox placed in the lower part of the dialog (if this checkbox is not active the CD+G feature is not supported).

If the Include CD+G information checkbox is not active and/or not checked, DART CD-Recorder Basic will rip CD+G tracks of the graphic data (song lyrics), i.e. only the audio part will be copied.

Reading and writing CD+G tracks

Saving audio tracks in a compressed format

When DART audio encoders are installed you can save audio tracks in one of the available compressed formats, such as MPEG or WMA. This feature allows you to minimize the amount of a hard disc space needed to keep audio files. Since encoding is performed on-the-fly, the audio data is NOT saved in a temporary wave file prior to compression. To activate encoding select the corresponding compression audio format (MP3 or WMA) from the Output format list (to set the default output file format use the Options dialog, available from the View menu). To preset the encoder press the Settings button.

Compressing audio files


Burning CD+G tracks

Burning CD+G discs

(available in the CD+G version only)

The playlist for a typical CD+G disc should contain only files with the ‘bin’ extension for CD+G files (*.bin). To copy the graphics portion of your Karaoke files along with the audio tracks, you must check the Include CD+G Information checkbox in the Read track dialog.

DART CD-Recorder Basic allows you to create non-standard audio discs that combine both CD and CD+G tracks. When mixed discs such as these are played in a Karaoke CD player the lyrics are displayed for the CD+G tracks only.

How to create your own CD


(Untitled)

‘Write to CD-ROM’ Dialog

The Write to CD-ROM dialog allows you to control the process of CD publishing, namely, to specify a device used for recording (which is useful if your system is equipped with more than one CD recorder) and to select the recording speed. To start recording press the Write button.

If you want to check whether your system is capable of recording with a given speed, activate the Simulate disc creation checkbox (when you choose this option, all actions will be identical with those taken during actual recording, except that no data will be written to a CD).

To enable the BURN-Proof feature (when available) check the Enable BURN-Proof checkbox. To learn more about the BURN-Proof solution click the help line below.

Using BURN-Proof mode

If you have a software allowing you to read multisession discs and you plan to add in the future some data to the currently created CD, enable the Write as multisession disc feature. To close the session, which will fix the contents of a CD, check the Close session box.


Using BURN-Proof Mode

BURN-Proof is a CD-Recording mode that offers protection from recording errors at the expense of write speed. Continue reading this section to learn more about BURN-Proof and speed optimization.

BURN-Proof corrects errors caused by Buffer Under-RuN. Hence the term: BURN-Proof. Buffer under-run errors cause the production of useless discs - commonly known as “coasters”. Many new CD-R/W drives support the BURN-Proof feature to eliminate this problem.

For the most part, errors are eliminated which is good. However, if the recording speed is set to the automatic it may take a long time to write an entire audio disc.

How BURN-Proof works.

Buffer under-run errors occur when data does not arrive at the CD-R/W in time while recording (writing) a compact disc. The result is a terminated write error condition and a useless disc. BURN-Proof continuously suspends and restarts the write operation as data becomes available and unavailable at the drive. The process of suspending and restarting the data transfer, synchronized with the starting and stopping of the disc and laser, is time consuming.

To use the option, check the Enable BURN-Proof mode checkbox prior to pressing the Write button. If the Enable BURN-Proof checkbox is faded, the CD-R/W drive does not support the option.

Optimization

Always enable BURN-Proof to prevent buffer under-run errors since error are common - specially when doing multiple tasks, such as Web surfing while recording discs. Experiment with the Recording speed to find an optimum speed for writing compact disc with your system. As an example, setting Recording speed to 8X or 6X instead of 12X or 16X may greatly improve the disc recording time.

Note: Burning MP3 files from the playlist is far more likely to cause buffer under-run conditions than burning .wav files because much more CPU bandwidth is needed for the conversion of MP3 to disc format than WAV files.


(Untitled)

‘Write to audio CD’ Dialog

The Write to audio CD dialog allows you to control the process of CD publishing, namely, to specify a device used for recording (which is useful if your system is equipped with more than one CD recorder) and to select the recording speed. To start recording press the Write button.

If you want to check whether your system is capable of recording with a given speed, activate the Simulate disc creation checkbox (when you choose this option, all actions will be identical with those taken during actual recording, except that no data will be written to a CD).

To enable the BURN-Proof feature (when available) check the Enable BURN-Proof checkbox. To learn more about the BURN-Proof solution click the help line below.

Using BURN-Proof mode

DART CD-Recorder Basic allows you to create CD Text audio discs. In order to do this you need a CD recorder which supports the CD Text feature and which is supported for this feature by DART CD-Recorder Basic. You will know whether this is the case after opening the Write to audio CD dialog – when the CD Text format is enabled the Write CD Text information checkbox, placed in the middle part of the dialog, is active.

To create a CD Text disc, provide CD Text information for each playlist item and for the entire collection (see Using CD Text) and check the Write CD Text information checkbox prior to pressing the Write button.

Finally, DART CD-Recorder Basic allows you to burn CD+G discs, provided, of course, that your CD recorder supports this format. CD+G means compact disc with graphics. The most important application of CD+G is for Karaoke.

To burn a CD+G disc proceed identically as when creating an audio CD. The only difference lies in the contents of the playlist - since a typical CD+G disc is a collection of CD+G tacks, the playlist should contain the CD+G files only (*.bin). Note, however, that DART CD-Recorder Basic also allows you to create nonstandard audio discs which combine both CD and CD+G tracks (when such nonstandard disc is played in a Karaoke CD player the lyrics is displayed for the CD+G tracks only).


Ripping CD+G tracks

Reading (ripping) CD+G tracks from existing CD+G discs (available in the CD+G version only)

DART CD-Recorder Basic allows you to read (rip) CD+G tracks from existing CD+G discs:

1. Select the hard drive and folder where you want the newly read tracks to go on your system. You MUST copy the audio data to the hard drive first.

2. Click on the READ TRACK button on the toolbar. This opens the Read track dialog.

3. Select tracks for reading by clicking on the dot marks on their left side. Tracks marked for reading are distinguished with red bullets. To uncheck tracks click on the corresponding dot marks again. To add several track to the reading list select them and click the Add button. Several tracks may be selected by means of depressing the CTRL key and clicking the corresponding items. To add all tracks to the reading list click the Add all button. Click Add all if you want the whole CD. Finally, to remove items from the reading list select them and press the Remove button.
OPTION: To automatically add the tracks you select to the playlist, check the Add tracks to the playlist checkbox.

4. To copy the graphics portion from your Karaoke CD+G discs along with the audio tracks check the Include CD+G information checkbox. The audio and graphic data will be read and stored to the drive and folder you selected earlier.
NOTE: The Include CD+G information checkbox is “grayed” if it is not active or not checked. This indicates NO graphic data (song lyrics in text) will be recorded. Only the audio part will be copied.

5. Click OK at the bottom of the screen to accept your selection and proceed.


Generating CD+G Tracks

DART Karaoke Studio, another product from the DART family, allows you to create CD+G tracks in a fast and easy way. DART Karaoke Studio is a package that allows you to

eliminate the lead vocalist’s performance from almost any regular stereophonic recording (DART DeVocalizer)

synchronize the song lyrics with the `devocalized’ soundtrack so that the text will be displayed right at the time it can be heard in the original recording (DART Karaoke Author)

record your own version of the vocal track (DART Karaoke Recorder/Player)

mix your own performance with the soundtrack extracted from the original recording (DART Karaoke Producer)

create ‘bin’ files required for burning CD+G audio tracks


(Untitled)

‘Check CD Format’ Dialog

Prior to recording DART CD-Recorder Basic checks all items on the playlist and runs the CD format conversion procedure if necessary. If any of the files requires conversion to a CD format (16 bit, 44kHz, stereo) the Check CD Format dialog appears on the screen. The results of soundfile conversion are saved in temporary files - the Check CD format dialog allows you to estimate the amount of disc space neeeded to perform such conversion and to select the temporary directory.


Hardware CD+G requirements

Hardware & Software Requirements for Reading and Writing CD+G Tracks

DART CD-Recorder Basic supports all DART software for reading and writing CDs of all types. CD+G format reading and writing is only supported with the DART Karaoke CD+G software.

Requirements for reading CD+G tracks

You need a CD-ROM, CD/R or CD-R/W drive that supports CD+G and is supported by DART CD-Recorder Basic. DART CD-Recorder Basic “senses” if supported CD hardware is installed, and will show that reading CD+G CDs is enabled by making the Include CD+G checkbox appears active in the Read Track dialog box.

A quick hardware check: To check if your CD drive supports CD+G, make sure the CD+G disc you wish to read is in the “Default CD-Reader” drive (assignable in the View\Options menu), then:

1. Click on the READ TRACK button on the tool bar to open the Read Track dialog box.

2. If the Include CD+G checkbox (last in the list of choices) is active on the Read Track dialog box, then your system meets the requirements and can read CD+G discs.

Requirements for burning CD+G discs

To burn a CD+G disc, you need a CD-R or CD-RW drive that supports CD+G writing, and is supported by DART CD-Recorder Basic. DART CD-Recorder Basic “senses” if supported CD hardware is installed, and will display a short message if your burner does not support CD+G writing.

A quick hardware check: To check if your CD-R or CD-RW drive support CD+G writing, make sure your playlist contains a least one CD+G file (.bin) then:

1. Click on the WRITE TO AUDIO CD button on the toolbar.

2. If your drive doesn’t support the CD+G feature, DART CD-Recorder Basic will refuse to open the Write to audio CD dialog - a short message will be displayed instead.


Reading Tracks from an Audio CD

To read a track from an audio CD or CD Text do the following:

1. Insert an audio CD into a CD drive.

2. Evoke the Read track dialog (available after clicking the READ TRACK button situated on the toolbar). DART CD-Recorder Basic will ask you if you want to access CDDB (the world's largest online database of audio CD information) for information about that specific disc: the name of the artist, the album title and all song titles. Unless the examined audio CD had been already checked in the past, looking up the CDDB basis requires the Internet connection.

3. Select tracks for reading by clicking on the dot marks on their left side. Tracks marked for reading are distinguished with red bullets. To uncheck tracks click on the corresponding dot marks again. To add several track to the reading list select them and click the Add button. Several tracks may be selected by means of depressing the CTRL key and clicking the corresponding items. To add all tracks to the reading list click the Add all button. Finally, to remove items from the reading list select them and press the Remove button.

4. Select the reading speed. Be aware that in some of the available CD-R devices the error-correction mechanism is switched off at higher reading speeds - in cases like that disc surface damages or dust may introduce audible clicks into the transmitted audio material if you don’t choose the lowest speed.

5. Choose the name(s) under which the selected audio tracks will be saved. Tracks are stored in separate soundfiles called <name[xy].wav> where name is an user-defined prefix and [xy] denotes a two-digit track number.

6. Choose the desired output format. If DART audio encoders are installed, DART CD-Recorder Basic will save audio tracks in one of the available compressed formats, such as MPEG or WMA.

7. Click OK.

To add the selected CD tracks to the playlist check the Add tracks to the playlist checkbox.

CDDB support

CDDB2 [TM] Disc Recognition Service[SM] (DRS) from CDDB, Inc. is the world's largest online database of audio CD information. Each time you play a CD, your computer can access CDDB through the Internet for information about that specific disc: the name of the artist, the album title and all song titles. Goodbye tiresome typing, CDDB does it all automatically! Recognized as the most accurate audio CD identification service on the Web, CDDB has data on all kinds of music, even CDs with multiple pressings. Best of all, accessing CDDB is free for your private use.

The first time you use the service, you must register with CDDB.

Using CDDB

CD Text support

DART CD-Recorder Basic allows you to add CD Text information to your playlist at the time you are saving the original CD Text audio tracks. To read a CD Text info you need a CD-ROM drive or CD recorder which supports CD Text and which is supported for this feature by DART CD-Recorder Basic. You will know whether this is the case after opening the Read track dialog – when the CD Text format is enabled the Display CD Text information checkbox, placed in the lower part of the dialog, is active.

To copy audio tracks along with the associated CD Text information, activate the CD Text display (check the Display CD Text information checkbox) and make sure the lifted tracks will be automatically added to the playlist (check the Add tracks to the playlist checkbox).

If the Display CD Text information option is not enabled, all CD Text details will be ignored and replaced with the CDDB information – provided it is available and enabled.

Using CD Text

Saving audio tracks in a compressed format

When DART audio encoders are installed you can save audio tracks in one of the available compressed formats, such as MPEG or WMA. This feature allows you to minimize the amount of a hard disc space needed to keep audio files. Since encoding is performed on-the-fly, the audio data is not saved in a temporary wave file prior to compression. To activate encoding select the corresponding compression audio format (MP3 or WMA) from the Output format list. Use the Options dialog, available from the View menu, to set the default output file format.

Compressing audio files


Reading and writing CD+G tracks

Reading and Writing CD+G Tracks (available in the CD+G version only)

The CD+G (Compact Disc + Graphics) is an important CD standard for Karaoke applications because it allows CD audio and special graphics to be stored on a five-inch standard disc, primarily for Karaoke players. CD+G formatted CDs require a special Karaoke player and a TV set to reproduce CD audio and graphics. Graphics in this case refer to Karaoke style word displays, where words to a song appear on a colored background and change color in synch with the music track to guide singers. A typical CD+G disc contains 4 to 18 songs. When these discs are played in regular audio CD players, the graphic information is simply ignored.

Hardware and software CD+G requirements

Generating CD+G tracks

Playing CD+G tracks

Reading (ripping) CD+G tracks from existing CD+G discs

Burning CD+G discs


Playing CD+G Tracks

Playing CD+G disc tracks

The CD+G discs you burn can be played by standard audio CD players or with DART CD-Recorder Basic. The audio portion will be heard but the graphics portion will be ignored.

DART Karaoke Studio allows you to generate the CD+G tracks (*.bin), required by the hardware Karaoke players.

Playing CD+G files on your PC in software CD+G players

In addition to hardware devices some software Karaoke players are also available, such as WinCDG by Steve J. Gray – see http://www.ryerson.ca/~sgray. Software players do not read the ‘bin’ files that are on CD+G discs. They interpret special files (.cdg) which contain song lyrics and synchronization data only – the audio data should be provided in a separate wave or mp3 file.

DART Karaoke Studio allows you to generate the CD+G files (*.cdg), needed by the software players.


Creating a CD-ROM

Burning a CD-ROM

In addition to burning audio CDs, DART CD-Recorder Basic allows you to create ‘ordinary’ (Joliet-compatible) CD-ROMs where audio files are saved ‘as are’, i.e. they are not converted to digital audio tracks. You may find the CD-ROM burning capabilities useful for at least two reasons. First, you can use this option to create archive copies of your audio data. Second, you can burn MP3/WMA-ROM CDs, i.e. create collections of MP3/WMA audio files which can be played back using the increasingly popular MPEG/WMA players.

To burn a CD-ROM containing audio files:

1. Create a playlist.

2. Evoke the Write to CD-ROM dialog by choosing the Write to CD-ROM command from the List menu.

3. Choose among the available recording options.

4. Click the Write button to start recording.

If you want to check whether your system is capable of recording with a given speed activate the Simulate disc creation checkbox (when you choose this option, all actions will be identical with those taken during actual recording, except that no data will be written to a CD).

To enable the BURN-Proof feature (when available) check the Enable BURN-Proof checkbox. To learn more about the BURN-Proof solution click the help line below.

Using BURN-Proof mode

If you have a software allowing you to read multisession discs and you plan to add in the future some data to the currently created CD, enable the Write as multisession disc feature. To close the session, which will fix the contents of a CD, check the Close session box.


Adjusting Silence Gaps Between Audio Tracks

DART CD-Recorder Basic allows you to specify the amount of silence due to be inserted after a given CD track. In order to do this, follow the steps below:

1. Select the playlist item and click the Info button (or double-click the item) to evoke the File info dialog.

2. Modify the value displayed in the edit box entitled "Gap time after this track in seconds" (anything between 0 and 30 seconds).

3. If you want this time to be identical for all tracks, click the Apply to all button.

4. Click OK.


Compressing audio files

DART CD-Recorder Basic allows you to compress audio files using the the WMA encoder.

Windows Media Audio files are a specialized form of Advanced Streaming Format (ASF) files. These files contain audio data that is compressed using a new high-quality lossy audio compression scheme called Windows Media™ Audio codec. A recent studies have shown that Windows Media audio files have the same quality as CDs at only half the size of comparable MP3 files.

Compressing audio files using WMA encoder


Compressing audio files

Compressing Audio Files Using MPEG Encoder (available when DART MPEG encoder is installed)

MPEG encoder allows you to save space when storing or transmitting audio files.

To save audio files in a compressed MPEG format:

1. Select the wave files for processing among those listed in the File Panel (if you select several files, all of them will be processed); to see wave files in the File panel window set the File type specification to All files, Wave files or Soundfiles.

2. Evoke the Encode files dialog by pressing the ENCODE FILES button situated on the toolbar or by choosing the Encode files command from the List menu.

3. Choose the ‘MP3 encoder’ from the list of encoding modules.

4. Click the Settings button to evoke the Encoding parameters dialog. Select the desired optimization mode (Fast processing, Medium or High quality), encoding mode (Variable Bitrate or Constant Bitrate) and compression parameters (Quality, Bitrate/VBR parameter and Channel mode). To choose standard ‘quality encoding’ settings press the Default button.

5. Select the directory and/or the names of the MP3 files where the results will be saved. If several wave files are scheduled for compression their original names will be retained – only the extensions will change from ‘wav’ to ‘mp3’.

6. Press Process to start encoding

Selecting optimization mode

Selecting encoding mode

Selecting compression parameters


Optimization modes

Selecting optimization mode

You can choose among three optimization modes. When Fast processing is chosen the process of encoding (compressing) audio file will be fast but may yield results of slightly lower quality (within the selected quality range). Conversly, when the High quality mode is chosen, an improved quality can be achieved at the expense of the speed of processing. Finally, the Medium mode allows one to trade off the processing speed and the encoding quality.


Encoding modes

Selecting Encoding Mode

There are two encoding modes you can use: Variable Bitrate (VBR) encoding and Constant Bitrate (CBR) encoding. Since the VBR approach is more flexible and yields better results than the CBR approach at similar bitrates, we recommend you use VBR. Be warned, however, that some of the existing MPEG decoders do not read the VBR-encoded audio files.

Why VBR is better than CBR ?

Some audio passages are more difficult to encode than others. In order to maintain Constant Bitrate during CBR encoding, difficult passages may be encoded with less than the desired number of bits with a consequent decrease in quality level relative to the average bitrate. During easy passages, the encoder uses more than the necessary number of bits in order to maintain constant bitrate. In essence, fixed bitrate operation varies the quality level in order to maintain constant bitrate.

Conversely, Variable Bitrate operation fixes the quality level and allows bitrate to vary. During difficult passages, VBR uses a higher than average bitrate. During easy passages, VBR uses a lower than average bitrate. The net result is that VBR produces an overall higher, more consistent quality level, compared to CBR at similar bitrates.


Compression parameters

Selecting Compression Parameters

About the sound quality / compression rate compromise

High quality of the compressed sound and high degree of compactness of the MPEG audio file, determined by the selected bitrate (a number of kilobytes of data needed to represent one second of the encoded audio), are contradictory requirements which should be compromised according to ones needs.

First of all - how good is good enough? It is widely accepted that the sound encoded with the 128 kbits/s (kilobits per second) bitrate retains high quality referred to as a CD-quality. This means that if you compare the original music played from an audio CD with it’s MPEG-encoded version you will hardly hear any difference. Of course, if you have more demanding ears you can choose higher bitrates: up to 192 kbits/s for the VBR encoding and up to 320 kbits for the (less efficient) CBR encoding.

When storing CD-quality audio (44kHz, 16 bit, stereo) in an uncompressed WAVE format, the bitrate is approximately 1.4 Mbits/s (megabits per second). This means that using the 128 kbits/s MPEG encoding you can compress your wave audio files 11 times. Using the Constant Bitrate (CBR) encoding you can enforce even higher compression rates: up to 22 (producing a good quality stereo output) or up to 44 (producing a good quality mono output). The highest compression rates - up to 88 for the 16 kbits/s CBR bitrate - are recommended for speech encoding only.

Presetting the VBR encoder

To preset the VBR (recommended) encoder:

1. Select one of five quality levels which correspond to five standard VBR parameter settings: 1, 30, 50, 75 and 100. The corresponding approximate bitrates are shown next to the VBR parameter display. If you really insist on doing something nonstandard you can edit the number shown in the VBR parameter window and set it to any value between 1 and 100 (higher number means better quality). Most users, however, stick to VBR settings listed above.

2. Select the preferred channel mode (you can choose between mono and stereo).

Presetting the CBR encoder

To preset the CBR encoder:

1. Select one of four quality levels

2. If you need a better control over the compression rate select the preferred bitrate (note: each quality level has it’s own bitrate range). Remember that higher bitrates correspond to higher sound quality but result in larger files.

3. Select the preferred channel mode (you can choose between mono and stereo). Note that if the two lowest quality levels are selected the mono output is obligatory.

A note for inquisitive users

If you compress the 44 kHz audio file and obtain the 22 kHz output (to check details of the created MPEG file press the Info button situated in the File Panel) don’t be concerned! Given the preferred quality\bitrate and channel mode the MPEG encoder optimizes the sample rate so as to produce the best quality output. This is why sometimes the input and output sample rates don’t match.


Compressing audio files

Using WMA encoder

(available when DART WMA encoder is installed)

Windows Media Audio files are a specialized form of Advanced Streaming Format (ASF) files. These files contain audio data that is compressed using a new high-quality lossy audio compression scheme called Windows Media™ Audio codec. A recent studies have shown that Windows Media audio files have the same quality as CDs at only half the size of comparable MP3 files.

Selecting compression parameters


Decompressing Audio Files Using MPEG Decoder

DART CD-Recorder Basic allows you to play and record the MPEG Audio data, i.e., to decompress the encoded sound and save it in a standard wave format accepted by every CD-player.

To convert MPEG audio files to a wave format:

1. Select the MPEG files for processing among those listed in the File Panel (if you select several files, all of them will be processed); to see MPEG files in the File panel window set the File type specification to All files, Mp3 files or Soundfiles.

2. Select the directory and/or the names of the WAV files where the results will be saved. If several wave files are scheduled for decompression their original names will be retained – only the extensions will change from ‘mp3’ to ‘wav’.

3. Evoke the Decode files dialog by choosing the Decode files command available from the List menu.

4. Set the desired decoding parameters (sampling frequency, number of channels and sampling resolution).

5. Click OK.

To audition a file prior to decompression click the Play button.


Compressing Audio Files

DART CD-Recorder Basic allows you to compress audio files using the WMA encoder.

Using WMA encoder

(available when DART WMA encoder is installed)

Windows Media Audio files are a specialized form of Advanced Streaming Format (ASF) files. These files contain audio data that is compressed using a new high-quality lossy audio compression scheme called Windows Media™ Audio codec. A recent studies have shown that Windows Media audio files have the same quality as CDs at only half the size of comparable MP3 files.

Selecting compression parameters


Compressing audio files

Using MPEG Encoder

(available when DART MPEG encoder is installed)

MPEG Audio is a special tool for reducing the size of audio files. It uses the principle of perceptual coding, based on “psychoacoustic masking”. MPEG codecs achieve their goal by suppressing information which is irrelevant from the perceptual point of view, i.e., information which is filtered by our brain in the course of analysing the perceived sound. At moderate compression rates (such as 128 kbits/s and above for MPEG Layer 3 Audio files) you won’t hear a difference from the uncompressed original! DART CD-Recorder Basic allows you to encode (compress) and decode (decompress) audio files using the most advanced (and the most efficient) Layer 3 MPEG Audio scheme.

Selecting optimization mode

Selecting encoding mode

Selecting compression parameters


Getting information on a soundfile being a part of the playlist

Getting Information About a Playlist Item

To get information about a playlist item:

1. Double-click the item

or

1. Select the soundfile you want to get information about and click the right mouse button to evoke a shortcut menu.

2. Choose the Info command.


Getting information on a soundfile that is not a part of a playlist

Getting Information About a Soundfile

In you want to get information about a soundfile that is not a part of the playlist, do the following:

1. Use the File Panel to select the appropriate soundfile and click the right mouse button to evoke a shortcut menu..

2. Choose the Info command.


Saving a Playlist

To save a playlist on the disc do one of the following:

Select the Save command from the List menu

Click [image] on the toolbar

Press CTRL+S

If you save the file for the first time, you have to specify its name in the File Save dialog box. Otherwise the file will be saved with the name it was given before.


Playing a soundfile that is not a part of a playlist

Playing a Soundfile

In you want to listen to a soundfile that is not a part of a playlist, do the following:

1. Use the File Panel to select the appropriate soundfile.

2. Click the Play button.

The Playing dialog will appear and the soundfile will be played. The slider shows the current position within the soundfile. At any time during the playback you can drag the slider to a new position.To stop playback press the ESC key or click the Stop button.


Recording MPEG audio data

Decoding MPEG Audio

To decode MPEG audio files :

1. Select the MPEG 3 file you would like to convert to a WAVE format (a typical MPEG 3 file has a mp3 extension)

2. Choose the Decode files command available from the List menu.

3. Set the recording mode by means of choosing the desired sampling frequency, number of channels and sampling resolution.

4. Select the name of the wave file where the results will be saved.

5. Click OK.

To audition a file prior to recording click the Play button.


Opening an Existing Playlist

To open an existing playlist do one of the following:

Select the Open command from the List menu

Click [image] on the toolbar

Press CTRL+O


Adding a soundfile to the playlist

Adding Soundfiles to the Playlist

To add a soundfile to the playlist, do one of the following:

1. Use the Files listbox to select the soundfiles you want to add. To select more than one file, hold down the CTRL key while clicking. To select a group of files, select the first file of the group, hold down the SHIFT key and select the last file.

2. Drag the selected soundfiles from the File Panel to the Playlist Panel.

To add all soundfiles in a directory to the playlist

Click the Add all button.


Saving a playlist with a different name

Saving a Playlist Under a Different Name

To save a playlist on the disc under a new name select the Save as command from the List menu and specify a new name of the list.


Playing a single soundfile being a part of the playlist

Playing a Playlist Item

To play a playlist item:

1. Select the soundfile you want to play.

2. Click .

During playback, DART CD-Recorder Basic shows the volume (the instantaneous peak levels) of the currently played soundfile. The slider placed below the volume meters shows the position within the soundfile. At any time during the playback you can drag the slider to a new position.


Playing the Entire Playlist in a Loop

If you want to play the entire playlist in a loop, do the following:

1. Keep clicking the MODE button on the Playlist Panel until the mode is set to loop: .

2. Click the PLAY button


Removing soundfiles from the playlist

Removing Playlist Items

To remove a single playlist item:

1. Select the soundfile you want to remove and click the right mouse button to evoke a shortcut menu.

2. Choose the Remove command.

To remove several playlist items at once:

1. Tag the soundfiles you want to remove (by checking the corresponding boxes) and click the right mouse button to evoke a shortcut menu.

2. Choose the Remove Tagged command.


Playing the entire playlist stopping after the playback of the last soundfile

Playing the Entire Playlist once

If you want to play the entire playlist once, do the following:

1. Keep clicking the MODE button on the Playlist Panel until the mode is set to normal:

2. Click the PLAY button


Recording MIDI music data

Recording MIDI

To record MIDI :

1. Click the MIDI TO WAV button situated on the toolbar or choose the Convert MIDI to WAV command available from the List menu.

2. Select the MIDI file you would like to convert to a WAVE format (a typical MIDI file has a mid extension)

3. Set the recording mode by means of choosing the desired sampling frequency, number of channels and sampling resolution.

4. Select the name of the wave file where the results will be saved.

5. If your computer is equipped with more than one audio card use the Settings button to select a particular MIDI mixer you would like to work with.

6. Click OK.

To audition a file prior to recording click the Play button.

To choose a particular mixer device (if more than one is available on your computer) and/or to set the recording level appropriately select the MIDI file you would like to record and press the Settings button placed at the bottom of the MIDI to WAV dialog.

The multicolor bar graph displayed on the right hand side of the evoked Recording properties dialog shows the instantaneous peak level of the synthesized waveform. If the recording level is too high - which occurs each time the red bars are displayed - the signal is clipped. Since clipping may cause audible distortions you should avoid it at all times by adjusting positions of the three sliders (MIDI output level, MIDI input level, Wave input level) appropriately. Please check documentation of your audio card to learn more details about the ways you can control the recording level (depending on the audio card some sliders may be mutually coupled and/or inactive).

If you wish to accept the current Windows settings check the Use Windows mixer settings box at the top of the dialog.


Playing the samples of each soundfile in the playlist

Sampling the Playlist

If you want to play a short fragment of each soundfile comprising the playlist, do the following:

1. Keep clicking the MODE button on the Playlist Panel until the mode is set to sample: .

2. Click the PLAY button


Renaming a soundfile being a part of the playlist

Renaming a Playlist Item

To rename a playlist item:

1. Select the soundfile you want to rename and click the right mouse button to evoke a shortcut menu.

2. Choose the Rename command.

3. Type a new name of the soundfile in the Enter new filename dialog.

4. Click OK or press ENTER.


(Untitled)

‘Unpack’ dialog

File partitioning is preceded by searching for silences of a specific duration (anything between 0.5 and 5 seconds). Since the silence detector must be told how 'silent' the silence is supposed to be you have to set the detection threshold appropriately. The selection (anything between 1 and 1000) should be made in accordance with the recording level and intensity of background noise. If the threshold is too low detector may fail to localize silences between subsequent tracks; if it is too high silent parts of the recording may be mistakenly classified as breaks.

In case there is a piece of silence at the beginning of the recording, even if it is fairly short, press the Find button situated next to the detection threshold box and the value of the threshold will be adjusted automatically.

After setting the minimum separation time and detection threshold click the Process button.


(Untitled)

‘MIDI to WAV’ Dialog

MIDI, which is an acronym for Musical Instrument Digital Interface, is a set of special commands used by different pieces of electronic musical equipment to speak to each other. Vaguely speaking, the MIDI data contains information about musical notes along with detailed instructions telling how, when and how long each note should be played. DART CD-Recorder Basic allows you to play and record the MIDI music data, i.e. to synthesize the encoded sound and save it in a standard wave format.

To record MIDI:

1. Select the MIDI file you would like to convert to a WAVE format (a typical MIDI file has a mid extension)

2. Set the recording mode by means of choosing the desired sampling frequency, number of channels and sampling resolution.

3. Select the name of the wave file where the results will be saved.

4. If your computer is equipped with more than one audio card use the Settings button to select a particular MIDI mixer you would like to work with.

5. Click OK.

To audition a file prior to recording click the Play button.

To choose a particular mixer device (if more than one is available on your computer) and/or to set the recording level appropriately select the MIDI file you would like to record and press the Settings button placed at the bottom of the MIDI to WAV dialog.

The multicolor bar graph displayed on the right hand side of the evoked Recording properties dialog shows the instantaneous peak level of the synthesized waveform. If the recording level is too high - which occurs each time the red bars are displayed - the signal is clipped. Since clipping may cause audible distortions you should avoid it at all times by adjusting positions of the three sliders (MIDI output level, MIDI input level, Wave input level) appropriately. Please check documentation of your audio card to learn more details about the ways you can control the recording level (depending on the audio card some sliders may be mutually coupled and/or inactive).

If you wish to accept the current Windows settings check the Use Windows mixer settings box at the top of the dialog.


Editing audio files

Inserting Silence

Insert silence allows you to insert a section of silence into a soundfile.

First, enter the length of the silence block in seconds. Then choose the insertion point. Insertion point can be placed at the beginning of the file (Start), at the end of the file (End) or it may coincide with the current cursor position (Cursor).

To check the results before processing and after processing use the Play source and Play result buttons, respectively.


(Untitled)

Allows you to remove the selected cut from a list of proposed breakpoints.


(Untitled)

Provides an automatic adjustment of the detection threshold (you can use this function only if there is a piece of silence at the beginning of the recording).


(Untitled)

‘Verify cuts’ dialog

The Verify cuts dialog allows you to accept or reject the proposed cuts. The total number of suggested cuts is displayed at the top of the dialog. After selecting the cut number in the Current cut group you can listen to a short fragment of the recording centered around the proposed cut position and, if necessary, remove the cut from the list by clicking the Reject button. If the results are unsatisfactory, i.e. there are too many omissions or too many false detections press the Cancel button and run the silence detection utility again with a lower or higher detection threshold, respectively.

If all cuts on the revised list are acceptable choose the destination directory and the names of the files under which different tracks will be stored (use the Change button in the Output group for this purpose). Then press the Process button to start unpacking.


(Untitled)

Shows position of the proposed cut.


(Untitled)

Allows you to choose the destination directory and names of the files under which different tracks will be stored.


(Untitled)

Shows the destination directory and names of the files under which different tracks will be stored.


(Untitled)

Allows you to set the minimum length of a silence (anything between 0.5 and 5 seconds).


Toolbox Menu

Provides access to several useful tools.

Producer is a function that allows you to process audio files prior to listening to the playlist and/or saving it to a CD. The list of available processing tools includes declicking, dehissing, equalizing, fading in/out and normalizing audio files.

The Unpack function allows you to partition long recordings by means of detecting silences.

Timer recording is a record function allowing you to start and stop recording according to a given time schedule.

The Edit functions allow you to perform a number of sound editing operations: insert a section of silence into a soundfile (Insert silence), delete a selected portion of the recording (Cut) and divide an audio file into several shorter files (Divide).

The DirectX function provides access to any of the DirectX Audio Plug-In functions you would wish to have attached to DART CD-Recorder Basic.

Finally, the Erase CD-ReWritable function can be used to wipe off the contents of a rewritable CD with a single click of the mouse.


(Untitled)

Shows a total number of breakpoints proposed by the silence detection program.


(Untitled)

Allows you to audition a short fragment of the recording centered on the proposed cut position.


(Untitled)

‘MP3 to WAV’ Dialog

MPEG Audio is a special tool for reducing the size of audio files. Using the principle of perceptual coding, based on “psychoacoustic masking”, MPEG can substantially reduce the amount of digital information stored without compromising sound quality. MPEG codecs achieve this by suppressing information, which is irrelevant from the perceptual point of view, i.e. information that is filtered by our brain in the course of analysing the perceived sound. At light compression rates (such as 192 Kbs and above for MPEG Layer 3 Audio files) you won’t hear a difference from the uncompressed original!

DART CD-Recorder Basic allows you to convert audio files compressed using the most advanced (and the most efficient) Layer 3 MPEG Audio model to a standard WAVE format. This alows you to translate numerous MPEG audio files available through the World Wide Web (www) to a format accepted by every CD player.

DART CD-Recorder Basic allows you to play and record the MPEG Audio data, i.e. to decompress the encoded sound and save it in a standard wave format.

To record MPEG:

1. Set the recording mode by means of choosing the desired sampling frequency, number of channels and sampling resolution.

2. Select the name of the wave file where the results will be saved.

3. Click OK.

To audition a file prior to recording click the Play button.


(Untitled)

Allows you to quit the dialog.


(Untitled)

‘Options’ dialog

Using this dialog you can set some program options.

General

The available options allow you to: switch on/off sound effects associated with using buttons situated on the toolbar, get access to CDDB2 [TM] Disc Recognition Service[SM] , the world's largest online database of audio CD information, automatically update the program whenever its newer version is available and prompt to save the playlist when quitting the program

Producer

The available options allow you to: set the local playing time in the Producer Panel and to enforce the ‘in-place’ processing mode. When In-place processing is checked the original audio file is overwritten with the results of processing, otherwise the results are always saved in a new file.

If the screen resolution is too low (e.g. 800x600) there is not enough space to display Producer presets along with the associated buttons. Therefore, if you prefer to work with the low screen resolution, check Display simple version to avoid display errors. Be aware, however, that presets are not available in the simpler version of the Producer Panel.

Soundcard

The available options allow you to: select the input audio device, select the output audio device and adjust the program display settings to the speed of your computer.

Devices

The available options allow you to: select the default CD-Recorder Basic, select the default CD-Reader and to specify the drive letter of the selected CD-Reader. Additionally, you can enable the overburn mode which allows you to record more than 74 minutes of audio data (provided that your hardware supports this feature).


Editing audio files

Cutting Audio

Cut allows you to delete a selected portion of the recording

You can use this function in three different ways: to remove data from the beginning of the audio file (Start), to remove data from the end of the file (End), or to remove the data from the current cursor position (Cursor). Use the Cut duration box to set the length of the removed fragment. To check the results before processing and after processing use the Play source and Play result buttons, respectively.


New features

What’s New in Version 4.1?

1. The MPEG encoder was provided. It allows you to compress audio data ‘on-the-fly’, i.e. to create (record) MP3 files straight from the input audio stream obtained from the analog (Record) or digital (Read track) device (available VERY soon).

2. The WMA (Windows Media Audio) encoder was provided allowing you to achieve even higher compression rates (for the same quality) than those offered by the MPEG codec.

3. CD+G support was provided allowing you to read (rip) CD+G audio tracks and burn CD+G discs (available in the CD+G version only).

4. A new function was provided allowing you to burn CD-ROMs (Write to CD-ROM). You can use this option to archive audio collections and/or to create MP3/WMA-ROM CDs, which can be played back using the increasingly popular MP3/WMA players.

5.Unpack can process both uncompressed wave files and compressed MPEG files.

6. Producer can process both uncompressed wave files and compressed MPEG files.

7. Producer can process audio files in two different modes. If the In-place processing box in the Options/Producer dialog is checked, the original audio data are overwritten with the results of processing; otherwise the results are saved in a new file.

8. When playing audio files in the File Panel you can change position within the soundfile during playback.

9. The Edit functions, available from the Toolbox menu, allow you to perform a number of sound editing operations: insert a section of silence into a soundfile (Insert silence), delete a selected portion of the recording (Cut) and divide an audio file into several shorter files (Divide).

10. You can save Producer settings as a preset, for later use.


Menus

About Authors

Digital Audio Restoration Technology

DART CD-Recorder Basic[TM]

Designed by Piotr Kuzora and Maciej Niedzwiecki

Copyright 1994-2002 DARTECH, Inc, another subsidiary of ZH Computer, Inc.

www.dartpro.com

Includes Xaudio software Copyright

© 1996-2002 Xaudio Corporation All Rights Reserved

CD-related data through the Internet from CDDB[TM] Music CD Database

Copyright 1999-2002 CDDB, Inc.

CDDB Client Software

Copyright 1999-2002 CDDB, Inc.

CDDB-Enabled, CDDB, CDDB2 and the CDDB Logo are trademarks of CDDB, Inc.

Disc Recognition Service and DRS are service marks of CDDB, Inc.

www.cddb.com

Gdansk, Poland

1994-2002


(Untitled)

Allows you to select a particular breakpoint for inspection.


Guidelines for Adding Entries to CDDB

Please use the following conventions when submitting entries to this database:

1. Please use the "Artist / Disc Title" format for the disc title. Note that artist name or group name comes first, and is separated from the disc title with a slash character. Please do not use other characters for this purpose. Also, put a space before and after the slash.

Never use more than one slash in the disc title. For example, if you have a disc with "Jorge Bolet" performing "Franz Liszt" called "Liszt - The Piano Works Disc 1", do not enter it like:

"Franz Liszt / Jorge Bolet / Liszt The Piano Works Disc 1"

Since there should only be a slash between the artist and the disc title, do it something like this:

"Franz Liszt - Jorge Bolet / Liszt – The Piano Works Disc 1"

Alternately, you could just remove the composer altogether, because it's redundant:

"Jorge Bolet / Liszt - The Piano Works Disc 1"

If the artist is more than one word, do not separate the words with a comma. For example, if the artist is "Louis Armstrong", do not enter it as "Armstrong, Louis". If the artist name and disc title are the same, or if there is no artist name or disc title, then you should only enter the one unique title with no separating slash. For example, the album "Led Zeppelin" by "Led Zeppelin" should simply appear as "Led Zeppelin", not "Led Zeppelin / Led Zeppelin" or "Led Zeppelin /".

If there are more than one artist appearing on a CD, such as on compilations, the individual artists' names should appear in the "Artist / Song Title" format in each track title. For example, If the song "Another Brick in the Wall, Part II" by "Pink Floyd" is on track 1 of a disc, and "Stairway to Heaven" by "Led Zeppelin" is on track two, then the data for track 1 should look like this:

Pink Floyd / Another Brick in the Wall, Part II

and the data for track 2 should look like this:

Led Zeppelin / Stairway to Heaven

If you want to add more information than the artist name for a particular track, you should use the "extended data" fields for this. Such information might include the artist, composer, recording date, movement name (in the case of classical) et cetera.

2. Capitalize the first letter of each word only. Do not use upper case for whole words unless it's absolutely necessary.

3. Please verify that all spelling is correct before submitting an entry.

4. Submit to the appropriate category. Currently the following categories are recognized by the CDDB server: blues, classical, country, data (ISO9660 and other data CDs), folk, jazz, newage, reggae, rock (incl. funk, soul, rap, pop, industrial metal, etc.), soundtrack (movies, shows) and misc (i.e. others that do not fit the above categories).

5. Do not send entries that are not completely filled-out (i.e., empty track titles, etc.).

6. Send an entry only after you verify that it isn't already in the database. The server will discard duplicate entries.

7. For compilation discs, specify "Various Artists" as the artist.

8. For tracks with no name, specify "(Unknown)" as the track name. If a track has no name and contains no audio, specify "(Blank)" as the track name.


(Untitled)

‘File info’ dialog

The File info dialog shows the basic information about the playlist item: the name of an audio file, its format, sampling frequency, number of channels, sampling resolution, the file length in bytes and the playing time in seconds.

DART CD-Recorder Basic allows you to individually adjust silence gaps between consecutive CD tracks. In order to do this, modify the value displayed in the edit box entitled Gap time after this track in seconds (anything between 0 and 30 seconds). If you want this time to be identical for all tracks, click the Apply to all button.

DART CD-Recorder Basic allows you to add CD Text information to a created playlist and, if your CD recorder supports this feature, to record a CD Text audio disc.

The basic CD Text details (3 lines of text) are displayed (when available) inside the CD-R group. To provide, modify or view the entire CD Text information, evoke the Edit CD Text information dialog by clicking the Edit button. For more details on the CD Text feature see Using CD Text.


(Untitled)

‘Print playlist’ dialog

First, select the printout type (Jewel case front, Jewel case back, Full page) and type in the playlist header. Next, use the four checkboxes in the List group to select the preferred playlist format and content. To change the font type, size and colors click the corresponding Change buttons.

The printout preview is shown on the left-hand side of the dialog. To start printing press the Print button.


(Untitled)

Allows you to adjust the play time.


(Untitled)

Allows you to specify how 'silent' the silence is supposed to be. The selection (anything between 1 and 1000) should be made in accordance with the recording level and intensity of background noise.


Help Menu

The Contents command gives access to the DART CD-Recorder Basic help system and the About CD-Recorder Basic command displays information about the program.

The AutoUpdate from the Internet function allows you to automatically update the program whenever its newer version is available.

Finally, the Web links command provides links to the web pages on DART and CDDB.


Dividing Audio Files

Divide allows you to divide an audio file into several shorter files.

If the DART tool for automatic “unpacking” of audio files by means of detecting silences (see Unpacking audio collections) does not work satisfactorily, you can use this function to divide long recordings (e.g. the entire LPs) into separate tracks. Note, however, that the cut points in Divide can be arbitrarily located, not necessarily in the silent parts of the recording. Therefore you can divide audio files in any way you wish.

The plot of the entire audio file, displayed in the signal window placed at the top of the Divide dialog, will help you set the cut points appropriately. To introduce a new cut point, position the cursor anywhere in the signal window and click the right mouse button. Alternatively, place the cursor using the left mouse button and click the Add cut point button. Use the Play buttons to listen to the fragment preceding the cursor position (Play left), listen to the fragment succeeding the cursor position (Play right) or audition the fragment centered at the cursor position (Play local). Cut positions are marked with red vertical lines displayed in the signal window. To select a cut point, click on the cut marker or choose the corresponding cut number (cut points are numbered automatically in the order they appear in the file). To adjust position of the cut marker, drag it to the left or to the right, and to remove it – click the Remove button (if there is more than one cut point, only the selected one will be removed).

After selecting the cut points choose the names under which different fragments of the audio file (tracks) will be saved. Tracks are saved in separate audio files called <name[xy].wav>, where name is an user-dependent prefix and [xy] denotes the two-digit track number.


View Menu

The Status bar command allows you to turn on or off the status bar, providing a brief explanation of certain system functions (shown at the bottom of the main screen). The Options command can be used to set various program options.


Menu List

List Menu

Gives access to the file managing instructions. Allows you to create, load and save your playlist, publish it on a CD, print the playlist content, create your own CD labels and to exit the program. Additionally it provides means for burning audio CDs, burning CD-ROMs with audio data, reading tracks from an audio CD (in a digital, i.e. distortionless mode), recording from an analog audio source, recording and playing back the MIDI audio data and encoding/decoding audio files.

The New command allows you to create a new playlist from the scratch. You may later save it to disc using the Save or Save as commands and retrieve it by the means of using the Open command.

The Print command can be used to print the playlist in the jewel case format.

The Write to audio CD command allows you to publish the playlist on a CD and the Write to CD-ROM command – to burn a CD-ROM with audio data (such as the MP3-ROM and WMA-ROM CDs). The Read track command can be used to read tracks from an audio CD (provided your computer is equipped with a CD recorder) and the Record command allows you to record from an analog audio source such as the phonograph or a tape deck.

The Convert MIDI to WAV command allows you to play back and record the MIDI music data.

Finally, the Encode files command provides access to the DART audio encoding module (WMA).

When you have finished working with DART CD-Recorder Basic, you may use Exit command to quit the application.


(Untitled)

‘Timer recording’ dialog

To program a new timer recording :

1. Check whether the time and date displayed at the top of the dialog are correct; if not - use standard Windows tools to make necessary adjustments. If you are a frequent traveler remember that the time shown on your watch may not be consistent with the local time.

2. Click the New button. The current date and hour will appear in the Start time and End time control panels.

3. Set the desired start time of the timer recording using the scroll buttons situated in the Start time control panel.

4. Set the desired end time of the timer recording using the scroll buttons situated in the End time control panel. The length of the recording (the difference between it's end time and start time) is displayed in the brackets next to the end hour.

5. Use the Settings control panel to fix the recording details. The Recording mode listbox allows you to choose among several recording modes (once, daily, weekly, monthly or Mon-Fri). The File button can be used to set three record parameters (sampling frequency, number of channels and sampling resolution) and to choose the name and location of the file where the music data will be saved. Finally, the Info button allows you to enter a description of the timer recording, a part of which entitled 'headline' (up to 16 characters) is displayed on the list next to the timing details.

6. Press the Set button to add a new timer recording to the list (all activated timer recordings are distinguished with red indicators).

7. Press the OK button to close the Timer recording dialog but do not exit the program (see Notice 1 below).

To modify an existing timer recording (i.e., the one already shown on the list) click the corresponding item and proceed exactly as described above. Finally, to remove any item from the list select it and click the Remove button.

You can disable (temporarily cancel) a timer recording by selecting it and pressing the Disable button (the corresponding indicator will turn gray; the Disable button will turn into the Enable button). To reactivate the disabled timer recording click the corresponding line on the list and press the Enable button (you can still use the Set button to modify the disabled item). The enable/disable function can be used, for example, to temporarily block periodic timer recordings, i.e., those performed in the daily, weekly, monthly or Mon-Fri mode.

Each time the Timer recording dialog is evoked all periodic timer recordings are scrutinized to determine the time of the next recording session due. To sort timer recordings 'by start time' press the Sort list button. If the Auto sort box is checked sorting will be performed automatically each time the Timer recording dialog is opened.

When a nonperiodic timer recording session (the one performed in the once mode) is complete the corresponding item is assigned a done status and displayed with a 'tick' mark next to it. To remove such item from the list select it and click the Remove button. If you check the Auto remove checkbox all nonperiodic timer recordings will be automatically removed from the list when done (naturally, the created wave files will NOT be deleted).

When you close the Timer recording dialog the entire list is saved on the disk.

When recording starts a timer recording progress/info window is displayed showing the basic recording details (file name, headline, start time, end time) and percentage of the work done. You can stop recording at any time by pressing the Cancel button.

NOTICE 1

You can program any number of timer recordings for any number of days in advance. You should be aware, however, that to make timer recording possible your computer MUST be switched on during the time scheduled for recording with DART CD-Recorder Basic OPEN (possibly minimized) and NOT busy (no dialog can be open including the Timer recording dialog). If any of the conditions mentioned above is not fulfilled the timer recording is cancelled and the status of the corresponding item on the list is changed to failed. If the Auto remove option is not switched on all such recordings will be shown on the list with the 'cross' sign next to them.

NOTICE 2

DART CD-Recorder Basic will not allow you to program conflicting timer recordings, i.e., those with overlapping recording times. Some conflicts may be not obvious at the first glance, e.g. the daily [22:00 - 23:00] timer recording conflicts with the monthly [22:30 - 23:30] one in the sense that at some point in the future both requests would have to be served simultaneously.

Similarly, you will not be allowed to put on the list nonperiodic recordings for which the end time is smaller than the current time, i.e., the ones that are already overdue at the time of setting. The last constraint is not imposed on periodic recordings. However, the corresponding start time and end time details may change so as to match the nearest recording time due when you press the Enable or Set button. The analogous recalculation is made for all periodic timer recordings each time you open the Timer recording dialog.

NOTICE 3

A unique soundfile name proposed by DART CD-Recorder Basic is based on the start time of the recording and allows for a pretty straightforward file identification (for example, the file D12021998H0312.wav can be easily recognized as the recording made on February 12, 1998 at 3:12 in the morning). You can change this name but when you do it for a periodic timer recording a new material will always overwrite the material recorded during the previous session (which may be convenient if you are short of the disk space).


(Untitled)

‘Record’ dialog

DART CD-Recorder Basic allows you to record any analog audio source connected to the sound card your computer is equipped with.

Some computers are equipped with more than one wave device. In order to check which audio card is currently used for recording and/or to select the preferred device use the Options dialog available from the View menu.

In order to create a new recording:

1. Click the RECORD button situated on the toolbar or press the Record button placed at the bottom of the File Panel.

2. Select the name of the new recording or pick one of the existing names and click the Overwrite button.

3. Set the record mode (number of channels, sampling frequency, sampling resolution).

4. Click the PAUSE button to initialize the volume meter(s). Start the audio device you wish to record from, and adjust the output level while monitoring the level display.

5. Rewind your source, press the RECORD button, and start the audio device. The available disk space and the current length of the recorded material (both in bytes and seconds) are displayed in the lower part of the Record dialog.

6. When the recording is complete, click the STOP button or press ENTER.

When you press the Close button, the Record dialog will disappear and the name of the recorded soundfile will be added to the list of files displayed in the File Panel..

Using the PLAY, FAST FORWARD, and FAST REVERSE buttons, you can audition the recorded material or its fragments prior to closing the Record dialog. You can also add some new material at the end of an existing recording or modify its content starting from a selected counter position.

Setting the record mode

Choosing the record level

Using control buttons

Modifying an existing recording

Timer recording

Troubleshooting


Findbits

Finding Bit Sequences

DART XP allows you to browse through a detection file looking for sequences of set bits of a specified length. You can use this option, for example, to search for detection alarms covering at least a certain number of samples in a row.

To find the sequences of bits

1. Position the cursor at the beginning/end of the area you want to search.

2. Select the Find bits command from the Edit menu or press the CTRL+F keys.

3. Type in the minimum length of a sequence or use the up/down arrows to change the currently displayed value.

4. Press the FORWARD /BACKWARD [image] button to initialize search in a chosen direction. If the search is successful, the detection window becomes centered at the nearest sequence of a specified length. If no such sequence can be found in a given direction, an appropriate message appears on the screen.

5. When finished, press the Close [image] button to close the Find bits dialog.

Once opened, the Find bits dialog can be used as many times as needed and can remain on the screen while editing sound and/or detection files.

NOTICE

By default, all binary signals displayed in an active binary window are searched when you choose the Find bits command. If you want to inspect a selected binary signal only, uncheck the Ignore bit settings in 'Find bits' box in the Preferences dialog accessible from the Options menu.


Setblock

Setting/Clearing Bits Blockwise

To set, clear or invert bits in a selected block of an active binary window

1. Choose signals, which will be active during editing.

2. Select the block subject to modification.

3. Choose one of the three block editing commands (Set/Clear/Toggle bits in selected block) accessible from the Group bit editing group in the Edit menu.


Setbits

Setting/Clearing Bits

To set or clear bits in an active binary window

1. Using the boxes situated on the left side of a detection window choose signals which will be active during editing.

2. Select the set or clear bits mode by pressing the F6 or F7 keys. Alternatively, choose the Set/Clear bits mode command accessible from the Bit editing group in the Edit menu.

3. Set/clear bits holding down the left mouse button and dragging the mouse.

4. Restore the normal mode by pressing the F8 key or choose the Normal mode from the Bit editing group in the Edit menu.


Denoisecommand

About DeNoise Plus

DeNoise Plus is a procedure for elimination of a broadband noise of known characteristics. Prior to using this function you have to "noiseprint" an audio file, i.e. to run a special noise identification function (NoisePrint) on a fragment of the recording that contains noise only - a short piece of "silence" preceeding or coming after the recorded signal can be used for this purpose. Alternatively, if the reference noise sample can't be indicated, you can try using a noiseprint extracted from another archive recording (preferably coming from the same source, e.g., from the same old record).

Even though DeNoise Plus was not designed to cope with impulsive disturbances, it is capable of reducing clicks (small clicks are completely eliminated in the process of removing wideband noise; the large ones are reduced in size).

In order to use DeNoise Plus proceed as follows:

1. Indicate the source soundfile by clicking the corresponding SOURCE button.

2. Choose the DeNoise Plus command from the Restore menu.

3. Select the processing mode (FFT or AR).

4. Select a noiseprint that can be used in the course of signal renovation. If the NoisePrint command was used just prior to choosing DeNoise Plus, the last taken/inspected noiseprint will appear at the top of the DeNoise Plus dialog. To take a new noiseprint, modify spectral characteristics of an existing noiseprint or to change noiseprint to another (registered) one press the Select button to evoke the NoisePrint Manager dialog. When done, press the DeNoise Plus button to return to the DeNoise Plus dialog.

5. Adjust four renovation parameters (weight, smoothing range, frequency carving and frame size) and two dynamic noise reduction parameters (noise floor and adaptation rate). Select the range of processing (all, window, block).

6. If desired, change the name of the destination soundfile (for unregistered source soundfiles only).

7.Click the Process button to start processing.

We recommend the following three-step procedure for fine tuning of DeNoise Plus FFT/AR:

Step 1: Start from the default settings. If noise is still audible, increase the weight until it is completely eliminated, otherwise reduce the weight as much as possible without reintroducing noise.

Step 2: Try to make the renovated signal as fresh and lively as possible by gradually decreasing the adaptation rate, frequency carving and smoothing range and/or by increasing the noise floor (if noise becomes audible again, increase slightly the weight to compensate for the introduced changes).

Step 3: Choose the frame size that yields the best restoration results.

For additional information, click the topics listed below

Noiseprinting an audio file

Selecting the processing mode

Adjusting renovation parameters

Selecting the range of processing


Edit Menu

The Edit menu gives access to several standard tools for editing signals in soundfile windows (Mute, Cut, Copy, Paste) and in binary windows (setting different modes of processing - Set bits/Clear bits/Normal mode; block editing - Set/Clear/Toggle bits in selected block).

Additionally, it provides tools for moving cursor to a specified position (Go to new position, Go to beginning/end of the block, Go to next/previous marker), marking the sound material (Set/Remove markers, Set/Remove click markers, Set/Remove frame), selecting local areas (Select modified area, Select local block) and performing bit-search operations (Find bits).

Undoing local changes

Cut and paste editing

Selecting local blocks

Using paste buffer

Finding bit sequences

Setting/clearing bits

Setting/clearing bits blockwise

Using markers

Using click markers

Using frames


W2Rdialog

WAV to RAW Conversion

Conversion of a WAV soundfile into the RAW one is very simple and amounts to removing the file header.

Fast format conversion

In order to speed up format conversion check the Fast format conversion box in the Preferences dialog available from the Options menu.

When performing the fast WAV to RAW conversion DART XP will change the file extension to RAW and set the bytes comprising a header to zero (otherwise you would hear a loud click at the beginning of the soundfile when playing it back). Since the system does not support raw PCM files the original (converted) wave file will vanish from the screen. If the converted soundfile is registered it will be also removed from the corresponding audio tree.


Register

Registering a Soundfile

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you to organize and keep track of all renovation experiments involving that file. Soundfile Manager creates and updates special database files <rootname.sfm> which contain information about all files derived from a given root file, and form a 'family tree' called an audio tree. By evoking an audio tree, you can easily review and listen to the results obtained for a particular root soundfile.

When a file is registered as a root soundfile you have a chance of typing in some more details (recording source, sound card, contents of a soundfile) and comments which will be displayed in the information window each time you click the INFO button.

WARNING

If you change a soundfile's name to <rootname00.wav> outside the Soundfile Manager, the database file <rootname.sfm> will not be created, i.e. the corresponding soundfile will remain unregistered.

Managing registered soundfiles

Audio tree


Noiseprintdialog

Taking noiseprints

To take a noiseprint press the NoisePrint Manager button placed inside the DeNoise Plus dialog. After evaluating the noise characteristics, DART XP will create a temporary noiseprint ID file. The noiseprint curve will be displayed at the top of the DeNoise Plus dialog.

Managing Noiseprints

Using the NoisePrint Manager dialog you can add a newly created noiseprint (Anonymous) to the DART XP archive of noiseprints (Add), remove it from an archive (Remove) or assign it a new nickname (Rename).

If the noise sample is at least half a second long DART XP saves its fragment and allows one to listen to it each time the corresponding noiseprint is retrieved from the archive (use the Audition button for this purpose).

To transfer noiseprints from one computer to another use the Export and Import buttons.

The procedure for noiseprint extraction is extremely efficient and works satisfactorily for even very short reference noise samples. For this reason you will not observe a dramatic improvement of the restoration quality when the size of the noise snapshot is increased. Obviously, however, the noiseprinting procedure is more reliable with longer noise samples.

NOTICE 1

DART XP will not allow you to use a noiseprint which doesn't match the processed audio file in terms of the sampling rate or sampling resolution. However, it will accept using a mono noiseprint when processing a stereo soundfile and vice versa.

NOTICE 2

Information about all noiseprints (any number of noiseprints can be collected) is stored in the configuration file dartwin.npl. The noiseprint archive can be damaged if this file is deleted or corrupted outside DART XP.

Modifying a Noiseprint

You can use the DeNoise Plus dialog to modify an existing noiseprint. To change the shape of the noiseprint curve drag the plot nodes up or down, which is equivalent to increasing or decreasing noise attenuation in selected bands. To insert a new node click on the plot using the left mouse button. To remove an existing node click on it using the right mouse button. After pressing the SHIFT key you will be able to drag the entire plot upwards or downwards. If you wish to extend changes to frames of all sizes press the Extend button.

When dealing with stereo recordings you can separately modify noiseprints of the left and right channels after pressing the Left and Right buttons, respectively. If you click the Left+Right button the average: (left+right)/2 noiseprint will be displayed - in this case all changes will affect both channels simultaneously.

After finishing the noiseprint modification press the Set button - otherwise the introduced changes will not be preserved when you close the DeNoise Plus dialog. For your convenience the details of the original noiseprint proposed by the system can be restored at any time by pressing the Reset button.

NOTICE

If there is no material for the noiseprint evaluation try using a “typical” noiseprint curve available after pressing the Default button.


Derinfo

DART XP File Information

The Soundfile Manager attaches to all renovated soundfiles 'birth certificates' containing generation information (the name of the source soundfile), processing details (processing tool, the values of processing parameters), information about the processing mode (music/music&speech), and some statistical data (total number of interventions, processing time / real time ratio). This information is next displayed each time you click the INFO button for an active derivative soundfile.

NOTICE

Pressing ENTER will not change the line in the 'Comments' textbox of the information window - you have to use CTRL+ENTER instead.


Help Menu

The Help menu can be used to access information about the system (About DART, DART help, Tip of the Day) and it's authors (About authors). Additionally it provides a list of all keyboard shortcuts (Keyboard) and a standard Windows 'help on help' (Using help).

About DART XP

About authors

Keyboard shortcuts


Declickcommand

About DeClick Plus

DeClick Plus uses a sophisticated algorithm designed to simultaneously track time-varying characteristics of the processed audio signal, isolate and reconstruct irrevocably distorted samples, e.g. samples corrupted with clicks, pops, record scratches and other forms of impulsive noise.

In order to use DeClick Plus proceed as follows

1. Indicate the source soundfile by clicking the corresponding SOURCE button.

2. Choose the DeClick Plus command, accessible from the Restore menu, or click the DECLICK [image] button situated on the toolbar.

3. Choose three renovation coefficients (detection threshold, maximum length of detection alarms, cutoff frequency) - see Adjusting DeClick Plus parameters , and select the required mode of processing (music or music&speech) – see Selecting the mode of processing .
To preview the results of declicking and compare them with the original recording, use the Play result and Play source buttons, situated in the Audition group.

4. Use the overview strip placed at the top of the DeClick Plus dialog and the Range box, situated in the Audition group, to choose a representative fragment of the source soundfile due to be processed in the preview mode. - see Previewing restoration results.

5. Select the range of processing (all, window, block) – see Selecting the range of processing .

6. If necessary, change the name of the destination soundfile (for unregistered source soundfiles only).

7. Click the Process button to start processing.


Eqpresets

Equalization presets

The Equalization presets dialog allows you to save the current equalization settings (use the Save button) under the name of your choice. Up to 30 different settings can be saved. The same dialog allows you to load an existing preset by highlighting the appropriate name and pressing the OK button.

For your convenience a set of nine standard (predefined) presets (Flat, Bass boost/cut, Treble boost/cut, Mid boost/cut, Side boost/cut) are provided. Predefined presets (displayed with an 'asterisk' mark next to them) are write protected, i.e. you will not be allowed to save the user-defined presets under any of the names listed above.


Opendialog

Opening Files

DART XP allows you to view, play and process uncompressed audio signals put in a standard Windows format called WAVE. Each wave file <*.wav> consists of a header, containing basic information about the recording (sampling rate, sampling resolution, number of channels etc.), followed by an unformatted string of bytes (for 8-bit sampling) or words (for 16-bit sampling) representing the values of consecutive signal samples. If a soundfile you wish to open is not a wave file the system will inform you of not being able to find the wave header.

In order to convert the raw PCM soundfile (i.e. a wave file deprived of its header) into a WAV file use the RAW to WAV command available from the File menu.

When renovating soundfiles, DART XP creates special compressed detection files <*.det> which contain information about all system and/or operator interventions. Detection files can be opened and viewed in pretty much the same way as soundfiles.

Opening a single file

The file select dialog allows you to browse the list of available soundfiles in different disk directories. After choosing a soundfile

Press the ENTER key or click on the OK button.

You can audition a selected soundfile before loading it (press the Play button placed inside the dialog), get basic information about it (press the Info button) or delete (press the Delete button).

To open a detection file change the default <wav> extension to <det> (use the box situated in the lower left corner of a file select dialog) and proceed as above.

NOTICE

For your convenience a list of recently opened files is provided at the bottom of the File menu. To open such files simply select them from the list.

Opening several files

When convenient you can open or delete several files at once.

In order to mark more than one file shown in the Open file dialog, press the CTRL key while making your selections (all selected files will become highlighted).

NOTICE

When more than one file is selected the Play and Info buttons are disabled.


Group Menu

The Group menu contains items which allow one to handle groups of files opened/created during a particular DART XP session.

Handling groups of files


File Menu

The File menu contains items for managing files (New, Open, Save as, Rename, Delete, Close) or sets of files called audio trees (Open audio tree), and for exiting the program (Exit). Additionally, it provides means for performing undo operations (Create/Open Undo file), performing the soundfile format conversion (RAW to WAV, WAV to RAW), getting information about a soundfile (File info) and registering a soundfile in a DART XP library of soundfiles created and handled by the Soundfile Manager (Register). For your convenience a list of recently opened files is provided at the bottom of the File menu. To open such files simply select them from the list.

Handling files

Audio tree

Using undo files

Format conversion

Information about a soundfile

Registering a soundfile

Quitting DART XP


Selectdialog1

Using the Select Source Dialog

The Select source dialog allows you to compare different files : the source soundfile (original), the destination soundfile prior to retouching (before processing) and the modified destination soundfile (after processing). Use the PLAY button situated inside the dialog to audition (locally) the compared soundfiles. Based on listening tests you can accept the results of retouching (Accept), reject changes introduced by retouching (Reject) or resume editing a detection file (ReEdit). If you choose ReEdit the detection file will be displayed in yellow - this is to remind you that the editing task has not been completed yet. The white color will be restored once you make a final decision, i.e. accept or reject the changes.


Selectdialog2

Using the Select Source Dialog

The Select source dialog allows you to compare different files : the source soundfile (original), the destination soundfile prior to retouching (before processing), the destination soundfile modified by left-hand processing (after processing [left]) and the destination soundfile modified by right-hand processing (after processing [right]). Use the PLAY button situated inside the dialog to audition (locally) the compared soundfiles. Based on listening tests you can accept the results of left-hand or right-hand retouching (Accept) or reject changes introduced by retouching (Reject). If you are not satisfied with the result, do not give up - choose the ReEdit button and modify the block making it larger or smaller, or placing it differently (chances are the new results will be better). If you choose ReEdit the detection file will be displayed in yellow - this is to remind you that the editing task has not been completed yet. The white color will be restored once you make a final decision, i.e. accept or reject the changes.

Finally remember: filling large gaps is a VERY DIFFICULT task.


Play Menu

The Play menu is used to play the entire soundfile (Play all) or its portion (Play window, Play block, Play paste buffer, Play local, Play next local, Play previous local, Play from the cursor). It allows one to switch between two soundfiles during playback (Play mix) and to loop play commands (Loop).

Some computers are equipped with more than one wave device. In order to check which audio card is currently used for playing back and/or to select the preferred device use the Hardware info dialog available after choosing the Hardware command from the Options menu.

Playing a soundfile


Exit

Before You Quit DART XP

Saving groups of files

DART XP allows you to save any collection of open files along with a complete information about the current desktop status including cursor, marker and frame positions, resolution and scale settings, synchronization details etc. Owing to this after retrieving a group of files you will find everything put in exactly the same order as at the time of saving.

In order to save a group of open files under a current group name (displayed at the top of DART XP desktop) select Save from the Group menu; use the Save as command from the same menu to save a group under a new name.

To retrieve a previously saved group choose Open from the Group menu.

WARNING

The file <groupname.dgr> created or updated when you save a group is a configuration file only , i.e. it does not store information about the contents of the files comprising a group. For this reason if you delete or modify any of the files after saving a group you will not be able to retrieve a group in its original form.

Using the autosave option

If you enable the Autosave option in the Preferences dialog (available from the Options menu) the system will save - by creating the configuration file autogrp.dgr -the information about all files open at the time of quitting DART XP. These files will be automatically loaded when you start the system again.


Recording

Recording a Soundfile

DART XP allows you to record any audio source connected to the sound card your computer is equipped with.

Some computers are equipped with more than one wave device. In order to check which audio card is currently used for recording and/or to select the preferred device use the Hardware info dialog available after choosing the Hardware command from the Options menu.

In order to create a new recording:

1. Choose the Record command available from the Record menu, or click the RECORD button situated on the toolbar, or press R.

2. Select the name for the new recording, or pick one of the existing names and click the Overwrite button

3. Set the record mode (number of channels, sampling frequency, sampling resolution).

4. Click the PAUSE button to initialize the volume meter(s). Start the audio device you wish to record from, and adjust the output level while monitoring the level display.

5. Rewind or go to the beginning of your source, press the RECORD button, and start the audio device. The available disk space and the current length of the recorded material (both in bytes and seconds) are displayed in the lower part of the Record dialog.

6. When the recording is complete, click the STOP button or press ENTER.

When you press the CLOSE button, the Record dialog will disappear and the recorded soundfile will be loaded on the screen.

Using the PLAY, FAST FORWARD, and FAST REVERSE buttons, you can audition the recorded material or its fragments prior to closing the Record dialog. You can also add some new material at the end of an existing recording or modify its content.

Setting the record mode

Choosing the record level

Using control buttons

Modifying an existing recording

Troubleshooting


Selectlocal

Selecting Local Blocks

The Select local block command can be used to mark the fragment played back after choosing Play local from the Play menu (to change the length of this fragment adjust the Local play time in the Preferences dialog available from the Options menu).

Use the Select modified area command to mark the block modified by editing a detection file.


Noiseprintcommand

About NoisePrint

Prior to using DeNoise Plus you have to "noiseprint" an audio file, i.e. to run a special noise identification function on a fragment of the recording that contains noise only - the material suitable for a noiseprint evaluation can be usually found at the very beginning of the recording (a piece of "silence" preceeding the recorded signal) or at it's very end.

To take a noiseprint:

1. Select the source soundfile by clicking the corresponding SOURCE button.

2. Select a block of reference noise samples (the minimum size of the block is 2048)

3. Access the NoisePrint Manager dialog by choosing the NoisePrint command (available from the Restore menu) or pressing the NoisePrint Manager button situated at the top of the DeNoise Plus dialog.

4. Press the Take button placed inside the NoisePrint Manager dialog. After evaluating the noise characteristics, DART XP will create a temporary noiseprint ID file. The noiseprint curve will be displayed at the top of the DeNoise Plus dialog.

Managing Noiseprints

Using the NoisePrint Manager dialog you can add a newly created noiseprint (Anonymous) to the DART XP archive of noiseprints (Add), remove it from an archive (Remove) or assign it a new nickname (Rename).

If the noise sample is at least half a second long DART XP saves its fragment and allows one to listen to it each time the corresponding noiseprint is retrieved from the archive (use the Audition button for this purpose).

To transfer noiseprints from one computer to another use the Export and Import buttons.

The procedure for noiseprint extraction is extremely efficient and works satisfactorily for even very short reference noise samples. For this reason you will not observe a dramatic improvement of the restoration quality when the size of the noise snapshot is increased. Obviously, however, the noiseprinting procedure is more reliable with longer noise samples.

NOTICE 1

DART XP will not allow you to use a noiseprint which doesn't match the processed audio file in terms of the sampling rate or sampling resolution. However, it will accept using a mono noiseprint when processing a stereo soundfile and vice versa.

NOTICE 2

Information about all noiseprints (any number of noiseprints can be collected) is stored in the configuration file dartwin.npl. The noiseprint archive can be damaged if this file is deleted or corrupted outside DART XP.

Modifying a Noiseprint

You can use the DeNoise Plus dialog to modify an existing noiseprint. To change the shape of the noiseprint curve drag the plot nodes up or down, which is equivalent to increasing or decreasing noise attenuation in selected bands. To insert a new node click on the plot using the left mouse button. To remove an existing node click on it using the right mouse button. After pressing the SHIFT key you will be able to drag the entire plot upwards or downwards. If you wish to extend changes to frames of all sizes press the Extend button.

When dealing with stereo recordings you can separately modify noiseprints of the left and right channels after pressing the Left and Right buttons, respectively. If you click the Left+Right button the average: (left+right)/2 noiseprint will be displayed - in this case all changes will affect both channels simultaneously.

After finishing the noiseprint modification press the Set button - otherwise the introduced changes will not be preserved when you close the DeNoise Plus dialog. For your convenience the details of the original noiseprint proposed by the system can be restored at any time by pressing the Reset button.

NOTICE

If there is no material for the noiseprint evaluation try using a “typical” noiseprint curve available after pressing the Default button.


Go to

You can use these commands to move the cursor to specific locations.

If you would like to jump to a prescribed position choose Go to new position (G) and type in a new cursor coordinate: sample number (if the time axis is calibrated in samples) or time (if the axis is calibrated in units of time). In order to change the method of calibration check or uncheck the Time scale in seconds box in the Preferences dialog available from the Options menu.

Time can be specified in two different ways - by giving a number of hours, minutes and seconds separated by colons (a digital clock notation) or seconds only. This means you can write either 1:06:40.25 or 4000.25, whichever is more convenient - DART XP will accept both notations.

Apart from fixing an absolute position of the cursor you can set its relative position within the soundfile, i.e. position expressed as a percentage of the overall file length. To achieve this, enter a positive number smaller than 100.0 and follow it with the percent sign, e.g. write 27.5%. Relative positioning can be used in a very similar way as clicking on the overview strip; it works irrespective of the adopted method of axis calibration.

In order to set the cursor at the beginning of the distinguished area (block) choose Go to beginning of the block or press F11; to move it to the end of the block choose Go to end of the block or press F12.

To move cursor to a given marker or click marker choose Go to new position (G) and type in ‘m’ followed by the marker label, e.g., ‘m1’ will move the cursor to the marker labeled 1 and ‘mb’ will move it to the click marker labeled B. To move cursor to the next or previous marker use the Go to next/previous marker command or press the > or < key, respectively.


Cmarkersdialog

Using Click Markers

Click markers are temporary soundmarks which can be placed anywhere in a soundfile and which may help to precisely localize disturbances (e.g., one can use a pair of click markers to 'frame' an extraneous sound).

Each time you set a click marker, an impulse is added to the sample at the cursor position (negative pulses are added if the sample value is positive and vice versa). Based on listening tests, you can adjust the amplitude of the pulse so as to make the resulting click audible but weak enough to prevent it from screening the disturbance you are trying to spot. Click markers are not permanent and do not corrupt the soundfiles they are added to - click pulses are kept in a separate buffer and injected only at the time of playing back the corresponding fragments. As a consequence, there is no need to remove click markers prior to closing or saving a soundfile. Click markers are distinguished by red vertical lines displayed in soundfile windows (along with the corresponding labels) and on the overview strip.Up to eight click markers, labelled A through H, can be associated with a single soundfile.

To set a click marker:

1. Position the cursor anywhere in an active soundfile window.

2. Select one of the eight marker labels. The list of all labels shows up when you click the Label arrow in the Set/Remove click markers dialog. Letters associated with the already existing markers are displayed with the 'tick' mark next to them. If you choose such a letter to label a new click marker, the previous one will be automatically removed. Each time you enter the Set/Remove click markers dialog, the first free label (if any) is shown in the Label box.

3. Press the PLAY button situated inside the dialog to play the fragment where the click marker will be inserted. If necessary, use the arrows in the Amplitude box to adjust the magnitude of the click. Use Play local from the Play menu to audition the same fragment without the click.

4. Click the Add button. The red click marker lines (temporarily hidden under the yellow cursor lines) will be added to the active soundfile and to the overview strip.

5. Press the Close button to close the Set/Remove click markers dialog.

In order to remove a click marker, proceed as above but instead of choosing the Addcommand in step 4, click the Remove button. If you want to remove all markers, use the Remove all button in the same dialog.

To move to the area where a given click marker was placed, open the Set/Remove click markers dialog, select the marker label and click on the Go to button. Alternatively, choose the Go to new position (G) command available from the Edit menu and type in ‘m’ followed by the marker label (e.g., after typing ‘ma’ you will jump to the click marker labeled A).

NOTICE

Click markers are not restored when the corresponding soundfile window is closed and opened again. However, you can save the current position of all click markers by saving a group of soundfiles (choose Save as from the Group menu).


R2Wdialog

RAW to WAV Conversion

The uncompressed and unformatted string of bytes (for 8-bit sampling) or words (for 16-bit sampling), representing the values of consecutive signal samples, is usually referred to as the raw PCM audio file.

In order to change a raw soundfile into a wave file you have to indicate recording details such as the sampling rate, sampling resolution and number of channels. If you import a raw soundfile from an unknown source you may need to experiment with record settings in order to find the appropriate ones.

Fast format conversion

In order to speed up format conversion check the Fast format conversion box in the Preferences dialog available from the Options menu.

When performing the fast RAW to WAV conversion the system will simply change the extension of the selected RAW file to WAV and replace its first 44 bytes with an appropriate wave header.


Recordmenu

Recording a Soundfile

DART XP allows you to record any audio source connected to your computer’s sound card.

Some computers are equipped with more than one wave device. In order to check which audio card is currently used for recording and/or to select the preferred device use the Hardware info dialog available after choosing the Hardware command from the Options menu.

In order to create a new recording:

1. Choose the Record command available from the Record menu, or click the RECORD button situated on the toolbar, or press R.

2. Select the name of the new recording, or pick one of the existing names and click the Overwrite button

3. Set the record mode (number of channels, sampling frequency, sampling resolution).

4. Click the PAUSE button to initialize the volume meter(s). Start the audio device you wish to record from, and adjust the output level while monitoring the level display.

5. Rewind your source, press the RECORD button, and start the audio device. The available disk space and the current length of the recorded material (both in bytes and seconds) are displayed in the lower part of the Record dialog.

6. When the recording is complete, click the STOP button or press ENTER.

When you press the CLOSE button, the Record dialog will disappear and the recorded soundfile will be loaded on the screen.


Format

Format Conversion

The uncompressed and unformatted string of bytes (for 8-bit sampling) or words (for 16-bit sampling), representing the values of consecutive signal samples, is usually referred to as the raw PCM audio file. When augmented with a header, containing basic information about the recording (sampling rate, sampling resolution, number of channels, number of samples) RAW files become WAV files (WAV stands for a standard Windows format called WAVE). DART XP allows you to convert RAW audio files into WAV files and vice versa.

RAW to WAV

input file : *.raw

output file : *.wav (default)

processing mode : global

In order to change a raw PCM soundfile into a wave file, choose the RAW to WAV command from the File menu. A dialog will appear allowing you to select recording details such as the sampling rate, sampling resolution and number of channels. If you import a raw soundfile from an unknown source you may need to experiment with record settings in order to find the appropriate ones - to audition results press the Preview button.

WAV to RAW

input file : source soundfile (*.wav )

output file : *.raw (default)

processing mode : global

Conversion of WAV soundfiles into RAW files is much easier and amounts to removing the file header.

The WAV to RAW option, available from the File menu, is used for this purpose.

Fast format conversion

If the files you want to convert from one format to another are very large (think of one hour of recording, for example) the processing times may be excessive, and in fact unnecessarily, long. You should be aware that all the system is doing after adding the header to the input file (RAW to WAV) or depriving it of the header (WAV to RAW), is copying its content to the output file. If you are ready to sacrifice the first 44 bytes of your original raw file (the loss is comparable to loosing a single hair - provided you are not completely bald ...), check the Fast format conversion box in the Preferences dialog available from the Options menu. Working in the fast conversion mode, DART XP will do the job almost immediately. When performing the RAW to WAV conversion the system will simply change the extension of the selected RAW file to WAV and replace its first 44 bytes with a wave header. Similarly, if the WAV to RAW conversion is requested DART XP will change the file extension to RAW and set the bytes comprising a header to zero (otherwise you would hear a loud click at the beginning of the soundfile when playing it back).

NOTICE

The system does not support raw PCM files. For this reason if you perform the fast WAV to RAW conversion, the original wave file will vanish from the screen. If the converted soundfile is registered it will be also removed from the corresponding audio tree.


DART- Eye

The DART-Eye dialog appears in the middle of the screen after you press the E key (provided that no other dialog is open) and contains a textbox with information about an active soundfile. If you define the "hyper-window" of your talking program so that it coincides with the DART-Eye's textbox you will be able to find out the relevant details of a selected file. The contents of the textbox depends on the question you pose by pressing an appropriate key, e.g., to check the name of an active file press F, to learn about the current cursor position press C etc. - the list of available questions is given below:

A = All files (a list of all opened files)

F = File (sound file / binary file, filename)

L = File length (number of samples and time)

C = Cursor position (sample number and time, relative position, sample value)

R = Time resolution (number of samples per one screen pixel)

T = File type (mono/stereo, sampling frequency, sampling resolution)

S = Source status (active/inactive or 'none')

D = Destination status (active/inactive or 'none')

B = Beginning of the block (sample number and time or 'none')

E = End of the block (sample number and time or 'none')

P = Processing details (processing tool, processing parameters etc.) - for registered soundfiles only

Nine elementary messages (containing numbers only) are also available upon request :

1 = cursor position in samples

2 = cursor position in seconds

3 = relative cursor position

4 = sample value

5 = screen resolution

6 = beginning of the block in samples

7 = beginning of the block in seconds

8 = end of the block in samples

9 = end of the block in seconds

In order to close the DART-Eye dialog press the ESC key.

NOTICE

For your convenience, each time you call DART-Eye the last-checked message is automatically displayed.

For more information see Disabled people support .


Newrecord

Record Menu

The Record menu lets you create a new soundfile by recording from any source connected to your audio card (microphone, tape deck, phonograph, CD player, DAT). You can also use Record to modify (overwrite, append) an existing soundfile. Finally, the Record menu provides access to the DART CD-Recorder - a special program, which will help you arrange, play and record on a recordable CD the lists of recordings (CD-Recorder).

Some computers are equipped with more than one wave device. In order to check which audio card is currently used for recording and/or to select the preferred device use the Hardware info dialog available after choosing the Hardware command from the Options menu.

Recording a soundfile

Using DART CD-Recorder


Localflt

Local Filtering

The filter can be operated locally, i.e. in the selected area only. In such a case

1. If the output file does not exist yet or is not opened, a new soundfile, identical with the input file, is created prior to processing.

2. The filtering algorithm is run in the selected area and the corresponding block of samples in the output file is modified.

If the output file already exists and is opened, only the second part of the above procedure is realized.

NOTICE

When the results of local filtering are pasted over into the output file, some discontinuities may appear at the boundaries of the selected block. Most of the time this problem can be avoided provided that the filter is operated in the linear phase mode; if not - try using DART XP tools to force a smooth transition.


Retouchommand

About ReTouch

ReTouch allows one to use the renovation program in the "manual" declicking mode, i.e. to overrule decisions made by the outlier detector in the automatic detection (DeClick) mode. By editing the so-called detection files (created by the system during declicking) you can set, cancel or modify detection alarms forcing the system to remove overlooked noise pulses and/or to preserve without changes some genuine signal features misclassified as outliers. An additional, powerful function provided by ReTouch is replacement/reconstruction of fairly large fragments of the sound material, which is pretty useful when coping with some long-lasting disturbances or dropouts.

In order to use ReTouch proceed as follows

1. Indicate the source and destination soundfiles by clicking the corresponding SOURCE and DESTINATION buttons, respectively.

2. Edit the corresponding detection file.

3. Choose the ReTouch command accessible from the Restore menu.

4. Adjust two renovation coefficients (smoothing factor, postfiltering factor) and the range of processing (all, window, block, auto); in case of making large scale interventions indicate the direction of processing (left, right, both).

5. Click the Process button to start processing.

6. Use the Select source dialog to compare results with those obtained previously.

7. If the results are satisfactory press the Accept button; otherwise click ReEdit and return to step 2 above or press Reject and quit manual declicking.

About detection errors

Localizing disturbances

Editing a detection file

Retouching a soundfile


Paste Buffer

The paste buffer is a temporary file created to store the data transferred from one place to another. Some functions (like Cut and Copy) write to the paste buffer while the others (like various Paste items) read from it.

The paste buffer is erased each time you exit DART Pro. If you want to save the contents of the paste buffer, choose the Save paste buffer command from the Edit menu. If you wish to audition its contents (provided that the material is sufficiently long), use the Play paste buffer command available from the Play menu.


Dehisscommand

About DeHiss Plus

DeHiss Plus is a wideband noise reduction utility based on a standard noise model. You can use it when a noiseprint is not available. If noise characteristics are time-varying DeHiss Plus may yield better results than DeNoise Plus - being less selective it is also less sensitive to changes in the noise profile.

Even though DeHiss Plus was not designed to cope with impulsive disturbances, it is capable of reducing clicks (small clicks are completely eliminated in the process of removing wideband noise; the large ones are reduced in size).

In order to use DeHiss Plus proceed as follows

1. Indicate the source soundfile by clicking the corresponding SOURCE button.

2. Choose the DeHiss Plus command, accessible from the Restore menu, or click the DEHISS [image] button situated on the toolbar.

3. Select the processing mode (FFT or AR).

4. Adjust the four renovation parameters (gain, smoothing range, frequency carving and frame size) and two dynamic noise reduction parameters (noise floor and adaptation rate). Select the range of processing (all, window, block).

5. If desired, change the name of the destination soundfile (only for unregistered source soundfiles).

6. Click the Process button to start processing.

We recommend the following three-step procedure for fine tuning of DeHiss Plus FFT/AR:

Step 1: Start from the default settings. If noise is still audible, increase the gain until it is completely eliminated, otherwise reduce the gain as much as possible without reintroducing noise.

Step 2: Try to make the renovated signal as fresh and lively as possible by gradually decreasing the adaptation rate, frequency carving and smoothing range and/or by increasing the noise floor (if noise becomes audible again, increase slightly the gain to compensate for the introduced changes).

Step 3: Choose the frame size that yields the best restoration results.

To learn how to tune renovation parameters, click the topic below

Selecting the processing mode

Adjusting renovation parameters

Selecting the range of processing


Guided Tour

(not available in this version of DART)

The presentation consists of several chapters. To enter a selected chapter, press the Play and Return button situated at the bottom of the menu screen and click the corresponding item. When the end of the chapter is reached the presentation will be stopped and you will return to the main menu screen.

To view the entire presentation starting from the selected item use the Play all button. In this case subsequent chapters will be automatically opened in order they appear in the menu.

Finally, to quit Guided tour, click the Exit button.

At any time pressing the ESCAPE key will stop the presentation and pressing the SPACE BAR will pause it. To resume the tour after pausing click the Continue button displayed on the screen.

The entire DART tour takes more than forty minutes.


Markersdialog

Using Markers and Drop Markers

Markers can be used in a pretty much the same way as bookmarks - you can place them anywhere in a soundfile to distinguish certain areas of interest (e.g., areas requiring further processing) or to provide a quick way of jumping to specific locations. Markers are distinguished by green vertical lines displayed in soundfile windows (along with the corresponding labels) and on the overview strip. There is no upper limit to the number of markers (labeled with consecutive numbers) that can be associated with a single soundfile.

To set a marker:

1. Position the cursor anywhere in an active soundfile window.

2. Select the marker label. Each time you enter the Set/Remove markers dialog, the first free label is shown in the Label box. If you choose a number, which is assigned to an existing marker, this marker will be automatically removed when inserting the new one.

3. Click the Add button. The green marker lines (temporarily hidden under the yellow cursor lines) will be added to the active soundfile and to the overview strip.

4. Press the Close button to close the Set/Remove markers dialog.

In order to remove a marker, proceed as above but instead of choosing the Addcommand in step 4, click the Remove button. If you want to remove all markers, use the Remove all button in the same dialog.

To move to the area where a given marker was placed, open the Set/Remove markers dialog, select the marker label and click on the Go to button. Alternatively, choose the Go to new position (G) command available from the Edit menu and type in ‘m’ followed by the marker label (e.g., after typing ‘m1’ you will jump to the marker labeled 1).

To move cursor to the next or previous marker use the Go to next/previous marker command from the Edit menu or press the > or < key, respectively.

Drop markers

Drop markers can be deployed in a soundfile during playback, e.g. to distinguish fragments that require further processing. All you have to do is initialize playback and press the ENTER key each time you wish to mark the currently played fragment. Drop markers are labeled with consecutive numbers and can be handled (localized, removed) in exactly the same manner as ordinary markers.

NOTICE 1

For an average person it takes approximately 400 milliseconds to react to a sound stimulus. To compensate for this ‘response delay’ drop markers are placed in a soundfile with a 400 ms time shift. To change this time constant use the Response delay box in the Preferences dialog (available from the Options menu).

NOTICE 2

Markers are not permanent, i.e. the marker is not restored when the corresponding soundfile window is closed and opened again. However, you can save the current position of all markers by saving a group of soundfiles (choose Save as from the Group menu).


Beforestart

Before You Start

DART XP offers two kinds of renovation tools which allow for :

Elimination of impulsive disturbances along with low intensity wideband noise (DeClick Plus, ReTouch)

Elimination of a wideband noise along with a low amplitude noise pulses (DeNoise Plus, DeHiss)

The following two-pass procedure is strongly recommended for high quality restoration

1. Use DeClick Plus/ReTouch (with smoothing and postfiltering options switched off) to remove clicks, pops and scratches from an archive recording.

2. Use DeNoise Plus/DeHiss Plus to remove the wideband noise.


Undolastedit

Undoing Local Changes

To undo the last change made to a soundfile or a detection file (introduced by choosing items from the Edit or Toolbox menu), use the Undo last edit command from the Edit menu. The size of the undo buffer can be modified using the Preferences dialog available from the Options menu. If you accept the default ‘unlimited’ buffer size setting, all changes introduced during the last editing operation will be reversible (provided there is enough free space on your computer). Since working with very large buffers may slow down editing and create some memory problems, you may limit the size of the undo buffer. In cases like that we suggest you secure long audio files by using the Create undo file command from the File menu.


Compatibile

Warning

You can't exchange material between soundfiles, which differ in a number of channels, sampling rate or sampling resolution.


Prevflt

Previewing Results of Filtering

To perform on-line tuning check the On-line box and select the processing range (entire file, from cursor, local, block). Then press the Play result button. Working in the on-line mode DART XP will allow you to listen to the filtering results while changing the program settings. Each time you modify any of the settings the green Ready light situated next to the On-line box will go off - it will be switched on again as soon as the results obtained under the new settings are available. At any time during the test you can press the Play source button to bypass filtering and listen to the original recording.

If your computer is too slow to perform tuning in the on-line mode leave the On-line box unchecked. In cases like this all experiments will be performed off-line on a selected fragment of the recording.

NOTICE

If, during on-line testing, the processing parameters are chosen incorrectly (e.g. the lower cutoff frequency of a bandpass/bandstop filter exceeds the higher cutoff frequency) the corresponding items are displayed in red. The inappropriate settings are ignored by the system until they are defined correctly (the last correct settings are used instead).


Linphaselflt

Linear Phase Filtering

The frequency shelving Butterworth filters are the basic 'building blocks' used to design various types of filters provided by DART XP. Belonging to the class of recursive infinite impulse response (IIR) filters, the Butterworth filters guarantee fast processing (which is an obvious advantage) but introduce nonlinear phase distortions, i.e. they do not preserve the shape of the input signal. This sounds like a major drawback but whether or not should be regarded as such depends strongly on the purpose and context of filtering. The point is that our auditory system is practically insensitive to phase distortions introduced by filters, i.e. despite the apparent differences in output signals yielded by linear phase (shape-preserving) filters and their nonlinear phase counterparts the sound we hear is exactly the same.

On the other hand, whenever filters are used for local processing only, preservation of the shape of an input signal is a desirable property - otherwise some discontinuities are likely to appear at the boundaries of the selected block.

Whenever you would like the filter to preserve the waveform shape check the Linear phase box - the signal will be filtered twice : first in the forward, than in the backward direction. Such bidirectional processing allows for the linear phase condition to be fulfilled at the price of slightly slowing down the computations.


Dehuming

About DeHum

(available in the XP Pro version only)

A typical hum or buzz consists of harmonically related sinusoidal signals - a number of tones with frequencies, which are integer multiplies of the basic frequency, called fundamental. The AC power mains is the most common source of harmonic noise. In this particular case the fundamental frequency is equal to 60 Hz (US) or 50 Hz (Europe). Electric appliances working in the background, switched on accidentally or intentionally (as in the case of some forensic recordings), constitue another group of typical buzz sources.

The hum-like disturbances can be eliminated using a comb filter - a collection of notch filters designed so as to suppress the fundamental frequency along with the dominant harmonics. To tune the comb filter appropriately, use the window situated in the upper part of the dialog which displays the local spectrum of the source signal around the cursor position and/or the spectrum of the signal obtained by comb filtering. Spectral plots can be obtained using two different methods - parametric (AR) and nonparametric (FFT). You can change the amplitude of displayed plots by adjusting the minimum spectral floor level (in dB) and resolution - by choosing the range of analyzed frequencies (maximum frequency).

The three radio buttons combined in the Show group allow you to display spectrum of the source signal (Source), spectrum of the results of processing (Result) or both spectral plots at once (Both). Finally, if the input signal is stereo, you can use radio buttons combined in the Channel group to display spectrum obtained for the left channel only (Left), the right channel only (Right) or both channels at once (Both).

In order to remove hum you have to turn into detective for a while. Since hum is a combination of harmonically related sinusoidal signals it introduces a number of sharp spectral peaks which are clearly visible on spectral plots. The black vertical lines superimposed on spectral plots mark center frequencies of the narrow-band signal components, which will be removed by the comb filter. After placing the cursor over any of these lines you will be able to drag the entire structure to a new position. By changing the fundamental frequency (Frequency), the number of notches (Multiplicity) and their relative bandwidth (Bandwidth) you can tune the comb filter so as to suppress all dominant harmonic noise components. To perform fine tuning around the selected frequency (+/- 10%) press the Fit button.

If the ‘Show result’ or ‘Show both’ option is switched on the results of filtering will be not shown until you press the Apply button - this button turns red each time the results require updating.

The tuning procedure can be summarized as follows:

1. Find the fragment of the recording dominated by hum, preferably containing the hum only. Place cursor in the middle of the corresponding area.

2. Localize the dominant harmonic noise components by visual inspection of spectral plots of the analyzed signal. The fundamental frequency usually corresponds to the highest narrow-band spectral peak. Harmonics correspond to sharp peaks localized at frequencies that are integer multiplies of the fundamental frequency, which results in a characteristic comb-like structure. To identify the harmonic noise components, start from the lowest spectral floor (-100 dB) and the highest resolution available (i.e. the smallest value of the maximum frequency setting). If necessary gradually raise the floor and decrease resolution until the entire comb structure of harmonic noise is revealed.

3. Select the fundamental frequency (Frequency), the number of harmonics (Multiplicity) and their location (Odd/Even/All) so as to match the resonant structure of the noise. Since harmonic components scheduled for canceling are marked with black vertical lines all you have to do is align these lines with the corresponding spectral peaks. Instead of changing the Frequency setting you can place the cursor over any of the black notch markers and drag the entire structure to a new position. To hide notch markers “behind” the plot, click the right mouse button; to bring them forward click the right mouse button again. When you finish tuning the harmonic reject filter ‘by hand’ press the Fit button to enforce fine frequency tuning. Fine-tuning is confined to a narrow frequency band (+/- 10 %) around the selected fundamental frequency.

4. Choose the relative bandwidth of filter notches. Start from the small bandwidth (5%) and gradually increase it to the point the hum is not audible. Remember that the recovered signal is may deteriorate if the bandwidth is too large so your choice must be a reasonable compromise between the degree of hum suppression and degree of signal distortion. Prior to carrying out listening tests you can tune the bandwidth of notch filters using visual inspection. To check spectral plots of the signal at the output of the comb filter, click the Result radio button localized in the Show group and press the Apply button. If the bandwidth is chosen appropriately all spectral peaks corresponding to removed components should disappear from the spectral plots. To inspect both the input and output spectra click the Both radio button.

5. Perform audition tests. If the results are satisfactory press the Process button to start processing. Otherwise return to step 2 above.

NOTICE

There are no free lunches.... On some occasions removal of hum may result in an audible reverb (echo) effect. To minimize this effect try to limit the number of eliminated harmonics and/or reduce the relative bandwidth of notch filters.

Linear phase

When notches comprising the comb structure are very narrow, i.e. if the corresponding filters have a very small relative bandwidth, the effectiveness of dehuming is not satisfactory at the beginning of the recording due to the long-lasting transient effects. In cases like that, check the Linear phase box to enforce filtering in two directions. Linear phase, i.e. shape preserving filtering is also strongly recommended when processing is restricted to a local area.


Rootselect

Choosing the Rootname

Since the names of root (registered) soundfiles must have a standard form <rootname00.wav> where <rootname> is any name, you are asked to accept the name suggested by the Soundfile Manager or specify a new name.

The Soundfile Manager supervises all restoration experiments, which involve root soundfiles as well as files derived from root files called derivative soundfiles. The names of derivative soundfiles are automatically generated and have the form <rootname[xy].wav>, where [xy] is a non-zero two-digit serial number assigned by the system.


Duplicatecommand

Duplicate

If you want to declick the signal in the 'manual mode', i.e. without running DeClick prior to using ReTouch, proceed as follows:

1. Choose the Duplicate command from the Restore menu (DART XP will create a destination soundfile identical with the source soundfile and an empty detection file).

2. Mark fragments scheduled for replacement in the detection file and run ReTouch.

Retouching a soundfile


Keyboard

Keyboard Shortcuts

Changing position of the cursor

LEFT/RIGHT ARROW = move cursor by one pixel to the left/right

CTRL+LEFT/RIGHT ARROW = move cursor by 10 pixels to the left/right

ALT+CTRL+LEFT/RIGHT ARROW = move cursor by 100 pixels to the left/right

G = move cursor to a new position

F11 = move cursor to the beginning of the block

F12 = move cursor to the end of the block

HOME = move cursor to the beginning of the file

END = move cursor to the end of the file

TAB = center contents of an active window around the cursor

> = move cursor to the next marker

< = move cursor to the previous marker

Changing time resolution

PAGE UP/DOWN = increase/decrease the time zoom coefficient by a factor of 2

CTRL+PAGE UP/DOWN = increase/decrease the time zoom coefficient by a factor of 10

Changing amplitude scale

UP/DOWN ARROW = increase/decrease the volume zoom coefficient by a factor of 2

CTRL+UP/DOWN ARROW = increase/decrease the volume zoom coefficient by a factor of 8

Changing offset

CTRL+HOME = restore the zero offset

Managing files

CTRL+N = New

CTRL+O = Open

CTRL+S = Save as

CTRL+R = Rename

CTRL+D = Delete

CTRL+C = Close

CTRL+I = File info

F9 = Open audio tree

E = DART-Eye

Cut and paste editing

SHIFT+DEL = Cut

CTRL+INS = Copy

SHIFT+INS = Paste insert

CTRL+V = Paste over

CTRL+B = Paste fill

Marking blocks

SHIFT+L = Select local block

Editing binary signals

CTRL+F = Find bits

F6 = Set bits mode

F7 = Clear bits mode

F8 = Normal mode

Recording a soundfile

R = Record

Playing a soundfile

A = Play all

W = Play window

B = Play block

U = Play paste buffer

C = Play from cursor

L = Play local

N = Play next local

P = Play previous local

X = Play mix

SPACE bar (when not playing) = repeat the last-used play command

SPACE bar (during playback) = stop playing and restore the initial cursor position (stop&return)

ESC (during playback) = stop playing and preserve the current cursor position (stop&stay)

Renovating a soundfile

F2 = DeClick Plus

F3 = ReTouch

F4 = DeHiss Plus

F5 = DeNoise Plus

SHIFT+F5 = NoisePrint

F = restore the last-used filter or equalizer dialog

Quitting DART Pro

ALT+F4 = Close DART Pro

ALT+X = Exit DART Pro


Undofiles

Using Undo Files

Whenever needed you can save the current contents of an opened (active) file in an undo file. When you choose Create undo file from the File menu DART XP creates a backup file <filename.und> which can be regained by using the Open undo file command (after choosing this command the contents of an active file is replaced with the contents of the corresponding undo file).

NOTICE

When opening a file DART XP neither loads its copy into memory nor creates a backup file on the hard disk. This means that all operations on audio files, like editing or preprocessing, are performed directly on the data stored on the hard disk (otherwise handling huge audio files would be very time and space consuming). We therefore recommend you create an undo file prior to any 'large scale' operation performed directly on an original soundfile - just in case something goes wrong.


Managing

Handling Files

The File menu contains several items for managing files

New

When you choose this option a new (empty) file is created.

Open

This option can be used to open an existing file (a soundfile or a detection file). The file select dialog, shown after choosing the Open command, allows you to inspect a list of available files, audition a soundfile prior to loading it (Play) and get basic information about a soundfile (Info). Additionally, it provides means for deleting files (Delete).

When convenient you can open or delete several files at once.

Save as

You can use this item to make a copy of the soundfile in the active window. A file select dialog will allow you to choose a name under which the soundfile will be saved.

Rename

You can use this item to rename a file.

Delete

This item can be used to delete any file from the disk. For your convenience, each time a soundfile <*.wav> is deleted the corresponding detection file <*.det> (if any) is also removed.

Close

Use this option to close open files. When a file is closed the corresponding window is removed from the DART Pro's clipboard.


Finfo

General File Information

The basic set of details displayed for all WAVE files, includes the number of channels (mono/stereo), (mono/stereo),sampling rate, sampling resolution, the length measured in bytes and playing time in seconds.

Registering a soundfile

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you to organize and keep track of all renovation experiments involving that file. Soundfile Manager creates and updates special database files <rootname.sfm> which contain information about all files derived from a given root file, and form a 'family tree' called an audio tree. By evoking an audio tree, you can easily review and listen to the results obtained for a particular root soundfile.

When a file is registered as a root soundfile (use the Register button situated inside the File info dialog for this purpose) you have a chance of typing in some more details (recording source, sound card, contents of a soundfile) and comments which will be displayed in the information window each time you click the INFO button.

WARNING

If you change a soundfile's name to <rootname00.wav> outside the Soundfile Manager, the database file <rootname.sfm> will not be created, i.e. the corresponding soundfile will remain unregistered.

Managing registered soundfiles

Audio tree


Mute

Muting a signal

You can use this option to erase a portion of the signal, i.e. to set the data in the selected area to zero. Be warned that if no such area is specified, the entire signal will be erased (which does not make too much sense, does it ?).


Rootinfo

DART XP File Information

When a file is registered as a root soundfile you have a chance of typing in some more details (recording source, sound card, contents of a soundfile) and comments which will be displayed in the information window each time you click the INFO button.

NOTICE

Pressing ENTER will not change the line in the 'Comments' textbox of the information window - you have to use CTRL+ENTER instead.


Opensnd

Opening an Audio Tree

The set of all soundfiles obtained by renovating the same root soundfile (i.e. a file registered in the DART XP library of archive recordings) is called an audio tree. Soundfile Manager creates and updates special database files <rootname.sfm> which contain information about all files derived from a given root file. By evoking an audio tree, you can easily review and listen to the results obtained for a particular root soundfile

To open an existing audio tree

1. Choose the appropriate <*.sfm> file using the select Audio tree dialog.

2. Press the ENTER key or click on the OK button.

The files comprising a given audio tree can be opened from the Audio tree dialog - all you have to do is click on a particular line (the selected soundfile will become highlighted) and press the OPEN button. However, you do not need to open a soundfile in order to play.

Read the section about the Soundfile Manager to learn more details about audio tree mechanisms and facilities.

Using the DART XP Soundfile Manager


Record1

Recording a Soundfile

Select the name for a new recording or pick one of the existing names. In the latter case you can either overwrite the content of a selected soundfile or modify its content (e.g., add some new material at the end of the recording).


Record2

Recording a Soundfile

You are about to record in an existing soundfile

If you want to overwrite the content of a selected soundfile click on the Overwrite button.

If you want to modify the content of a selected soundfile click on the Modify button.


Grpdialog

Opening Groups of Files

At any time, any given collection of opened files can be saved as a group of files. When saving such a group, DART XP creates a configuration file <groupname.dgr> which contains information about the current system status including the list of opened files, the source/destination assignment, synchronization details, cursor, marker and frame positions, time resolution and scale settings etc. Because of this, whenever you open an existing group, you will find everything in exactly the same order as at the time of saving. You might find group saving/opening facilities particularly useful when working on complex projects requiring long and multistage processing.

To open an existing group of files

1. Choose the appropriate <*.dgr> file using the select group dialog.

2. Press the ENTER key or click on the OK button.


New98

What's new in DART Pro 98 ?

Enclosed is a list of the newest functions and features provided in the latest release of DART Pro 98

New functions

Real-time processing shell (Real-time) available from the Restore menu - allows you to perform various processing tasks and simultaneously record/listen to the obtained results.

On-line tuning of all major signal processing/restoration functions.

Noiseprint shaping and correction capabilities (NoisePrint Manager).

Elimination of harmonic disturbances (DeHum).

Smart editing tools (Smart mute, Smart cut, Crossfade cut) for spotting and/or removal of unwanted audio material.

DART CD-Recorder utility (previously: Wave Manager) with extended capabilities - supports most of the currently available CDR’s including the IDE ones. Several new functions were added such as partitioning of long recordings by means of detecting silences (Unpack), timer-recording (Timer recording) and conversion of MIDI and MPEG 3 files to a wave format (Convert MIDI to WAV, Convert MP3 to WAV).

Automatic conversion of ‘nonstandard’ recordings (e.g. obtained by means of playing a 78 RPM record on a 33RPM turntable) to a standard format (Adjust RPM rate).

DirectX function providing access to all DirectX Audio Plug-Ins installed on your computer.

Modified functions and new features

New options were added to the Preferences menu (previously: Setup) : Prompt to register, Default resolution, Real-time tuning , Peak hold in ‘Record’ and Clipping lock in ‘Record’.

New resolution option was added to the shortcut menu: Fit to size.

Peak hold and clipping lock were added to volume meters in the Record dialog.

The background processing capability was added - after initializing processing you can minimize DART and turn to other jobs.

The list of recently opened files is provided at the bottom of the File menu.

The list of recently used editing commands is provided at the bottom of the Shortcut menu.

A bypass function was added to the MyFilter dialog - selected blocks can be skipped during processing.

The Add function was included in the Toolbox menu.

A new equalizer was designed and equipped with an extra gain slider and a clipping lock/indicator.

A new mixer was designed, with gain correction capabilities and a clipping lock/indicator.

When normalization is switched off spectral plots are displayed in an absolute scale.

The Spectral view utility allows you to change the analysed soundfile without closing the dialog.

The overview strip was added to the equalizer and to all filters.

If you accept the ‘unlimited’ (default) undo buffer size (set in the the Preferences dialog available from the Options menu), all changes introduced during the last editing operation will be reversed after using the Undo last edit command from the Edit menu (provided there is enough free space on your computer).


NewXP

What's new in DART XP ?

Enclosed is a list of the newest functions and features provided in the latest release of DART XP

New functions

DeClick Plus is a new declicking tool which offers significant improvements compared to the tool implemented in DART Pro 98.

DeHiss Plus / DeNoise Plus are new wideband noise reduction tools which offer significant improvement over the tools implemented in DART Pro 98.

DeVocalize tool, available from the Toolbox menu - allows you to eliminate the lead vocalist’s performance from almost any stereophonic recording.

Reverb tool, available from the Toolbox menu - allows you to simulate the acoustics of different environments.

Shift pitch tool, available from the Toolbox menu - allows you to change the pitch of the recording without modifying its duration.

Speed up/Slow down tool, available from the Toolbox menu – can be used to change a duration of a sound file without altering the pitch.

Modified functions and new features

Fast file preview makes viewing and editing very long audio files much faster and more convenient.

The user interface was modified to support the XP skins.

The new DeClick Plus, DeHiss Plus, DeNoise Plus, DeHum and MyFilter dialogs allow one to test different program settings without leaving the main processing window.

The Input level control slider was added to the Record menu.

The registered soundfiles can have arbitrarily long names (their rootnames are not restricted any more to six characters).


File commands

File Menu Commands

1. New - CTRL+N or [N]

2. Open - CTRL+O or [O]

3. Save as - CTRL+S or [S]

4. Rename - CTRL+R or [R]

5. Delete - CTRL+D or [D]

6. Close - CTRL+C or [C]

7. Open sound tree - F9 or [T]

8. Create undo file - [A]

9. Open undo file - [U]

10. RAW to WAV - [W]

11. WAV to RAW - [V]

12. File info - CTRL+I or [I]

13. Register - [E]

14. List of recently opened files

15. Exit - ALT+F4 or [X]


Help commands

Help Menu Commands

1. DART help - [D]

2. Using help - [U]

3. Tip of the day - [T]

4. Keyboard - [K]

5. About DART - [B]

6. About Authors - [A]


Play commands

Play Menu Commands

1. Play all - A

2. Play window - W

3. Play block - B

4. Play from cursor - C

5. Play local - L

6. Play next local - N

7. Play previous local - P

8. Play mix - X

9. Play paste buffer - U

10. Loop - [O]


Restore commands

Restore Menu Commands

1. DeClick Plus - F2 or [C]

2. ReTouch - F3 or [T]

3. DeHiss Plus - F4 or [H]

4. NoisePrint - CTRL+F5 or [P]

5. DeNoise Plus - F5 or [N]

7. Duplicate - [D]


Window commands

Window Menu Commands

1. Cascade - [C]

2. Tile - [T]

3. Strip - [S]

4. Arrange icons - [A]

5. Synchronization - [Y]

6. DART-Eye - E


Edit commands

Edit Menu Commands

1. Undo last edit - [U]

2. Mute - [E]

3. Cut - SHIFT+DEL or [T]

4. Copy - CTRL+INS or [C]

5. Paste - [P]

5.1 Paste insert - SHIFT+INS or [P]

5.2 Paste over - CTRL+V or [O]

5.3 Paste fill - CTRL+B or [I]

5.4 Save paste buffer - [V]

6. Go to - [G]

6.1 Go to new position - G

6.2 Go to beginning of the block - F11

6.3 Go to end of the block - F12

6.4 Go to next marker - >

6.5 Go to previous marker - <

7. Select local block - SHIFT+L or [L]

8. Select the modified area - [H]

9. Find bits - CTRL+F or [B]

10. Bit editing - [D]

10.1 Set bits mode - F6 or [S]

10.2 Clear bits mode - F7 or [C]

10.3 Normal mode - F8 or [N]

11 Group bit editing - [R]

11.1 Set bits in selected block - [S]

11.2 Clear bits in selected block - [C]

11.3 Toggle bits in selected block - [T]

12 Set/remove markers - [M]

13 Set/remove click markers - [A]

14 Set/remove frame - [F]


Group commands

Group Menu Commands

1. New - [N]

2. Open - [O]

3. Save - [S]

4. Save as - [A]


Record commands

Record Menu Commands

1. Record - R

2. CD-Recorder - C


Options commands

Options Menu Commands

1. Preferences - [P]

2. Hardware - [H]

3. Colors - [C]


Toolbox commands

Toolbox Menu Commands

1. Scale - [A]

2. Maximize - [M]

3. Reverse - [V]

4. Add - [D]

5. Subtract - [B]

6. Mix - [X]

7. Mono/Stereo - [O]

7.1 Split - [I]

7.2 Unite - [U]

7.3 Mono - [O]

7.4 Stereo - [S]

8. Smart editing - [N]

8.1 Smart mute - [M]

8.2 Smart cut - [S]

8.3 Crossfade cut - [C]

9. Equalize - [Z]

10. Filter - [F]

10.1 LowPass - [L]

10.2 HighPass - [H]

10.3 BandStop - [S]

10.4 BandPass - [P]

10.5 Notch - [N]

11. Fade - [E]

11.1 Fade in - [I]

11.2 Fade out - [O]

11.3 Crossfade - [D]

12. Sample rate - [S]

12.1 Resample - [R]

12.2 Change speed - [C]

12.3 Adjust RPM rate - [A]

12.4 Trim length - [T]

12.5 CD format - [D]

13. Find pattern - [N]

14. Unpack - [U]

15. DirectX - [T]


Options Menu

The Options menu contains tools for configuring DART XP in the most convenient way (Preferences), checking the available audio devices and memory resources (Hardware) and for changing colors of different screen elements (Colors).

Preferences

Hardware information

Color settings


Preferences

There is a certain number of program and audio card settings which can be changed according to the user's preferences. In order to change system or audio card settings, use the Preferences command from the Options menu.

Program settings

Audio card settings


Opening a single soundfile

Opening Files

Opening a single file

In order to open a single soundfile you can either

Choose the Open command from the File menu

or

Click on the OPEN button situated on the toolbar.

In both cases, a file select dialog box appears, allowing you to browse the list of available soundfiles in different disk directories. After choosing a soundfile

Press the ENTER key or click on the OK button.

You can audition a selected soundfile before loading it (press the Play button placed inside the dialog), get basic information about it (press the Info button) or delete (press the Delete button).

To open a detection file change the default <wav> extension to <det> (use the box situated in the lower left corner of a file select dialog) and proceed as above.

NOTICE

For your convenience a list of recently opened files is provided at the bottom of the File menu. To open such files simply select them from the list.

Opening several files

When convenient you can open or delete several files at once.

In order to mark more than one file shown in the Open file dialog, press the CTRL key while making your selections (all selected files will become highlighted).

NOTICE

When more than one file is selected the Play and Info buttons are disabled.


Opening a Group of Files

At any time, any given collection of opened files can be saved as a group of files. When saving such a group, DART XP creates a configuration file <groupname.dgr> which contains information about the current system status including the list of opened files, the source/destination assignment, synchronization details, cursor, marker and frame positions, time resolution and scale settings etc. Because of this, whenever you open an existing group you will find everything in exactly the same order as at the time of saving. You might find group saving/opening facilities particularly useful when working on complex projects requiring long and multistage processing.

To open an existing group of files

1. Choose the Open group command from the Group menu.

2. Choose the appropriate <*.dgr> file using the group select dialog.

3. Press the ENTER key or click on the OK button.


Opening an Audio Tree

The set of all soundfiles obtained by means of renovating the same root soundfile (i.e. a file registered in the DART XP library of archive recordings) is called an audio tree.

To open an existing audio tree

Choose the Open audio tree command from the File menu or press the AUDIO TREE button situated on the toolbar.

Choose the appropriate <*.sfm> file using the Audio tree select dialog.

Press the ENTER key or click on the OK button.

The files comprising a given audio tree can be opened from the Audio tree dialog - all you have to do is click on a particular line (the selected soundfile will become highlighted) and press the OPEN button. However, you do not need to open a soundfile in order to play.

Read the section about the Soundfile Manager to learn more details about audio tree mechanisms and facilities.

NOTICE

Each time an audio tree is displayed you can either close or minimize the Audio tree dialog. However, you will not be able to open a new audio tree unless you close the previous one.


Using ReTouch

In order to use ReTouch proceed as follows

1. Indicate the source and destination soundfiles by clicking the corresponding SOURCE and DESTINATION buttons.

2. Edit the corresponding detection file.

3. Choose the ReTouch command accessible from the Restore menu.

4. Adjust two renovation coefficients (detection threshold, cutoff frequency) and select the required mode of processing (music or music&speech).
Choose the range of processing (all, window, block, auto); in case of making large scale interventions indicate the direction of processing (left, right, both).

5. Click the Process button to start processing.

6. Use the Select source dialog to compare results with those obtained previously.

7. If the results are satisfactory press the Accept button; otherwise click ReEdit and return to step 2 above or press Reject and quit manual declicking.

About detection errors

Localizing disturbances

Editing a detection file

Retouching a soundfile


About Detection Errors

The system can make three kinds of mistakes when operated in the automatic detection (DeClick Plus) mode: it can overlook noise pulses, raise false alarms, or mark the corrupted fragments inaccurately. Understanding the reasons for different mistakes will help you deal with them appropriately.

Overlooked noise pulses and false alarms

DART XP may occasionally overlook noise pulses or raise false alarms. In the latter case, it schedules for reconstruction some genuine parts of the signal, classified mistakenly as outliers. Errors of both kinds are practically unavoidable as they are an inherent part of any decision process. Moreover, when you try to minimize the number of errors of the first kind, the second kind is most likely to occur and vice versa.

The intensity of false alarms is related to the adopted detection threshold. Increasing the detection threshold can decrease the number of false alarms. The sensitivity of the detector decreases at the same time, which means that the system is now prone to overlook a larger number of outliers. If the threshold is too low, the detector starts to behave 'hysterically', objecting to the slightest departures of signal from its regular pattern. The default value of the detection threshold seems to be a reasonable compromise between the two tendencies mentioned above, and yields satisfactory results for a large variety of audio signals. Nevertheless, it does not guarantee 100 % accuracy.

Unless false alarms occur too frequently, most of them do not create any problems, simply because the system tends to replace suspicious looking signal features with almost identical ones (this is like replacing one good floor tile with another good one). Some difficulties may arise in two cases

When signal characteristics change abruptly (e.g. when an entirely different sound starts to build up), DART XP may reject and replace a small portion of the material before it readjusts internal parameters and tunes itself to a new situation. In most cases, the effects of such censorship are not noticeable. All the system does is slightly prolong the sound observed prior to the sudden change. Sometimes, however, such interventions result in audible distortions.

Pitch excitation, typical of a voiced speech, is another source of potential problems. Since the pitch frequency can change dramatically (up to 40% over one period of variation!), the system may occasionally confuse pitch impulses with outliers, causing local degradation of the restored signal.

Inaccurate marking

From time to time the system may inaccurately mark the material to be reconstructed. For example, some scratch pulses have very soft edges and are therefore extremely difficult to position. It may also happen that the disturbance lasts too long for the detector to handle it properly - not more than 100 samples in a row can be called in question in the auto detection mode.

Editing a detection file


Finding trouble areas

Localizing Disturbances

When identifying the cause of audible distortions, you have to rely upon your ears and eyes:

Use audition tests to roughly localize the trouble area.

Try to spot disturbances in the selected area by visual inspection (look for any kind of disorder or irregularity in the signal waveform) or using special tools provided by DART XP.

Pay extra attention to decisions made by the outlier detector - erroneous decisions might be the source of the problem.

There are several techniques of localizing disturbances you can try

Using different play commands

Set the time resolution factor to 50 or more and try different play options - use Play all, Play from the cursor and Play window for global (coarse) positioning, and Play block or Play local for fine tuning. Mark the suspect fragment and examine it more closely with increased time resolution.

NOTICE

The fragment played back when you pick Play local can be marked using the Select local block command accessible from the Edit menu.

Using frames

Framing a disturbance can be achieved by localizing it at the very beginning and at the very end of two partially overlapping fragments of the recording, respectively (if the disturbance is present in both segments it must be contained in their common area). To set a frame use the Set/Remove frame command available from the Edit menu.

Using frames

Using ‘smart editing’ tools

Smart mute, Smart cut and Crossfade cut utilities, available from the Smart editing group in the Toolbox menu, are useful and effective tools for localizing short-lived disturbances difficult to spot by other means. If after muting/cutting a specific fragment of the signal the disturbance is not audible it must be contained inside the selected block. Moreover, local muting and cutting are often the simplest ways of removing the unwanted artifacts. The success of the local muting/cutting technique depends critically on a careful selection of block boundaries, so as to avoid signal discontinuities usually heard as clicks. The smart editing tools make the search easy and the results quick to evaluate.

Smart mute

Smart cut

Crossfade cut

Viewing condensed signal plots

The overlooked noise pulses, as well as some large-scale disturbances, can be localized by examining condensed signal plots. Try choosing the time zoom coefficient in the range <4, 16>.

Examining time-frequency plots

If you have problems localizing a short-lived disturbance try analyzing the signal time-frequency spectrum in the vicinity of the trouble area. If any of the spectral graphs stands out from the neighboring ones the corresponding time frame is likely to contain the source of your problem.

Using 'Spectral view' to spot disturbances

Examining detection alarms

Many problems are caused by erroneous decisions of the outlier detector. Choose the Find bits command from the Edit menu (or press CTRL+F) to browse forward and backward through the detection file, looking for detection alarms of a specified length. Pay special attention to alarms covering more than 10 samples in a row.

Using the screen flash indicator

Each time the material actually shown in the active soundfile window is played, the screen flash indicator (situated in the central part of the toolbar) is on. By synchronizing the blink of this indicator with the occurrence of the alien sound, you can position disturbances with a high degree of precision (up to 1/16th of a second).

Using click markers

Click markers (available after choosing the Set click marker command from the Edit menu) are soundmarks which can be placed anywhere in a soundfile. You can use them for precise positioning of disturbances, e.g. you can use a pair of click markers to frame an extraneous sound.

Using click markers


Using Click Markers

Click markers are temporary soundmarks which can be placed anywhere in a soundfile and which may help to precisely localize disturbances. Each time you set a click marker, a pulse is added to the sample at the cursor position (negative pulses are added if the sample value is positive and vice versa). Based on listening tests, you can adjust the amplitude of the pulse so as to make the resulting click audible but weak enough to prevent it from screening the disturbance you are trying to spot. Click markers are not permanent and do not corrupt the soundfiles they are added to - click pulses are kept in a separate buffer and inserted only at the time of playing back the corresponding fragments. As a consequence, there is no need to remove click markers prior to closing or saving a soundfile. Click markers are distinguished by red vertical lines displayed in soundfile windows (along with the corresponding labels) and on the overview strip. Up to eight click markers, labeled A through H, can be associated with a single soundfile.

To set a click marker:

1. Position the cursor anywhere in an active soundfile window.

2. Choose the Set/Remove click marker command from the Edit menu.

3. Select one of the eight marker labels. The list of all labels shows up when you click the Label arrow in the Set/Remove click marker dialog. Letters associated with the already existing markers are displayed with the 'check' mark next to them. If you choose such a checked letter to label a new click marker, the previous one will be automatically removed. Each time you enter the Set/Remove click marker dialog, the first free label (if any) is shown in the Label box.

4. Press the PLAY button situated inside the dialog to play the fragment where the click marker will be inserted. If necessary, use the arrows in the Amplitude box to adjust the magnitude of the click. Use Play local from the Play menu to audition the same fragment without the click.

5. Click the Set button. The red click marker lines (temporarily hidden under the yellow cursor lines) will be added to the active soundfile and to the overview strip.

6. Press the Close button to close the Set/Remove click marker dialog.

In order to remove a click marker, proceed as above but instead of choosing the Set command in step 4, click the Remove button. If you want to remove all markers, use the Remove all button in the same dialog.

To move to the area where a given click marker was placed, open the Set/Remove click marker dialog, select the marker label and click on the Go to button. Alternatively, choose the Go to new position (G) command available from the Edit menu and type in ‘m’ followed by the marker label (e.g., after typing ‘ma’ you will jump to the click marker labeled A).

NOTICE

Markers and click markers are not permanent, i.e. they disappear when you close a soundfile and are not brought back when you open it again. However, you can save the current positions of all markers by saving a group of soundfiles (choose Save as from the Group menu).


Trimming length

Trimming Length of a Soundfile

Suppose there are exactly 3 minutes left on your recordable CD and the recording you would like to include is 3 minutes and 5 seconds long ... The easiest way to cope with such a situation is to 'shorten' the material while keeping the original sampling rate unchanged. Of course, all length alterations affect the pitch of the audio signal. However, if the changes are not significant, e.g., if the new length does not differ by more than +/- 5% from the old one, pitch variations remain practically unnoticeable.

The Trim length utility allows you to freely adjust the length of the recording by means of specifying the new length expressed in time units, bytes or as a percentage rate. If the attempted changes are not cosmetic, i.e. they exceed the +/- 5% safety margin, the red 'safety alert' light is turned on to warn you of possible hazards.


Sample rate modifications

Modifying playing speed, length and sample rate of a soundfile

DART XP offers you five tools for soundfile sampling rate and/or length modifications.

The Change speed option allows you to change the speed with which the audio file is played back.

The Trim length option can be used to modify the length of the file (contract it or extend) keeping the original sampling rate unchanged.

The Adjust RPM rate command can be used to correct the RPM rate if an old recording is played back with a nonstandard speed or using a nonstandard equipment (e.g. when a 78 RPM record is played back using a 33 RPM turntable).

The Resample function performs the sample rate conversion between both standard and nonstandard sampling rates.

Finally, the CD-format option can be used to convert any soundfile to a CD format (44kHz, stereo).

The overview strips placed at the top of all dialogs allow you to check the results on a selected fragment of the source soundfile. The local processing area is marked with a blue strip centered around the cursor - you can change its position (by clicking on the overview strip) and size (by adjusting the local processing time). When performing the sample rate conversion or modifying the length of the recording you can slightly speed up computations by picking up the lower conversion quality ('good' instead of 'very good').

NOTICE

You should be aware that some of the audio cards available on the market "cheat" when playing back files at nonstandard speeds, e.g. they pick the closest available speed if the declared one cannot be handled. In cases like that some speed and/or sampling rate modifications may result in 'phantom' sound distortions.

Resampling a soundfile

Changing playback speed

Adjusting RPM rate

Trimming length of a soundfile

CD format


Adjusting speed

Adjusting Playback Speed

You can use this option to change the speed at which a soundfile is played back. Since all the system does is modify the file header (all signal samples remain unchanged) speed adjustments can be made in no time.

Many cards will allow you to precisely tune the sampling frequency over a wide range of speeds - even though the recording rate is usually limited to a certain number of standard frequencies. Should the card be unable to support a declared playing speed the system will issue an appropriate message each time you attempt to play the corresponding audio file.

Speed adjustments can serve different purposes. Since speeding up an audio file raises the pitch and slowing it down lowers the pitch you can make someone sound like Donald Duck or you can make your poodle sound like a bulldog. But seriously ... speed adjustment is a very useful tool should you have to deal with audio material recorded or played back at nonstandard rates (check also Adjusting RPM rate ).


Resampling

Resampling a soundfile

You can use this utility to alter the sampling rate of the digital recording. Since all CD players "read" audio signals with a 44.1 kHz speed you have to convert all audio files to this standard rate prior to putting it on a CD. The other standard output rates are, among others, 48 kHz (the rate used in a DAT equipment) and 32 kHz (the radio frequency). The procedure for sample rate conversion implemented in DART XP has two important features:

Blad! Nieznany argument przelacznika.It provides truly professional resampling quality and, at the same time, is extremely fast (we bet you will not find a faster one elsewhere)

Blad! Nieznany argument przelacznika.It is not constrained to standard sampling rates, i.e. it can be used to convert any input rate to any output rate

When the output/input resampling ratio r is greater than one (upsampling) the output audio file is r times longer than the input one. If r is smaller than one (downsampling) the output file is r times shorter than the input file. For obvious reasons downsampling is faster than upsampling (think of the number of input/output operations in each case).

When downsampling is performed the bandwidth of the signal is reduced accordingly, that is, some high-frequency signal components are removed. This means that downsampling an audio signal r times and then upsampling it r times will not restore the original recording (downsampling is not a reversible operation). Since bandwidth reduction may result in audible sound distortions you should use this tool with caution.

NOTICE

The bandwidth of many old recordings is limited to 10 kHz, which means they can be "safely" sampled at the rate of 22 kHz. In cases like this consider recording and restoring the audio signal at a lower rate of 22 kHz prior to upsampling it to a CD rate of 44 kHz. There are at least two advantages of doing this:

1. Declicking is usually more effective at low sampling rates - at high rates clicks are less sharp and hence more difficult to detect and isolate. The same, to some extent, concerns denoising - since noise dominates the high-frequency portion of the signal spectrum, fast sampling decreases the overall signal-to-noise (SNR) ratio, which makes the restoration task more difficult.

2. Since resampling is less time consuming than declicking or denoising (dehissing) the "restore at lower rate and upsample" scheme works considerably faster than the "restore at higher rate" scheme.

Time synchronization

Comparing the resampled audio signal with its original version is a bit tricky - since both files differ in length the 'ordinary' synchronization, which does not take into account the sampling rates of displayed files, will fail to locate fragments of the recordings with identical contents. To help you compare several variants of the recording with different sampling rates a special time synchronization feature was added to the Preferences dialog available from the Options menu. When the Time sync box is checked and synchronization is switched on the cursors in all displayed windows are automatically time-aligned. This means that if the Play local command is used the same portion of the audio material will be played back irrespective of the corresponding sampling rates. Similarly, when a block of samples is selected in an active window the appropriately scaled (contracted or extended) blocks will be marked in the remaining windows.

NOTICE

When time synchronization is on and the compared files have different sampling rates, the time-aligned cursors have different relative positions within each window (unless placed exactly in the center of an active window). To put them exactly one over another, i.e. along the same vertical line, press the TAB key.


AdjustingRPM

Adjusting RPM rate

Whenever possible old records should be played back using original equipment, namely a phonograph working with an appropriate speed, usually expressed in terms of the RPM (revolutions per minute) rate.

The most frequently encountered rates include 33.33 RPM (modern LP’s), 45 RPM (singles) and 78.26 RPM (most older laterals produced up to mid fifties). Occasionally you may come across records that require less typical speeds such as 78.8 RPM (Edison Laterals), 80 RPM (Edison Diamond Disks), 125 RPM (Brown Wax Cylinders) and several other unusual rates.

Since the original equipment may be very difficult to find you may be forced to use another phonograph with a different turntable speed than required. DART XP offers you a special tool for automatic correction of audio data collected under such nonstandard conditions.

Suppose, for example, that you want to restore recordings from an old 78 RPM vinyl record but you don't have a phonograph capable of playing it back with the appropriate speed. Here's what you can do if you have at your disposal a 33.33 RPM phonograph which was in common use prior to the invasion of CD players (check out your attic!):

1. Play the record back with a speed of 33.33 RPM and sample it at a standard rate of 22050 Hz.

2. Use the Adjust RPM rate utility to correct the speed and the sampling rate of the recording obtained at step 1.

If your computer is sufficiently fast you don’t have to store the preliminary results of step 1 on your hard disk - if you use the Adjust RPM rate utility in the real-time mode (after choosing the Real-time command from the Restore menu) DART XP will make all due adjustments ‘on the fly’, i.e. the program will operate directly on the samples collected at the input of your audio card.

The Adjust RPM rate dialog is easy to use. All you have to do is give details (RPM rate) of the recording technique you used to obtain the nonstandard audio data and specify the appropriate sampling parameters (RPM rate, sampling frequency) you would have used had the original equipment been available. Then press the Process button.

NOTICE 1

The choice of an appropriate stylus is another important decision, which affects the record transfer. The trial and error method is perhaps the best one to advice. Elliptical styli usually yield satisfactory results, e.g. you may try a 0.7 mil elliptical stylus to transfer modern LP’s and a 3.0 mil truncated elliptical stylus to transfer 78 RPM laterals.

NOTICE 2

Playing back a record at a lower speed than required is sometimes a good way of avoiding skipping due to the groove tracking problems. The Adjust RPM rate utility will allow you to easily correct all nonstandard recordings obtained in this way.


Rules of Soundfile Management

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you organize and keep track of all renovation experiments involving that file.

Based on your indications, the Soundfile Manager automatically updates the names under which the renovated soundfiles are saved. Moreover, it creates and updates special database files containing information about all files derived from a specific root file. The resulting family trees of soundfiles, called audio trees, are ideal tools for quick revision and comparison of different variants of processing.

Even though we strongly encourage you to register soundfiles, you are free not to do it. When working with unregistered files, you can use all DART XP functions and utilities except those provided by the Soundfile Manager. In particular, on your own, you must look after the names of created soundfiles and maintain the tracking of their content, processing details etc.

Registering a soundfile

Managing registered soundfiles

Managing unregistered soundfiles


Noiseprinting an Audio File

To noiseprint an audio file, find a fragment of the file which contains only the background noise (analog tape hiss, surface noise of a vinyl record, etc.). The material suitable for a noiseprint evaluation can be usually found at the very beginning of the recording (a piece of "silence" preceding the recorded signal) or at the very end.

To take a noiseprint:

1. Select the source soundfile by clicking the corresponding SOURCE button.

2. Select a block of reference noise samples (the minimum size of the block is 2048)

3. Access the NoisePrint Manager dialog by choosing the NoisePrint command (available from the Restore menu) or pressing the NoisePrint Manager button situated at the top of the DeNoise Plus dialog.

4. Press the Take button placed inside the NoisePrint Manager dialog. After evaluating the noise characteristics, DART XP will create a temporary noiseprint ID file. The noiseprint curve will be displayed at the top of the DeNoise Plus dialog.

Managing Noiseprints

Using the NoisePrint Manager dialog you can add a newly created noiseprint (Anonymous) to the DART XP archive of noiseprints (Add), remove it from an archive (Remove) or assign it a new nickname (Rename).

If the noise sample is at least half a second long DART XP saves its fragment and allows one to listen to it each time the corresponding noiseprint is retrieved from the archive (use the Audition button for this purpose).

To transfer noiseprints from one computer to another use the Export and Import buttons.

The procedure for noiseprint extraction is extremely efficient and works satisfactorily for even very short reference noise samples. For this reason you will not observe a dramatic improvement of the restoration quality when the size of the noise snapshot is increased. Obviously, however, the noiseprinting procedure is more reliable with longer noise samples.

NOTICE 1

DART XP will not allow you to use a noiseprint which doesn't match the processed audio file in terms of the sampling rate or sampling resolution. However, it will accept using a mono noiseprint when processing a stereo soundfile and vice versa.

NOTICE 2

Information about all noiseprints (any number of noiseprints can be collected) is stored in the configuration file dartwin.npl. The noiseprint archive can be damaged if this file is deleted or corrupted outside DART XP.

Modifying a Noiseprint

You can use the DeNoise Plus dialog to modify an existing noiseprint. To change the shape of the noiseprint curve, drag the plot nodes up or down, which is equivalent to increasing or decreasing noise attenuation in selected bands. To insert a new node, click on the plot using the left mouse button. To remove an existing node, click on it using the right mouse button. After pressing the SHIFT key and placing the cursor over any node, you will be able to drag the entire plot upwards or downwards. If you wish to extend changes to frames of all sizes, press the Extend button.

When dealing with stereo recordings you can separately modify noiseprints of the left and right channel after pressing the Left and Right button, respectively. If you click the Left+Right button the average: (left+right)/2 noiseprint will be displayed - in this case all changes will affect both channels simultaneously.

After finishing the noiseprint modification, press the Set button - otherwise the introduced changes will not be preserved when you close the DeNoise Plus dialog. For your convenience the details of the original noiseprint, proposed by the system, can be restored at any time by pressing the Reset button.

NOTICE

If there is no material for the noiseprint evaluation, try using a “typical” noiseprint curve available after pressing the Default button.


Retouchdialog

Using ReTouch

In order to use ReTouch proceed as follows:

1. Adjust two renovation coefficients (detection threshold, cutoff frequency) and select the required mode of processing (music or music&speech).
Choose the range of processing (all, window, block, auto); in case of making large scale interventions indicate the direction of processing (left, right, both).

2. Click the Process button to start processing.

3. Use the Select source dialog to compare results with those obtained previously.

4. If the results are satisfactory press the Accept button; otherwise click ReEdit and return to step 2 above or press Reject and quit manual declicking.

About detection errors

Localizing disturbances

Editing a detection file

Retouching a soundfile


Restore Menu

The Restore menu is used to perform the main function of DART XP - restoration of noisy recordings. The supported routines are capable of removing various forms of impulsive noise (DeClick Plus), broadband noise (DeHiss Plus, DeNoise Plus) and harmonic noise (DeHum*). The representative noise samples can be analyzed, modified and incorporated in the process of noise reduction (NoisePrint). In some cases, the quality of the restored recordings can be further improved by means of retouching (Retouch) an existing soundfile or its duplicate (Duplicate). Finally, a large variety of complex user-defined filters can be built (Filter builder*) and executed (MyFilter*).

All noise reduction tools can be tuned in an on-line and/or off-line. On fast computers all signal restoration tools can be used in the real-time mode (Real-time*).

* available in the XP Pro version only

Before you start

Elimination of impulsive disturbances

Elimination of broadband noise

Elimination of harmonic noise *

About DeClick Plus

About ReTouch

About DeHiss Plus

About NoisePrint

About DeNoise Plus

About DeHum *

Tuning restoration utilities

Real-time restoration *

* available in the XP Pro version only


Adjusting renovation parameters

Adjusting DeHiss/DeNoise Parameters

There are four parameters you can use to control the process of sound renovation - one primary parameter, indicating the rate of noise reduction (gain in DeHiss Plus and weight in DeNoise Plus) and three secondary ones which can be used to adjust degree of spectral smoothing (smoothing range), degree of high frequency attenuation (frequency carving) and the size of the local analysis frames (frame size). We recommend you start tuning DeHiss Plus or DeNoise Plus by adjusting only the primary parameter and keeping the other processing parameters fixed on their nominal values. As long as it becomes clear what are the most appropriate gain/weight values, you can further try to improve the results by fiddling with the remaining tuning knobs.

Gain

(for DeHiss Plus only)

The gain coefficient, deciding upon the amount of noise the program attempts to reject from an audio file, is the most important "knob" you have to tune when using DeHiss Plus (you can pick one of the five standard gain values from the gain list; for fine tuning use the slider). The best results are obtained, of course, if the assumed noise intensity matches the true one. If you set the noise intensity at a too low level the renovated signal will contain an audible residual noise; if the level is too high the sound may become dull, muted and/or distorted. Be aware that since the gain is expressed in logarithmic units, even small changes in its value may cause significant changes in the renovation results.

Weight

(for DeNoise Plus only)

Weight in DeNoise Plus plays a similar role as gain in DeHiss Plus. If the noiseprint is taken from the processed audio file, try the values from the normal range. Otherwise, you may have to consider larger (up to 20) or smaller (down to 0.01) values to compensate for the difference in noise intensities between the noiseprint and a given recording. When adjusting the weight use the same rules of thumb as those suggested for choosing the gain in DeHiss Plus.

Smoothing range

A special spectral smoothing technique is used to reduce the residual noise. If the degree of smoothing is too low the renovated signal will sound rough and/or mechanical. In extreme cases it will be corrupted by a specific disturbance called "musical noise" - a random combination of different tones (as if someone was casually striking different piano keys). If the smoothing range is too large the restored signal may sound hollow and lifeless.

Frequency carving

Lowpass filtering is perhaps the simplest way of reducing broadband noise. Even though DeHiss Plus and DeNoise Plus suppress the high frequency components of the processed sound, you will usually get improved results if some extra attenuation is forced into the range of high frequencies. The degree of high frequency attenuation should be chosen in accordance with signal characteristics, e.g., to preserve rich sound of some musical instruments (a church organ, for example) you have to use this tool with caution. On the other hand, without frequency carving the renovated signal may sound mechanical and/or the residual noise may be too emphasized.

The choice of the rate of frequency carving should depend on the sampling frequency (you can safely use large and very large rates for 44.1 kHz recordings but in most cases you should pick small or normal rates for the 22.05 kHz files) and on the noise level (for very noisy audio files, large rates are advisable).

Frame size

In the course of processing, the signal is divided into the partially overlapping analysis frames. Longer frames yield more uniform renovation results - use them when the signal to noise ratio is small. For high and moderately high signal to noise ratios try shorter frames because short frames will help you preserve freshness and liveliness from the original sound.

Use shorter frames to process speech signals and longer ones to deal with songs and instrumental music.

Dynamic noise reduction

When a constant noise suppression rate is applied to all parts of an archive recording, the results are often unsatisfactory. For example, suppression rates that are adequate for silent parts of the recording often turn out to be too small for louder parts and produce an annoying “noise aura”. And conversely – when noise reduction is tuned to loud parts of the recording, its silent parts become lifeless and muted. To achieve best results, the level of noise reduction should be made dependent on the volume and spectral content of the currently processed fragment. Both DeHiss Plus or DeNoise Plus allow you to use such adaptive noise reduction mechanism. To turn dynamic noise reduction on, check the box situated in the Dynamic noise reduction group. Then adjust two parameters - Noise floor and Adaptation rate – to obtain the best restoration results.

Increasing the adaptation rate has similar (but not identical) effect as increasing the weight/gain. The best results can be obtained by trading off these two noise reduction mechanisms. Therefore, each time you increase the weight/gain check whether you can decrease the adaptation rate and vice versa.

The Noise floor parameter sets the volume of the signal above which the adaptive mechanism is active. For example, if Noise floor is set to 500, the constant adaptation rate is applied to fragments with mean volume smaller or equal to 500. For the remaining fragments the noise reduction is increased above its nominal level – the Adaptation rate coefficient controls the amount of this extra suppression (the larger the adaptation rate, the wider the dynamic range of noise reduction).

General guidelines

The following two guidelines, should assist you in using the DeHiss Plus/DeNoise Plus interface in a logical way

In order to achieve greater noise reduction try to increase the noise reduction gain/weight and/or adaptation rate (first choice) and to increase the remaining processing parameters.

In order to make the restored signal sound more natural, fresh and lively try to decrease the noise reduction gain/weight and/or adaptation rate (first choice) and to decrease the remaining processing parameters.


Manual declicking

If you want to declick the signal in the 'manual mode', i.e. without running DeClick Plus prior to using ReTouch, proceed as follows:

1. Choose the Duplicate command from the Restore menu (DART XP will create a destination soundfile identical with the source soundfile and an empty detection file).

2. Mark fragments scheduled for replacement in the detection file and run ReTouch.

Retouching a soundfile


Selecting the processing mode

Selecting the Processing Mode (FFT/AR)

The wideband noise reduction technique employed in DART XP requires estimation of a time-varying spectrum of an audio signal. You can choose between two methods of spectrum estimation - the nonparametric (FFT) approach and the parametric (AR) approach. For more information on both methods - see Spectrum estimation

.

Which processing mode is better?

Although there is no clear-cut answer to this question, we recommend you start from the AR mode. For many old recordings the AR approach does miracles - noise is removed completely revealing the clean and fresh audio signal. You should be aware, however, that when denoising/dehissing is performed in the AR mode, the program is generally more sensitive to the choice of tuning parameters, such as weight/gain and adaptation rate. For this reason, to obtain really superb restoration results, we encourage you to spend some time on fine tuning of the AR-based noise reduction utilities.

When the AR approach does not yield satisfactory results (on some occassions the renovated signal may have some "synthetic" characteristics), try the more universal and less sensitive FFT approach.

NOTICE

When processing in the AR mode, DART may occassionally produce clattering artifacts, especially at very high noise reduction rates. To eliminate clatter try using the larger frame sizes, the smaller values of the weight/gain coefficient and/or the smaller adaptation rates (when dynamic noise reduction is enabled).


Selecting the Range of Processing

In order to restore the entire soundfile, check All in the corresponding dialog. If you want to process only a selected portion of the sound material, select the Window or Block processing option. Both local (window or block) restoration options can be used to renovate selected parts of the recording with different processing parameters than used previously.

NOTICE

If the destination file does not exist yet, the system copies the entire source soundfile into the destination soundfile before performing local restoration. If the destination soundfile already exists but is shorter than the source soundfile, only the missing part is copied.


Using screen saver

Using the DART XP's Screen Saver

When renovation starts, a small dialog box is displayed with a progress bar and two buttons: one allowing you to terminate processing (Abort) and the second one (Screen saver) which activates Musical HeavensTM - the DART XP's screen saver. When the saver is switched on the progress bar is replaced with the progress circle, which turns into a wandering DART XP icon upon completion of the task of sound renovation. When the saver is on you can return to DART XP's main window by clicking anywhere on the screen or depressing any keyboard key (pressing ESC will additionally terminate the program). And don't worry about system overhead introduced by the screen saver. It was written so as to consume a minimum amount of computer time, so that DART XP processing is not slowed down.


Adjusting renovation parameters

Adjusting DeClick Parameters

There are three important tuning parameters that can be used to influence the process of signal renovation: detection threshold, maximum length of detection alarms and cutoff frequency.

Detection threshold

Detection threshold decides about the sensitivity of the outlier detector, a device used to localize impulsive disturbances. It can be chosen in the range <2.8,10.0>. The recommended (default) value of the detection threshold is 3.0 when the frequency selective declicking is turned on, and 3.5 when the frequency selective mechanism is turned off. The values smaller than 3.0/3.5 may result in an overly fussy detection scheme, i.e. scheme which raises too many false alarms introducing noticeable signal distortions and slowing down computation. On the other hand, when relatively large values of detection threshold are adopted, the detector may become too 'tolerant' and fail to isolate small noise pulses.

Maximum length of detection alarms

The maximum length of detection alarms, which can be chosen in the range <1,100>, determines the maximum number of samples in a row that can be scheduled for reconstruction in the automatic detection mode. The recommended (default) value of this constant is 50. When false alarms are raised the system is more prone to introducing audible distortions if the maximum allowable size of reconstructed fragments is large. For this reason one should keep this constant as small as possible.

The length of noise pulses depends on several factors :

Sampling frequency - quite obviously for higher sampling rates a larger number of samples becomes corrupted with a click of a specific duration.

Recording medium (magnetic tape, vinyl record) and the degree of its degradation.

Recording conditions and/or equipment used for playing back an archive recording.

The maximum length of detection alarms should fit characteristics of impulsive disturbances encountered in the processed audio file. For example, if you process audio material from a moderately used vinyl record (with no big scratches on it) you can safely limit the size of reconstructed blocks to 10-20 samples for 22 kHz sampling or to 20-40 samples for 44 kHz sampling. For the real oldies, however, it may be necessary to work with considerably larger block sizes.

Frequency-selective declicking

Impulsive disturbances distort high frequency components of audio signals, usually leaving its low frequency portion intact. For this reason significant improvements can be often achieved if declicking is restricted to the high frequency component of the renovated signal. DART XP allows you to perform such selective declicking by means of frequency decomposition of the processed audio signal (only the high frequency portion of the signal is declicked). When the frequency selective declicking mechanism is enabled you can safely use small and very small detection thresholds, which guarantees very high sensitivity of the outlier detector. The results are usually impressive.

The cutoff frequency can be adjusted using the Cutoff frequency box. For the best results set the cutoff frequency at the highest value, which guarantees that the lowpass component of the signal remains undistorted. Use the Play lowpass button, situated in the Audition group, to play the lowpass portion of the signal. While playing, gradually increase the cutoff frequency to the point where the click-related distortions become audible. Set the cutoff frequency safely below this point – be aware that all audible distortions present in the lowpass component of the signal will get through to the output file.

In the presence of large scratches consider using a different strategy. Large scratches usually produce audible thumps in the lowpass portion of the signal no matter how low is the cutoff frequency. If scratches are infrequent, consider using the following three-step procedure:

Set the cutoff frequency at the level that guarantees that only the infrequent scratch-related thumps can be heard when the lowpass component of the restored audio signal is played.

Use DeClick Plus to declick audio in the automatic detection mode.

Localize and ‘redo’ scratches in the manual detection mode using the Retouch tool – see Retouching a soundfile .


Selecting the Mode of Processing

The voiced speech sounds (such as vowels) can be regarded as a result of exciting a linear filter (representing a vocal tract) with a pseudo-periodic train of impulses, called pitch excitation (representing vibrations of vocal cords). The impulsive nature of voiced speech formation makes the task of speech declicking and decrackling particularly difficult as pitch-related pulses can be easily confused with noise pulses, i.e. pulses caused by clicks or record scratches.

A special routine was designed to block the outlier detector in instances where pitch excitation is expected. In order to activate this device you should choose the music & speech option from the DeClick Plus dialog.

As general guidelines use the following:

  • Choose music to process instrumental music and most of the vocal music (songs, choruses) - with some rare exceptions discussed below.

  • Choose music & speech to process pure speech or speech mixed with music (as in radio broadcasts). Some songs contain very strong voiced speech components (especially when the supporting music is weak), and hence, should be renovated using the music & speech option.

The music & speech version of the renovation program applied to the restoration of instrumental or vocal music will generally work slightly slower than the corresponding music version. Additionally, it may produce slightly inferior results - due to the 'detector masking' effects, some of the clicks may be overlooked.


Using the DART XP Soundfile Manager

Creating and Using Audio Trees

If you register the original archive soundfile as a root soundfile, the DART XP librarian, called the Soundfile Manager, will help you to organize and keep track of all renovation experiments involving that file. Soundfile Manager creates and updates special database files <rootname.sfm> which contain information about all files derived from a given root file and form a 'family tree' called an audio tree. By evoking an audio tree, you can easily review and listen to the results obtained for a particular root soundfile.

Registering a soundfile

Managing registered soundfiles

Audio tree


Spectrum Estimation

(available in the XP Pro version only)

The spectral analysis techniques can be broadly classified into nonparametric, i.e. Fourier analysis based methods and parametric, i.e. model based methods. DART XP offers both ways of frequency analysis.

Nonparametric estimates - the periodogram approach

The basis for this method is the Fourier transform of the analyzed sequence - the fast Fourier transform (FFT) algorithm is used for the purpose of transform evaluation.

Periodogram can yield very 'bumpy' spectral plots, especially if the analyzed signal is noiselike. On the other hand it guarantees high spectral resolution, i.e. the ability to distinguish between the closely spaced frequency components.

By default the spectral analysis is performed on a block of 1024 samples centered at the current cursor position. You can change the size of the analysis frame by picking another value from the Frame list placed inside the FFT group.

In order to improve consistency of spectral estimates it is recommended that the Fourier transforms are weighted prior to periodogram evaluation - the Goodman-Enochson-Otnes (GEO) window is used for this purpose. If the Windowing box is not checked the results of spectral analysis may be overly sensitive to the position and size of the analysis frame. Without windowing they may also be inconsistent with the results of parametric analysis, especially in the region of high frequencies.

Parametric estimates - the autoregressive approach

The parametric spectral evaluation techniques are model based. This means the parameters of the mathematical model of the analyzed time series are the basis for spectrum estimation. DART XP adopts the so-called autoregressive (AR) model for this purpose. The Burg lattice algorithm is used for estimation of autoregressive coefficients.

The parametric approach yields spectral graphs that are smooth and therefore easy to interpret. Since the number of resonant peaks the method is capable of distinguishing depends on the number of model coefficients (at least 2k parameters are needed to match spectrum with k peaks) it is important to make the right choice of the order of the adopted AR model. Low order models may yield spectral plots that do not reflect all details of the true spectrum. On the other hand, if the order of the AR model is too high, the corresponding graphs will tend to show spurious peaks. To choose the preferred order of autoregression pick the Order list placed inside the AR group and select the available values (4, 8, 12, 16, 20) - 12 should be fine in most cases. If you want DART XP to make this decision for you choose Auto from the top of the list. The applied procedure of automatic order selection is based on the Akaike's information criterion (AIC).

Since the parametric approach gives satisfactory results even if the analyzed data segments are relatively short the default size of the analysis frame was set to 256 - you can change it by choosing another value from the Frame list placed inside the AR group.

Which approach is better ?

There is no clear-cut answer to this question. Each of the approaches described above has both advantages and limitations. Due to a large number of degrees of freedom the nonparametric estimates form pretty ragged patterns which may be difficult to interpret. The plots obtained using the parametric approach are smooth and therefore easy to analyze. On the other hand periodogram, as all FFT-based methods, yields “unprejudiced” spectral estimates in the sense that the number of resonant peaks is not limited a priori. In contrast with this, the results of parametric analysis may strongly depend on the order of the adopted model.

DART XP allows you to use both methods of spectral analysis simultaneously - the plots are superimposed. Whenever you like to inspect the results of parametric or nonparametric analysis alone, uncheck the corresponding boxes (FFT or AR, respectively) in the extended spectral dialog.

In most cases the superimposed plots stay in a good agreement. Whenever discrepancies occur remember that

Only the dominant periodogram peaks correspond to spectral resonances.

The graphs obtained using the parametric approach tend to show too many spectral peaks if the order of autoregression is too high; if the order of the AR model is too low, some resonances might be overlooked.

The AR estimates have a tendency to match spectral peaks (resonances) better than spectral valleys (antiresonances).

Both approaches may give different and/or dubious results if the processed signal is not locally stationary, e.g., if you analyze a fast speech transient - we recommend you use short analysis frames in all such situations.


Spectral Graphs

(available in the XP Pro version only)

Scale

The vertical scale used to display spectral graphs may be linear or logarithmic (default). In the latter case you can set the dynamic range of display by means of adjusting the “spectral floor”, i.e. the lowest amplitude level (in decibels) displayed in graphs - use the Min list situated in the Scale group for this purpose.

The logarithmic scale is usually preferred to the linear one as it is better matched to the sensitivity characteristics of our auditory system.

NOTICE

Remember that a difference of ten decibels in the logarithmic scale is equivalent to a difference of one order of magnitude (ten times) in the linear scale.

Readings

DART XP allows for precise reading of the displayed spectral plots. The value(s) of the spectral density function(s) for a particular frequency (marked with a gray vertical line), are listed in the Info window situated in the upper right corner of the graphic display. The frequency readings are provided just below the display area, inside the Spectral graph group.

In order to change the position of the frequency marker locate the pointer anywhere inside the plot area and press the left mouse button. Clicking and dragging the mouse will allow you to sweep the available frequency range (from zero to half of the sampling frequency). For fine tuning, use the right mouse button - pressing this button when the pointer is on the left/right hand side of the frequency marking line will move the line by one pixel to the left/right (which corresponds to decreasing/increasing the frequency coordinate by the (1/1024)-th part of the sampling frequency)

If you wish, you can change position of the Info window by means of dragging it and dropping to a new location. Finally, if all that you need is qualitative evaluation of spectral graphs you can remove the Info window and the frequency marker by unchecking the Info box in the Spectral graph group.

Automatic updating

When the Auto box is checked all spectral plots are automatically updated each time you change position of the cursor within a soundfile, switch between different soundfiles or modify spectrum settings. This also means that spectral graphs will be continuously updated when an active soundfile is played back.

If your computer is not fast enough, automatic updating may create some problems, e.g., skipping may occur during playback or the system may react too slowly when browsing through the soundfiles. Should anything like this happen, simply uncheck the Auto box and the plots will be redrawn only when you press the Update button.

Finally, remember to uncheck the Auto box each time you want to perform spectral analysis on a segment (block) of data.

Automatic normalization

When the Normalize box is checked the highest point of all displayed graphs is assigned the value 100% (for a linear scale) or 0 dB (for a logarithmic scale) ; the values corresponding to the remaining points are adjusted proportionally.

If you wish to compare two (or more) spectral graphs automatic normalization is not the best idea. In all such instances uncheck the Normalize box. From this point on all spectral plots will be displayed in an absolute scale - until you check the Normalize button again.

Left/right channel selection

If both channels of an active stereo soundfile are displayed, the corresponding spectral graphs are superimposed. In order to view plots for the left or right channel only, move to the toolbar and switch the LEFT/RIGHT buttons.


Viewing 3-D Spectral Plots

(available in the XP Pro version only)

With sharp spectral peaks and deep valleys, spectral panorama is usually a picturesque mountain-like view. To help you examine time-frequency plots a special cross-shaped control panel is provided with buttons allowing one to rotate the plot leftward or rightward and to increase or decrease the viewing angle. Playing with 3-D plots is great fun. If, however, you eventually get tired or lost ... simply press the button situated in the center of the panel and everything will get back to 'normal'.

Not only does DART XP allow you to plot the evolutionary spectrum but also to examine its cross-sections made along the time and frequency axes. To see a cross-section select an appropriate frame (or frequency) and press the time (or frequency) radio button placed in the Cross-section group. If you browse through the time or frequency axis with one of the cross-section options switched on you will be able to examine the 3-D plots with surgical precision - slice by slice. Press None to return to a normal spectral display.

To examine more closely a spectral plot for a selected frame press the SPECTRUM button. When finished press the SPECTRAL VIEW button to return to the Spectral view dialog.

Finally, to print 3-D spectral plots press the PRINT button.


Zooming in/out

(available in the XP Pro version only)

The zoom box, situated at the bottom of the Spectral view dialog, shows the distance (expressed in milliseconds) between the centers of consecutive frames. By means of decreasing this value (set by default to 32 msec) you can zoom in on a selected part of a time-frequency plot, i.e. analyze a shorter fragment of the signal. Increasing the time gap (up to approximately one second) will result in widening the spectral panorama - at the expense of time resolution.

When the distance between successive frames is larger than the frame size some parts of the signal are not sampled. To guarantee a 100% coverage of the inspected fragment (which is important, for example, when trying to spot a disturbance), the zoom coefficient must be kept smaller than the length of the analysis frame (set independently for the FFT and AR spectral estimators) divided by the sampling frequency (expressed in kHz). Whenever the above condition is fulfilled the red full coverage indicator placed in the Zoom group is lit.

NOTICE

The spectral panorama shown after zooming in or out is always centered on the active time frame.


Changing Time and Frequency Coordinates

The time (yellow) and frequency (green) markers can be used to precisely locate any detail of the displayed spectrum.

Time coordinate

The graph displayed right above the spectral plots shows the analyzed portion of the signal. A spectral graph corresponding to a particular time slice (frame) selected in the signal window is shown in yellow. The time coordinate of the center of the active frame is displayed next to the signal plot. In order to switch to another frame, click anywhere in the signal display area, use the frame scroll buttons or type a new value of the frame number in the frame box and press the ENTER key. When the signal display window is active pressing the UP/DOWN ARROW keys moves the cursor by one position to the left/right.

Use the CENTER button to center the display on an active time frame. To move along the time axis increase the zoom coefficient, move a cursor to a new position, and restore the original zoom settings. To gradually rewind the contents of the signal window, press the MOVE LEFT/RIGHT buttons - each time you press the button the window is moved by one-half of its width to the right/left.

The scale box, displayed below spectral graphs, allows you to scale the signal plot. Scaling may be useful if the gain (loudness) of the audio is small or if you browse through parts of the recording that significantly differ in volume.

When you close the Spectral view dialog (by pressing the Close button) the cursor in the active soundfile window will be automatically set in the middle of the active frame. If you exit the Spectral view dialog the cursor position will remain unchanged. Please note that pressing the CENTER button or the MOVE LEFT/RIGHT buttons changes the position of the cursor in the active soundfile window.

Frequency coordinate

The slider situated beneath spectral graphs can be used to sweep the available frequency range, i.e. anything between zero and half of the sampling frequency. After selecting the slider use the LEFT/RIGHT ARROW keys to move it by one position to the left/right.

The spectral line corresponding to a chosen frequency (displayed next to the slider) is distinguished with green dots.


Using 'Spectral view' to Spot Disturbances

(available in the XP Pro version only)

Many disturbances that locally corrupt audio signals, can be spotted by analyzing condensed signal plots - they come out as irregularities of the signal pattern. The same technique can be applied in the frequency domain. If you have problems localizing a short-lived disturbance try analyzing the signal time-frequency spectrum in the vicinity of the trouble area. If any of the spectral graphs stands out from the neighboring ones the corresponding time frame is likely to contain the source of your problem.

As an example consider the following time-frequency spectral graph depicted in the area inhabited by a short-lived, high-pitched buzz artifact.

A quick visual inspection clearly indicates a potential problem area. A closer inspection of the signal (a real archive recording) in the vicinity of the 'ridge' seen in the central part of the 3-D plot reveals the following ugly little creature:

which is actually the source of an audible buzz. Note that the localized disturbance has a form of a low-intensity, high-frequency dither of a very short duration (less than 20 milliseconds) and as such would be extremely difficult to spot by other means. It can be easily removed by means of local lowpass filtering of the signal.

Some additional guidelines useful when looking for disturbances are summarized below:

Even though you can use the spectral analysis technique to localize impulsive disturbances (noise pulses can significantly deform spectral graphs) the time-domain analysis is usually more efficient and yields better results. For this reason we recommend you use the Spectral view tool to localize only those disturbances that ‘survive' declicking.

When looking for disturbances make sure the full signal coverage indicator is lit, otherwise the disturbance may hide in the areas not sampled. To enforce the 100% coverage, use long analysis frames and/or small zoom coefficients.


Configuring Display

(available in the XP Pro version only)

In order to configure spectral plots press the Settings button. The Settings dialog allows you to choose the preferred scale (linear or logarithmic), adjust the "spectral floor", fix details of the available spectral estimation methods (FFT or AR) and select a number and distance of frames (time slices) included in a time-frequency plot. See section on Spectral analysis for more comments on specific spectrum settings.

To save current spectrum settings as the default ones press the Save button. Finally, if all that you need is to switch between the spectral estimation methods without modifying the corresponding settings, use the FFT/AR radio buttons situated in the lower left corner of the Spectral view dialog.

Normalization is another important feature of the time-frequency display. When the Normalize box is checked all plots are automatically scaled with respect to the maximum locally observed (across both time and frequency) value of the spectral density function. Normalization is not convenient if you wish to compare spectral views of different fragments of the signal. In all such cases uncheck the Normalize box. From this point on all 3-D spectral plots will be shown in an absolute scale - until you check the Normalize box again.


General Remarks

(available in the XP Pro version only)

Spectral graphs can be viewed in two different ways: using a full size spectral analysis dialog equipped with a 512-point graphic display or using a reduced size dialog with a 128-point display.

The extended dialog allows one to choose among the available spectral estimation methods (FFT, AR) as well as to select the scale (linear, logarithmic) and the mode of display (automatic normalization, automatic updating). The full size window allows for precise reading of the plots (the value of the spectral density function for a particular frequency). The reduced size dialog can be used for fast spectrum previewing.

You can switch between the two dialogs at any time by means of pressing the MINIMIZE/MAXIMIZE button, situated in the upper right corner of each window. Whenever you select the Spectrum command available from the Toolbox menu, or press the SPECTRUM button, situated on the toolbar the spectral analysis dialog will be shown on the screen in the last-used form (i.e. if you close the reduced size dialog and press the SPECTRUM button the small dialog will appear again).

The material for spectral analysis is always taken from an active soundfile. If the Auto switch is on, i.e. the analyzer works in the automatic update mode, the processed fragment is centered around the current cursor position and spectral graphs are redrawn each time you change position of the cursor within an active soundfile or switch between different soundfiles. If your computer is fast enough you can watch the spectrum changing while the soundfile is played back (for slower machines problems with skipping may occur).

When a block of samples is marked in an active soundfile and the Auto box is unchecked (and only in this case), DART XP will display an average spectrum of a selected portion of the audio material each time you press the Update button.

Finally, when you press the SPECTRAL VIEW button (situated between the Update button and the Close button) DART XP will show how the signal spectrum evolves over time’ i.e. it will display a sequence of spectral graphs corresponding to different time instants.


Toolsmenu

Toolbox Menu

The Toolbox menu contains several items that perform simple signal processing functions such as scaling (Scale, Maximize) and reversing (Reverse) a signal as well as adding, subtracting and mixing two signals (Add, Subtract , Mix). The Split and Unite commands can be used to separate two channels of a stereo soundfile and to combine two mono tracks into a stereo soundfile, respectively. You can convert a mono soundfile into a stereo one and vice versa (Convert to mono, Convert to stereo). Some more complex functions are also included, such as intelligent cutting and muting of unwanted audio material (Smart mute, Smart cut, Crossfade cut), equalization (Equalize), filtering (Lowpass, Highpass, Bandpass, Bandstop and Notch), fading (Fade in, Fade out, Crossfade), file length and sample rate adjustment (Resample, Change speed, Adjust RPM rate, Trim length, CD format), duration and pitch modification (Speed up/Slow down*, Shift pitch*), automatic detection of constant noise/signal patterns (Find pattern), spectral analysis (Spectrum*, Spectral view*), partitioning long recordings by means of detecting silences (Unpack), elimination of the lead vocalist’s performance from a stereophonic recording (DeVocalize*) and simulation of the acoustics of different environments (Reverb*). Finally, the DirectX command provides access to all DirectX Audio Plug-Ins installed on your computer:

* available in the XP Pro version only

If a block of samples is chosen, some DART XP tools will operate locally, i.e. in the selected area only. If no block is marked, most functions are global, i.e. the entire signal is processed.

NOTICE

For registered soundfiles all operations involving the equalizer, filters and fades (fade in/out) are managed by the Soundfile Manager and documented in the corresponding DART XP info files.

Scale

Maximize

Reverse

Add

Subtract

Mix

Mono/Stereo

Smart editing

Filter

Equalize

Fade

Sample rate

Speed up/Slow down*

Shift pitch

Find pattern

Spectral analysis*

Unpack

DirectX

DeVocalize*

Reverb*


Maximize

input file : active soundfile

output file : active soundfile

processing mode : local or global

Maximization of a soundfile is equivalent to scaling it with the maximum gain which does not result in clipping. You can maximize the entire signal or its selected part. Local maximization may be preferable for some classes of audio signals, e.g., for speech recordings. Since different phrases may significantly differ in loudness, maximization performed phrase by phrase may be a way of internal 'balancing' of the entire signal.


Scale

input file : active soundfile

output file : active soundfile

processing mode : local or global

The operation of scaling can be used to either amplify or attenuate the signal in a selected range. If no specific area is selected the entire signal is scaled. In order to set the scaling coefficient, type in the selected (positive) number in the Scaling factor box. Scaling factors smaller than one result in signal attenuation (turning the volume down) while the factors greater than one cause signal amplification (turning the volume up).

No upper limit to the gain factor was set - if some parts of the scaled signal fall out the dynamic range provided by 16-bit (8-bit) coding, all samples 'sticking out' are clipped. To find the maximum gain allowing to amplify the signal without clipping, press the Find maximum gain button in the Scale dialog.

NOTICE

You should realize that due to the limited precision of the 16-bit (8-bit) representation of numbers, scaling is not an invertible operation. For example, if you scale the signal down using the gain factor 0.01 the subsequent amplification with the factor 100.0 will not restore the original numbers (this effect may be strongly emphasized for very small/large scaling coefficients).


Wave Manager

Using the DART CD-Recorder

DART CD-Recorder is an application that allows you to record audio files from different sources (tape deck, reel-to-reel, phonograph, CD, CD Text and CD+G players, MIDI mixer, MPEG 3 codec), restore recordings, combine them into a sequence called playlist and - if your computer is equipped with a compact disc recorder (CD-R) - to record your own audio CD, CD Text or CD+G.

If you need more information on any of the DART CD-Recorder functions, select one of the topics listed below:

About DART CD-Recorder

About online help system

Screen areas

Menus

Toolbar

Creating, managing and listening to the playlist

Printing the playlist

Recording from an analog source

Recording from an audio CD

Using CDDB

Using CD Text

Reading and writing CD+G tracks

Recording MIDI

Unpacking audio collections

Editing audio files

Processing audio files

Using DirectX Audio Plug-Ins

Using MPEG Audio encoder/decoder

Using WMA Audio encoder

Creating your own audio CD

Burning a CD-ROM

How to ...


Window Menu

The Window menu is used to change the arrangement of soundfile and binary windows (Cascade, Tile, Strip), and synchronize certain window features such as time resolution, amplitude scale etc. (Synchronization). A special support for blind users of DART XP is also provided (DART-Eye).

Since in the automatic strip (default) mode, the displayed windows are arranged so as to fill up the entire screen, the icons of minimized windows are normally not seen. They are, however, listed under the Window menu and can be reloaded from there.

Window arrangement

Window synchronization

DART-Eye


Arrangement

Window Arrangement

The way DART Pro's soundfile and binary windows are shown on the screen can be controlled using commands from the Window menu.

Unless decided differently by the user, all windows are displayed in a default strip mode, i.e. they are put in horizontal strips, one below the other. Strip mode can be set any time by choosing the Strip command accessible from the Window menu.

If the number of open windows equals at least four, you can arrange them in two or more columns by choosing the Tile command from the Window menu. As the number of open windows increases, the strip mode is automatically switched to the tile mode if, due to the height limitation, the windows cannot be put in strips.

Finally, if you choose the Cascade command from the Window menu, DART Pro's windows will be put in the overlapping diagonally arranged cascade.

DART XP automatically adjusts the size of all windows displayed in the strip or tile modes in such a way that the entire available screen area is covered. For this reason, icons of the minimized windows do not appear on the screen (they are hidden under the displayed windows) unless the display mode is changed to cascade. However, there is no need to switch to the cascade mode in order to restore minimized windows. All windows which are currently open (including the minimized ones) are listed in the Window menu - if you click on the title of the minimized window it will be brought back.


Synchronization

Window Synchronization

In order to analyze and efficiently compare different versions of the same sound material, you can synchronize the displayed windows. The full synchronization (provided by default when you start a new session with DART Pro) guarantees that all changes in display features made in the active soundfile window (position of the cursor, time zoom, volume zoom, offset, left/right channel selection, marker and block locations, info) will be automatically extended to other windows shown on the screen.

If you want to select custom features to be synchronized, or to disable synchronization, choose the appropriate option using the Synchronization dialog box accessible from the Window menu.

When convenient you can switch the synchronization on (Full) or off (None) by pressing the SYNCHRONIZE button situated on the toolbar. However, the Synchronization dialog allowing you to select custom features due to be synchronized (Custom) is available only from the Window menu.

When comparing the original soundfile with its resampled versions the so-called time synchronization is recommended. Time synchronization (available after checking the Time sync box in the Preferences dialog) allows one to time-align cursors in audio files having different sampling rates.